/*******************************************************************************
 * Copyright (C) 2013 JMaNGOS <http://jmangos.org/>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/
/**
 * 
 */
package org.jmangos.commons.enums;

/**
 * @author MinimaJack
 * 
 */
public enum AuraType {
    NONE(0),
    BIND_SIGHT(1),
    MOD_POSSESS(2),
    PERIODIC_DAMAGE(3),
    DUMMY(4),
    MOD_CONFUSE(5),
    MOD_CHARM(6),
    MOD_FEAR(7),
    PERIODIC_HEAL(8),
    MOD_ATTACKSPEED(9),
    MOD_THREAT(10),
    MOD_TAUNT(11),
    MOD_STUN(12),
    MOD_DAMAGE_DONE(13),
    MOD_DAMAGE_TAKEN(14),
    DAMAGE_SHIELD(15),
    MOD_STEALTH(16),
    MOD_STEALTH_DETECT(17),
    MOD_INVISIBILITY(18),
    MOD_INVISIBILITY_DETECTION(19),
    OBS_MOD_HEALTH(20), // 20),21 unofficial
    OBS_MOD_MANA(21),
    MOD_RESISTANCE(22),
    PERIODIC_TRIGGER_SPELL(23),
    PERIODIC_ENERGIZE(24),
    MOD_PACIFY(25),
    MOD_ROOT(26),
    MOD_SILENCE(27),
    REFLECT_SPELLS(28),
    MOD_STAT(29),
    MOD_SKILL(30),
    MOD_INCREASE_SPEED(31),
    MOD_INCREASE_MOUNTED_SPEED(32),
    MOD_DECREASE_SPEED(33),
    MOD_INCREASE_HEALTH(34),
    MOD_INCREASE_ENERGY(35),
    MOD_SHAPESHIFT(36),
    EFFECT_IMMUNITY(37),
    STATE_IMMUNITY(38),
    SCHOOL_IMMUNITY(39),
    DAMAGE_IMMUNITY(40),
    DISPEL_IMMUNITY(41),
    PROC_TRIGGER_SPELL(42),
    PROC_TRIGGER_DAMAGE(43),
    TRACK_CREATURES(44),
    TRACK_RESOURCES(45),
    UNK_46(46), // Ignore all Gear test spells
    MOD_PARRY_PERCENT(47),
    UNK_48(48), // One periodic spell
    MOD_DODGE_PERCENT(49),
    MOD_CRITICAL_HEALING_AMOUNT(50),
    MOD_BLOCK_PERCENT(51),
    MOD_CRIT_PERCENT(52),
    PERIODIC_LEECH(53),
    MOD_HIT_CHANCE(54),
    MOD_SPELL_HIT_CHANCE(55),
    TRANSFORM(56),
    MOD_SPELL_CRIT_CHANCE(57),
    MOD_INCREASE_SWIM_SPEED(58),
    MOD_DAMAGE_DONE_CREATURE(59),
    MOD_PACIFY_SILENCE(60),
    MOD_SCALE(61),
    PERIODIC_HEALTH_FUNNEL(62),
    UNK_63(63), // old PERIODIC_MANA_FUNNEL
    PERIODIC_MANA_LEECH(64),
    MOD_CASTING_SPEED_NOT_STACK(65),
    FEIGN_DEATH(66),
    MOD_DISARM(67),
    MOD_STALKED(68),
    SCHOOL_ABSORB(69),
    EXTRA_ATTACKS(70),
    MOD_SPELL_CRIT_CHANCE_SCHOOL(71),
    MOD_POWER_COST_SCHOOL_PCT(72),
    MOD_POWER_COST_SCHOOL(73),
    REFLECT_SPELLS_SCHOOL(74),
    MOD_LANGUAGE(75),
    FAR_SIGHT(76),
    MECHANIC_IMMUNITY(77),
    MOUNTED(78),
    MOD_DAMAGE_PERCENT_DONE(79),
    MOD_PERCENT_STAT(80),
    SPLIT_DAMAGE_PCT(81),
    WATER_BREATHING(82),
    MOD_BASE_RESISTANCE(83),
    MOD_REGEN(84),
    MOD_POWER_REGEN(85),
    CHANNEL_DEATH_ITEM(86),
    MOD_DAMAGE_PERCENT_TAKEN(87),
    MOD_HEALTH_REGEN_PERCENT(88),
    PERIODIC_DAMAGE_PERCENT(89),
    UNK_90(90), // old MOD_RESIST_CHANCE
    MOD_DETECT_RANGE(91),
    PREVENTS_FLEEING(92),
    MOD_UNATTACKABLE(93),
    INTERRUPT_REGEN(94),
    GHOST(95),
    SPELL_MAGNET(96),
    MANA_SHIELD(97),
    MOD_SKILL_TALENT(98),
    MOD_ATTACK_POWER(99),
    AURAS_VISIBLE(100),
    MOD_RESISTANCE_PCT(101),
    MOD_MELEE_ATTACK_POWER_VERSUS(102),
    MOD_TOTAL_THREAT(103),
    WATER_WALK(104),
    FEATHER_FALL(105),
    HOVER(106),
    ADD_FLAT_MODIFIER(107),
    ADD_PCT_MODIFIER(108),
    ADD_TARGET_TRIGGER(109),
    MOD_POWER_REGEN_PERCENT(110),
    ADD_CASTER_HIT_TRIGGER(111),
    OVERRIDE_CLASS_SCRIPTS(112),
    MOD_RANGED_DAMAGE_TAKEN(113),
    MOD_RANGED_DAMAGE_TAKEN_PCT(114),
    MOD_HEALING(115),
    MOD_REGEN_DURING_COMBAT(116),
    MOD_MECHANIC_RESISTANCE(117),
    MOD_HEALING_PCT(118),
    UNK_119(119), // old SHARE_PET_TRACKING
    UNTRACKABLE(120),
    EMPATHY(121),
    MOD_OFFHAND_DAMAGE_PCT(122),
    MOD_TARGET_RESISTANCE(123),
    MOD_RANGED_ATTACK_POWER(124),
    MOD_MELEE_DAMAGE_TAKEN(125),
    MOD_MELEE_DAMAGE_TAKEN_PCT(126),
    RANGED_ATTACK_POWER_ATTACKER_BONUS(127),
    MOD_POSSESS_PET(128),
    MOD_SPEED_ALWAYS(129),
    MOD_MOUNTED_SPEED_ALWAYS(130),
    MOD_RANGED_ATTACK_POWER_VERSUS(131),
    MOD_INCREASE_ENERGY_PERCENT(132),
    MOD_INCREASE_HEALTH_PERCENT(133),
    MOD_MANA_REGEN_INTERRUPT(134),
    MOD_HEALING_DONE(135),
    MOD_HEALING_DONE_PERCENT(136),
    MOD_TOTAL_STAT_PERCENTAGE(137),
    MOD_MELEE_HASTE(138),
    FORCE_REACTION(139),
    MOD_RANGED_HASTE(140),
    MOD_RANGED_AMMO_HASTE(141),
    MOD_BASE_RESISTANCE_PCT(142),
    MOD_RESISTANCE_EXCLUSIVE(143),
    SAFE_FALL(144),
    MOD_PET_TALENT_POINTS(145),
    ALLOW_TAME_PET_TYPE(146),
    MECHANIC_IMMUNITY_MASK(147),
    RETAIN_COMBO_POINTS(148),
    REDUCE_PUSHBACK(149), // Reduce Pushback
    MOD_SHIELD_BLOCKVALUE_PCT(150),
    TRACK_STEALTHED(151), // Track Stealthed
    MOD_DETECTED_RANGE(152), // Mod Detected Range
    SPLIT_DAMAGE_FLAT(153), // Split Damage Flat
    MOD_STEALTH_LEVEL(154), // Stealth Level Modifier
    MOD_WATER_BREATHING(155), // Mod Water Breathing
    MOD_REPUTATION_GAIN(156), // Mod Reputation Gain
    PET_DAMAGE_MULTI(157), // Mod Pet Damage
    MOD_SHIELD_BLOCKVALUE(158),
    NO_PVP_CREDIT(159),
    MOD_AOE_AVOIDANCE(160),
    MOD_HEALTH_REGEN_IN_COMBAT(161),
    POWER_BURN_MANA(162),
    MOD_CRIT_DAMAGE_BONUS(163),
    UNK_164(164),
    MELEE_ATTACK_POWER_ATTACKER_BONUS(165),
    MOD_ATTACK_POWER_PCT(166),
    MOD_RANGED_ATTACK_POWER_PCT(167),
    MOD_DAMAGE_DONE_VERSUS(168),
    MOD_CRIT_PERCENT_VERSUS(169),
    DETECT_AMORE(170),
    MOD_SPEED_NOT_STACK(171),
    MOD_MOUNTED_SPEED_NOT_STACK(172),
    UNK_173(173), // old ALLOW_CHAMPION_SPELLS
    MOD_SPELL_DAMAGE_OF_STAT_PERCENT(174), // by defeult intelect), dependent
                                           // from
                                           // MOD_SPELL_HEALING_OF_STAT_PERCENT
    MOD_SPELL_HEALING_OF_STAT_PERCENT(175),
    SPIRIT_OF_REDEMPTION(176),
    AOE_CHARM(177),
    MOD_DEBUFF_RESISTANCE(178),
    MOD_ATTACKER_SPELL_CRIT_CHANCE(179),
    MOD_FLAT_SPELL_DAMAGE_VERSUS(180),
    UNK_181(181), // old MOD_FLAT_SPELL_CRIT_DAMAGE_VERSUS - possible flat spell
                  // crit damage versus
    MOD_RESISTANCE_OF_STAT_PERCENT(182),
    MOD_CRITICAL_THREAT(183),
    MOD_ATTACKER_MELEE_HIT_CHANCE(184),
    MOD_ATTACKER_RANGED_HIT_CHANCE(185),
    MOD_ATTACKER_SPELL_HIT_CHANCE(186),
    MOD_ATTACKER_MELEE_CRIT_CHANCE(187),
    MOD_ATTACKER_RANGED_CRIT_CHANCE(188),
    MOD_RATING(189),
    MOD_FACTION_REPUTATION_GAIN(190),
    USE_NORMAL_MOVEMENT_SPEED(191),
    MOD_MELEE_RANGED_HASTE(192),
    HASTE_ALL(193),
    MOD_IGNORE_ABSORB_SCHOOL(194),
    MOD_IGNORE_ABSORB_FOR_SPELL(195),
    MOD_COOLDOWN(196), // only 24818 Noxious Breath
    MOD_ATTACKER_SPELL_AND_WEAPON_CRIT_CHANCE(197),
    UNK_198(198), // old MOD_ALL_WEAPON_SKILLS
    MOD_INCREASES_SPELL_PCT_TO_HIT(199),
    MOD_KILL_XP_PCT(200),
    FLY(201),
    IGNORE_COMBAT_RESULT(202),
    MOD_ATTACKER_MELEE_CRIT_DAMAGE(203),
    MOD_ATTACKER_RANGED_CRIT_DAMAGE(204),
    MOD_ATTACKER_SPELL_CRIT_DAMAGE(205),
    MOD_FLIGHT_SPEED(206),
    MOD_FLIGHT_SPEED_MOUNTED(207),
    MOD_FLIGHT_SPEED_STACKING(208),
    MOD_FLIGHT_SPEED_MOUNTED_STACKING(209),
    MOD_FLIGHT_SPEED_NOT_STACKING(210),
    MOD_FLIGHT_SPEED_MOUNTED_NOT_STACKING(211),
    MOD_RANGED_ATTACK_POWER_OF_STAT_PERCENT(212),
    MOD_RAGE_FROM_DAMAGE_DEALT(213),
    UNK_214(214),
    ARENA_PREPARATION(215),
    HASTE_SPELLS(216),
    UNK_217(217),
    HASTE_RANGED(218),
    MOD_MANA_REGEN_FROM_STAT(219),
    MOD_RATING_FROM_STAT(220),
    UNK_221(221),
    UNK_222(222),
    UNK_223(223),
    UNK_224(224),
    PRAYER_OF_MENDING(225),
    PERIODIC_DUMMY(226),
    PERIODIC_TRIGGER_SPELL_WITH_VALUE(227),
    DETECT_STEALTH(228),
    MOD_AOE_DAMAGE_AVOIDANCE(229),
    UNK_230(230),
    PROC_TRIGGER_SPELL_WITH_VALUE(231),
    MECHANIC_DURATION_MOD(232),
    UNK_233(233),
    MECHANIC_DURATION_MOD_NOT_STACK(234),
    MOD_DISPEL_RESIST(235),
    CONTROL_VEHICLE(236),
    MOD_SPELL_DAMAGE_OF_ATTACK_POWER(237),
    MOD_SPELL_HEALING_OF_ATTACK_POWER(238),
    MOD_SCALE_2(239),
    MOD_EXPERTISE(240),
    FORCE_MOVE_FORWARD(241),
    MOD_SPELL_DAMAGE_FROM_HEALING(242),
    UNK_243(243),
    COMPREHEND_LANGUAGE(244),
    MOD_DURATION_OF_MAGIC_EFFECTS(245),
    MOD_DURATION_OF_EFFECTS_BY_DISPEL(246),
    MIRROR_IMAGE(247),
    MOD_COMBAT_RESULT_CHANCE(248),
    CONVERT_RUNE(249),
    MOD_INCREASE_HEALTH_2(250),
    MOD_ENEMY_DODGE(251),
    SLOW_ALL(252),
    MOD_BLOCK_CRIT_CHANCE(253),
    MOD_DISARM_OFFHAND(254),
    MOD_MECHANIC_DAMAGE_TAKEN_PERCENT(255),
    NO_REAGENT_USE(256),
    MOD_TARGET_RESIST_BY_SPELL_CLASS(257),
    UNK_258(258),
    MOD_PERIODIC_HEAL(259),
    SCREEN_EFFECT(260),
    PHASE(261),
    IGNORE_UNIT_STATE(262),
    ALLOW_ONLY_ABILITY(263),
    UNK_264(264),
    UNK_265(265),
    UNK_266(266),
    MOD_IMMUNE_AURA_APPLY_SCHOOL(267),
    MOD_ATTACK_POWER_OF_STAT_PERCENT(268),
    MOD_IGNORE_DAMAGE_REDUCTION_SCHOOL(269),
    MOD_IGNORE_TARGET_RESIST(270), // Possibly need swap vs 195 aura used only
                                   // in 1 spell Chaos Bolt
                                   // Passive
    MOD_DAMAGE_FROM_CASTER(271),
    MAELSTROM_WEAPON(272),
    X_RAY(273),
    UNK_274(274),
    MOD_IGNORE_SHAPESHIFT(275),
    UNK_276(276), // Only "Test Mod Damage % Mechanic" spell), possible mod
                  // damage done
    MOD_MAX_AFFECTED_TARGETS(277),
    MOD_DISARM_RANGED(278),
    UNK_279(279),
    MOD_TARGET_ARMOR_PCT(280),
    MOD_HONOR_GAIN(281),
    MOD_BASE_HEALTH_PCT(282),
    MOD_HEALING_RECEIVED(283), // Possibly only for some spell family class
                               // spells
    UNK_284(284),
    MOD_ATTACK_POWER_OF_ARMOR(285),
    ABILITY_PERIODIC_CRIT(286),
    DEFLECT_SPELLS(287),
    MOD_PARRY_FROM_BEHIND_PERCENT(288),
    UNK_289(289),
    MOD_ALL_CRIT_CHANCE(290),
    MOD_QUEST_XP_PCT(291),
    OPEN_STABLE(292),
    ADD_MECHANIC_ABILITIES(293),
    STOP_NATURAL_MANA_REGEN(294),
    UNK_295(295),
    UNK_296(296),
    UNK_297(297),
    UNK_298(298),
    UNK_299(299),
    UNK_300(300),
    HEAL_ABSORB(301),
    UNK_302(302),
    UNK_303(303),
    FAKE_INEBRIATE(304),
    MOD_MINIMUM_SPEED(305),
    UNK_306(306),
    UNK_307(307),
    UNK_308(308),
    UNK_309(309),
    MOD_PET_AOE_DAMAGE_AVOIDANCE(310),
    UNK_311(311),
    UNK_312(312),
    UNK_313(313),
    UNK_314(314),
    UNK_315(315),
    UNK_316(316);

    private static final int MAX_AURA_TYPE = 317;
    private int value;

    AuraType(final int value) {

        this.value = value;
    }

    public static final AuraType get(final int value) {
        if (value < MAX_AURA_TYPE) {
            return values()[value];
        }
        return null;
    }

    /**
     * @return the value
     */
    public final int getValue() {

        return this.value;
    }

    /**
     * @param value
     *        the value to set
     */
    public final void setValue(final int value) {

        this.value = value;
    }
}
