/*******************************************************************************
 * Copyright (C) 2013 JMaNGOS <http://jmangos.org/>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/
package org.jmangos.world.dao;

import java.util.List;

import org.jmangos.commons.entities.CharStartOutfitEntity;
import org.jmangos.commons.enums.Classes;
import org.jmangos.commons.enums.Gender;
import org.jmangos.commons.enums.Races;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

/**
 * <ol>
 * <li><b>Class:</b> <tt>CharStartOutfitDao</tt> is {@link JpaRepository} to
 * work with player's start items.</li>
 * <li><b>Key:</b> is {@link Integer}</li>
 * <li><b>Value:</b> is {@link CharStartOutfitEntity}</li>
 * </ol>
 * 
 * @author MinimaJack
 */
@Repository
@Transactional(readOnly = true, value = "world")
public interface CharStartOutfitDao extends JpaRepository<CharStartOutfitEntity, Integer> {

    public List<CharStartOutfitEntity> findByCharsRaceAndCharsClazzAndCharsGender(
            final Races charRace, final Classes charClass, final Gender gender);
}
