-- MySQL dump 10.11
--
-- Host: localhost    Database: world
-- ------------------------------------------------------
-- Server version    5.0.56-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `world_db_version`
--

DROP TABLE IF EXISTS `world_db_version`;
CREATE TABLE `world_db_version` (
  `version` varchar(120) default NULL,
  `creature_ai_version` varchar(120) default NULL,
  `cache_id` int(10) default '0',
  `required_000_0_1_01_start_world` bit(1) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Used DB version notes';

--
-- Dumping data for table `world_db_version`
--

LOCK TABLES `world_db_version` WRITE;
/*!40000 ALTER TABLE `world_db_version` DISABLE KEYS */;
INSERT INTO `world_db_version` VALUES
('JMangos default database.','Creature EventAI not provided.',0,NULL);
/*!40000 ALTER TABLE `world_db_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `achievement_criteria_requirement`
--

DROP TABLE IF EXISTS `achievement_criteria_requirement`;
CREATE TABLE `achievement_criteria_requirement` (
  `criteria_id` mediumint(8) NOT NULL,
  `type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `value1` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `value2` mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`criteria_id`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Achievment system';

--
-- Dumping data for table `achievement_criteria_requirement`
--

LOCK TABLES `achievement_criteria_requirement` WRITE;
/*!40000 ALTER TABLE `achievement_criteria_requirement` DISABLE KEYS */;
/*!40000 ALTER TABLE `achievement_criteria_requirement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `achievement_reward`
--

DROP TABLE IF EXISTS `achievement_reward`;
CREATE TABLE `achievement_reward` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `gender` tinyint(3) default '2',
  `title_A` mediumint(8) unsigned NOT NULL default '0',
  `title_H` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `sender` mediumint(8) unsigned NOT NULL default '0',
  `subject` varchar(255) default NULL,
  `text` text,
  PRIMARY KEY  (`entry`,`gender`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Achievment system';

--
-- Dumping data for table `achievement_reward`
--

LOCK TABLES `achievement_reward` WRITE;
/*!40000 ALTER TABLE `achievement_reward` DISABLE KEYS */;
/*!40000 ALTER TABLE `achievement_reward` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `areatrigger_involvedrelation`
--

DROP TABLE IF EXISTS `areatrigger_involvedrelation`;
CREATE TABLE `areatrigger_involvedrelation` (
  `id` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `quest` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Quest Identifier',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Trigger System';

--
-- Dumping data for table `areatrigger_involvedrelation`
--

LOCK TABLES `areatrigger_involvedrelation` WRITE;
/*!40000 ALTER TABLE `areatrigger_involvedrelation` DISABLE KEYS */;
/*!40000 ALTER TABLE `areatrigger_involvedrelation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `areatrigger_tavern`
--

DROP TABLE IF EXISTS `areatrigger_tavern`;
CREATE TABLE `areatrigger_tavern` (
  `id` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `name` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Trigger System';

--
-- Dumping data for table `areatrigger_tavern`
--

LOCK TABLES `areatrigger_tavern` WRITE;
/*!40000 ALTER TABLE `areatrigger_tavern` DISABLE KEYS */;
/*!40000 ALTER TABLE `areatrigger_tavern` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `areatrigger_teleport`
--

DROP TABLE IF EXISTS `areatrigger_teleport`;
CREATE TABLE `areatrigger_teleport` (
  `id` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `name` text,
  `required_level` tinyint(3) unsigned NOT NULL default '0',
  `required_item` mediumint(8) unsigned NOT NULL default '0',
  `required_item2` mediumint(8) unsigned NOT NULL default '0',
  `heroic_key` mediumint(8) unsigned NOT NULL default '0',
  `heroic_key2` mediumint(8) unsigned NOT NULL default '0',
  `required_quest_done` int(11) unsigned NOT NULL default '0',
  `required_quest_done_heroic` int(11) unsigned NOT NULL default '0',
  `required_failed_text` text,
  `target_map` smallint(5) unsigned NOT NULL default '0',
  `target_position_x` float NOT NULL default '0',
  `target_position_y` float NOT NULL default '0',
  `target_position_z` float NOT NULL default '0',
  `target_orientation` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Trigger System';

--
-- Dumping data for table `areatrigger_teleport`
--

LOCK TABLES `areatrigger_teleport` WRITE;
/*!40000 ALTER TABLE `areatrigger_teleport` DISABLE KEYS */;
/*!40000 ALTER TABLE `areatrigger_teleport` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `battleground_events`
--

DROP TABLE IF EXISTS `battleground_events`;
CREATE TABLE `battleground_events` (
  `map` smallint(5) NOT NULL,
  `event1` tinyint(3) unsigned NOT NULL,
  `event2` tinyint(3) unsigned NOT NULL,
  `description` varchar(255) NOT NULL,
  PRIMARY KEY  (`map`,`event1`,`event2`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `battleground_events`
--

LOCK TABLES `battleground_events` WRITE;
/*!40000 ALTER TABLE `battleground_events` DISABLE KEYS */;
INSERT INTO battleground_events (map, event1, event2, description) VALUES
-- WS
(489, 0, 0, 'Alliance Flag'),
(489, 1, 0, 'Horde Flag'),
(489, 2, 0, 'Spirit Guides'),
(489, 254, 0, 'Doors'),
-- AB
(529, 0, 0, 'Stables - neutral'),
(529, 0, 1, 'Stables - alliance contested'),
(529, 0, 2, 'Stables - horde contested'),
(529, 0, 3, 'Stables - alliance owned'),
(529, 0, 4, 'Stables - horde owned'),
(529, 1, 0, 'Blacksmith - neutral'),
(529, 1, 1, 'Blacksmith - alliance contested'),
(529, 1, 2, 'Blacksmith - horde contested'),
(529, 1, 3, 'Blacksmith - alliance owned'),
(529, 1, 4, 'Blacksmith - horde owned'),
(529, 2, 0, 'Farm - neutral'),
(529, 2, 1, 'Farm - alliance contested'),
(529, 2, 2, 'Farm - horde contested'),
(529, 2, 3, 'Farm - alliance owned'),
(529, 2, 4, 'Farm - horde owned'),
(529, 3, 0, 'Lumber Mill - neutral'),
(529, 3, 1, 'Lumber Mill - alliance contested'),
(529, 3, 2, 'Lumber Mill - horde contested'),
(529, 3, 3, 'Lumber Mill - alliance owned'),
(529, 3, 4, 'Lumber Mill - horde owned'),
(529, 4, 0, 'Gold Mine - neutral'),
(529, 4, 1, 'Gold Mine - alliance contested'),
(529, 4, 2, 'Gold Mine - horde contested'),
(529, 4, 3, 'Gold Mine - alliance owned'),
(529, 4, 4, 'Gold Mine - horde owned'),
(529, 254, 0, 'doors'),
-- EY
(566, 0, 0, 'Fel Reaver - alliance'),
(566, 0, 1, 'Fel Reaver - horde'),
(566, 0, 2, 'Fel Reaver - neutral'),
(566, 1, 0, 'Blood Elf - alliance'),
(566, 1, 1, 'Blood Elf - horde'),
(566, 1, 2, 'Blood Elf - neutral'),
(566, 2, 0, 'Draenei Ruins - alliance'),
(566, 2, 1, 'Draenei Ruins - horde'),
(566, 2, 2, 'Draenei Ruins - neutral'),
(566, 3, 0, 'Mage Tower - alliance'),
(566, 3, 1, 'Mage Tower - horde'),
(566, 3, 2, 'Mage Tower - neutral'),
(566, 4, 0, 'capture flag - Fel Reaver'),
(566, 4, 1, 'capture flag - Blood Elf'),
(566, 4, 2, 'capture flag - Draenei Ruins'),
(566, 4, 3, 'capture flag - Mage Tower'),
(566, 4, 4, 'capture flag - center'),
(566, 254, 0, 'doors'),
-- arenas
(559, 253, 0, 'buffs'),
(559, 254, 0, 'doors'),
(572, 253, 0, 'buffs'),
(572, 254, 0, 'doors'),
(562, 253, 0, 'buffs'),
(562, 254, 0, 'doors'),
-- alterac valley
(30, 254, 0, 'Doors'),

(30, 0, 0, 'Firstaid Station - Alliance assaulted'),
(30, 0, 1, 'Firstaid Station - ALliance control'),
(30, 0, 2, 'Firstaid Station - Horde assaulted'),
(30, 0, 3, 'Firstaid Station - Horde control'),

(30, 1, 0, 'Stormpike Grave - Alliance assaulted'),
(30, 1, 1, 'Stormpike Grave - ALliance control'),
(30, 1, 2, 'Stormpike Grave - Horde assaulted'),
(30, 1, 3, 'Stormpike Grave - Horde control'),

(30, 2, 0, 'Stoneheart Grave - Alliance assaulted'),
(30, 2, 1, 'Stoneheart Grave - ALliance control'),
(30, 2, 2, 'Stoneheart Grave - Horde assaulted'),
(30, 2, 3, 'Stoneheart Grave - Horde control'),

(30, 3, 0, 'Snowfall Grave - Alliance assaulted'),
(30, 3, 1, 'Snowfall Grave - ALliance control'),
(30, 3, 2, 'Snowfall Grave - Horde assaulted'),
(30, 3, 3, 'Snowfall Grave - Horde control'),
(30, 3, 5, 'Snowfall Grave - Neutral control'),

(30, 4, 0, 'Iceblood Grave - Alliance assaulted'),
(30, 4, 1, 'Iceblood Grave - ALliance control'),
(30, 4, 2, 'Iceblood Grave - Horde assaulted'),
(30, 4, 3, 'Iceblood Grave - Horde control'),

(30, 5, 0, 'Frostwolf Grave - Alliance assaulted'),
(30, 5, 1, 'Frostwolf Grave - ALliance control'),
(30, 5, 2, 'Frostwolf Grave - Horde assaulted'),
(30, 5, 3, 'Frostwolf Grave - Horde control'),

(30, 6, 0, 'Frostwolf Hut - Alliance assaulted'),
(30, 6, 1, 'Frostwolf Hut - ALliance control'),
(30, 6, 2, 'Frostwolf Hut - Horde assaulted'),
(30, 6, 3, 'Frostwolf Hut - Horde control'),

(30, 7, 1, 'Dunbaldar South - ALliance control'),
(30, 7, 2, 'Dunbaldar South - Horde assaulted'),
(30, 7, 3, 'Dunbaldar South - Horde control'),

(30, 8, 1, 'Dunbaldar North - ALliance control'),
(30, 8, 2, 'Dunbaldar North - Horde assaulted'),
(30, 8, 3, 'Dunbaldar North - Horde control'),

(30, 9, 1, 'Icewing Bunker - ALliance control'),
(30, 9, 2, 'Icewing Bunker - Horde assaulted'),
(30, 9, 3, 'Icewing Bunker - Horde control'),

(30, 10, 1, 'Stoneheart Bunker - ALliance control'),
(30, 10, 2, 'Stoneheart Bunker - Horde assaulted'),
(30, 10, 3, 'Stoneheart Bunker - Horde control'),

(30, 11, 0, 'Iceblood Tower - Alliance assaulted'),
(30, 11, 1, 'Iceblood Tower - ALliance control'),
(30, 11, 3, 'Iceblood Tower - Horde control'),

(30, 12, 0, 'Tower Point - Alliance assaulted'),
(30, 12, 1, 'Tower Point - ALliance control'),
(30, 12, 3, 'Tower Point - Horde control'),

(30, 13, 0, 'Frostwolf east Tower - Alliance assaulted'),
(30, 13, 1, 'Frostwolf east Tower - ALliance control'),
(30, 13, 3, 'Frostwolf east Tower - Horde control'),

(30, 14, 0, 'Frostwolf west Tower - Alliance assaulted'),
(30, 14, 1, 'Frostwolf west Tower - ALliance control'),
(30, 14, 3, 'Frostwolf west Tower - Horde control'),


(30, 15, 0, 'Firstaid Station - Alliance Defender Quest0'),
(30, 15, 1, 'Firstaid Station - Alliance Defender Quest1'),
(30, 15, 2, 'Firstaid Station - Alliance Defender Quest2'),
(30, 15, 3, 'Firstaid Station - Alliance Defender Quest3'),
(30, 15, 4, 'Firstaid Station - Horde Defender Quest0'),
(30, 15, 5, 'Firstaid Station - Horde Defender Quest1'),
(30, 15, 6, 'Firstaid Station - Horde Defender Quest2'),
(30, 15, 7, 'Firstaid Station - Horde Defender Quest3'),

(30, 16, 0, 'Stormpike Grave - Alliance Defender Quest0'),
(30, 16, 1, 'Stormpike Grave - Alliance Defender Quest1'),
(30, 16, 2, 'Stormpike Grave - Alliance Defender Quest2'),
(30, 16, 3, 'Stormpike Grave - Alliance Defender Quest3'),
(30, 16, 4, 'Stormpike Grave - Horde Defender Quest0'),
(30, 16, 5, 'Stormpike Grave - Horde Defender Quest1'),
(30, 16, 6, 'Stormpike Grave - Horde Defender Quest2'),
(30, 16, 7, 'Stormpike Grave - Horde Defender Quest3'),

(30, 17, 0, 'Stoneheart Grave - Alliance Defender Quest0'),
(30, 17, 1, 'Stoneheart Grave - Alliance Defender Quest1'),
(30, 17, 2, 'Stoneheart Grave - Alliance Defender Quest2'),
(30, 17, 3, 'Stoneheart Grave - Alliance Defender Quest3'),
(30, 17, 4, 'Stoneheart Grave - Horde Defender Quest0'),
(30, 17, 5, 'Stoneheart Grave - Horde Defender Quest1'),
(30, 17, 6, 'Stoneheart Grave - Horde Defender Quest2'),
(30, 17, 7, 'Stoneheart Grave - Horde Defender Quest3'),

(30, 18, 0, 'Snowfall Grave - Alliance Defender Quest0'),
(30, 18, 1, 'Snowfall Grave - Alliance Defender Quest1'),
(30, 18, 2, 'Snowfall Grave - Alliance Defender Quest2'),
(30, 18, 3, 'Snowfall Grave - Alliance Defender Quest3'),
(30, 18, 4, 'Snowfall Grave - Horde Defender Quest0'),
(30, 18, 5, 'Snowfall Grave - Horde Defender Quest1'),
(30, 18, 6, 'Snowfall Grave - Horde Defender Quest2'),
(30, 18, 7, 'Snowfall Grave - Horde Defender Quest3'),

(30, 19, 0, 'Iceblood Grave - Alliance Defender Quest0'),
(30, 19, 1, 'Iceblood Grave - Alliance Defender Quest1'),
(30, 19, 2, 'Iceblood Grave - Alliance Defender Quest2'),
(30, 19, 3, 'Iceblood Grave - Alliance Defender Quest3'),
(30, 19, 4, 'Iceblood Grave - Horde Defender Quest0'),
(30, 19, 5, 'Iceblood Grave - Horde Defender Quest1'),
(30, 19, 6, 'Iceblood Grave - Horde Defender Quest2'),
(30, 19, 7, 'Iceblood Grave - Horde Defender Quest3'),

(30, 20, 0, 'Frostwolf Grave - Alliance Defender Quest0'),
(30, 20, 1, 'Frostwolf Grave - Alliance Defender Quest1'),
(30, 20, 2, 'Frostwolf Grave - Alliance Defender Quest2'),
(30, 20, 3, 'Frostwolf Grave - Alliance Defender Quest3'),
(30, 20, 4, 'Frostwolf Grave - Horde Defender Quest0'),
(30, 20, 5, 'Frostwolf Grave - Horde Defender Quest1'),
(30, 20, 6, 'Frostwolf Grave - Horde Defender Quest2'),
(30, 20, 7, 'Frostwolf Grave - Horde Defender Quest3'),

(30, 21, 0, 'Frostwolf Hut - Alliance Defender Quest0'),
(30, 21, 1, 'Frostwolf Hut - Alliance Defender Quest1'),
(30, 21, 2, 'Frostwolf Hut - Alliance Defender Quest2'),
(30, 21, 3, 'Frostwolf Hut - Alliance Defender Quest3'),
(30, 21, 4, 'Frostwolf Hut - Horde Defender Quest0'),
(30, 21, 5, 'Frostwolf Hut - Horde Defender Quest1'),
(30, 21, 6, 'Frostwolf Hut - Horde Defender Quest2'),
(30, 21, 7, 'Frostwolf Hut - Horde Defender Quest3'),

(30, 46, 0, 'North Mine - Alliance Boss'),
(30, 46, 1, 'North Mine - Horde Boss'),
(30, 46, 2, 'North Mine - Neutral Boss'),
(30, 47, 0, 'South Mine - Alliance Boss'),
(30, 47, 1, 'South Mine - Horde Boss'),
(30, 47, 2, 'South Mine - Neutral Boss'),

(30, 48, 0, 'Alliance Captain'),
(30, 49, 0, 'Horde Captain'),

(30, 50, 0, 'North Mine - Alliance Control'),
(30, 50, 1, 'North Mine - Horde Control'),
(30, 50, 2, 'North Mine - Neutral Control'),
(30, 51, 0, 'South Mine - Alliance Control'),
(30, 51, 1, 'South Mine - Horde Control'),
(30, 51, 2, 'South Mine - Neutral Control'),

(30, 52, 0, 'Alliance Marshal - Dunbaldar South'),
(30, 53, 0, 'Alliance Marshal - Dunbaldar North'),
(30, 54, 0, 'Alliance Marshal - Icewing Bunker'),
(30, 55, 0, 'Alliance Marshal - Stoneheart Bunker'),

(30, 56, 0, 'Horde Marshal - Iceblood Tower'),
(30, 57, 0, 'Horde Marshal - Towerpoint'),
(30, 58, 0, 'Horde Marshal - East Frostwolf Tower'),
(30, 59, 0, 'Horde Marshal - West Frostwolf Tower'),

(30, 60, 0, 'Herald - that guy who yells all the time ;)'),

(30, 61, 0, 'Alliance - Boss'),
(30, 62, 0, 'Horde - Boss'),

(30, 63, 0, 'Alliance - Captain Dead'),
(30, 64, 0, 'Horde - Captain Dead');
/*!40000 ALTER TABLE `battleground_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `battleground_template`
--

DROP TABLE IF EXISTS `battleground_template`;
CREATE TABLE `battleground_template` (
  `id` mediumint(8) unsigned NOT NULL,
  `MinPlayersPerTeam` smallint(5) unsigned NOT NULL default '0',
  `MaxPlayersPerTeam` smallint(5) unsigned NOT NULL default '0',
  `AllianceStartLoc` mediumint(8) unsigned NOT NULL,
  `AllianceStartO` float NOT NULL,
  `HordeStartLoc` mediumint(8) unsigned NOT NULL,
  `HordeStartO` float NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `battleground_template`
--

LOCK TABLES `battleground_template` WRITE;
/*!40000 ALTER TABLE `battleground_template` DISABLE KEYS */;
INSERT INTO `battleground_template` VALUES
(1,40,40,611,2.72532,610,2.27452),
(2,10,10,769,3.14159,770,3.14159),
(3,15,15,890,3.40156,889,0.263892),
(4,5,5,929,0,936,3.14159),
(5,5,5,939,0,940,3.14159),
(6,5,5,0,0,0,0),
(7,15,15,1103,3.40156,1104,0.263892),
(8,5,5,1258,0,1259,3.14159),
(9,15,15,1367,0,1368,0),
(10,5,5,1362,0,1363,0),
(11,5,5,1364,0,1365,0),
(30,40,40,1485,0,1486,0),
(32,5,40,0,0,0,0);
/*!40000 ALTER TABLE `battleground_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `battlemaster_entry`
--

DROP TABLE IF EXISTS `battlemaster_entry`;
CREATE TABLE `battlemaster_entry` (
  `entry` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Entry of a creature',
  `bg_template` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Battleground template id',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `battlemaster_entry`
--

LOCK TABLES `battlemaster_entry` WRITE;
/*!40000 ALTER TABLE `battlemaster_entry` DISABLE KEYS */;
/*!40000 ALTER TABLE `battlemaster_entry` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `command`
--

DROP TABLE IF EXISTS `command`;
CREATE TABLE `command` (
  `name` varchar(50) NOT NULL default '',
  `security` tinyint(3) unsigned NOT NULL default '0',
  `help` longtext,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Chat System';

--
-- Dumping data for table `command`
--

LOCK TABLES `command` WRITE;
/*!40000 ALTER TABLE `command` DISABLE KEYS */;
INSERT INTO `command` VALUES
('account',0,'Syntax: .account\r\n\r\nDisplay the access level of your account.'),
('account characters',3,'Syntax: .account characters [#accountId|$accountName]\r\n\r\nShow list all characters for account selected by provided #accountId or $accountName, or for selected player in game.'),
('account create',4,'Syntax: .account create $account $password\r\n\r\nCreate account and set password to it.'),
('account delete',4,'Syntax: .account delete $account\r\n\r\nDelete account with all characters.'),
('account lock',0,'Syntax: .account lock [on|off]\r\n\r\nAllow login from account only from current used IP or remove this requirement.'),
('account onlinelist',4,'Syntax: .account onlinelist\r\n\r\nShow list of online accounts.'),
('account password',0,'Syntax: .account password $old_password $new_password $new_password\r\n\r\nChange your account password.'),
('account set addon',3,'Syntax: .account set addon [#accountId|$accountName] #addon\r\n\r\nSet user (possible targeted) expansion addon level allowed. Addon values: 0 - normal, 1 - tbc, 2 - wotlk.'),
('account set gmlevel',4,'Syntax: .account set gmlevel [#accountId|$accountName] #level\r\n\r\nSet the security level for targeted player (can''t be used at self) or for #accountId or $accountName to a level of #level.\r\n\r\n#level may range from 0 to 3.'),
('account set password',4,'Syntax: .account set password (#accountId|$accountName) $password $password\r\n\r\nSet password for account.'),
('achievement',3,'Syntax: .achievement $playername #achivementid\r\n\r\nShow state achievment #achivmentid (can be shift link) and list of achievement criteria with progress data for selected player in game or by player name.'),
('achievement add',3,'Syntax: .achievement add $playername #achivementid\r\n\r\nComplete achievement and all it\'s criteria for selected player in game or by player name. Command can\'t be used for counter achievements.'),
('achievement remove',3,'Syntax: .achievement remove $playername #achivementid\r\n\r\nRemove complete state for achievement #achivmentid and reset all achievement\'s criteria for selected player in game or by player name. Also command can be used for reset counter achievements.'),
('achievement criteria add',3,'Syntax: .achievement criteria add $playername #criteriaid #change\r\n\r\nIncrease progress for non-completed criteria at #change for selected player in game or by player name. If #chnage not provided then non-counter criteria progress set to completed state. For counter criteria increased at 1.'),
('achievement criteria remove',3,'Syntax: .achievement criteria remove $playername #criteriaid #change\r\n\r\necrease progress for criteria at #change for selected player in game or by player name. If #chnage not provided then criteria progress reset to 0.'),
('additem',3,'Syntax: .additem #itemid/[#itemname]/#shift-click-item-link #itemcount\r\n\r\nAdds the specified number of items of id #itemid (or exact (!) name $itemname in brackets, or link created by shift-click at item in inventory or recipe) to your or selected character inventory. If #itemcount is omitted, only one item will be added.\r\n.'),
('additemset',3,'Syntax: .additemset #itemsetid\r\n\r\nAdd items from itemset of id #itemsetid to your or selected character inventory. Will add by one example each item from itemset.'),
('ahbot items amount',3,'Syntax: .ahbot items amount $GreyItems $WhiteItems $GreenItems $BlueItems $PurpleItems $OrangeItems $YellowItems\r\n\r\nSet amount of each items color be selled on auction.'),
('ahbot items amount grey',3,'Syntax: .ahbot items amount grey $GreyItems\r\n\r\nSet amount of Grey color items be selled on auction.'),
('ahbot items amount white',3,'Syntax: .ahbot items amount white $WhiteItems\r\n\r\nSet amount of White color items be selled on auction.'),
('ahbot items amount green',3,'Syntax: .ahbot items amount green $GreenItems\r\n\r\nSet amount of Green color items be selled on auction.'),
('ahbot items amount blue',3,'Syntax: .ahbot items amount blue $BlueItems\r\n\r\nSet amount of Blue color items be selled on auction.'),
('ahbot items amount purple',3,'Syntax: .ahbot items amount purple $PurpleItems\r\n\r\nSet amount of Purple color items be selled on auction.'),
('ahbot items amount orange',3,'Syntax: .ahbot items amount orange $OrangeItems\r\n\r\nSet amount of Orange color items be selled on auction.'),
('ahbot items amount yellow',3,'Syntax: .ahbot items amount yellow $YellowItems\r\n\r\nSet amount of Yellow color items be selled on auction.'),
('ahbot items ratio',3,'Syntax: .ahbot items ratio $allianceratio $horderatio $neutralratio\r\n\r\nSet ratio of items in 3 auctions house.'),
('ahbot items ratio alliance',3,'Syntax: .ahbot items ratio alliance $allianceratio\r\n\r\nSet ratio of items in alliance auction house.'),
('ahbot items ratio horde',3,'Syntax: .ahbot items ratio horde $horderatio\r\n\r\nSet ratio of items in horde auction house.'),
('ahbot items ratio neutral',3,'Syntax: .ahbot items ratio neutral $neutralratio\r\n\r\nSet ratio of items in $neutral auction house.'),
('ahbot rebuild',3,'Syntax: .ahbot rebuild [all]\r\n\r\nExpire all actual auction of ahbot except bided by player. Binded auctions included to expire if "all" option used. Ahbot re-fill auctions base at current settings then.'),
('ahbot reload',3,'Syntax: .ahbot reload\r\n\r\nReload AHBot settings from configuration file.'),
('ahbot status',3,'Syntax: .ahbot status [all]\r\n\r\nShow current ahbot state data in short form, and with "all" with details.'),
('announce',1,'Syntax: .announce $MessageToBroadcast\r\n\r\nSend a global message to all players online in chat log.'),
('auction',3,'Syntax: .auction\r\n\r\nShow your team auction store.'),
('auction alliance',3,'Syntax: .auction alliance\r\n\r\nShow alliance auction store independent from your team.'),
('auction goblin',3,'Syntax: .auction goblin\r\n\r\nShow goblin auction store common for all teams.'),
('auction horde',3,'Syntax: .auction horde\r\n\r\nShow horde auction store independent from your team.'),
('auction item',3,'Syntax: .auction item (alliance|horde|goblin) #itemid[:#itemcount] [[[#minbid] #buyout] [short|long|verylong]\r\n\r\nAdd new item (in many stackes if amount grater stack size) to specific auction house at short|long|verylogn perios similar same settings in auction in game dialog. Created auction not have owner.'),
('aura',3,'Syntax: .aura #spellid\r\n\r\nAdd the aura from spell #spellid to the selected Unit.'),
('ban account',3,'Syntax: .ban account $Name $bantime $reason\r\nBan account kick player.\r\n$bantime: negative value leads to permban, otherwise use a timestring like \"4d20h3s\".'),
('ban character',3,'Syntax: .ban character $Name $bantime $reason\r\nBan account and kick player.\r\n$bantime: negative value leads to permban, otherwise use a timestring like \"4d20h3s\".'),
('ban ip',3,'Syntax: .ban ip $Ip $bantime $reason\r\nBan IP.\r\n$bantime: negative value leads to permban, otherwise use a timestring like \"4d20h3s\".'),
('baninfo account',3,'Syntax: .baninfo account $accountid\r\nWatch full information about a specific ban.'),
('baninfo character',3,'Syntax: .baninfo character $charactername \r\nWatch full information about a specific ban.'),
('baninfo ip',3,'Syntax: .baninfo ip $ip\r\nWatch full information about a specific ban.'),
('bank',3,'Syntax: .bank\r\n\r\nShow your bank inventory.'),
('banlist account',3,'Syntax: .banlist account [$Name]\r\nSearches the banlist for a account name pattern or show full list account bans.'),
('banlist character',3,'Syntax: .banlist character $Name\r\nSearches the banlist for a character name pattern. Pattern required.'),
('banlist ip',3,'Syntax: .banlist ip [$Ip]\r\nSearches the banlist for a IP pattern or show full list of IP bans.'),
('cast',3,'Syntax: .cast #spellid [triggered]\r\n  Cast #spellid to selected target. If no target selected cast to self. If \'trigered\' or part provided then spell casted with triggered flag.'),
('cast back',3,'Syntax: .cast back #spellid [triggered]\r\n  Selected target will cast #spellid to your character. If \'trigered\' or part provided then spell casted with triggered flag.'),
('cast dist',3,'Syntax: .cast dist #spellid [#dist [triggered]]\r\n  You will cast spell to pint at distance #dist. If \'trigered\' or part provided then spell casted with triggered flag. Not all spells can be casted as area spells.'),
('cast self',3,'Syntax: .cast self #spellid [triggered]\r\nCast #spellid by target at target itself. If \'trigered\' or part provided then spell casted with triggered flag.'),
('cast target',3,'Syntax: .cast target #spellid [triggered]\r\n  Selected target will cast #spellid to his victim. If \'trigered\' or part provided then spell casted with triggered flag.'),
('character achievements',2,'Syntax: .character achievements [$player_name]\r\n\r\nShow completed achievments for selected player or player find by $player_name.'),
('character customize',2,'Syntax: .character customize [$name]\r\n\r\nMark selected in game or by $name in command character for customize at next login.'),
('character deleted delete', 4, 'Syntax: .character deleted delete #guid|$name\r\n\r\nCompletely deletes the selected characters.\r\nIf $name is supplied, only characters with that string in their name will be deleted, if #guid is supplied, only the character with that GUID will be deleted.'),
('character deleted list', 3, 'Syntax: .character deleted list [#guid|$name]\r\n\r\nShows a list with all deleted characters.\r\nIf $name is supplied, only characters with that string in their name will be selected, if #guid is supplied, only the character with that GUID will be selected.'),
('character deleted old', 4, 'Syntax: .character deleted old [#keepDays]\r\n\r\nCompletely deletes all characters with deleted time longer #keepDays. If #keepDays not provided the  used value from mangosd.conf option \'CharDelete.KeepDays\'. If referenced config option disabled (use 0 value) then command can\'t be used without #keepDays.'),
('character deleted restore', 3, 'Syntax: .character deleted restore #guid|$name [$newname] [#new account]\r\n\r\nRestores deleted characters.\r\nIf $name is supplied, only characters with that string in their name will be restored, if $guid is supplied, only the character with that GUID will be restored.\r\nIf $newname is set, the character will be restored with that name instead of the original one. If #newaccount is set, the character will be restored to specific account character list. This works only with one character!'),
('character erase',4,'Syntax: .character erase $name\r\n\r\nDelete character $name. Character finally deleted in case any deleting options.'),
('character level',3,'Syntax: .character level [$playername] [#level]\r\n\r\nSet the level of character with $playername (or the selected if not name provided) by #numberoflevels Or +1 if no #numberoflevels provided). If #numberoflevels is omitted, the level will be increase by 1. If #numberoflevels is 0, the same level will be restarted. If no character is selected and name not provided, increase your level. Command can be used for offline character. All stats and dependent values recalculated. At level decrease talents can be reset if need. Also at level decrease equipped items with greater level requirement can be lost.'),
('character rename',2,'Syntax: .character rename [$name]\r\n\r\nMark selected in game or by $name in command character for rename at next login.'),
('character reputation',2,'Syntax: .character reputation [$player_name]\r\n\r\nShow reputation information for selected player or player find by $player_name.'),
('character titles',2,'Syntax: .character titles [$player_name]\r\n\r\nShow known titles list for selected player or player find by $player_name.'),
('combatstop',2,'Syntax: .combatstop [$playername]\r\nStop combat for selected character. If selected non-player then command applied to self. If $playername provided then attempt applied to online player $playername.'),
('commands',0,'Syntax: .commands\r\n\r\nDisplay a list of available commands for your account level.'),
('cooldown',3,'Syntax: .cooldown [#spell_id]\r\n\r\nRemove all (if spell_id not provided) or #spel_id spell cooldown from selected character or you (if no selection).'),
('damage',3,'Syntax: .damage $damage_amount [$school [$spellid]]\r\n\r\nApply $damage to target. If not $school and $spellid provided then this flat clean melee damage without any modifiers. If $school provided then damage modified by armor reduction (if school physical), and target absorbing modifiers and result applied as melee damage to target. If spell provided then damage modified and applied as spell damage. $spellid can be shift-link.'),
('debug anim',2,'Syntax: .debug anim #emoteid\r\n\r\nPlay emote #emoteid for your character.'),
('debug arena',3,'Syntax: .debug arena\r\n\r\nToggle debug mode for arenas. In debug mode GM can start arena with single player.'),
('debug bg',3,'Syntax: .debug bg\r\n\r\nToggle debug mode for battlegrounds. In debug mode GM can start battleground with single player.'),
('debug getitemvalue',3,'Syntax: .debug getitemvalue #itemguid #field [int|hex|bit|float]\r\n\r\nGet the field #field of the item #itemguid in your inventroy.\r\n\r\nUse type arg for set output format: int (decimal number), hex (hex value), bit (bitstring), float. By default use integer output.'),
('debug getvalue',3,'Syntax: .debug getvalue #field [int|hex|bit|float]\r\n\r\nGet the field #field of the selected target. If no target is selected, get the content of your field.\r\n\r\nUse type arg for set output format: int (decimal number), hex (hex value), bit (bitstring), float. By default use integer output.'),
('debug moditemvalue',3,'Syntax: .debug moditemvalue #guid #field [int|float| &= | |= | &=~ ] #value\r\n\r\nModify the field #field of the item #itemguid in your inventroy by value #value. \r\n\r\nUse type arg for set mode of modification: int (normal add/subtract #value as decimal number), float (add/subtract #value as float number), &= (bit and, set to 0 all bits in value if it not set to 1 in #value as hex number), |= (bit or, set to 1 all bits in value if it set to 1 in #value as hex number), &=~ (bit and not, set to 0 all bits in value if it set to 1 in #value as hex number). By default expect integer add/subtract.'),
('debug modvalue',3,'Syntax: .debug modvalue #field [int|float| &= | |= | &=~ ] #value\r\n\r\nModify the field #field of the selected target by value #value. If no target is selected, set the content of your field.\r\n\r\nUse type arg for set mode of modification: int (normal add/subtract #value as decimal number), float (add/subtract #value as float number), &= (bit and, set to 0 all bits in value if it not set to 1 in #value as hex number), |= (bit or, set to 1 all bits in value if it set to 1 in #value as hex number), &=~ (bit and not, set to 0 all bits in value if it set to 1 in #value as hex number). By default expect integer add/subtract.'),
('debug play cinematic',1,'Syntax: .debug play cinematic #cinematicid\r\n\r\nPlay cinematic #cinematicid for you. You stay at place while your mind fly.\r\n'),
('debug play movie',1,'Syntax: .debug play movie #movieid\r\n\r\nPlay movie #movieid for you.'),
('debug play sound',1,'Syntax: .debug play sound #soundid\r\n\r\nPlay sound with #soundid.\r\nSound will be play only for you. Other players do not hear this.\r\nWarning: client may have more 5000 sounds...'),
('debug setitemvalue',3,'Syntax: .debug setitemvalue #guid #field [int|hex|bit|float] #value\r\n\r\nSet the field #field of the item #itemguid in your inventroy to value #value.\r\n\r\nUse type arg for set input format: int (decimal number), hex (hex value), bit (bitstring), float. By default expect integer input format.'),
('debug setvalue',3,'Syntax: .debug setvalue #field [int|hex|bit|float] #value\r\n\r\nSet the field #field of the selected target to value #value. If no target is selected, set the content of your field.\r\n\r\nUse type arg for set input format: int (decimal number), hex (hex value), bit (bitstring), float. By default expect integer input format.'),
('debug spellcoefs',3,'Syntax: .debug spellcoefs #spellid\r\n\r\nShow default calculated and DB stored coefficients for direct/dot heal/damage.'),
('debug spellmods',3,'Syntax: .debug spellmods (flat|pct) #spellMaskBitIndex #spellModOp #value\r\n\r\nSet at client side spellmod affect for spell that have bit set with index #spellMaskBitIndex in spell family mask for values dependent from spellmod #spellModOp to #value.'),
('delticket',2,'Syntax: .delticket all\r\n        .delticket #num\r\n        .delticket $character_name\r\n\rall to dalete all tickets at server, $character_name to delete ticket of this character, #num to delete ticket #num.'),
('demorph',2,'Syntax: .demorph\r\n\r\nDemorph the selected player.'),
('die',3,'Syntax: .die\r\n\r\nKill the selected player. If no player is selected, it will kill you.'),
('dismount',0,'Syntax: .dismount\r\n\r\nDismount you, if you are mounted.'),
('distance',3,'Syntax: .distance [$name/$link]\r\n\r\nDisplay the distance from your character to the selected creature/player, or player with name $name, or player/creature/gameobject pointed to shift-link with guid.'),
('event',2,'Syntax: .event #event_id\r\nShow details about event with #event_id.'),
('event list',2,'Syntax: .event list\r\nShow list of currently active events.\r\nShow list of all events'),
('event start',2,'Syntax: .event start #event_id\r\nStart event #event_id. Set start time for event to current moment (change not saved in DB).'),
('event stop',2,'Syntax: .event stop #event_id\r\nStop event #event_id. Set start time for event to time in past that make current moment is event stop time (change not saved in DB).'),
('explorecheat',3,'Syntax: .explorecheat #flag\r\n\r\nReveal  or hide all maps for the selected player. If no player is selected, hide or reveal maps to you.\r\n\r\nUse a #flag of value 1 to reveal, use a #flag value of 0 to hide all maps.'),
('flusharenapoints','3','Syntax: .flusharenapoints\r\n\r\nUse it to distribute arena points based on arena team ratings, and start a new week.'),
('gearscore',3,'Syntax: .gearscore [#withBags] [#withBank]\r\n\r\nShow selected player\'s gear score. Check items in bags if #withBags != 0 and check items in Bank if #withBank != 0. Default: 1 for bags and 0 for bank'),
('gm',1,'Syntax: .gm [on/off]\r\n\r\nEnable or Disable in game GM MODE or show current state of on/off not provided.'),
('gm chat',1,'Syntax: .gm chat [on/off]\r\n\r\nEnable or disable chat GM MODE (show gm badge in messages) or show current state of on/off not provided.'),
('gm fly',3,'Syntax: .gm fly [on/off]\r\nEnable/disable gm fly mode.'),
('gm ingame',0,'Syntax: .gm ingame\r\n\r\nDisplay a list of available in game Game Masters.'),
('gm list',3,'Syntax: .gm list\r\n\r\nDisplay a list of all Game Masters accounts and security levels.'),
('gm setview',1,'Syntax: .gm setview\r\n\r\nSet farsight view on selected unit. Select yourself to set view back.'),
('gm visible',1,'Syntax: .gm visible on/off\r\n\r\nOutput current visibility state or make GM visible(on) and invisible(off) for other players.'),
('go',1,'Syntax: .go  [$playername|pointlink|#x #y #z [#mapid]]\r\nTeleport your character to point with coordinates of player $playername, or coordinates of one from shift-link types: player, tele, taxinode, creature/creature_entry, gameobject/gameobject_entry, or explicit #x #y #z #mapid coordinates.'),
('go creature',1,'Syntax: .go creature (#creature_guid|$creature_name|id #creature_id)\r\nTeleport your character to creature with guid #creature_guid, or teleport your character to creature with name including as part $creature_name substring, or teleport your character to a creature that was spawned from the template with this entry #creature_id.'),
('go graveyard',1,'Syntax: .go graveyard #graveyardId\r\n Teleport to graveyard with the graveyardId specified.'),
('go grid',1,'Syntax: .go grid #gridX #gridY [#mapId]\r\n\r\nTeleport the gm to center of grid with provided indexes at map #mapId (or current map if it not provided).'),
('go object',1,'Syntax: .go object (#gameobject_guid|$gameobject_name|id #gameobject_id)\r\nTeleport your character to gameobject with guid #gameobject_guid, or teleport your character to gameobject with name including as part $gameobject_name substring, or teleport your character to a gameobject that was spawned from the template with this entry #gameobject_id.'),
('go taxinode',1,'Syntax: .go taxinode #taxinode\r\n\r\nTeleport player to taxinode coordinates. You can look up zone using .lookup taxinode $namepart'),
('go trigger',1,'Syntax: .go trigger (#trigger_id|$trigger_shift-link|$trigger_target_shift-link) [target]\r\n\r\nTeleport your character to areatrigger with id #trigger_id or trigger id associated with shift-link. If additional arg "target" provided then character will teleported to areatrigger target point.'),
('go xy',1,'Syntax: .go xy #x #y [#mapid]\r\n\r\nTeleport player to point with (#x,#y) coordinates at ground(water) level at map #mapid or same map if #mapid not provided.'),
('go xyz',1,'Syntax: .go xyz #x #y #z [#mapid]\r\n\r\nTeleport player to point with (#x,#y,#z) coordinates at ground(water) level at map #mapid or same map if #mapid not provided.'),
('go zonexy',1,'Syntax: .go zonexy #x #y [#zone]\r\n\r\nTeleport player to point with (#x,#y) client coordinates at ground(water) level in zone #zoneid or current zone if #zoneid not provided. You can look up zone using .lookup area $namepart'),
('gobject add',2,'Syntax: .gobject add #id <spawntimeSecs>\r\n\r\nAdd a game object from game object templates to the world at your current location using the #id.\r\nspawntimesecs sets the spawntime, it is optional.\r\n\r\nNote: this is a copy of .gameobject.'),
('gobject delete',2,'Syntax: .gobject delete #go_guid\r\nDelete gameobject with guid #go_guid.'),
('gobject move',2,'Syntax: .gobject move #goguid [#x #y #z]\r\n\r\nMove gameobject #goguid to character coordinates (or to (#x,#y,#z) coordinates if its provide).'),
('gobject near',2,'Syntax: .gobject near  [#distance]\r\n\r\nOutput gameobjects at distance #distance from player. Output gameobject guids and coordinates sorted by distance from character. If #distance not provided use 10 as default value.'),
('gobject setphase',2,'Syntax: .gobject setphase #guid #phasemask\r\n\r\nGameobject with DB guid #guid phasemask changed to #phasemask with related world vision update for players. Gameobject state saved to DB and persistent.'),
('gobject turn',2,'Syntax: .gobject turn #goguid [#z_angle]\r\n\r\nChanges gameobject #goguid orientation (rotates gameobject around z axis). Optional parameters are (#y_angle,#x_angle) values that represents rotation angles around y and x axes.'),
('gobject target',2,'Syntax: .gobject target [#go_id|#go_name_part]\r\n\r\nLocate and show position nearest gameobject. If #go_id or #go_name_part provide then locate and show position of nearest gameobject with gameobject template id #go_id or name included #go_name_part as part.'),
('goname',1,'Syntax: .goname [$charactername]\r\n\r\nTeleport to the given character. Either specify the character name or click on the character\'s portrait, e.g. when you are in a group. Character can be offline.'),
('gps',1,'Syntax: .gps [$name|$shift-link]\r\n\r\nDisplay the position information for a selected character or creature (also if player name $name provided then for named player, or if creature/gameobject shift-link provided then pointed creature/gameobject if it loaded). Position information includes X, Y, Z, and orientation, map Id and zone Id'),
('groupgo',1,'Syntax: .groupgo [$charactername]\r\n\r\nTeleport the given character and his group to you. Teleported only online characters but original selected group member can be offline.'),
('guid',2,'Syntax: .guid\r\n\r\nDisplay the GUID for the selected character.'),
('guild create',2,'Syntax: .guild create [$GuildLeaderName] "$GuildName"\r\n\r\nCreate a guild named $GuildName with the player $GuildLeaderName (or selected) as leader.  Guild name must in quotes.'),
('guild delete',2,'Syntax: .guild delete "$GuildName"\r\n\r\nDelete guild $GuildName. Guild name must in quotes.'),
('guild invite',2,'Syntax: .guild invite [$CharacterName] "$GuildName"\r\n\r\nAdd player $CharacterName (or selected) into a guild $GuildName. Guild name must in quotes.'),
('guild rank',2,'Syntax: .guild rank $CharacterName #Rank\r\n\r\nSet for $CharacterName rank #Rank in a guild.'),
('guild uninvite',2,'Syntax: .guild uninvite [$CharacterName]\r\n\r\nRemove player $CharacterName (or selected) from a guild.'),
('help',0,'Syntax: .help [$command]\r\n\r\nDisplay usage instructions for the given $command. If no $command provided show list available commands.'),
('hidearea',3,'Syntax: .hidearea #areaid\r\n\r\nHide the area of #areaid to the selected character. If no character is selected, hide this area to you.'),
('honor add',2,'Syntax: .honor add $amount\r\n\r\nAdd a certain amount of honor (gained today) to the selected player.'),
('honor addkill',2,'Syntax: .honor addkikll\r\n\r\nAdd the targeted unit as one of your pvp kills today (you only get honor if it\'s a racial leader or a player)'),
('honor update',2,'Syntax: .honor update\r\n\r\nForce the yesterday\'s honor fields to be updated with today\'s data, which will get reset for the selected player.'),
('instance unbind',3,'Syntax: .instance unbind all\r\n  All of the selected player\'s binds will be cleared.\r\n.instance unbind #mapid\r\n Only the specified #mapid instance will be cleared.'),
('instance listbinds',3,'Syntax: .instance listbinds\r\n  Lists the binds of the selected player.'),
('instance stats',3,'Syntax: .instance stats\r\n  Shows statistics about instances.'),
('instance savedata',3,'Syntax: .instance savedata\r\n  Save the InstanceData for the current player\'s map to the DB.'),
('itemmove',2,'Syntax: .itemmove #sourceslotid #destinationslotid\r\n\r\nMove an item from slots #sourceslotid to #destinationslotid in your inventory\r\n\r\nNot yet implemented'),
('kick',2,'Syntax: .kick [$charactername]\r\n\r\nKick the given character name from the world. If no character name is provided then the selected player (except for yourself) will be kicked.'),
('learn',3,'Syntax: .learn #spell [all]\r\n\r\nSelected character learn a spell of id #spell. If \'all\' provided then all ranks learned.'),
('learn all',3,'Syntax: .learn all\r\n\r\nLearn all big set different spell maybe useful for Administaror.'),
('learn all_crafts',2,'Syntax: .learn crafts\r\n\r\nLearn all professions and recipes.'),
('learn all_default',1,'Syntax: .learn all_default [$playername]\r\n\r\nLearn for selected/$playername player all default spells for his race/class and spells rewarded by completed quests.'),
('learn all_gm',2,'Syntax: .learn all_gm\r\n\r\nLearn all default spells for Game Masters.'),
('learn all_lang',1,'Syntax: .learn all_lang\r\n\r\nLearn all languages'),
('learn all_myclass',3,'Syntax: .learn all_myclass\r\n\r\nLearn all spells and talents available for his class.'),
('learn all_mypettalents',3,'Syntax: .learn all_mypettalents\r\n\r\nLearn all talents for your pet available for his creature type (only for hunter pets).'),
('learn all_myspells',3,'Syntax: .learn all_myspells\r\n\r\nLearn all spells (except talents and spells with first rank learned as talent) available for his class.'),
('learn all_mytalents',3,'Syntax: .learn all_mytalents\r\n\r\nLearn all talents (and spells with first rank learned as talent) available for his class.'),
('learn all_recipes',2,'Syntax: .learn all_recipes [$profession]\r\rLearns all recipes of specified profession and sets skill level to max.\rExample: .learn all_recipes enchanting'),
('levelup',3,'Syntax: .levelup [$playername] [#numberoflevels]\r\n\r\nIncrease/decrease the level of character with $playername (or the selected if not name provided) by #numberoflevels Or +1 if no #numberoflevels provided). If #numberoflevels is omitted, the level will be increase by 1. If #numberoflevels is 0, the same level will be restarted. If no character is selected and name not provided, increase your level. Command can be used for offline character. All stats and dependent VALUESrecalculated. At level decrease talents can be reset if need. Also at level decrease equipped items with greater level requirement can be lost.'),
('linkgrave',3,'Syntax: .linkgrave #graveyard_id [alliance|horde]\r\n\r\nLink current zone to graveyard for any (or alliance/horde faction ghosts). This let character ghost from zone teleport to graveyard after die if graveyard is nearest from linked to zone and accept ghost of this faction. Add only single graveyard at another map and only if no graveyards linked (or planned linked at same map).'),
('list creature',3,'Syntax: .list creature #creature_id [#max_count]\r\n\r\nOutput creatures with creature id #creature_id found in world. Output creature guids and coordinates sorted by distance from character. Will be output maximum #max_count creatures. If #max_count not provided use 10 as default value.'),
('list item',3,'Syntax: .list item #item_id [#max_count]\r\n\r\nOutput items with item id #item_id found in all character inventories, mails, auctions, and guild banks. Output item guids, item owner guid, owner account and owner name (guild name and guid in case guild bank). Will be output maximum #max_count items. If #max_count not provided use 10 as default value.'),
('list object',3,'Syntax: .list object #gameobject_id [#max_count]\r\n\r\nOutput gameobjects with gameobject id #gameobject_id found in world. Output gameobject guids and coordinates sorted by distance from character. Will be output maximum #max_count gameobject. If #max_count not provided use 10 as default value.'),
('list talents',3,'Syntax: .list talents\r\n\r\nShow list all really known (as learned spells) talent rank spells for selected player or self.'),
('loadscripts',3,'Syntax: .loadscripts $scriptlibraryname\r\n\r\nUnload current and load the script library $scriptlibraryname or reload current if $scriptlibraryname omitted, in case you changed it while the server was running.'),
('lookup account email',2,'Syntax: .lookup account email $emailpart [#limit] \r\n\r\n Searchs accounts, which email including $emailpart with optional parametr #limit of results. If #limit not provided expected 100.'),
('lookup account ip',2,'Syntax: lookup account ip $ippart [#limit] \r\n\r\n Searchs accounts, which last used ip inluding $ippart (textual) with optional parametr #$limit of results. If #limit not provided expected 100.'),
('lookup account name',2,'Syntax: .lookup account name $accountpart [#limit] \r\n\r\n Searchs accounts, which username including $accountpart with optional parametr #limit of results. If #limit not provided expected 100.'),
('lookup achievement',2,'Syntax: .lookup $name\r\nLooks up a achievement by $namepart, and returns all matches with their quest ID\'s. Achievement shift-links generated with information about achievment state for selected player. Also for completed achievments in list show complete date.'),
('lookup area',1,'Syntax: .lookup area $namepart\r\n\r\nLooks up an area by $namepart, and returns all matches with their area ID\'s.'),
('lookup creature',3,'Syntax: .lookup creature $namepart\r\n\r\nLooks up a creature by $namepart, and returns all matches with their creature ID\'s.'),
('lookup event',2,'Syntax: .lookup event $name\r\nAttempts to find the ID of the event with the provided $name.'),
('lookup faction',3,'Syntax: .lookup faction $name\r\nAttempts to find the ID of the faction with the provided $name.'),
('lookup item',3,'Syntax: .lookup item $itemname\r\n\r\nLooks up an item by $itemname, and returns all matches with their Item ID\'s.'),
('lookup itemset',3,'Syntax: .lookup itemset $itemname\r\n\r\nLooks up an item set by $itemname, and returns all matches with their Item set ID\'s.'),
('lookup object',3,'Syntax: .lookup object $objname\r\n\r\nLooks up an gameobject by $objname, and returns all matches with their Gameobject ID\'s.'),
('lookup player account',2,'Syntax: .lookup player account $accountpart [#limit] \r\n\r\n Searchs players, which account username including $accountpart with optional parametr #limit of results. If #limit not provided expected 100.'),
('lookup player email',2,'Syntax: .lookup player email $emailpart [#limit] \r\n\r\n Searchs players, which account email including $emailpart with optional parametr #limit of results. If #limit not provided expected 100.'),
('lookup player ip',2,'Syntax: .lookup player ip $ippart [#limit] \r\n\r\n Searchs players, which account last used ip inluding $ippart (textual) with optional parametr #limit of results. If #limit not provided expected 100.'),
('lookup pool',2,'Syntax: .lookup pool $pooldescpart\r\n\r\nList of pools (anywhere) with substring in description.'),
('lookup quest',3,'Syntax: .lookup quest $namepart\r\n\r\nLooks up a quest by $namepart, and returns all matches with their quest ID\'s.'),
('lookup skill',3,'Syntax: .lookup skill $$namepart\r\n\r\nLooks up a skill by $namepart, and returns all matches with their skill ID\'s.'),
('lookup spell',3,'Syntax: .lookup spell $namepart\r\n\r\nLooks up a spell by $namepart, and returns all matches with their spell ID\'s.'),
('lookup taxinode',3,'Syntax: .lookup taxinode $substring\r\n\r\nSearch and output all taxinodes with provide $substring in name.'),
('lookup tele',1,'Syntax: .lookup tele $substring\r\n\r\nSearch and output all .tele command locations with provide $substring in name.'),
('lookup title',2,'Syntax: .lookup title $$namepart\r\n\r\nLooks up a title by $namepart, and returns all matches with their title ID\'s and index\'s.'),
('mailbox',3,'Syntax: .mailbox\r\n\r\nShow your mailbox content.'),
('maxskill',3,'Syntax: .maxskill\r\nSets all skills of the targeted player to their maximum VALUESfor its current level.'),
('modify arena',1,'Syntax: .modify arena #value\r\nAdd $amount arena points to the selected player.'),
('modify aspeed',1,'Syntax: .modify aspeed #rate\r\n\r\nModify all speeds -run,swim,run back,swim back- of the selected player to \"normalbase speed for this move type\"*rate. If no player is selected, modify your speed.\r\n\r\n #rate may range from 0.1 to 10.'),
('modify bwalk',1,'Syntax: .modify bwalk #rate\r\n\r\nModify the speed of the selected player while running backwards to \"normal walk back speed\"*rate. If no player is selected, modify your speed.\r\n\r\n #rate may range from 0.1 to 10.'),
('modify drunk',1,'Syntax: .modify drunk #value\r\n Set drunk level to #value (0..100). Value 0 remove drunk state, 100 is max drunked state.'),
('modify energy',1,'Syntax: .modify energy #energy\r\n\r\nModify the energy of the selected player. If no player is selected, modify your energy.'),
('modify faction',1,'Syntax: .modify faction #factionid #flagid #npcflagid #dynamicflagid\r\n\r\nModify the faction and flags of the selected creature. Without arguments, display the faction and flags of the selected creature.'),
('modify fly', 1, 'Syntax: .modify fly #rate\r\n.fly #rate\r\n\r\nModify the flying speed of the selected player to \"normal base fly speed\"*rate. If no player is selected, modify your fly.\r\n\r\n #rate may range from 0.1 to 10.'),
('modify gender',2,'Syntax: .modify gender male/female\r\n\r\nChange gender of selected player.'),
('modify honor',1,'Syntax: .modify honor $amount\r\n\r\nAdd $amount honor points to the selected player.'),
('modify hp',1,'Syntax: .modify hp #newhp\r\n\r\nModify the hp of the selected player. If no player is selected, modify your hp.'),
('modify mana',1,'Syntax: .modify mana #newmana\r\n\r\nModify the mana of the selected player. If no player is selected, modify your mana.'),
('modify money',1,'Syntax: .modify money #money\r\n.money #money\r\n\r\nAdd or remove money to the selected player. If no player is selected, modify your money.\r\n\r\n #gold can be negative to remove money.'),
('modify morph',2,'Syntax: .modify morph #displayid\r\n\r\nChange your current model id to #displayid.'),
('modify mount',1,'Syntax: .modify mount #id #speed\r\nDisplay selected player as mounted at #id creature and set speed to #speed value.'),
('modify phase',3,'Syntax: .modify phase #phasemask\r\n\r\nSelected character phasemask changed to #phasemask with related world vision update. Change active until in game phase changed, or GM-mode enable/disable, or re-login. Character pts pasemask update to same value.'),
('modify rage',1,'Syntax: .modify rage #newrage\r\n\r\nModify the rage of the selected player. If no player is selected, modify your rage.'),
('modify rep',2,'Syntax: .modify rep #repId (#repvalue | $rankname [#delta])\r\nSets the selected players reputation with faction #repId to #repvalue or to $reprank.\r\nIf the reputation rank name is provided, the resulting reputation will be the lowest reputation for that rank plus the delta amount, if specified.\r\nYou can use \'.pinfo rep\' to list all known reputation ids, or use \'.lookup faction $name\' to locate a specific faction id.'),
('modify runicpower',1,'Syntax: .modify runicpower #newrunicpower\r\n\r\nModify the runic power of the selected player. If no player is selected, modify your runic power.'),
('modify scale',1,'Syntax: .modify scale #scale\r\n\r\nChange model scale for targeted player (util relogin) or creature (until respawn).'),
('modify speed',1,'Syntax: .modify speed #rate\r\n.speed #rate\r\n\r\nModify the running speed of the selected player to \"normal base run speed\"*rate. If no player is selected, modify your speed.\r\n\r\n #rate may range from 0.1 to 10.'),
('modify standstate',2,'Syntax: .modify standstate #emoteid\r\n\r\nChange the emote of your character while standing to #emoteid.'),
('modify swim',1,'Syntax: .modify swim #rate\r\n\r\nModify the swim speed of the selected player to \"normal swim speed\"*rate. If no player is selected, modify your speed.\r\n\r\n #rate may range from 0.1 to 10.'),
('modify tp',1,'Syntax: .modify tp #amount\r\n\r\nSet free talent pointes for selected character or character\'s pet. It will be reset to default expected at next levelup/login/quest reward.'),
('movegens',3,'Syntax: .movegens\r\n  Show movement generators stack for selected creature or player.'),
('mute',1,'Syntax: .mute [$playerName] $timeInMinutes\r\n\r\nDisible chat messaging for any character from account of character $playerName (or currently selected) at $timeInMinutes minutes. Player can be offline.'),
('namego',1,'Syntax: .namego [$charactername]\r\n\r\nTeleport the given character to you. Character can be offline.'),
('neargrave',3,'Syntax: .neargrave [alliance|horde]\r\n\r\nFind nearest graveyard linked to zone (or only nearest from accepts alliance or horde faction ghosts).'),
('notify',1,'Syntax: .notify $MessageToBroadcast\r\n\r\nSend a global message to all players online in screen.'),
('npc add',2,'Syntax: .npc add #creatureid\r\n\r\nSpawn a creature by the given template id of #creatureid.'),
('npc additem',2,'Syntax: .npc additem #itemId <#maxcount><#incrtime><#extendedcost>r\r\n\r\nAdd item #itemid to item list of selected vendor. Also optionally set max count item in vendor item list and time to item count restoring and items ExtendedCost.'),
('npc addmove',2,'Syntax: .npc addmove #creature_guid [#waittime]\r\n\r\nAdd your current location as a waypoint for creature with guid #creature_guid. And optional add wait time.'),
('npc addweapon',3,'Not yet implemented.'),
('npc aiinfo',2,'Syntax: .npc npc aiinfo\r\n\r\nShow npc AI and script information.'),
('npc allowmove',3,'Syntax: .npc allowmove\r\n\r\nEnable or disable movement creatures in world. Not implemented.'),
('npc changelevel',2,'Syntax: .npc changelevel #level\r\n\r\nChange the level of the selected creature to #level.\r\n\r\n#level may range from 1 to 63.'),
('npc delete',2,'Syntax: .npc delete [#guid]\r\n\r\nDelete creature with guid #guid (or the selected if no guid is provided)'),
('npc delitem',2,'Syntax: .npc delitem #itemId\r\n\r\nRemove item #itemid from item list of selected vendor.'),
('npc factionid',2,'Syntax: .npc factionid #factionid\r\n\r\nSet the faction of the selected creature to #factionid.'),
('npc flag',2,'Syntax: .npc flag #npcflag\r\n\r\nSet the NPC flags of creature template of the selected creature and selected creature to #npcflag. NPC flags will applied to all creatures of selected creature template after server restart or grid unload/load.'),
('npc follow',2,'Syntax: .npc follow\r\n\r\nSelected creature start follow you until death/fight/etc.'),
('npc info',3,'Syntax: .npc info\r\n\r\nDisplay a list of details for the selected creature.\r\n\r\nThe list includes:\r\n- GUID, Faction, NPC flags, Entry ID, Model ID,\r\n- Level,\r\n- Health (current/maximum),\r\n\r\n- Field flags, dynamic flags, faction template, \r\n- Position information,\r\n- and the creature type, e.g. if the creature is a vendor.'),
('npc move',2,'Syntax: .npc move [#creature_guid]\r\n\r\nMove the targeted creature spawn point to your coordinates.'),
('npc name',2,'Syntax: .npc name $name\r\n\r\nChange the name of the selected creature or character to $name.\r\n\r\nCommand disabled.'),
('npc playemote',3,'Syntax: .npc playemote #emoteid\r\n\r\nMake the selected creature emote with an emote of id #emoteid.'),
('npc say', 1, 'Syntax: .npc say #text\r\nMake the selected npc says #text.'),
('npc setdeathstate',2,'Syntax: .npc setdeathstate on/off\r\n\r\nSet default death state (dead/alive) for npc at spawn.'),
('npc setmodel',2,'Syntax: .npc setmodel #displayid\r\n\r\nChange the model id of the selected creature to #displayid.'),
('npc setmovetype',2,'Syntax: .npc setmovetype [#creature_guid] stay/random/way [NODEL]\r\n\r\nSet for creature pointed by #creature_guid (or selected if #creature_guid not provided) movement type and move it to respawn position (if creature alive). Any existing waypoints for creature will be removed from the database if you do not use NODEL. If the creature is dead then movement type will applied at creature respawn.\r\nMake sure you use NODEL, if you want to keep the waypoints.'),
('npc setphase',2,'Syntax: .npc setphase #phasemask\r\n\r\nSelected unit or pet phasemask changed to #phasemask with related world vision update for players. In creature case state saved to DB and persistent. In pet case change active until in game phase changed for owner, owner re-login, or GM-mode enable/disable..'),
('npc spawndist',2,'Syntax: .npc spawndist #dist\r\n\r\nAdjust spawndistance of selected creature to dist.'),
('npc spawntime',2,'Syntax: .npc spawntime #time \r\n\r\nAdjust spawntime of selected creature to time.'),
('npc subname',2,'Syntax: .npc subname $Name\r\n\r\nChange the subname of the selected creature or player to $Name.\r\n\r\nCommand disabled.'),
('npc tame',2,'Syntax: .npc tame\r\n\r\nTame selected creature (tameable non pet creature). You don''t must have pet.'),
('npc textemote',1,'Syntax: .npc textemote #emoteid\r\n\r\nMake the selected creature to do textemote with an emote of id #emoteid.'),
('npc whisper',1,'Syntax: .npc whisper #playerguid #text\r\nMake the selected npc whisper #text to  #playerguid.'),
('npc unfollow',2,'Syntax: .npc unfollow\r\n\r\nSelected creature (non pet) stop follow you.'),
('npc yell', 1, 'Syntax: .npc yell #text\r\nMake the selected npc yells #text.'),
('pdump write',3,'Syntax: .pdump write $filename $playerNameOrGUID\r\nWrite character dump with name/guid $playerNameOrGUID to file $filename.'),
('pdump load',3,'Syntax: .pdump load $filename $account [$newname] [$newguid]\r\nLoad character dump from dump file into character list of $account with saved or $newname, with saved (or first free) or $newguid guid.'),
('pinfo',2,'Syntax: .pinfo [$player_name]\r\n\r\nOutput account information for selected player or player find by $player_name.'),
('pool',2,'Syntax: .pool #pool_id\r\n\r\nPool information and full list creatures/gameobjects included in pool.'),
('pool list',2,'Syntax: .pool list\r\n\r\nList of pools with spawn in current map (only work in instances. Non-instanceable maps share pool system state os useless attempt get all pols at all continents.'),
('pool spawns',2,'Syntax: .pool spawns #pool_id\r\n\r\nList current creatures/objects listed in pools (or in specific #pool_id) and spawned (added to grid data, not meaning show in world.'),
('quest add',3,'Syntax: .quest add #quest_id\r\n\r\nAdd to character quest log quest #quest_id. Quest started from item can\'t be added by this command but correct .additem call provided in command output.'),
('quest complete',3,'Syntax: .quest complete #questid\r\nMark all quest objectives as completed for target character active quest. After this target character can go and get quest reward.'),
('quest remove',3,'Syntax: .quest remove #quest_id\r\n\r\nSet quest #quest_id state to not completed and not active (and remove from active quest list) for selected player.'),
('quit',4,'Syntax: quit\r\n\r\nClose RA connection. Command must be typed fully (quit).'),
('recall',1,'Syntax: .recall [$playername]\r\n\r\nTeleport $playername or selected player to the place where he has been before last use of a teleportation command. If no $playername is entered and no player is selected, it will teleport you.'),
('reload all',3,'Syntax: .reload all\r\n\r\nReload all tables with reload support added and that can be _safe_ reloaded.'),
('reload all_achievement',3,'Syntax: .reload all_achievement\r\n\r\nReload all `achievement_*` tables if reload support added for this table and this table can be _safe_ reloaded.'),
('reload all_area',3,'Syntax: .reload all_area\r\n\r\nReload all `areatrigger_*` tables if reload support added for this table and this table can be _safe_ reloaded.'),
('reload all_eventai',3,'Syntax: .reload all_eventai\r\n\r\nReload `creature_ai_*` tables if reload support added for these tables and these tables can be _safe_ reloaded.'),
('reload all_item',3,'Syntax: .reload all_item\r\n\r\nReload `item_required_target`, `page_texts` and `item_enchantment_template` tables.'),
('reload all_locales',3,'Syntax: .reload all_locales\r\n\r\nReload all `locales_*` tables with reload support added and that can be _safe_ reloaded.'),
('reload all_loot',3,'Syntax: .reload all_loot\r\n\r\nReload all `*_loot_template` tables. This can be slow operation with lags for server run.'),
('reload all_npc',3,'Syntax: .reload all_npc\r\n\r\nReload `points_of_interest` and `npc_*` tables if reload support added for these tables and these tables can be _safe_ reloaded.'),
('reload all_quest',3,'Syntax: .reload all_quest\r\n\r\nReload all quest related tables if reload support added for this table and this table can be _safe_ reloaded.'),
('reload all_spell',3,'Syntax: .reload all_spell\r\n\r\nReload all `spell_*` tables with reload support added and that can be _safe_ reloaded.'),
('reload all_scripts',3,'Syntax: .reload all_scripts\r\n\r\nReload `*_scripts` tables.'),
('reload config',3,'Syntax: .reload config\r\n\r\nReload config settings (by default stored in mangosd.conf). Not all settings can be change at reload: some new setting values will be ignored until restart, some values will applied with delay or only to new objects/maps, some values will explicitly rejected to change at reload.'),
('repairitems',2,'Syntax: .repairitems\r\n\r\nRepair all selected player''s items.'),
('reset achievements',3,'Syntax: .reset achievements [$playername]\r\n\r\nReset achievements data for selected or named (online or offline) character. Achievements for persistance progress data like completed quests/etc re-filled at reset. Achievements for events like kills/casts/etc will lost.'),
('reset all',3,'Syntax: .reset all spells\r\n\r\nSyntax: .reset all talents\r\n\r\nRequest reset spells or talents (including talents for all character\'s pets if any) at next login each existed character.'),
('reset honor',3,'Syntax: .reset honor [Playername]\r\n  Reset all honor data for targeted character.'),
('reset level',3,'Syntax: .reset level [Playername]\r\n  Reset level to 1 including reset stats and talents.  Equipped items with greater level requirement can be lost.'),
('reset spells',3,'Syntax: .reset spells [Playername]\r\n  Removes all non-original spells from spellbook.\r\n. Playername can be name of offline character.'),
('reset stats',3,'Syntax: .reset stats [Playername]\r\n  Resets(recalculate) all stats of the targeted player to their original VALUESat current level.'),
('reset specs',3,'Syntax: .reset specs [Playername]\r\n  Removes all talents (for all specs) of the targeted player or named player. Playername can be name of offline character. With player talents also will be reset talents for all character\'s pets if any.'),
('reset talents',3,'Syntax: .reset talents [Playername]\r\n  Removes all talents (current spec) of the targeted player or pet or named player. With player talents also will be reset talents for all character\'s pets if any.'),
('respawn',3,'Syntax: .respawn\r\n\r\nRespawn selected creature or respawn all nearest creatures (if none selected) and GO without waiting respawn time expiration.'),
('revive',3,'Syntax: .revive\r\n\r\nRevive the selected player. If no player is selected, it will revive you.'),
('save',0,'Syntax: .save\r\n\r\nSaves your character.'),
('saveall',1,'Syntax: .saveall\r\n\r\nSave all characters in game.'),
('send items',3,'Syntax: .send items #playername "#subject" "#text" itemid1[:count1] itemid2[:count2] ... itemidN[:countN]\r\n\r\nSend a mail to a player. Subject and mail text must be in "". If for itemid not provided related count values then expected 1, if count > max items in stack then items will be send in required amount stacks. All stacks amount in mail limited to 12.'),
('send mail',1,'Syntax: .send mail #playername "#subject" "#text"\r\n\r\nSend a mail to a player. Subject and mail text must be in "".'),
('send mass items',3,'Syntax: .send mass items #racemask|$racename|alliance|horde|all "#subject" "#text" itemid1[:count1] itemid2[:count2] ... itemidN[:countN]\r\n\r\nSend a mail to players. Subject and mail text must be in "". If for itemid not provided related count values then expected 1, if count > max items in stack then items will be send in required amount stacks. All stacks amount in mail limited to 12.'),
('send mass mail',3,'Syntax: .send mass mail #racemask|$racename|alliance|horde|all "#subject" "#text"\r\n\r\nSend a mail to players. Subject and mail text must be in "".'),
('send mass money','3','Syntax: .send mass money #racemask|$racename|alliance|horde|all "#subject" "#text" #money\r\n\r\nSend mail with money to players. Subject and mail text must be in "".'),
('send message',3,'Syntax: .send message $playername $message\r\n\r\nSend screen message to player from ADMINISTRATOR.'),
('send money','3','Syntax: .send money #playername "#subject" "#text" #money\r\n\r\nSend mail with money to a player. Subject and mail text must be in "".'),
('server corpses',2,'Syntax: .server corpses\r\n\r\nTriggering corpses expire check in world.'),
('server exit',4,'Syntax: .server exit\r\n\r\nTerminate mangosd NOW. Exit code 0.'),
('server info',0,'Syntax: .server info\r\n\r\nDisplay server version and the number of connected players.'),
('server idleshutdown',3,'Syntax: .server idleshutdown #delay [#exist_code]\r\n\r\nShut the server down after #delay seconds if no active connections are present (no players). Use #exist_code or 0 as program exist code.'),
('server idleshutdown cancel',3,'Syntax: .server idleshutdown cancel\r\n\r\nCancel the restart/shutdown timer if any.'),
('server idlerestart',3,'Syntax: .server idlerestart #delay\r\n\r\nRestart the server after #delay seconds if no active connections are present (no players). Use #exist_code or 2 as program exist code.'),
('server idlerestart cancel',3,'Syntax: .server idlerestart cancel\r\n\r\nCancel the restart/shutdown timer if any.'),
('server log filter',4,'Syntax: .server log filter [($filtername|all) (on|off)]\r\n\r\nShow or set server log filters. If used "all" then all filters will be set to on/off state.'),
('server log level',4,'Syntax: .server log level [#level]\r\n\r\nShow or set server log level (0 - errors only, 1 - basic, 2 - detail, 3 - debug).'),
('server motd',0,'Syntax: .server motd\r\n\r\nShow server Message of the day.'),
('server plimit',3,'Syntax: .server plimit [#num|-1|-2|-3|reset|player|moderator|gamemaster|administrator]\r\n\r\nWithout arg show current player amount and security level limitations for login to server, with arg set player linit ($num > 0) or securiti limitation ($num < 0 or security leme name. With `reset` sets player limit to the one in the config file'),
('server restart',3,'Syntax: .server restart #delay\r\n\r\nRestart the server after #delay seconds. Use #exist_code or 2 as program exist code.'),
('server restart cancel',3,'Syntax: .server restart cancel\r\n\r\nCancel the restart/shutdown timer if any.'),
('server set motd',3,'Syntax: .server set motd $MOTD\r\n\r\nSet server Message of the day.'),
('server shutdown',3,'Syntax: .server shutdown #delay [#exit_code]\r\n\r\nShut the server down after #delay seconds. Use #exit_code or 0 as program exit code.'),
('server shutdown cancel',3,'Syntax: .server shutdown cancel\r\n\r\nCancel the restart/shutdown timer if any.'),
('setskill',3,'Syntax: .setskill #skill #level [#max]\r\n\r\nSet a skill of id #skill with a current skill value of #level and a maximum value of #max (or equal current maximum if not provide) for the selected character. If no character is selected, you learn the skill.'),
('showarea',3,'Syntax: .showarea #areaid\r\n\r\nReveal the area of #areaid to the selected character. If no character is selected, reveal this area to you.'),
('stable',3,'Syntax: .stable\r\n\r\nShow your pet stable.'),
('start',0,'Syntax: .start\r\n\r\nTeleport you to the starting area of your character.'),
('taxicheat',1,'Syntax: .taxicheat on/off\r\n\r\nTemporary grant access or remove to all taxi routes for the selected character. If no character is selected, hide or reveal all routes to you.\r\n\r\nVisited taxi nodes sill accessible after removing access.'),
('tele',1,'Syntax: .tele #location\r\n\r\nTeleport player to a given location.'),
('tele add',3,'Syntax: .tele add $name\r\n\r\nAdd current your position to .tele command target locations list with name $name.'),
('tele del',3,'Syntax: .tele del $name\r\n\r\nRemove location with name $name for .tele command locations list.'),
('tele group',1,'Syntax: .tele group#location\r\n\r\nTeleport a selected player and his group members to a given location.'),
('tele name',1,'Syntax: .tele name [#playername] #location\r\n\r\nTeleport the given character to a given location. Character can be offline.'),
('ticket',2,'Syntax: .ticket on\r\n        .ticket off\r\n        .ticket #num\r\n        .ticket $character_name\r\n        .ticket respond #num $response\r\n        .ticket respond $character_name $response\r\n\r\non/off for GMs to show or not a new ticket directly, $character_name to show ticket of this character, #num to show ticket #num.'),
('titles add',2,'Syntax: .titles add #title\r\nAdd title #title (id or shift-link) to known titles list for selected player.'),
('titles current',2,'Syntax: .titles current #title\r\nSet title #title (id or shift-link) as current selected titl for selected player. If title not in known title list for player then it will be added to list.'),
('titles remove',2,'Syntax: .titles remove #title\r\nRemove title #title (id or shift-link) from known titles list for selected player.'),
('titles setmask',2,'Syntax: .titles setmask #mask\r\n\r\nAllows user to use all titles from #mask.\r\n\r\n #mask=0 disables the title-choose-field'),
('trigger',2,'Syntax: .trigger [#trigger_id|$trigger_shift-link|$trigger_target_shift-link]\r\n\r\nShow detail infor about areatrigger with id #trigger_id or trigger id associated with shift-link. If areatrigger id or shift-link not provided then selected nearest areatrigger at current map.'),
('trigger active',2,'Syntax: .trigger active\r\n\r\nShow list of areatriggers with activation zone including current character position.'),
('trigger near',2,'Syntax: .trigger near [#distance]\r\n\r\nOutput areatriggers at distance #distance from player. If #distance not provided use 10 as default value.'),
('unaura',3,'Syntax: .unaura #spellid\r\n\r\nRemove aura due to spell #spellid from the selected Unit.'),
('unban account',3,'Syntax: .unban account $Name\r\nUnban accounts for account name pattern.'),
('unban character',3,'Syntax: .unban character $Name\r\nUnban accounts for character name pattern.'),
('unban ip',3,'Syntax : .unban ip $Ip\r\nUnban accounts for IP pattern.'),
('unlearn',3,'Syntax: .unlearn #spell [all]\r\n\r\nUnlearn for selected player a spell #spell.  If \'all\' provided then all ranks unlearned.'),
('unmute',1,'Syntax: .unmute $playerName\r\n\r\nRestore chat messaging for any character from account of character $playerName.'),
('waterwalk',2,'Syntax: .waterwalk on/off\r\n\r\nSet on/off waterwalk state for selected player.'),
('wchange',3,'Syntax: .wchange #weathertype #status\r\n\r\nSet current weather to #weathertype with an intensity of #status.\r\n\r\n#weathertype can be 1 for rain, 2 for snow, and 3 for sand. #status can be 0 for disabled, and 1 for enabled.'),
('whispers',1,'Syntax: .whispers on|off\r\nEnable/disable accepting whispers by GM from players. By default use mangosd.conf setting.'),
('wp add',2,'Syntax: .wp add [#creature_guid or Select a Creature]'),
('wp export',3,'Syntax: .wp export [#creature_guid or Select a Creature] $filename'),
('wp import',3,'Syntax: .wp import $filename'),
('wp modify',2,'Syntax: .wp modify [#creature_guid or Select a Creature]\r\nadd - Add a waypoint after the selected visual\r\nwaittime $time\r\nemote ID\r\nspell ID\r\ntext1| text2| text3| text4| text5 <text>\r\nmodel1 ID\r\nmodel2 ID\r\nmove(moves wp to player pos)\r\ndel (deletes the wp)\r\n\r\nOnly one parameter per time!'),
('wp show',2,'Syntax: .wp show [#creature_guid or Select a Creature]\r\non\r\nfirst\r\nlast\r\noff\r\ninfo\r\n\r\nFor using info you have to do first show on and than select a Visual-Waypoint and do the show info!');
/*!40000 ALTER TABLE `command` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `conditions`
--
DROP TABLE IF EXISTS `conditions`;
CREATE TABLE `conditions` (
  `condition_entry` mediumint(8) unsigned NOT NULL auto_increment COMMENT 'Identifier',
  `type` tinyint(3) signed NOT NULL DEFAULT '0' COMMENT 'Type of the condition',
  `value1` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'data field one for the condition',
  `value2` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'data field two for the condition',
  PRIMARY KEY  (`condition_entry`),
  CONSTRAINT unique_conditions UNIQUE (type,value1,value2)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Condition System';

--
-- Dumping data for table `conditions`
--
LOCK TABLES `conditions` WRITE;
/*!40000 ALTER TABLE `conditions` DISABLE KEYS */;
/*!40000 ALTER TABLE `conditions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature`
--

DROP TABLE IF EXISTS `creature`;
CREATE TABLE `creature` (
  `guid` int(10) unsigned NOT NULL auto_increment COMMENT 'Global Unique Identifier',
  `id` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Creature Identifier',
  `map` smallint(5) unsigned NOT NULL default '0' COMMENT 'Map Identifier',
  `spawnMask` tinyint(3) unsigned NOT NULL default '1',
  `phaseMask` smallint(5) unsigned NOT NULL default '1',
  `modelid` mediumint(8) unsigned NOT NULL default '0',
  `equipment_id` mediumint(9) NOT NULL default '0',
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `orientation` float NOT NULL default '0',
  `spawntimesecs` int(10) unsigned NOT NULL default '120',
  `spawndist` float NOT NULL default '5',
  `currentwaypoint` mediumint(8) unsigned NOT NULL default '0',
  `curhealth` int(10) unsigned NOT NULL default '1',
  `curmana` int(10) unsigned NOT NULL default '0',
  `DeathState` tinyint(3) unsigned NOT NULL default '0',
  `MovementType` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`guid`),
  KEY `idx_map` (`map`),
  KEY `index_id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Creature System';

--
-- Dumping data for table `creature`
--

LOCK TABLES `creature` WRITE;
/*!40000 ALTER TABLE `creature` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_addon`
--

DROP TABLE IF EXISTS `creature_addon`;
CREATE TABLE `creature_addon` (
  `guid` int(10) unsigned NOT NULL default '0',
  `mount` mediumint(8) unsigned NOT NULL default '0',
  `bytes1` int(10) unsigned NOT NULL default '0',
  `b2_0_sheath` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `b2_1_pvp_state` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `emote` int(10) unsigned NOT NULL default '0',
  `moveflags` int(10) unsigned NOT NULL default '0',
  `auras` text,
  PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `creature_addon`
--

LOCK TABLES `creature_addon` WRITE;
/*!40000 ALTER TABLE `creature_addon` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_addon` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_battleground`
--

DROP TABLE IF EXISTS `creature_battleground`;
CREATE TABLE `creature_battleground` (
    `guid` int(10) unsigned NOT NULL COMMENT 'Creature\'s GUID',
    `event1` tinyint(3) unsigned NOT NULL COMMENT 'main event',
    `event2` tinyint(3) unsigned NOT NULL COMMENT 'sub event',
    PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Creature battleground indexing system';

--
-- Dumping data for table `creature_battleground`
--

LOCK TABLES `creature_battleground` WRITE;
/*!40000 ALTER TABLE `creature_battleground` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_battleground` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_equip_template`
--

DROP TABLE IF EXISTS `creature_equip_template`;
CREATE TABLE `creature_equip_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Unique entry',
  `equipentry1` mediumint(8) unsigned NOT NULL default '0',
  `equipentry2` mediumint(8) unsigned NOT NULL default '0',
  `equipentry3` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Creature System (Equipment)';

--
-- Dumping data for table `creature_equip_template`
--

LOCK TABLES `creature_equip_template` WRITE;
/*!40000 ALTER TABLE `creature_equip_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_equip_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_involvedrelation`
--

DROP TABLE IF EXISTS `creature_involvedrelation`;
CREATE TABLE `creature_involvedrelation` (
  `id` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `quest` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Quest Identifier',
  PRIMARY KEY  (`id`,`quest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature System';

--
-- Dumping data for table `creature_involvedrelation`
--

LOCK TABLES `creature_involvedrelation` WRITE;
/*!40000 ALTER TABLE `creature_involvedrelation` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_involvedrelation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_linking`
--

DROP TABLE IF EXISTS creature_linking;
CREATE TABLE `creature_linking` (
  `guid` int(10) UNSIGNED NOT NULL COMMENT 'creature.guid of the slave mob that is linked',
  `master_guid` int(10) UNSIGNED NOT NULL COMMENT 'master to trigger events',
  `flag` mediumint(8) UNSIGNED NOT NULL COMMENT 'flag - describing what should happen when',
  PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature Linking System';


--
-- Dumping data for table `creature_linking`
--

LOCK TABLES `creature_linking` WRITE;
/*!40000 ALTER TABLE `creature_linking` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_linking` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_linking_template`
--

DROP TABLE IF EXISTS creature_linking_template;
CREATE TABLE `creature_linking_template` (
  `entry` mediumint(8) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'creature_template.entry of the slave mob that is linked',
  `map` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'Id of map of the mobs',
  `master_entry` mediumint(8) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'master to trigger events',
  `flag` mediumint(8) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'flag - describing what should happen when',
  `search_range` mediumint(8) UNSIGNED NOT NULL DEFAULT '0' COMMENT 'search_range - describing in which range (spawn-coords) master and slave are linked together',
  PRIMARY KEY  (`entry`,`map`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature Linking System';


--
-- Dumping data for table `creature_linking_template`
--

LOCK TABLES `creature_linking_template` WRITE;
/*!40000 ALTER TABLE `creature_linking_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_linking_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_loot_template`
--

DROP TABLE IF EXISTS `creature_loot_template`;
CREATE TABLE `creature_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0' COMMENT 'entry 0 used for player insignia loot',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `creature_loot_template`
--

LOCK TABLES `creature_loot_template` WRITE;
/*!40000 ALTER TABLE `creature_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_model_info`
--

DROP TABLE IF EXISTS `creature_model_info`;
CREATE TABLE `creature_model_info` (
  `modelid` mediumint(8) unsigned NOT NULL default '0',
  `bounding_radius` float NOT NULL default '0',
  `combat_reach` float NOT NULL default '0',
  `gender` tinyint(3) unsigned NOT NULL default '2',
  `modelid_other_gender` mediumint(8) unsigned NOT NULL default '0',
  `modelid_alternative` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`modelid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Creature System (Model related info)';

--
-- Dumping data for table `creature_model_info`
--

LOCK TABLES `creature_model_info` WRITE;
/*!40000 ALTER TABLE `creature_model_info` DISABLE KEYS */;
INSERT INTO `creature_model_info` VALUES
(49, 0.3060, 1.5, 0, 50, 0),
(50, 0.2080, 1.5, 1, 49, 0),
(51, 0.3720, 1.5, 0, 52, 0),
(52, 0.2360, 1.5, 1, 51, 0),
(53, 0.3470, 1.5, 0, 54, 0),
(54, 0.3470, 1.5, 1, 53, 0),
(55, 0.3890, 1.5, 0, 56, 0),
(56, 0.3060, 1.5, 1, 55, 0),
(57, 0.3830, 1.5, 0, 58, 0),
(58, 0.3830, 1.5, 1, 57, 0),
(59, 0.9747, 1.5, 0, 60, 0),
(60, 0.8725, 1.5, 1, 59, 0),
(1478, 0.3060, 1.5, 0, 1479, 0),
(1479, 0.3060, 1.5, 1, 1478, 0),
(1563, 0.3519, 1.5, 0, 1564, 0),
(1564, 0.3519, 1.5, 1, 1563, 0),
(10045, 1.0000, 1.5, 2, 0, 0),
(15475, 0.3830, 1.5, 1, 15476, 0),
(15476, 0.3830, 1.5, 0, 15475, 0),
(16125, 1.0000, 1.5, 0, 16126, 0),
(16126, 1.0000, 1.5, 1, 16125, 0);
/*!40000 ALTER TABLE `creature_model_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_model_race`
--

DROP TABLE IF EXISTS `creature_model_race`;
CREATE TABLE `creature_model_race` (
  `modelid` mediumint(8) unsigned NOT NULL default '0',
  `racemask` mediumint(8) unsigned NOT NULL default '0',
  `creature_entry` mediumint(8) unsigned NOT NULL default '0' COMMENT 'option 1, modelid_N from creature_template',
  `modelid_racial` mediumint(8) unsigned NOT NULL default '0' COMMENT 'option 2, explicit modelid',
  PRIMARY KEY  (`modelid`,`racemask`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Model system';

--
-- Dumping data for table `creature_model_race`
--

LOCK TABLES `creature_model_race` WRITE;
/*!40000 ALTER TABLE `creature_model_race` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_model_race` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_movement`
--

DROP TABLE IF EXISTS `creature_movement`;
CREATE TABLE `creature_movement` (
  `id` int(10) unsigned NOT NULL COMMENT 'Creature GUID',
  `point` mediumint(8) unsigned NOT NULL default '0',
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `waittime` int(10) unsigned NOT NULL default '0',
  `script_id` mediumint(8) unsigned NOT NULL default '0',
  `textid1` int(11) NOT NULL default '0',
  `textid2` int(11) NOT NULL default '0',
  `textid3` int(11) NOT NULL default '0',
  `textid4` int(11) NOT NULL default '0',
  `textid5` int(11) NOT NULL default '0',
  `emote` mediumint(8) unsigned NOT NULL default '0',
  `spell` mediumint(8) unsigned NOT NULL default '0',
  `wpguid` int(11) NOT NULL default '0',
  `orientation` float NOT NULL default '0',
  `model1` mediumint(9) NOT NULL default '0',
  `model2` mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (`id`,`point`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature System';

--
-- Dumping data for table `creature_movement`
--

LOCK TABLES `creature_movement` WRITE;
/*!40000 ALTER TABLE `creature_movement` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_movement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_movement_scripts`
--

DROP TABLE IF EXISTS `creature_movement_scripts`;
CREATE TABLE `creature_movement_scripts` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `delay` int(10) unsigned NOT NULL default '0',
  `command` mediumint(8) unsigned NOT NULL default '0',
  `datalong` mediumint(8) unsigned NOT NULL default '0',
  `datalong2` int(10) unsigned NOT NULL default '0',
  `buddy_entry` int(10) unsigned NOT NULL default '0',
  `search_radius` int(10) unsigned NOT NULL default '0',
  `data_flags` tinyint(3) unsigned NOT NULL default '0',
  `dataint` int(11) NOT NULL default '0',
  `dataint2` int(11) NOT NULL default '0',
  `dataint3` int(11) NOT NULL default '0',
  `dataint4` int(11) NOT NULL default '0',
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0',
  `comments` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `creature_movement_scripts`
--

LOCK TABLES `creature_movement_scripts` WRITE;
/*!40000 ALTER TABLE `creature_movement_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_movement_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_movement_template`
--

DROP TABLE IF EXISTS `creature_movement_template`;
CREATE TABLE `creature_movement_template` (
  `entry` mediumint(8) unsigned NOT NULL COMMENT 'Creature entry',
  `point` mediumint(8) unsigned NOT NULL default '0',
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `waittime` int(10) unsigned NOT NULL default '0',
  `script_id` mediumint(8) unsigned NOT NULL default '0',
  `textid1` int(11) NOT NULL default '0',
  `textid2` int(11) NOT NULL default '0',
  `textid3` int(11) NOT NULL default '0',
  `textid4` int(11) NOT NULL default '0',
  `textid5` int(11) NOT NULL default '0',
  `emote` mediumint(8) unsigned NOT NULL default '0',
  `spell` mediumint(8) unsigned NOT NULL default '0',
  `wpguid` int(11) NOT NULL default '0',
  `orientation` float NOT NULL default '0',
  `model1` mediumint(9) NOT NULL default '0',
  `model2` mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (`entry`,`point`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature waypoint system';

--
-- Dumping data for table `creature_movement_template`
--

LOCK TABLES `creature_movement_template` WRITE;
/*!40000 ALTER TABLE `creature_movement_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_movement_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_onkill_reputation`
--

DROP TABLE IF EXISTS `creature_onkill_reputation`;
CREATE TABLE `creature_onkill_reputation` (
  `creature_id` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Creature Identifier',
  `RewOnKillRepFaction1` smallint(6) NOT NULL default '0',
  `RewOnKillRepFaction2` smallint(6) NOT NULL default '0',
  `MaxStanding1` tinyint(4) NOT NULL default '0',
  `IsTeamAward1` tinyint(4) NOT NULL default '0',
  `RewOnKillRepValue1` mediumint(9) NOT NULL default '0',
  `MaxStanding2` tinyint(4) NOT NULL default '0',
  `IsTeamAward2` tinyint(4) NOT NULL default '0',
  `RewOnKillRepValue2` mediumint(9) NOT NULL default '0',
  `TeamDependent` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`creature_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Creature OnKill Reputation gain';

--
-- Dumping data for table `creature_onkill_reputation`
--

LOCK TABLES `creature_onkill_reputation` WRITE;
/*!40000 ALTER TABLE `creature_onkill_reputation` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_onkill_reputation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_questrelation`
--

DROP TABLE IF EXISTS `creature_questrelation`;
CREATE TABLE `creature_questrelation` (
  `id` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `quest` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Quest Identifier',
  PRIMARY KEY  (`id`,`quest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature System';

--
-- Dumping data for table `creature_questrelation`
--

LOCK TABLES `creature_questrelation` WRITE;
/*!40000 ALTER TABLE `creature_questrelation` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_questrelation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_template`
--

DROP TABLE IF EXISTS `creature_template`;
CREATE TABLE `creature_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `difficulty_entry_1` mediumint(8) unsigned NOT NULL default '0',
  `difficulty_entry_2` mediumint(8) unsigned NOT NULL default '0',
  `difficulty_entry_3` mediumint(8) unsigned NOT NULL default '0',
  `KillCredit1` int(11) unsigned NOT NULL default '0',
  `KillCredit2` int(11) unsigned NOT NULL default '0',
  `modelid_1` mediumint(8) unsigned NOT NULL default '0',
  `modelid_2` mediumint(8) unsigned NOT NULL default '0',
  `modelid_3` mediumint(8) unsigned NOT NULL default '0',
  `modelid_4` mediumint(8) unsigned NOT NULL default '0',
  `name` char(100) NOT NULL default '0',
  `subname` char(100) default NULL,
  `IconName` char(100) default NULL,
  `gossip_menu_id` mediumint(8) unsigned NOT NULL default '0',
  `minlevel` tinyint(3) unsigned NOT NULL default '1',
  `maxlevel` tinyint(3) unsigned NOT NULL default '1',
  `minhealth` int(10) unsigned NOT NULL default '0',
  `maxhealth` int(10) unsigned NOT NULL default '0',
  `minmana` int(10) unsigned NOT NULL default '0',
  `maxmana` int(10) unsigned NOT NULL default '0',
  `armor` mediumint(8) unsigned NOT NULL default '0',
  `faction_A` smallint(5) unsigned NOT NULL default '0',
  `faction_H` smallint(5) unsigned NOT NULL default '0',
  `npcflag` int(10) unsigned NOT NULL default '0',
  `speed_walk` float NOT NULL default '1' COMMENT 'Result of 2.5/2.5, most common value',
  `speed_run` float NOT NULL default '1.14286' COMMENT 'Result of 8.0/7.0, most common value',
  `scale` float NOT NULL default '1',
  `rank` tinyint(3) unsigned NOT NULL default '0',
  `mindmg` float NOT NULL default '0',
  `maxdmg` float NOT NULL default '0',
  `dmgschool` tinyint(4) NOT NULL default '0',
  `attackpower` int(10) unsigned NOT NULL default '0',
  `dmg_multiplier` float NOT NULL default '1',
  `baseattacktime` int(10) unsigned NOT NULL default '0',
  `rangeattacktime` int(10) unsigned NOT NULL default '0',
  `unit_class` tinyint(3) unsigned NOT NULL default '0',
  `unit_flags` int(10) unsigned NOT NULL default '0',
  `dynamicflags` int(10) unsigned NOT NULL default '0',
  `family` tinyint(4) NOT NULL default '0',
  `trainer_type` tinyint(4) NOT NULL default '0',
  `trainer_spell` mediumint(8) unsigned NOT NULL default '0',
  `trainer_class` tinyint(3) unsigned NOT NULL default '0',
  `trainer_race` tinyint(3) unsigned NOT NULL default '0',
  `minrangedmg` float NOT NULL default '0',
  `maxrangedmg` float NOT NULL default '0',
  `rangedattackpower` smallint(5) unsigned NOT NULL default '0',
  `type` tinyint(3) unsigned NOT NULL default '0',
  `type_flags` int(10) unsigned NOT NULL default '0',
  `lootid` mediumint(8) unsigned NOT NULL default '0',
  `pickpocketloot` mediumint(8) unsigned NOT NULL default '0',
  `skinloot` mediumint(8) unsigned NOT NULL default '0',
  `resistance1` smallint(5) NOT NULL default '0',
  `resistance2` smallint(5) NOT NULL default '0',
  `resistance3` smallint(5) NOT NULL default '0',
  `resistance4` smallint(5) NOT NULL default '0',
  `resistance5` smallint(5) NOT NULL default '0',
  `resistance6` smallint(5) NOT NULL default '0',
  `spell1` mediumint(8) unsigned NOT NULL default '0',
  `spell2` mediumint(8) unsigned NOT NULL default '0',
  `spell3` mediumint(8) unsigned NOT NULL default '0',
  `spell4` mediumint(8) unsigned NOT NULL default '0',
  `PetSpellDataId` mediumint(8) unsigned NOT NULL default '0',
  `mingold` mediumint(8) unsigned NOT NULL default '0',
  `maxgold` mediumint(8) unsigned NOT NULL default '0',
  `AIName` char(64) NOT NULL default '',
  `MovementType` tinyint(3) unsigned NOT NULL default '0',
  `InhabitType` tinyint(3) unsigned NOT NULL default '3',
  `unk16` float NOT NULL default '1',
  `unk17` float NOT NULL default '1',
  `RacialLeader` tinyint(3) unsigned NOT NULL default '0',
  `questItem1` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `questItem2` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `questItem3` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `questItem4` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `questItem5` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `questItem6` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `movementId` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `RegenHealth` tinyint(3) unsigned NOT NULL default '1',
  `vehicle_id` mediumint(8) unsigned NOT NULL default '0',
  `equipment_id` mediumint(8) unsigned NOT NULL default '0',
  `trainer_id` mediumint(8) unsigned NOT NULL default '0',
  `vendor_id` mediumint(8) unsigned NOT NULL default '0',
  `mechanic_immune_mask` int(10) unsigned NOT NULL default '0',
  `flags_extra` int(10) unsigned NOT NULL default '0',
  `ScriptName` char(64) NOT NULL default '',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature System';

--
-- Dumping data for table `creature_template`
--

LOCK TABLES `creature_template` WRITE;
/*!40000 ALTER TABLE `creature_template` DISABLE KEYS */;
INSERT INTO `creature_template` VALUES
(1,0,0,0,0,0,10045,0,0,0,'Waypoint(Only GM can see it)','Visual',NULL,0,1,1,64,64,0,0,5,35,35,0,0.91,1.14286,1,0,2,3,0,10,1,2000,2200,8,4096,0,0,0,0,0,0,1,2,100,8,5242886,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,7,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,130,'');
/*!40000 ALTER TABLE `creature_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_template_addon`
--

DROP TABLE IF EXISTS `creature_template_addon`;
CREATE TABLE `creature_template_addon` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `mount` mediumint(8) unsigned NOT NULL default '0',
  `bytes1` int(10) unsigned NOT NULL default '0',
  `b2_0_sheath` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `b2_1_pvp_state` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `emote` mediumint(8) unsigned NOT NULL default '0',
  `moveflags` int(10) unsigned NOT NULL default '0',
  `auras` text,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `creature_template_addon`
--

LOCK TABLES `creature_template_addon` WRITE;
/*!40000 ALTER TABLE `creature_template_addon` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_template_addon` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `db_script_string`
--

DROP TABLE IF EXISTS `db_script_string`;
CREATE TABLE `db_script_string` (
  `entry` int(11) unsigned NOT NULL default '0',
  `content_default` text NOT NULL,
  `content_loc1` text,
  `content_loc2` text,
  `content_loc3` text,
  `content_loc4` text,
  `content_loc5` text,
  `content_loc6` text,
  `content_loc7` text,
  `content_loc8` text,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `db_script_string`
--

LOCK TABLES `db_script_string` WRITE;
/*!40000 ALTER TABLE `db_script_string` DISABLE KEYS */;
/*!40000 ALTER TABLE `db_script_string` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `disenchant_loot_template`
--

DROP TABLE IF EXISTS `disenchant_loot_template`;
CREATE TABLE `disenchant_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Recommended id selection: item_level*100 + item_quality',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `disenchant_loot_template`
--

LOCK TABLES `disenchant_loot_template` WRITE;
/*!40000 ALTER TABLE `disenchant_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `disenchant_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_ai_scripts`
--

DROP TABLE IF EXISTS `creature_ai_scripts`;
CREATE TABLE `creature_ai_scripts` (
  `id` int(11) unsigned NOT NULL COMMENT 'Identifier' AUTO_INCREMENT,
  `creature_id` int(11) unsigned NOT NULL default '0' COMMENT 'Creature Template Identifier',
  `event_type` tinyint(5) unsigned NOT NULL default '0' COMMENT 'Event Type',
  `event_inverse_phase_mask` int(11) signed NOT NULL default '0' COMMENT 'Mask which phases this event will not trigger in',
  `event_chance` int(3) unsigned NOT NULL default '100',
  `event_flags` int(3) unsigned NOT NULL default '0',
  `event_param1` int(11) signed NOT NULL default '0',
  `event_param2` int(11) signed NOT NULL default '0',
  `event_param3` int(11) signed NOT NULL default '0',
  `event_param4` int(11) signed NOT NULL default '0',
  `action1_type` tinyint(5) unsigned NOT NULL default '0' COMMENT 'Action Type',
  `action1_param1` int(11) signed NOT NULL default '0',
  `action1_param2` int(11) signed NOT NULL default '0',
  `action1_param3` int(11) signed NOT NULL default '0',
  `action2_type` tinyint(5) unsigned NOT NULL default '0' COMMENT 'Action Type',
  `action2_param1` int(11) signed NOT NULL default '0',
  `action2_param2` int(11) signed NOT NULL default '0',
  `action2_param3` int(11) signed NOT NULL default '0',
  `action3_type` tinyint(5) unsigned NOT NULL default '0' COMMENT 'Action Type',
  `action3_param1` int(11) signed NOT NULL default '0',
  `action3_param2` int(11) signed NOT NULL default '0',
  `action3_param3` int(11) signed NOT NULL default '0',
  `comment` varchar(255) NOT NULL default '' COMMENT 'Event Comment',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='EventAI Scripts';

--
-- Dumping data for table `creature_ai_scripts`
--

LOCK TABLES `creature_ai_scripts` WRITE;
/*!40000 ALTER TABLE `creature_ai_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_ai_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_ai_summons`
--

DROP TABLE IF EXISTS `creature_ai_summons`;
CREATE TABLE `creature_ai_summons` (
  `id` int(11) unsigned NOT NULL COMMENT 'Location Identifier' AUTO_INCREMENT,
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `orientation` float NOT NULL default '0',
  `spawntimesecs` int(11) unsigned NOT NULL default '120',
  `comment` varchar(255) NOT NULL default '' COMMENT 'Summon Comment',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='EventAI Summoning Locations';

--
-- Dumping data for table `creature_ai_summons`
--

LOCK TABLES `creature_ai_summons` WRITE;
/*!40000 ALTER TABLE `creature_ai_summons` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_ai_summons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_ai_texts`
--

DROP TABLE IF EXISTS `creature_ai_texts`;
CREATE TABLE `creature_ai_texts` (
  `entry` mediumint(8) NOT NULL,
  `content_default` text NOT NULL,
  `content_loc1` text,
  `content_loc2` text,
  `content_loc3` text,
  `content_loc4` text,
  `content_loc5` text,
  `content_loc6` text,
  `content_loc7` text,
  `content_loc8` text,
  `sound` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `language` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `emote` smallint(5) unsigned NOT NULL DEFAULT '0',
  `comment` text,
  PRIMARY KEY (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Script Texts';

--
-- Dumping data for table `creature_ai_texts`
--

LOCK TABLES `creature_ai_texts` WRITE;
/*!40000 ALTER TABLE `creature_ai_texts` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_ai_texts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `event_scripts`
--

DROP TABLE IF EXISTS `event_scripts`;
CREATE TABLE `event_scripts` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `delay` int(10) unsigned NOT NULL default '0',
  `command` mediumint(8) unsigned NOT NULL default '0',
  `datalong` mediumint(8) unsigned NOT NULL default '0',
  `datalong2` int(10) unsigned NOT NULL default '0',
  `datalong3` int(10) unsigned NOT NULL default '0',
  `datalong4` int(10) unsigned NOT NULL default '0',
  `data_flags` tinyint(3) unsigned NOT NULL default '0',
  `dataint` int(11) NOT NULL default '0',
  `dataint2` int(11) NOT NULL default '0',
  `buddy_entry` int(11) NOT NULL default '0',
  `search_radius` int(11) NOT NULL default '0',
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0',
  `comments` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `event_scripts`
--

LOCK TABLES `event_scripts` WRITE;
/*!40000 ALTER TABLE `event_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `event_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `exploration_basexp`
--

DROP TABLE IF EXISTS `exploration_basexp`;
CREATE TABLE `exploration_basexp` (
  `level` tinyint(4) NOT NULL default '0',
  `basexp` mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (`level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Exploration System';

--
-- Dumping data for table `exploration_basexp`
--

LOCK TABLES `exploration_basexp` WRITE;
/*!40000 ALTER TABLE `exploration_basexp` DISABLE KEYS */;
INSERT INTO `exploration_basexp` VALUES
(0,0),
(1,5),
(2,15),
(3,25),
(4,35),
(5,45),
(6,55),
(7,65),
(8,70),
(9,80),
(10,85),
(11,90),
(12,90),
(13,90),
(14,100),
(15,105),
(16,115),
(17,125),
(18,135),
(19,145),
(20,155),
(21,165),
(22,175),
(23,185),
(24,195),
(25,200),
(26,210),
(27,220),
(28,230),
(29,240),
(30,245),
(31,250),
(32,255),
(33,265),
(34,270),
(35,275),
(36,280),
(37,285),
(38,285),
(39,300),
(40,315),
(41,330),
(42,345),
(43,360),
(44,375),
(45,390),
(46,405),
(47,420),
(48,440),
(49,455),
(50,470),
(51,490),
(52,510),
(53,530),
(54,540),
(55,560),
(56,580),
(57,600),
(58,620),
(59,640),
(60,660),
(61,970),
(62,1000),
(63,1050),
(64,1080),
(65,1100),
(66,1130),
(67,1160),
(68,1200),
(69,1230),
(70,1250);
/*!40000 ALTER TABLE `exploration_basexp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fishing_loot_template`
--

DROP TABLE IF EXISTS `fishing_loot_template`;
CREATE TABLE `fishing_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0' COMMENT 'entry 0 used for junk loot at fishing fail (if allowed by config option)',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `fishing_loot_template`
--

LOCK TABLES `fishing_loot_template` WRITE;
/*!40000 ALTER TABLE `fishing_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `fishing_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event`
--

DROP TABLE IF EXISTS `game_event`;
CREATE TABLE `game_event` (
  `entry` mediumint(8) unsigned NOT NULL COMMENT 'Entry of the game event',
  `start_time` timestamp NOT NULL default '0000-00-00 00:00:00' COMMENT 'Absolute start date, the event will never start before',
  `end_time` timestamp NOT NULL default '0000-00-00 00:00:00' COMMENT 'Absolute end date, the event will never start afler',
  `occurence` bigint(20) unsigned NOT NULL default '86400' COMMENT 'Delay in minutes between occurences of the event',
  `length` bigint(20) unsigned NOT NULL default '43200' COMMENT 'Length in minutes of the event',
  `holiday` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Client side holiday id',
  `description` varchar(255) default NULL COMMENT 'Description of the event displayed in console',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `game_event`
--

LOCK TABLES `game_event` WRITE;
/*!40000 ALTER TABLE `game_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event_creature`
--

DROP TABLE IF EXISTS `game_event_creature`;
CREATE TABLE `game_event_creature` (
  `guid` int(10) unsigned NOT NULL,
  `event` smallint(6) NOT NULL default '0' COMMENT 'Negatives value to remove during event and ignore pool grouping, positive value for spawn during event and if guid is part of pool then al pool memebers must be listed as part of event spawn.',
  PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `game_event_creature`
--

LOCK TABLES `game_event_creature` WRITE;
/*!40000 ALTER TABLE `game_event_creature` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event_creature` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event_creature_data`
--

DROP TABLE IF EXISTS `game_event_creature_data`;
CREATE TABLE `game_event_creature_data` (
  `guid` int(10) unsigned NOT NULL default '0',
  `entry_id` mediumint(8) unsigned NOT NULL default '0',
  `modelid` mediumint(8) unsigned NOT NULL default '0',
  `equipment_id` mediumint(8) unsigned NOT NULL default '0',
  `spell_start` mediumint(8) unsigned NOT NULL default '0',
  `spell_end` mediumint(8) unsigned NOT NULL default '0',
  `event` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`guid`,`event`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `game_event_creature_data`
--

LOCK TABLES `game_event_creature_data` WRITE;
/*!40000 ALTER TABLE `game_event_creature_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event_creature_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event_gameobject`
--

DROP TABLE IF EXISTS `game_event_gameobject`;
CREATE TABLE `game_event_gameobject` (
  `guid` int(10) unsigned NOT NULL,
  `event` smallint(6) NOT NULL default '0' COMMENT 'Negatives value to remove during event and ignore pool grouping, positive value for spawn during event and if guid is part of pool then al pool memebers must be listed as part of event spawn.',
  PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `game_event_gameobject`
--

LOCK TABLES `game_event_gameobject` WRITE;
/*!40000 ALTER TABLE `game_event_gameobject` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event_gameobject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event_mail`
--

DROP TABLE IF EXISTS `game_event_mail`;
CREATE TABLE `game_event_mail` (
  `event` smallint(6) NOT NULL default '0' COMMENT 'Negatives value to send at event stop, positive value for send at event start.',
  `raceMask` mediumint(8) unsigned NOT NULL default '0',
  `quest`    mediumint(8) unsigned NOT NULL default '0',
  `mailTemplateId` mediumint(8) unsigned NOT NULL default '0',
  `senderEntry`    mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`event`,`raceMask`,`quest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Game event system';

--
-- Dumping data for table `game_event_mail`
--

LOCK TABLES `game_event_mail` WRITE;
/*!40000 ALTER TABLE `game_event_mail` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event_mail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event_quest`
--

DROP TABLE IF EXISTS `game_event_quest`;
CREATE TABLE `game_event_quest` (
  `quest` mediumint(8) unsigned NOT NULL default '0' COMMENT 'entry from quest_template',
  `event` smallint(5) unsigned NOT NULL default '0' COMMENT 'entry from game_event',
  PRIMARY KEY  (`quest`,`event`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Game event system';

--
-- Dumping data for table `game_event_quest`
--

LOCK TABLES `game_event_quest` WRITE;
/*!40000 ALTER TABLE `game_event_quest` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event_quest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_graveyard_zone`
--

DROP TABLE IF EXISTS `game_graveyard_zone`;
CREATE TABLE `game_graveyard_zone` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `ghost_zone` mediumint(8) unsigned NOT NULL default '0',
  `faction` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`,`ghost_zone`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Trigger System';

--
-- Dumping data for table `game_graveyard_zone`
--

LOCK TABLES `game_graveyard_zone` WRITE;
/*!40000 ALTER TABLE `game_graveyard_zone` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_graveyard_zone` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_tele`
--

DROP TABLE IF EXISTS `game_tele`;
CREATE TABLE `game_tele` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `orientation` float NOT NULL default '0',
  `map` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Tele Command';

--
-- Dumping data for table `game_tele`
--

LOCK TABLES `game_tele` WRITE;
/*!40000 ALTER TABLE `game_tele` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_tele` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_weather`
--

DROP TABLE IF EXISTS `game_weather`;
CREATE TABLE `game_weather` (
  `zone` mediumint(8) unsigned NOT NULL default '0',
  `spring_rain_chance` tinyint(3) unsigned NOT NULL default '25',
  `spring_snow_chance` tinyint(3) unsigned NOT NULL default '25',
  `spring_storm_chance` tinyint(3) unsigned NOT NULL default '25',
  `summer_rain_chance` tinyint(3) unsigned NOT NULL default '25',
  `summer_snow_chance` tinyint(3) unsigned NOT NULL default '25',
  `summer_storm_chance` tinyint(3) unsigned NOT NULL default '25',
  `fall_rain_chance` tinyint(3) unsigned NOT NULL default '25',
  `fall_snow_chance` tinyint(3) unsigned NOT NULL default '25',
  `fall_storm_chance` tinyint(3) unsigned NOT NULL default '25',
  `winter_rain_chance` tinyint(3) unsigned NOT NULL default '25',
  `winter_snow_chance` tinyint(3) unsigned NOT NULL default '25',
  `winter_storm_chance` tinyint(3) unsigned NOT NULL default '25',
  PRIMARY KEY  (`zone`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Weather System';

--
-- Dumping data for table `game_weather`
--

LOCK TABLES `game_weather` WRITE;
/*!40000 ALTER TABLE `game_weather` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_weather` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject`
--

DROP TABLE IF EXISTS `gameobject`;
CREATE TABLE `gameobject` (
  `guid` int(10) unsigned NOT NULL auto_increment COMMENT 'Global Unique Identifier',
  `id` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Gameobject Identifier',
  `map` smallint(5) unsigned NOT NULL default '0' COMMENT 'Map Identifier',
  `spawnMask` tinyint(3) unsigned NOT NULL default '1',
  `phaseMask` smallint(5) unsigned NOT NULL default '1',
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `orientation` float NOT NULL default '0',
  `rotation0` float NOT NULL default '0',
  `rotation1` float NOT NULL default '0',
  `rotation2` float NOT NULL default '0',
  `rotation3` float NOT NULL default '0',
  `spawntimesecs` int(11) NOT NULL default '0',
  `animprogress` tinyint(3) unsigned NOT NULL default '0',
  `state` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`guid`),
  KEY `idx_map` (`map`),
  KEY `idx_id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Gameobject System';

--
-- Dumping data for table `gameobject`
--

LOCK TABLES `gameobject` WRITE;
/*!40000 ALTER TABLE `gameobject` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_addon`
--

DROP TABLE IF EXISTS `gameobject_addon`;
CREATE TABLE `gameobject_addon` (
  `guid` int(10) unsigned NOT NULL default '0',
  `path_rotation0` float NOT NULL default '0',
  `path_rotation1` float NOT NULL default '0',
  `path_rotation2` float NOT NULL default '0',
  `path_rotation3` float NOT NULL default '1',
  PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Gameobject System';

--
-- Dumping data for table `gameobject_addon`
--

LOCK TABLES `gameobject_addon` WRITE;
/*!40000 ALTER TABLE `gameobject_addon` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_addon` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_battleground`
--

DROP TABLE IF EXISTS `gameobject_battleground`;
CREATE TABLE `gameobject_battleground` (
    `guid` int(10) unsigned NOT NULL COMMENT 'GameObject\'s GUID',
    `event1` tinyint(3) unsigned NOT NULL COMMENT 'main event',
    `event2` tinyint(3) unsigned NOT NULL COMMENT 'sub event',
    PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='GameObject battleground indexing system';

--
-- Dumping data for table `gameobject_battleground`
--

LOCK TABLES `gameobject_battleground` WRITE;
/*!40000 ALTER TABLE `gameobject_battleground` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_battleground` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_involvedrelation`
--

DROP TABLE IF EXISTS `gameobject_involvedrelation`;
CREATE TABLE `gameobject_involvedrelation` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `quest` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Quest Identifier',
  PRIMARY KEY  (`id`,`quest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gameobject_involvedrelation`
--

LOCK TABLES `gameobject_involvedrelation` WRITE;
/*!40000 ALTER TABLE `gameobject_involvedrelation` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_involvedrelation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_loot_template`
--

DROP TABLE IF EXISTS `gameobject_loot_template`;
CREATE TABLE `gameobject_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `gameobject_loot_template`
--

LOCK TABLES `gameobject_loot_template` WRITE;
/*!40000 ALTER TABLE `gameobject_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_questrelation`
--

DROP TABLE IF EXISTS `gameobject_questrelation`;
CREATE TABLE `gameobject_questrelation` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `quest` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Quest Identifier',
  PRIMARY KEY  (`id`,`quest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gameobject_questrelation`
--

LOCK TABLES `gameobject_questrelation` WRITE;
/*!40000 ALTER TABLE `gameobject_questrelation` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_questrelation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_scripts`
--

DROP TABLE IF EXISTS `gameobject_scripts`;
CREATE TABLE `gameobject_scripts` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `delay` int(10) unsigned NOT NULL default '0',
  `command` mediumint(8) unsigned NOT NULL default '0',
  `datalong` mediumint(8) unsigned NOT NULL default '0',
  `datalong2` int(10) unsigned NOT NULL default '0',
  `buddy_entry` int(10) unsigned NOT NULL default '0',
  `search_radius` int(10) unsigned NOT NULL default '0',
  `data_flags` tinyint(3) unsigned NOT NULL default '0',
  `dataint` int(11) NOT NULL default '0',
  `dataint2` int(11) NOT NULL default '0',
  `dataint3` int(11) NOT NULL default '0',
  `dataint4` int(11) NOT NULL default '0',
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0',
  `comments` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gameobject_scripts`
--

LOCK TABLES `gameobject_scripts` WRITE;
/*!40000 ALTER TABLE `gameobject_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_template`
--

DROP TABLE IF EXISTS `gameobject_template`;
CREATE TABLE `gameobject_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `type` tinyint(3) unsigned NOT NULL default '0',
  `displayId` mediumint(8) unsigned NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `IconName` varchar(100) NOT NULL default '',
  `castBarCaption` varchar(100) NOT NULL default '',
  `unk1` varchar(100) NOT NULL default '',
  `faction` smallint(5) unsigned NOT NULL default '0',
  `flags` int(10) unsigned NOT NULL default '0',
  `size` float NOT NULL default '1',
  `questItem1` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `questItem2` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `questItem3` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `questItem4` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `questItem5` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `questItem6` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `data0` int(10) unsigned NOT NULL default '0',
  `data1` int(10) unsigned NOT NULL default '0',
  `data2` int(10) unsigned NOT NULL default '0',
  `data3` int(10) unsigned NOT NULL default '0',
  `data4` int(10) unsigned NOT NULL default '0',
  `data5` int(10) unsigned NOT NULL default '0',
  `data6` int(10) unsigned NOT NULL default '0',
  `data7` int(10) unsigned NOT NULL default '0',
  `data8` int(10) unsigned NOT NULL default '0',
  `data9` int(10) unsigned NOT NULL default '0',
  `data10` int(10) unsigned NOT NULL default '0',
  `data11` int(10) unsigned NOT NULL default '0',
  `data12` int(10) unsigned NOT NULL default '0',
  `data13` int(10) unsigned NOT NULL default '0',
  `data14` int(10) unsigned NOT NULL default '0',
  `data15` int(10) unsigned NOT NULL default '0',
  `data16` int(10) unsigned NOT NULL default '0',
  `data17` int(10) unsigned NOT NULL default '0',
  `data18` int(10) unsigned NOT NULL default '0',
  `data19` int(10) unsigned NOT NULL default '0',
  `data20` int(10) unsigned NOT NULL default '0',
  `data21` int(10) unsigned NOT NULL default '0',
  `data22` int(10) unsigned NOT NULL default '0',
  `data23` int(10) unsigned NOT NULL default '0',
  `mingold` mediumint(8) unsigned NOT NULL default '0',
  `maxgold` mediumint(8) unsigned NOT NULL default '0',
  `ScriptName` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Gameobject System';

--
-- Dumping data for table `gameobject_template`
--

LOCK TABLES `gameobject_template` WRITE;
/*!40000 ALTER TABLE `gameobject_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_template_scripts`
--

DROP TABLE IF EXISTS `gameobject_template_scripts`;
CREATE TABLE `gameobject_template_scripts` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `delay` int(10) unsigned NOT NULL default '0',
  `command` mediumint(8) unsigned NOT NULL default '0',
  `datalong` mediumint(8) unsigned NOT NULL default '0',
  `datalong2` int(10) unsigned NOT NULL default '0',
  `buddy_entry` int(10) unsigned NOT NULL default '0',
  `search_radius` int(10) unsigned NOT NULL default '0',
  `data_flags` tinyint(3) unsigned NOT NULL default '0',
  `dataint` int(11) NOT NULL default '0',
  `dataint2` int(11) NOT NULL default '0',
  `dataint3` int(11) NOT NULL default '0',
  `dataint4` int(11) NOT NULL default '0',
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0',
  `comments` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gameobject_template_scripts`
--

LOCK TABLES `gameobject_template_scripts` WRITE;
/*!40000 ALTER TABLE `gameobject_template_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_template_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gossip_menu`
--

DROP TABLE IF EXISTS gossip_menu;
CREATE TABLE gossip_menu (
  entry smallint(6) unsigned NOT NULL default '0',
  text_id mediumint(8) unsigned NOT NULL default '0',
  script_id mediumint(8) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'script in `gossip_scripts` - will be executed on GossipHello',
  cond_1 tinyint(3) unsigned NOT NULL default '0',
  cond_1_val_1 mediumint(8) unsigned NOT NULL default '0',
  cond_1_val_2 mediumint(8) unsigned NOT NULL default '0',
  cond_2 tinyint(3) unsigned NOT NULL default '0',
  cond_2_val_1 mediumint(8) unsigned NOT NULL default '0',
  cond_2_val_2 mediumint(8) unsigned NOT NULL default '0',
  condition_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (entry, text_id, script_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gossip_menu`
--

LOCK TABLES `gossip_menu` WRITE;
/*!40000 ALTER TABLE `gossip_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `gossip_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gossip_menu_option`
--

DROP TABLE IF EXISTS gossip_menu_option;
CREATE TABLE gossip_menu_option (
  menu_id smallint(6) unsigned NOT NULL default '0',
  id smallint(6) unsigned NOT NULL default '0',
  option_icon mediumint(8) unsigned NOT NULL default '0',
  option_text text,
  option_id tinyint(3) unsigned NOT NULL default '0',
  npc_option_npcflag int(10) unsigned NOT NULL default '0',
  action_menu_id mediumint(8) NOT NULL default '0',
  action_poi_id mediumint(8) unsigned NOT NULL default '0',
  action_script_id mediumint(8) unsigned NOT NULL default '0',
  box_coded tinyint(3) unsigned NOT NULL default '0',
  box_money int(11) unsigned NOT NULL default '0',
  box_text text,
  cond_1 tinyint(3) unsigned NOT NULL default '0',
  cond_1_val_1 mediumint(8) unsigned NOT NULL default '0',
  cond_1_val_2 mediumint(8) unsigned NOT NULL default '0',
  cond_2 tinyint(3) unsigned NOT NULL default '0',
  cond_2_val_1 mediumint(8) unsigned NOT NULL default '0',
  cond_2_val_2 mediumint(8) unsigned NOT NULL default '0',
  cond_3 tinyint(3) unsigned NOT NULL default '0',
  cond_3_val_1 mediumint(8) unsigned NOT NULL default '0',
  cond_3_val_2 mediumint(8) unsigned NOT NULL default '0',
  condition_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (menu_id, id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gossip_menu_option`
--

LOCK TABLES `gossip_menu_option` WRITE;
/*!40000 ALTER TABLE `gossip_menu_option` DISABLE KEYS */;
INSERT INTO gossip_menu_option VALUES
(0, 0,0,'GOSSIP_OPTION_QUESTGIVER',       2,0x000002,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0, 1,1,'GOSSIP_OPTION_VENDOR',           3,0x000080,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0, 2,2,'GOSSIP_OPTION_TAXIVENDOR',       4,0x002000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0, 3,3,'GOSSIP_OPTION_TRAINER',          5,0x000010,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0, 4,4,'GOSSIP_OPTION_SPIRITHEALER',     6,0x004000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0, 5,4,'GOSSIP_OPTION_SPIRITGUIDE',      7,0x008000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0, 6,5,'GOSSIP_OPTION_INNKEEPER',        8,0x010000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0, 7,6,'GOSSIP_OPTION_BANKER',           9,0x020000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0, 8,7,'GOSSIP_OPTION_PETITIONER',      10,0x040000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0, 9,8,'GOSSIP_OPTION_TABARDDESIGNER',  11,0x080000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0,10,9,'GOSSIP_OPTION_BATTLEFIELD',     12,0x100000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0,11,6,'GOSSIP_OPTION_AUCTIONEER',      13,0x200000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0,12,0,'GOSSIP_OPTION_STABLEPET',       14,0x400000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0,13,1,'GOSSIP_OPTION_ARMORER',         15,0x001000,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0,14,0,'GOSSIP_OPTION_UNLEARNTALENTS',  16,0x000010,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0),
(0,15,2,'GOSSIP_OPTION_UNLEARNPETSKILLS',17,0x000010,0,0,0,0,0,NULL,0,0,0,0,0,0,0,0,0,0);
/*!40000 ALTER TABLE `gossip_menu_option` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gossip_scripts`
--

DROP TABLE IF EXISTS `gossip_scripts`;
CREATE TABLE `gossip_scripts` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `delay` int(10) unsigned NOT NULL default '0',
  `command` mediumint(8) unsigned NOT NULL default '0',
  `datalong` mediumint(8) unsigned NOT NULL default '0',
  `datalong2` int(10) unsigned NOT NULL default '0',
  `datalong3` int(10) unsigned NOT NULL default '0',
  `datalong4` int(10) unsigned NOT NULL default '0',
  `data_flags` tinyint(3) unsigned NOT NULL default '0',
  `dataint` int(11) NOT NULL default '0',
  `dataint2` int(11) NOT NULL default '0',
  `buddy_entry` int(11) NOT NULL default '0',
  `search_radius` int(11) NOT NULL default '0',
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0',
  `comments` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gossip_scripts`
--

LOCK TABLES `gossip_scripts` WRITE;
/*!40000 ALTER TABLE `gossip_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `gossip_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_template`
--

DROP TABLE IF EXISTS `instance_template`;
CREATE TABLE `instance_template` (
  `map` smallint(5) unsigned NOT NULL,
  `parent` smallint(5) unsigned NOT NULL default '0',
  `levelMin` tinyint(3) unsigned NOT NULL default '0',
  `levelMax` tinyint(3) unsigned NOT NULL default '0',
  `ScriptName` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`map`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `instance_template`
--

LOCK TABLES `instance_template` WRITE;
/*!40000 ALTER TABLE `instance_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `instance_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_convert`
--

DROP TABLE IF EXISTS `item_convert`;
CREATE TABLE `item_convert` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item Convert System';

--
-- Dumping data for table `item_convert`
--

LOCK TABLES `item_convert` WRITE;
/*!40000 ALTER TABLE `item_convert` DISABLE KEYS */;
/*!40000 ALTER TABLE `item_convert` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_enchantment_template`
--

DROP TABLE IF EXISTS `item_enchantment_template`;
CREATE TABLE `item_enchantment_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `ench` mediumint(8) unsigned NOT NULL default '0',
  `chance` float unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`ench`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item Random Enchantment System';

--
-- Dumping data for table `item_enchantment_template`
--

LOCK TABLES `item_enchantment_template` WRITE;
/*!40000 ALTER TABLE `item_enchantment_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `item_enchantment_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_expire_convert`
--

DROP TABLE IF EXISTS `item_expire_convert`;
CREATE TABLE `item_expire_convert` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item Convert System';

--
-- Dumping data for table `item_convert`
--

LOCK TABLES `item_convert` WRITE;
/*!40000 ALTER TABLE `item_convert` DISABLE KEYS */;
/*!40000 ALTER TABLE `item_convert` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_loot_template`
--

DROP TABLE IF EXISTS `item_loot_template`;
CREATE TABLE `item_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `item_loot_template`
--

LOCK TABLES `item_loot_template` WRITE;
/*!40000 ALTER TABLE `item_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `item_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_required_target`
--

DROP TABLE IF EXISTS `item_required_target`;
CREATE TABLE `item_required_target` (
  `entry` mediumint(8) unsigned NOT NULL,
  `type` tinyint(3) unsigned NOT NULL default '0',
  `targetEntry` mediumint(8) unsigned NOT NULL default '0',
  UNIQUE KEY `entry_type_target` (`entry`,`type`,`targetEntry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;

--
-- Dumping data for table `item_required_target`
--

LOCK TABLES `item_required_target` WRITE;
/*!40000 ALTER TABLE `item_required_target` DISABLE KEYS */;
/*!40000 ALTER TABLE `item_required_target` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_template`
--

DROP TABLE IF EXISTS `item_template`;
CREATE TABLE `item_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `subclass` tinyint(3) unsigned NOT NULL default '0',
  `unk0` int(11) NOT NULL default '-1',
  `name` varchar(255) NOT NULL default '',
  `displayid` mediumint(8) unsigned NOT NULL default '0',
  `Quality` tinyint(3) unsigned NOT NULL default '0',
  `Flags` int(10) unsigned NOT NULL default '0',
  `Flags2` int(10) unsigned NOT NULL default '0',
  `BuyCount` tinyint(3) unsigned NOT NULL default '1',
  `BuyPrice` int(10) unsigned NOT NULL default '0',
  `SellPrice` int(10) unsigned NOT NULL default '0',
  `InventoryType` tinyint(3) unsigned NOT NULL default '0',
  `AllowableClass` mediumint(9) NOT NULL default '-1',
  `AllowableRace` mediumint(9) NOT NULL default '-1',
  `ItemLevel` smallint(5) unsigned NOT NULL default '0',
  `RequiredLevel` tinyint(3) unsigned NOT NULL default '0',
  `RequiredSkill` smallint(5) unsigned NOT NULL default '0',
  `RequiredSkillRank` smallint(5) unsigned NOT NULL default '0',
  `requiredspell` mediumint(8) unsigned NOT NULL default '0',
  `requiredhonorrank` mediumint(8) unsigned NOT NULL default '0',
  `RequiredCityRank` mediumint(8) unsigned NOT NULL default '0',
  `RequiredReputationFaction` smallint(5) unsigned NOT NULL default '0',
  `RequiredReputationRank` smallint(5) unsigned NOT NULL default '0',
  `maxcount` smallint(5) NOT NULL default '-1',
  `stackable` smallint(5) NOT NULL default '1',
  `ContainerSlots` tinyint(3) unsigned NOT NULL default '0',
  `StatsCount` tinyint(3) unsigned NOT NULL default '0',
  `stat_type1` tinyint(3) unsigned NOT NULL default '0',
  `stat_value1` smallint(6) NOT NULL default '0',
  `stat_type2` tinyint(3) unsigned NOT NULL default '0',
  `stat_value2` smallint(6) NOT NULL default '0',
  `stat_type3` tinyint(3) unsigned NOT NULL default '0',
  `stat_value3` smallint(6) NOT NULL default '0',
  `stat_type4` tinyint(3) unsigned NOT NULL default '0',
  `stat_value4` smallint(6) NOT NULL default '0',
  `stat_type5` tinyint(3) unsigned NOT NULL default '0',
  `stat_value5` smallint(6) NOT NULL default '0',
  `stat_type6` tinyint(3) unsigned NOT NULL default '0',
  `stat_value6` smallint(6) NOT NULL default '0',
  `stat_type7` tinyint(3) unsigned NOT NULL default '0',
  `stat_value7` smallint(6) NOT NULL default '0',
  `stat_type8` tinyint(3) unsigned NOT NULL default '0',
  `stat_value8` smallint(6) NOT NULL default '0',
  `stat_type9` tinyint(3) unsigned NOT NULL default '0',
  `stat_value9` smallint(6) NOT NULL default '0',
  `stat_type10` tinyint(3) unsigned NOT NULL default '0',
  `stat_value10` smallint(6) NOT NULL default '0',
  `ScalingStatDistribution` smallint(6) NOT NULL default '0',
  `ScalingStatValue` int(6) unsigned NOT NULL default '0',
  `dmg_min1` float NOT NULL default '0',
  `dmg_max1` float NOT NULL default '0',
  `dmg_type1` tinyint(3) unsigned NOT NULL default '0',
  `dmg_min2` float NOT NULL default '0',
  `dmg_max2` float NOT NULL default '0',
  `dmg_type2` tinyint(3) unsigned NOT NULL default '0',
  `armor` smallint(5) unsigned NOT NULL default '0',
  `holy_res` tinyint(3) unsigned NOT NULL default '0',
  `fire_res` tinyint(3) unsigned NOT NULL default '0',
  `nature_res` tinyint(3) unsigned NOT NULL default '0',
  `frost_res` tinyint(3) unsigned NOT NULL default '0',
  `shadow_res` tinyint(3) unsigned NOT NULL default '0',
  `arcane_res` tinyint(3) unsigned NOT NULL default '0',
  `delay` smallint(5) unsigned NOT NULL default '1000',
  `ammo_type` tinyint(3) unsigned NOT NULL default '0',
  `RangedModRange` float NOT NULL default '0',
  `spellid_1` mediumint(8) unsigned NOT NULL default '0',
  `spelltrigger_1` tinyint(3) unsigned NOT NULL default '0',
  `spellcharges_1` smallint(5) NOT NULL default '0',
  `spellppmRate_1` float NOT NULL default '0',
  `spellcooldown_1` int(11) NOT NULL default '-1',
  `spellcategory_1` smallint(5) unsigned NOT NULL default '0',
  `spellcategorycooldown_1` int(11) NOT NULL default '-1',
  `spellid_2` mediumint(8) unsigned NOT NULL default '0',
  `spelltrigger_2` tinyint(3) unsigned NOT NULL default '0',
  `spellcharges_2` smallint(5) NOT NULL default '0',
  `spellppmRate_2` float NOT NULL default '0',
  `spellcooldown_2` int(11) NOT NULL default '-1',
  `spellcategory_2` smallint(5) unsigned NOT NULL default '0',
  `spellcategorycooldown_2` int(11) NOT NULL default '-1',
  `spellid_3` mediumint(8) unsigned NOT NULL default '0',
  `spelltrigger_3` tinyint(3) unsigned NOT NULL default '0',
  `spellcharges_3` smallint(5) NOT NULL default '0',
  `spellppmRate_3` float NOT NULL default '0',
  `spellcooldown_3` int(11) NOT NULL default '-1',
  `spellcategory_3` smallint(5) unsigned NOT NULL default '0',
  `spellcategorycooldown_3` int(11) NOT NULL default '-1',
  `spellid_4` mediumint(8) unsigned NOT NULL default '0',
  `spelltrigger_4` tinyint(3) unsigned NOT NULL default '0',
  `spellcharges_4` smallint(5) NOT NULL default '0',
  `spellppmRate_4` float NOT NULL default '0',
  `spellcooldown_4` int(11) NOT NULL default '-1',
  `spellcategory_4` smallint(5) unsigned NOT NULL default '0',
  `spellcategorycooldown_4` int(11) NOT NULL default '-1',
  `spellid_5` mediumint(8) unsigned NOT NULL default '0',
  `spelltrigger_5` tinyint(3) unsigned NOT NULL default '0',
  `spellcharges_5` smallint(5) NOT NULL default '0',
  `spellppmRate_5` float NOT NULL default '0',
  `spellcooldown_5` int(11) NOT NULL default '-1',
  `spellcategory_5` smallint(5) unsigned NOT NULL default '0',
  `spellcategorycooldown_5` int(11) NOT NULL default '-1',
  `bonding` tinyint(3) unsigned NOT NULL default '0',
  `description` varchar(255) NOT NULL default '',
  `PageText` mediumint(8) unsigned NOT NULL default '0',
  `LanguageID` tinyint(3) unsigned NOT NULL default '0',
  `PageMaterial` tinyint(3) unsigned NOT NULL default '0',
  `startquest` mediumint(8) unsigned NOT NULL default '0',
  `lockid` mediumint(8) unsigned NOT NULL default '0',
  `Material` tinyint(4) NOT NULL default '0',
  `sheath` tinyint(3) unsigned NOT NULL default '0',
  `RandomProperty` mediumint(8) unsigned NOT NULL default '0',
  `RandomSuffix` mediumint(8) unsigned NOT NULL default '0',
  `block` mediumint(8) unsigned NOT NULL default '0',
  `itemset` mediumint(8) unsigned NOT NULL default '0',
  `MaxDurability` smallint(5) unsigned NOT NULL default '0',
  `area` mediumint(8) unsigned NOT NULL default '0',
  `Map` smallint(6) NOT NULL default '0',
  `BagFamily` mediumint(9) NOT NULL default '0',
  `TotemCategory` mediumint(9) NOT NULL default '0',
  `socketColor_1` tinyint(4) NOT NULL default '0',
  `socketContent_1` mediumint(9) NOT NULL default '0',
  `socketColor_2` tinyint(4) NOT NULL default '0',
  `socketContent_2` mediumint(9) NOT NULL default '0',
  `socketColor_3` tinyint(4) NOT NULL default '0',
  `socketContent_3` mediumint(9) NOT NULL default '0',
  `socketBonus` mediumint(9) NOT NULL default '0',
  `GemProperties` mediumint(9) NOT NULL default '0',
  `RequiredDisenchantSkill` smallint(6) NOT NULL default '-1',
  `ArmorDamageModifier` float NOT NULL default '0',
  `Duration` int(11) UNSIGNED DEFAULT '0' NOT NULL COMMENT 'Duration in seconds.',
  `ItemLimitCategory` smallint(6) NOT NULL default '0',
  `HolidayId` int(11) UNSIGNED DEFAULT '0' NOT NULL,
  `ScriptName` varchar(64) NOT NULL default '',
  `DisenchantID` mediumint(8) unsigned NOT NULL default '0',
  `FoodType` tinyint(3) unsigned NOT NULL default '0',
  `minMoneyLoot` int(10) unsigned NOT NULL default '0',
  `maxMoneyLoot` int(10) unsigned NOT NULL default '0',
  `ExtraFlags` tinyint(1) UNSIGNED NOT NULL default '0',
  PRIMARY KEY  (`entry`),
  KEY `items_index` (`class`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item System';

--
-- Dumping data for table `item_template`
--

LOCK TABLES `item_template` WRITE;
/*!40000 ALTER TABLE `item_template` DISABLE KEYS */;
INSERT INTO `item_template` VALUES
(25,2,7,-1,'Worn Shortsword',1542,1,0,0,1,35,7,21,32767,511,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,1900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,1,0,0,0,1,3,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(35,2,10,-1,'Bent Staff',472,1,0,0,1,47,9,17,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,5,0,0,0,0,0,0,0,0,0,0,0,2900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,2,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(36,2,4,-1,'Worn Mace',5194,1,0,0,1,38,7,21,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,1900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,3,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(37,2,0,-1,'Worn Axe',14029,1,0,0,1,38,7,21,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,2000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,3,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(38,4,0,-1,'Recruit\'s Shirt',9891,1,0,0,1,1,1,4,-1,-1,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(39,4,1,-1,'Recruit\'s Pants',9892,0,0,0,1,5,1,7,32767,511,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(40,4,0,-1,'Recruit\'s Boots',10141,1,0,0,1,4,1,8,32767,511,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(43,4,0,-1,'Squire\'s Boots',9938,1,0,0,1,4,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(44,4,1,-1,'Squire\'s Pants',9937,0,0,0,1,4,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(45,4,0,-1,'Squire\'s Shirt',3265,1,0,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(47,4,0,-1,'Footpad\'s Shoes',9915,1,0,0,1,4,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(48,4,1,-1,'Footpad\'s Pants',9913,0,0,0,1,4,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(49,4,0,-1,'Footpad\'s Shirt',9906,1,0,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(51,4,0,-1,'Neophyte\'s Boots',9946,1,0,0,1,5,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(52,4,1,-1,'Neophyte\'s Pants',9945,0,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(53,4,0,-1,'Neophyte\'s Shirt',9944,1,0,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(55,4,0,-1,'Apprentice\'s Boots',9929,1,0,0,1,5,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(56,4,1,-1,'Apprentice\'s Robe',12647,0,0,0,1,5,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(57,4,1,-1,'Acolyte\'s Robe',12645,0,0,0,1,5,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(59,4,0,-1,'Acolyte\'s Shoes',3261,1,0,0,1,5,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(117,0,0,-1,'Tough Jerky',2473,1,0,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,433,0,-1,0,-1,11,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(120,4,1,-1,'Thug Pants',10006,0,0,0,1,4,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(121,4,0,-1,'Thug Boots',10008,1,0,0,1,4,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(127,4,0,-1,'Trapper\'s Shirt',9996,1,0,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(139,4,1,-1,'Brawler\'s Pants',9988,0,0,0,1,4,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(140,4,0,-1,'Brawler\'s Boots',9992,1,0,0,1,4,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(147,4,1,-1,'Rugged Trapper\'s Pants',9975,0,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(148,4,0,-1,'Rugged Trapper\'s Shirt',9976,1,0,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(153,4,2,-1,'Primitive Kilt',10050,0,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,8,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(154,4,0,-1,'Primitive Mantle',10058,1,0,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(159,0,0,-1,'Refreshing Spring Water',18084,1,0,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,430,0,-1,0,-1,59,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(1395,4,1,-1,'Apprentice\'s Pants',9924,0,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(1396,4,1,-1,'Acolyte\'s Pants',3260,0,0,0,1,4,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2070,0,0,-1,'Darnassian Bleu',6353,1,0,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,433,0,-1,0,-1,11,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2092,2,15,-1,'Worn Dagger',6442,1,0,0,1,35,7,13,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,0,0,0,0,0,0,0,1600,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,3,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2101,11,2,-1,'Light Quiver',21328,1,0,0,1,4,1,18,2047,255,1,1,0,0,0,0,0,0,0,0,1,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,14824,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,'',0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2102,11,3,-1,'Small Ammo Pouch',1816,1,0,0,1,4,1,18,2047,255,1,1,0,0,0,0,0,0,0,0,1,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,14824,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,'',0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2105,4,0,-1,'Thug Shirt',10005,1,0,0,1,5,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2361,2,5,-1,'Battleworn Hammer',8690,1,0,0,1,45,9,17,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,5,0,0,0,0,0,0,0,0,0,0,0,2900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,1,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2362,4,6,-1,'Worn Wooden Shield',18730,0,0,0,1,7,1,14,32767,511,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,4,0,0,1,0,20,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2504,2,2,-1,'Worn Shortbow',8106,1,0,0,1,29,5,15,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,5,0,0,0,0,0,0,0,0,0,0,0,2300,2,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2508,2,3,-1,'Old Blunderbuss',6606,1,0,0,1,27,5,26,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,5,0,0,0,0,0,0,0,0,0,0,0,2300,3,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2512,6,2,-1,'Rough Arrow',5996,1,0,0,1,10,0,24,2047,255,5,1,0,0,0,0,0,0,0,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,0,0,0,0,0,0,0,3000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2516,6,3,-1,'Light Shot',5998,1,0,0,1,10,0,24,2047,255,5,1,0,0,0,0,0,0,0,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,0,0,0,0,0,0,0,3000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(2947,15,0,-1,'Small Throwing Knife',16754,1,0,0,1,15,0,0,2047,255,3,1,0,0,0,0,0,0,0,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,2000,4,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(3661,2,10,-1,'Handcrafted Staff',18530,1,0,0,1,45,9,17,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,5,0,0,0,0,0,0,0,0,0,0,0,2900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,2,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(4536,0,0,-1,'Shiny Red Apple',6410,1,0,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,433,0,-1,0,-1,11,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(4540,0,0,-1,'Tough Hunk of Bread',6399,1,0,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,433,0,-1,0,-1,11,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(4604,0,0,-1,'Forest Mushroom Cap',15852,1,0,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,433,0,-1,0,-1,11,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6096,4,0,-1,'Apprentice\'s Shirt',2163,1,0,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6097,4,0,-1,'Acolyte\'s Shirt',2470,1,0,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6098,4,1,-1,'Neophyte\'s Robe',12679,0,0,0,1,4,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6119,4,1,-1,'Neophyte\'s Robe',12681,0,0,0,1,4,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6123,4,1,-1,'Novice\'s Robe',12683,0,0,0,1,4,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6124,4,1,-1,'Novice\'s Pants',9987,0,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6125,4,0,-1,'Brawler\'s Harness',9995,1,0,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6126,4,1,-1,'Trapper\'s Pants',10002,0,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6127,4,0,-1,'Trapper\'s Boots',10003,1,0,0,1,5,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6129,4,1,-1,'Acolyte\'s Robe',12646,0,0,0,1,5,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6134,4,0,-1,'Primitive Mantle',10108,1,0,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6135,4,2,-1,'Primitive Kilt',10109,0,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,8,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6139,4,1,-1,'Novice\'s Robe',12684,0,0,0,1,4,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6140,4,1,-1,'Apprentice\'s Robe',12649,0,0,0,1,4,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6144,4,1,-1,'Neophyte\'s Robe',12680,0,0,0,1,5,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(6948,15,0,-1,'Hearthstone',6418,1,64,0,1,0,0,0,32767,511,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8690,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,'',0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(12282,2,1,-1,'Worn Battleaxe',22291,1,0,0,1,43,8,17,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,5,0,0,0,0,0,0,0,0,0,0,0,2900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,1,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(14646,12,0,-1,'Northshire Gift Voucher',18499,1,0,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5805,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(14647,12,0,-1,'Coldridge Valley Gift Voucher',18499,1,0,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5841,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(14648,12,0,-1,'Shadowglen Gift Voucher',18499,1,0,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5842,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(14649,12,0,-1,'Valley of Trials Gift Voucher',18499,1,0,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5843,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(14650,12,0,-1,'Camp Narache Gift Voucher',18499,1,0,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5844,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(14651,12,0,-1,'Deathknell Gift Voucher',18499,1,0,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5847,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(25861,2,16,-1,'Crude Throwing Axe',20777,1,0,0,1,15,0,25,2047,255,3,1,0,0,0,0,0,0,0,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,2000,4,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34648,4,4,-1,'Acherus Knight\'s Greaves',51496,2,32768,0,1,51,10,8,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,3,4,10,7,12,3,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,392,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,6,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34649,4,4,-1,'Acherus Knight\'s Gauntlets',51498,2,32768,0,1,34,6,10,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,3,4,15,7,6,32,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,356,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,6,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34650,4,4,-1,'Acherus Knight\'s Tunic',51494,2,32768,0,1,69,13,5,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,3,4,20,7,11,32,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,570,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,6,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34651,4,4,-1,'Acherus Knight\'s Girdle',51497,2,32768,0,1,35,7,6,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,2,4,10,32,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,6,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34652,4,4,-1,'Acherus Knight\'s Hood',51495,2,32768,0,1,52,10,1,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,3,4,15,7,15,32,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,463,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,6,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34653,4,4,-1,'Acherus Knight\'s Wristguard',51500,2,32768,0,1,36,7,9,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,3,4,7,31,7,7,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,6,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34655,4,4,-1,'Acherus Knight\'s Pauldrons',51501,2,32768,0,1,54,10,3,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,3,4,11,3,9,7,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,427,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,6,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34656,4,4,-1,'Acherus Knight\'s Cover',51499,2,32768,0,1,73,14,7,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,3,4,13,3,10,7,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,499,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,6,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34657,4,0,-1,'Choker of Damnation',6539,2,32768,0,1,2303,575,2,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,3,4,9,7,8,31,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34658,4,0,-1,'Plague Band',963,2,32768,0,1,534,133,11,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,3,4,11,3,6,7,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(34659,4,1,-1,'Acherus Knight\'s Shroud',49738,2,32768,0,1,31,6,16,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,2,4,12,7,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(38145,1,0,-1,'Deathweave Bag',1282,1,32768,0,1,0,0,18,-1,-1,35,0,0,0,0,0,0,0,0,0,1,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(38147,4,0,-1,'Corrupted Band',963,2,32768,0,1,534,133,11,-1,-1,60,55,0,0,0,0,0,0,0,0,1,0,3,4,11,3,6,32,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,1,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0),
(41751,0,5,-1,'Black Mushroom',36728,1,0,0,1,100,5,0,-1,-1,65,55,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27094,0,-1,0,0,11,1000,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,0,0,0,-1,0,-1,0,'',0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,'',0,0,0,0,0);
/*!40000 ALTER TABLE `item_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_achievement_reward`
--

DROP TABLE IF EXISTS `locales_achievement_reward`;
CREATE TABLE `locales_achievement_reward` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `gender` tinyint(3) default '2',
  `subject_loc1` varchar(100) NOT NULL default '',
  `subject_loc2` varchar(100) NOT NULL default '',
  `subject_loc3` varchar(100) NOT NULL default '',
  `subject_loc4` varchar(100) NOT NULL default '',
  `subject_loc5` varchar(100) NOT NULL default '',
  `subject_loc6` varchar(100) NOT NULL default '',
  `subject_loc7` varchar(100) NOT NULL default '',
  `subject_loc8` varchar(100) NOT NULL default '',
  `text_loc1` text default NULL,
  `text_loc2` text default NULL,
  `text_loc3` text default NULL,
  `text_loc4` text default NULL,
  `text_loc5` text default NULL,
  `text_loc6` text default NULL,
  `text_loc7` text default NULL,
  `text_loc8` text default NULL,
  PRIMARY KEY  (`entry`,`gender`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_achievement_reward`
--

LOCK TABLES `locales_achievement_reward` WRITE;
/*!40000 ALTER TABLE `locales_achievement_reward` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_achievement_reward` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_creature`
--

DROP TABLE IF EXISTS `locales_creature`;
CREATE TABLE `locales_creature` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `name_loc1` varchar(100) NOT NULL default '',
  `name_loc2` varchar(100) NOT NULL default '',
  `name_loc3` varchar(100) NOT NULL default '',
  `name_loc4` varchar(100) NOT NULL default '',
  `name_loc5` varchar(100) NOT NULL default '',
  `name_loc6` varchar(100) NOT NULL default '',
  `name_loc7` varchar(100) NOT NULL default '',
  `name_loc8` varchar(100) NOT NULL default '',
  `subname_loc1` varchar(100) default NULL,
  `subname_loc2` varchar(100) default NULL,
  `subname_loc3` varchar(100) default NULL,
  `subname_loc4` varchar(100) default NULL,
  `subname_loc5` varchar(100) default NULL,
  `subname_loc6` varchar(100) default NULL,
  `subname_loc7` varchar(100) default NULL,
  `subname_loc8` varchar(100) default NULL,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_creature`
--

LOCK TABLES `locales_creature` WRITE;
/*!40000 ALTER TABLE `locales_creature` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_creature` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_gameobject`
--

DROP TABLE IF EXISTS `locales_gameobject`;
CREATE TABLE `locales_gameobject` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `name_loc1` varchar(100) NOT NULL default '',
  `name_loc2` varchar(100) NOT NULL default '',
  `name_loc3` varchar(100) NOT NULL default '',
  `name_loc4` varchar(100) NOT NULL default '',
  `name_loc5` varchar(100) NOT NULL default '',
  `name_loc6` varchar(100) NOT NULL default '',
  `name_loc7` varchar(100) NOT NULL default '',
  `name_loc8` varchar(100) NOT NULL default '',
  `castbarcaption_loc1` varchar(100) NOT NULL default '',
  `castbarcaption_loc2` varchar(100) NOT NULL default '',
  `castbarcaption_loc3` varchar(100) NOT NULL default '',
  `castbarcaption_loc4` varchar(100) NOT NULL default '',
  `castbarcaption_loc5` varchar(100) NOT NULL default '',
  `castbarcaption_loc6` varchar(100) NOT NULL default '',
  `castbarcaption_loc7` varchar(100) NOT NULL default '',
  `castbarcaption_loc8` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_gameobject`
--

LOCK TABLES `locales_gameobject` WRITE;
/*!40000 ALTER TABLE `locales_gameobject` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_gameobject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_gossip_menu_option`
--

DROP TABLE IF EXISTS `locales_gossip_menu_option`;
CREATE TABLE `locales_gossip_menu_option` (
  `menu_id` smallint(6) unsigned NOT NULL default '0',
  `id` smallint(6) unsigned NOT NULL default '0',
  `option_text_loc1` text,
  `option_text_loc2` text,
  `option_text_loc3` text,
  `option_text_loc4` text,
  `option_text_loc5` text,
  `option_text_loc6` text,
  `option_text_loc7` text,
  `option_text_loc8` text,
  `box_text_loc1` text,
  `box_text_loc2` text,
  `box_text_loc3` text,
  `box_text_loc4` text,
  `box_text_loc5` text,
  `box_text_loc6` text,
  `box_text_loc7` text,
  `box_text_loc8` text,
  PRIMARY KEY  (`menu_id`, `id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_gossip_menu_option`
--

LOCK TABLES `locales_gossip_menu_option` WRITE;
/*!40000 ALTER TABLE `locales_gossip_menu_option` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_gossip_menu_option` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_item`
--

DROP TABLE IF EXISTS `locales_item`;
CREATE TABLE `locales_item` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `name_loc1` varchar(100) NOT NULL default '',
  `name_loc2` varchar(100) NOT NULL default '',
  `name_loc3` varchar(100) NOT NULL default '',
  `name_loc4` varchar(100) NOT NULL default '',
  `name_loc5` varchar(100) NOT NULL default '',
  `name_loc6` varchar(100) NOT NULL default '',
  `name_loc7` varchar(100) NOT NULL default '',
  `name_loc8` varchar(100) NOT NULL default '',
  `description_loc1` varchar(255) default NULL,
  `description_loc2` varchar(255) default NULL,
  `description_loc3` varchar(255) default NULL,
  `description_loc4` varchar(255) default NULL,
  `description_loc5` varchar(255) default NULL,
  `description_loc6` varchar(255) default NULL,
  `description_loc7` varchar(255) default NULL,
  `description_loc8` varchar(255) default NULL,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_item`
--

LOCK TABLES `locales_item` WRITE;
/*!40000 ALTER TABLE `locales_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_npc_text`
--

DROP TABLE IF EXISTS `locales_npc_text`;
CREATE TABLE `locales_npc_text` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `Text0_0_loc1` longtext,
  `Text0_0_loc2` longtext,
  `Text0_0_loc3` longtext,
  `Text0_0_loc4` longtext,
  `Text0_0_loc5` longtext,
  `Text0_0_loc6` longtext,
  `Text0_0_loc7` longtext,
  `Text0_0_loc8` longtext,
  `Text0_1_loc1` longtext,
  `Text0_1_loc2` longtext,
  `Text0_1_loc3` longtext,
  `Text0_1_loc4` longtext,
  `Text0_1_loc5` longtext,
  `Text0_1_loc6` longtext,
  `Text0_1_loc7` longtext,
  `Text0_1_loc8` longtext,
  `Text1_0_loc1` longtext,
  `Text1_0_loc2` longtext,
  `Text1_0_loc3` longtext,
  `Text1_0_loc4` longtext,
  `Text1_0_loc5` longtext,
  `Text1_0_loc6` longtext,
  `Text1_0_loc7` longtext,
  `Text1_0_loc8` longtext,
  `Text1_1_loc1` longtext,
  `Text1_1_loc2` longtext,
  `Text1_1_loc3` longtext,
  `Text1_1_loc4` longtext,
  `Text1_1_loc5` longtext,
  `Text1_1_loc6` longtext,
  `Text1_1_loc7` longtext,
  `Text1_1_loc8` longtext,
  `Text2_0_loc1` longtext,
  `Text2_0_loc2` longtext,
  `Text2_0_loc3` longtext,
  `Text2_0_loc4` longtext,
  `Text2_0_loc5` longtext,
  `Text2_0_loc6` longtext,
  `Text2_0_loc7` longtext,
  `Text2_0_loc8` longtext,
  `Text2_1_loc1` longtext,
  `Text2_1_loc2` longtext,
  `Text2_1_loc3` longtext,
  `Text2_1_loc4` longtext,
  `Text2_1_loc5` longtext,
  `Text2_1_loc6` longtext,
  `Text2_1_loc7` longtext,
  `Text2_1_loc8` longtext,
  `Text3_0_loc1` longtext,
  `Text3_0_loc2` longtext,
  `Text3_0_loc3` longtext,
  `Text3_0_loc4` longtext,
  `Text3_0_loc5` longtext,
  `Text3_0_loc6` longtext,
  `Text3_0_loc7` longtext,
  `Text3_0_loc8` longtext,
  `Text3_1_loc1` longtext,
  `Text3_1_loc2` longtext,
  `Text3_1_loc3` longtext,
  `Text3_1_loc4` longtext,
  `Text3_1_loc5` longtext,
  `Text3_1_loc6` longtext,
  `Text3_1_loc7` longtext,
  `Text3_1_loc8` longtext,
  `Text4_0_loc1` longtext,
  `Text4_0_loc2` longtext,
  `Text4_0_loc3` longtext,
  `Text4_0_loc4` longtext,
  `Text4_0_loc5` longtext,
  `Text4_0_loc6` longtext,
  `Text4_0_loc7` longtext,
  `Text4_0_loc8` longtext,
  `Text4_1_loc1` longtext,
  `Text4_1_loc2` longtext,
  `Text4_1_loc3` longtext,
  `Text4_1_loc4` longtext,
  `Text4_1_loc5` longtext,
  `Text4_1_loc6` longtext,
  `Text4_1_loc7` longtext,
  `Text4_1_loc8` longtext,
  `Text5_0_loc1` longtext,
  `Text5_0_loc2` longtext,
  `Text5_0_loc3` longtext,
  `Text5_0_loc4` longtext,
  `Text5_0_loc5` longtext,
  `Text5_0_loc6` longtext,
  `Text5_0_loc7` longtext,
  `Text5_0_loc8` longtext,
  `Text5_1_loc1` longtext,
  `Text5_1_loc2` longtext,
  `Text5_1_loc3` longtext,
  `Text5_1_loc4` longtext,
  `Text5_1_loc5` longtext,
  `Text5_1_loc6` longtext,
  `Text5_1_loc7` longtext,
  `Text5_1_loc8` longtext,
  `Text6_0_loc1` longtext,
  `Text6_0_loc2` longtext,
  `Text6_0_loc3` longtext,
  `Text6_0_loc4` longtext,
  `Text6_0_loc5` longtext,
  `Text6_0_loc6` longtext,
  `Text6_0_loc7` longtext,
  `Text6_0_loc8` longtext,
  `Text6_1_loc1` longtext,
  `Text6_1_loc2` longtext,
  `Text6_1_loc3` longtext,
  `Text6_1_loc4` longtext,
  `Text6_1_loc5` longtext,
  `Text6_1_loc6` longtext,
  `Text6_1_loc7` longtext,
  `Text6_1_loc8` longtext,
  `Text7_0_loc1` longtext,
  `Text7_0_loc2` longtext,
  `Text7_0_loc3` longtext,
  `Text7_0_loc4` longtext,
  `Text7_0_loc5` longtext,
  `Text7_0_loc6` longtext,
  `Text7_0_loc7` longtext,
  `Text7_0_loc8` longtext,
  `Text7_1_loc1` longtext,
  `Text7_1_loc2` longtext,
  `Text7_1_loc3` longtext,
  `Text7_1_loc4` longtext,
  `Text7_1_loc5` longtext,
  `Text7_1_loc6` longtext,
  `Text7_1_loc7` longtext,
  `Text7_1_loc8` longtext,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_npc_text`
--

LOCK TABLES `locales_npc_text` WRITE;
/*!40000 ALTER TABLE `locales_npc_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_npc_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_page_text`
--

DROP TABLE IF EXISTS `locales_page_text`;
CREATE TABLE `locales_page_text` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `Text_loc1` longtext,
  `Text_loc2` longtext,
  `Text_loc3` longtext,
  `Text_loc4` longtext,
  `Text_loc5` longtext,
  `Text_loc6` longtext,
  `Text_loc7` longtext,
  `Text_loc8` longtext,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_page_text`
--

LOCK TABLES `locales_page_text` WRITE;
/*!40000 ALTER TABLE `locales_page_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_page_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_points_of_interest`
--

DROP TABLE IF EXISTS `locales_points_of_interest`;
CREATE TABLE `locales_points_of_interest` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `icon_name_loc1` text,
  `icon_name_loc2` text,
  `icon_name_loc3` text,
  `icon_name_loc4` text,
  `icon_name_loc5` text,
  `icon_name_loc6` text,
  `icon_name_loc7` text,
  `icon_name_loc8` text,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_points_of_interest`
--

LOCK TABLES `locales_points_of_interest` WRITE;
/*!40000 ALTER TABLE `locales_points_of_interest` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_points_of_interest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_quest`
--

DROP TABLE IF EXISTS `locales_quest`;
CREATE TABLE `locales_quest` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `Title_loc1` text,
  `Title_loc2` text,
  `Title_loc3` text,
  `Title_loc4` text,
  `Title_loc5` text,
  `Title_loc6` text,
  `Title_loc7` text,
  `Title_loc8` text,
  `Details_loc1` text,
  `Details_loc2` text,
  `Details_loc3` text,
  `Details_loc4` text,
  `Details_loc5` text,
  `Details_loc6` text,
  `Details_loc7` text,
  `Details_loc8` text,
  `Objectives_loc1` text,
  `Objectives_loc2` text,
  `Objectives_loc3` text,
  `Objectives_loc4` text,
  `Objectives_loc5` text,
  `Objectives_loc6` text,
  `Objectives_loc7` text,
  `Objectives_loc8` text,
  `OfferRewardText_loc1` text,
  `OfferRewardText_loc2` text,
  `OfferRewardText_loc3` text,
  `OfferRewardText_loc4` text,
  `OfferRewardText_loc5` text,
  `OfferRewardText_loc6` text,
  `OfferRewardText_loc7` text,
  `OfferRewardText_loc8` text,
  `RequestItemsText_loc1` text,
  `RequestItemsText_loc2` text,
  `RequestItemsText_loc3` text,
  `RequestItemsText_loc4` text,
  `RequestItemsText_loc5` text,
  `RequestItemsText_loc6` text,
  `RequestItemsText_loc7` text,
  `RequestItemsText_loc8` text,
  `EndText_loc1` text,
  `EndText_loc2` text,
  `EndText_loc3` text,
  `EndText_loc4` text,
  `EndText_loc5` text,
  `EndText_loc6` text,
  `EndText_loc7` text,
  `EndText_loc8` text,
  `CompletedText_loc1` text,
  `CompletedText_loc2` text,
  `CompletedText_loc3` text,
  `CompletedText_loc4` text,
  `CompletedText_loc5` text,
  `CompletedText_loc6` text,
  `CompletedText_loc7` text,
  `CompletedText_loc8` text,
  `ObjectiveText1_loc1` text,
  `ObjectiveText1_loc2` text,
  `ObjectiveText1_loc3` text,
  `ObjectiveText1_loc4` text,
  `ObjectiveText1_loc5` text,
  `ObjectiveText1_loc6` text,
  `ObjectiveText1_loc7` text,
  `ObjectiveText1_loc8` text,
  `ObjectiveText2_loc1` text,
  `ObjectiveText2_loc2` text,
  `ObjectiveText2_loc3` text,
  `ObjectiveText2_loc4` text,
  `ObjectiveText2_loc5` text,
  `ObjectiveText2_loc6` text,
  `ObjectiveText2_loc7` text,
  `ObjectiveText2_loc8` text,
  `ObjectiveText3_loc1` text,
  `ObjectiveText3_loc2` text,
  `ObjectiveText3_loc3` text,
  `ObjectiveText3_loc4` text,
  `ObjectiveText3_loc5` text,
  `ObjectiveText3_loc6` text,
  `ObjectiveText3_loc7` text,
  `ObjectiveText3_loc8` text,
  `ObjectiveText4_loc1` text,
  `ObjectiveText4_loc2` text,
  `ObjectiveText4_loc3` text,
  `ObjectiveText4_loc4` text,
  `ObjectiveText4_loc5` text,
  `ObjectiveText4_loc6` text,
  `ObjectiveText4_loc7` text,
  `ObjectiveText4_loc8` text,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_quest`
--

LOCK TABLES `locales_quest` WRITE;
/*!40000 ALTER TABLE `locales_quest` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_quest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mail_level_reward`
--

DROP TABLE IF EXISTS `mail_level_reward`;
CREATE TABLE `mail_level_reward` (
  `level` mediumint(8) unsigned NOT NULL default '0',
  `raceMask` mediumint(8) unsigned NOT NULL default '0',
  `mailTemplateId` mediumint(8) unsigned NOT NULL default '0',
  `senderEntry`    mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`level`,`raceMask`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Mail System';

--
-- Dumping data for table `mail_level_reward`
--

LOCK TABLES `mail_level_reward` WRITE;
/*!40000 ALTER TABLE `mail_level_reward` DISABLE KEYS */;
/*!40000 ALTER TABLE `mail_level_reward` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mail_loot_template`
--

DROP TABLE IF EXISTS `mail_loot_template`;
CREATE TABLE `mail_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `mail_loot_template`
--

LOCK TABLES `mail_loot_template` WRITE;
/*!40000 ALTER TABLE `mail_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `mail_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mangos_string`
--

DROP TABLE IF EXISTS `mangos_string`;
CREATE TABLE `mangos_string` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `content_default` text NOT NULL,
  `content_loc1` text,
  `content_loc2` text,
  `content_loc3` text,
  `content_loc4` text,
  `content_loc5` text,
  `content_loc6` text,
  `content_loc7` text,
  `content_loc8` text,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mangos_string`
--

LOCK TABLES `mangos_string` WRITE;
/*!40000 ALTER TABLE `mangos_string` DISABLE KEYS */;
INSERT INTO `mangos_string` VALUES
(1,'You should select a character or a creature.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(2,'You should select a creature.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(3,'|cffff0000[System Message]: %s|r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(4,'|cffff0000[Event Message]: %s|r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(5,'There is no help for that command',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(6,'There is no such command',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(7,'There is no such subcommand',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(8,'Command %s have subcommands:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(9,'Commands available to you:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(10,'Incorrect syntax.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(11,'Your account level is: %i',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(12,'Online players: %u (max: %u) Queued players: %u (max: %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(13,'Server uptime: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(14,'Player saved.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(15,'All players saved.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(16,'There are the following active GMs on this server:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(17,'There are no GMs currently logged in on this server.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(18,'Cannot do that while flying.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(19,'Cannot do that in Battlegrounds.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(20,'Target is flying you can\'t do that.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(21,'%s is flying command failed.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(22,'You are not mounted so you can\'t dismount.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(23,'Cannot do that while fighting.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(24,'You used it recently.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(25,'Password not changed (unknown error)!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(26,'The password was changed',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(27,'The old password is wrong',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(28,'Your account is now locked.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(29,'Your account is now unlocked.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(30,', rank ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(31,' [known]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(32,' [learn]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(33,' [passive]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(34,' [talent]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(35,' [active]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(36,' [complete]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(37,' (offline)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(38,'on',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(39,'off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(40,'You are: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(41,'visible',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(42,'invisible',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(43,'done',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(44,'You',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(45,' <unknown> ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(46,'<error>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(47,'<non-existing character>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(48,'UNKNOWN',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(49,'You must be at least level %u to enter.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(50,'You must be at least level %u and have item %s to enter.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(51,'Hello! Ready for some training?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(52,'Invaid item count (%u) for item %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(53,'Mail can\'t have more %u item stacks',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(54,'The new passwords do not match',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(55,'Your password can\'t be longer than 16 characters (client limit), password not changed!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(56,'Current Message of the day: \r\n%s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(57,'Using World DB: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(58,'Using script library: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(59,'Using creature EventAI: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(61,'Username: ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(62,'Password: ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(63,"Accepts whispers", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(64,"Doesn't accept whispers", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(65,'Using script library: <Unknown Script Library>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(66,'Using script library: <No Script Library Loaded>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(100,'Global notify: ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(101,'Map: %u (%s) Zone: %u (%s) Area: %u (%s) Phase: %u\nX: %f Y: %f Z: %f Orientation: %f\ngrid[%u,%u]cell[%u,%u] InstanceID: %u\n ZoneX: %f ZoneY: %f\nGroundZ: %f FloorZ: %f Have height data (Map: %u VMap: %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(102,'%s is already being teleported.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(103,'You can summon a player to your instance only if he is in your party with you as leader.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(104,'You cannot go to the player\'s instance because you are in a party now.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(105,'You can go to the player\'s instance while not being in his party only if your GM mode is on.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(106,'You can not go to player %s from instance to instance.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(107,'You can not summon player %s from instance to instance.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(108,'You are summoning %s%s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(109,'You are being summoned by %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(110,'You are teleporting %s%s to %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(111,'You are being teleported by %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(112,'Player (%s) does not exist.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(113,'Appearing at %s\'s location.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(114,'%s is appearing to your location.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(115,'Incorrect values.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(116,'No character selected.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(117,'%s is not in a group.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(118,'You changed HP of %s to %i/%i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(119,'%s changed your HP to %i/%i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(120,'You changed MANA of %s to %i/%i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(121,'%s changed your MANA to %i/%i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(122,'You changed ENERGY of %s to %i/%i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(123,'%s changed your ENERGY to %i/%i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(124,'Current energy: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(125,'You changed rage of %s to %i/%i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(126,'%s changed your rage to %i/%i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(127,'You changed level of %s to %i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(128,'GUID %i, faction is %i, flags is %i, npcflag is %i, DY flag is %i',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(129,'Wrong faction: %u (not found in factiontemplate.dbc).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(130,'You changed GUID=%i \'s Faction to %i, flags to %i, npcflag to %i, dyflag to %i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(131,'You changed the %s spellmod %u to value %i for spell with family bit %u for %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(132,'%s changed your spellmod %u to value %i for spell with family bit %u.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(133,'%s has access to all taxi nodes now (until logout).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(134,'%s has no more access to all taxi nodes now (only visited accessible).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(135,'%s has given you access to all taxi nodes (until logout).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(136,'%s has removed access to all taxi nodes (only visited still accessible).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(137,'You set all speeds to %2.2f from normal of %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(138,'%s set all your speeds to %2.2f from normal.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(139,'You set the speed to %2.2f from normal of %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(140,'%s set your speed to %2.2f from normal.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(141,'You set the swim speed to %2.2f from normal of %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(142,'%s set your swim speed to %2.2f from normal.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(143,'You set the backwards run speed to %2.2f from normal of %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(144,'%s set your backwards run speed to %2.2f from normal.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(145,'You set the fly speed to %2.2f from normal of %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(146,'%s set your fly speed to %2.2f from normal.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(147,'You set the size %2.2f of %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(148,'%s set your size to %2.2f.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(149,'There is no such mount.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(150,'You give a mount to %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(151,'%s gave you a mount.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(152,'USER1: %i, ADD: %i, DIF: %i\n',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(153,'You take all copper of %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(154,'%s took you all of your copper.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(155,'You take %i copper from %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(156,'%s took %i copper from you.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(157,'You give %i copper to %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(158,'%s gave you %i copper.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(159,'You hear sound %u.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(160,'USER2: %i, ADD: %i, RESULT: %i\n',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(161,'Removed bit %i in field %i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(162,'Set bit %i in field %i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(163,'Teleport location table is empty!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(164,'Teleport location not found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(165,'Requires search parameter.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(166,'There are no teleport locations matching your request.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(168,'Locations found are:\n %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(169,'Mail sent to %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(170,'You try to hear sound %u but it doesn\'t exist.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(171,'You can\'t teleport self to self!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(172,'server console command',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(173,'You changed runic power of %s to %i/%i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(174,'%s changed your runic power to %i/%i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(175,'Liquid level: %f, ground: %f, type: %d, status: %d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(200,'No selection.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(201,'Object GUID is: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(202,'The name was too long by %i characters.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(203,'Error, name can only contain characters A-Z and a-z.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(204,'The subname was too long by %i characters.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(205,'Not yet implemented',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(206,'Item \'%i\' \'%s\' added to list with maxcount \'%i\' and incrtime \'%i\' and extendedcost \'%i\'',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(207,'Item \'%i\' not found in database.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(208,'Item \'%i\' \'%s\' deleted from vendor list',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(209,'Item \'%i\' not found in vendor list.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(210,'Item \'%i\' (with extended cost %i) already in vendor list.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(211,'Spells of %s reset.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(212,'Spells of %s will reset at next login.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(213,'Talents of %s reset.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(214,'Talents of %s will reset at next login.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(215,'Your spells have been reset.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(216,'Your talents have been reset.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(217,'Unknown case \'%s\' for .resetall command. Type full correct case name.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(218,'Spells will reset for all players at login. Strongly recommend re-login!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(219,'Talents will reset for all players at login. Strongly recommend re-login!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(220,'Creature (GUID: %u) No waypoint found.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(221,'Creature (GUID: %u) Last waypoint not found.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(222,'Creature (GUID: %u) No waypoint found - used \'wpguid\'. Now trying to find it by its position...',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(223,'Creature (GUID: %u) No waypoints found - This is a MaNGOS db problem (single float).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(224,'Selected creature is ignored - provided GUID is used',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(225,'Creature (GUID: %u) not found',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(226,'You must select a visual waypoint.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(227,'No visual waypoints found',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(228,'Could not create visual waypoint with creatureID: %d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(229,'All visual waypoints removed',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(230,'Could not create waypoint-creature with ID: %d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(231,'No GUID provided.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(232,'No waypoint number provided.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(233,'Argument required for \'%s\'.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(234,'Waypoint %i added to GUID: %d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(235,'Waypoint %d added.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(236,'Waypoint changed.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(237,'Waypoint %s modified.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(238,'WP export successfull.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(239,'No waypoints found inside the database.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(240,'File imported.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(241,'Waypoint removed.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(242,'Warning: Could not delete WP from the world with ID: %d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(243,'This happens if the waypoint is too far away from your char.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(244,'The WP is deleted from the database, but not from the world here.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(245,'They will disappear after a server restart.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(246,'Waypoint %d: Info for creature: %s, GUID: %d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(247,'Waittime: %d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(248,'Model %d: %d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(249,'Emote: %d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(250,'Spell: %d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(251,'Text%d (ID: %i): %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(252,'AIScript: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(253,'Forced rename for player %s will be requested at next login.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(254,'Forced rename for player %s (GUID #%u) will be requested at next login.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(255,'Waypoint-Creature (GUID: %u) Not found',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(256,'Could not find NPC...',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(257,'Creature movement type set to \'%s\', waypoints removed (if any).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(258,'Creature movement type set to \'%s\', waypoints were not removed.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(259,'Incorrect value, use on or off',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(260,'Value saved.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(261,'Value saved, you may need to rejoin or clean your client cache.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(262,'Areatrigger ID %u not found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(263,'Target map or coordinates is invalid (X: %f Y: %f MapId: %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(264,'Zone coordinates is invalid (X: %f Y: %f AreaId: %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(265,'Zone %u (%s) is part of instanceable map %u (%s)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(266,'Nothing found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(267,'Object not found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(268,'Creature not found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(270,'Creature Removed',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(271,'Creature moved.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(272,'Creature (GUID:%u) must be on the same map as player!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(273,'Game Object (GUID: %u) not found',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(274,'Game Object (GUID: %u) has references in not found owner %s GO list, can\'t be deleted.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(275,'Game Object (GUID: %u) removed',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(276,'Game Object |cffffffff|Hgameobject:%d|h[%s]|h|r (GUID: %u) turned',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(277,'Game Object |cffffffff|Hgameobject:%d|h[%s]|h|r (GUID: %u) moved',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(278,'You must select a vendor',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(279,'You must send id for item',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(280,'Vendor has too many items (max 128)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(281,'You can\'t kick self, logout instead',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(282,'Player %s kicked.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(284,'Accepting Whisper: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(285,'Accepting Whisper: ON',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(286,'Accepting Whisper: OFF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(287,'Creature (GUID: %u) not found',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(288,'Tickets count: %i show new tickets: %s\n',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(289,'New ticket from %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(290,'Ticket of %s (Last updated: %s):\n%s ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(291,'New ticket show: ON',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(292,'New ticket show: OFF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(293,'Ticket %i doesn\'t exist',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(294,'All tickets deleted.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(295,'Character %s ticket deleted.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(296,'Ticket deleted.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(297,'Spawn distance changed to: %f',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(298,'Spawn time changed to: %i',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(299,'The honor of %s was set to %u!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(300,'Your chat has been disabled for %u minutes.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(301,'You have disabled %s\'s chat for %u minutes.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(302,'Player\'s chat is already enabled.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(303,'Your chat has been enabled.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(304,'You have enabled %s\'s chat.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(305,'Faction %s (%u) reputation of %s was set to %5d!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(306,'The arena points of %s was set to %u!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(307,'No faction found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(308,'Faction %i unknown!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(309,'Invalid parameter %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(310,'delta must be between 0 and %d (inclusive)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(311,'%d - |cffffffff|Hfaction:%d|h[%s]|h|r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(312,' [visible]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(313,' [at war]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(314,' [peace forced]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(315,' [hidden]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(316,' [invisible forced]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(317,' [inactive]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(318,'Hated',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(319,'Hostile',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(320,'Unfriendly',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(321,'Neutral',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(322,'Friendly',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(323,'Honored',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(324,'Revered',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(325,'Exalted',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(326,'Faction %s (%u) can\'not have reputation.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(327,' [no reputation]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(328,'Characters at account %s (Id: %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(329,'  %s (GUID %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(330,'No players found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(331,'Extended item cost %u not exist',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(332,'GM mode is ON',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(333,'GM mode is OFF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(334,'GM Chat Badge is ON',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(335,'GM Chat Badge is OFF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(336,'You repair all %s''s items.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(337,'All your items repaired by %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(338,'You set waterwalk mode %s for %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(339,'Your waterwalk mode %s by %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(340,'%s is now following you.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(341,'%s is not following you.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(342,'%s is now not following you.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(343,'Creature (Entry: %u) cannot be tamed.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(344,'You already have pet.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(345,'Forced customize for player %s will be requested at next login.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(346,'Forced customize for player %s (GUID #%u) will be requested at next login.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(347,'TaxiNode ID %u not found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(348,'Game Object (Entry: %u) have invalid data and can\'t be spawned',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(349,'%d (idx:%d) - |cffffffff|Htitle:%d|h[%s %s]|h|r %s %s ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(350,'%d (idx:%d) - [%s %s] %s %s ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(351,'No titles found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(352,'Invalid title id: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(353,'Title %u (%s) added to known titles list for player %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(354,'Title %u (%s) removed from known titles list for player %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(355,'Title %u (%s) set as current selected title for player %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(356,'Current selected title for player %s reset as not known now.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(357,'Areatrigger %u not has target coordinates',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(358,'No areatriggers found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(359,'%s|cffffffff|Hareatrigger_target:%u|h[Trigger target %u]|h|r Map %u X:%f Y:%f Z:%f%s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(360,'%s[Trigger target %u] Map %u X:%f Y:%f Z:%f',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(361,'|cffffffff|Hareatrigger:%u|h[Trigger %u]|h|r Map %u X:%f Y:%f Z:%f%s%s%s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(362,'[Trigger %u] Map %u X:%f Y:%f Z:%f%s%s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(363,' (Dist %f)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(364,' [Tavern]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(365,' [Quest]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(366,'Explore quest:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(367,'Required level %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(368,'Required Items:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(369,'Required quest (normal difficulty):',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(370,'Required heroic keys:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(371,'Required quest (heroic difficulty):',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(372,'No achievement!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(373,'Response:\n%s ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(374,'Tickets count: %i\n',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(375,'Player %s not have tickets.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(376,'%u - |cffffffff|Hpool:%u|h[%s]|h|r AutoSpawn: %u MaxLimit: %u Creatures: %u GameObjecs: %u Pools %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(377,"No pools found for map '%s' (Id:%u)",NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(378,"You can't use this command at non-instanceable map '%s' (Id:%u). Use .lookup pool command instead.",NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(379,"You can't use this command without args at non-instanceable map '%s' (Id:%u).",NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(380,'%d%s - |cffffffff|Hcreature:%d|h[%s X:%f Y:%f Z:%f MapId:%d]|h|r Chance:%f %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(381,'%d%s - [%s] X:%f Y:%f Z:%f MapId:%d Chance:%f %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(382,'%d%s - |cffffffff|Hcreature:%d|h[%s X:%f Y:%f Z:%f MapId:%d]|h|r %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(383,'%d%s - [%s] X:%f Y:%f Z:%f MapId:%d %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(384,'%d%s - |cffffffff|Hgameobject:%d|h[%s X:%f Y:%f Z:%f MapId:%d]|h|r Chance:%f %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(385,'%d%s - [%s] X:%f Y:%f Z:%f MapId:%d Chance:%f %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(386,'%d%s - |cffffffff|Hgameobject:%d|h[%s X:%f Y:%f Z:%f MapId:%d]|h|r %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(387,'%d%s - [%s] X:%f Y:%f Z:%f MapId:%d %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(388,'Creatures with explicitly chance:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(389,'Creatures with equal chance:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(390,'Gameobjects with explicitly chance:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(391,'Gameobjects with equal chance:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(392,'Pool %u - Mother pool: %u |cffffffff|Hpool:%u|h[%s]|h|r AutoSpawn: %u MaxLimit: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(393,'Pool %u - Mother pool: %u [%s] AutoSpawn: %u MaxLimit: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(394,'Pool %u - Mother pool: none AutoSpawn: %u MaxLimit: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(395,'No pools found',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(396,'%u - [%s] AutoSpawn: %u MaxLimit: %u Creatures: %u GameObjecs: %u Pools %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(397,'Pools with explicitly chance:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(398,'Pools with equal chance:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(399,'%u - |cffffffff|Hpool:%u|h[%s]|h|r AutoSpawn: %u MaxLimit: %u Creatures: %u GameObjecs: %u Pools %u Chance: %f %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(400,'|cffff0000[System Message]:|rScripts reloaded',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(401,'You change security level of account %s to %i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(402,'%s changed your security level to %i.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(403,'You have low security level for this.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(404,'Creature movement disabled.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(405,'Creature movement enabled.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(406,'Weather can\'t be changed for this zone.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(407,'Weather system disabled at server.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(408,'%s is banned for %s. Reason: %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(409,'%s is banned permanently for %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(410,'%s %s not found',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(411,'%s unbanned.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(412,'There was an error removing the ban on %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(413,'Account not exist: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(414,'There is no such character.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(415,'There is no such IP in banlist.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(416,'Account %s has never been banned',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(417,'Ban history for account %s:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(418,'Ban Date: %s Bantime: %s Still active: %s  Reason: %s Set by: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(419,'Inf.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(420,'Never',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(421,'Yes',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(422,'No',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(423,'IP: %s\nBan Date: %s\nUnban Date: %s\nRemaining: %s\nReason: %s\nSet by: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(424,'There is no matching IPban.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(425,'There is no matching account.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(426,'There is no banned account owning a character matching this part.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(427,'The following IPs match your pattern:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(428,'The following accounts match your query:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(429,'You learned many spells/skills.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(430,'You learned all spells for class.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(431,'You learned all talents for class.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(432,'You learned all languages.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(433,'You learned all craft skills and recipes.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(434,'Could not find \'%s\'',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(435,'Invalid item id: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(436,'No items found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(437,'Invalid gameobject id: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(438,'Found items %u: %u ( inventory %u mail %u auction %u guild %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(439,'Found gameobjects %u: %u ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(440,'Invalid creature id: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(441,'Found creatures %u: %u ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(442,'No area found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(443,'No item sets found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(444,'No skills found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(445,'No spells found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(446,'No quests found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(447,'No creatures found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(448,'No gameobjects found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(449,'Graveyard #%u doesn\'t exist.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(450,'Graveyard #%u already linked to zone #%u (current).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(451,'Graveyard #%u linked to zone #%u (current).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(452,'Graveyard #%u can\'t be linked to subzone or not existed zone #%u (internal error).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(454,'No faction in Graveyard with id= #%u , fix your DB',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(455,'invalid team, please fix database',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(456,'any',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(457,'alliance',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(458,'horde',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(459,'Graveyard #%u (faction: %s) is nearest from linked to zone #%u.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(460,'Zone #%u doesn\'t have linked graveyards.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(461,'Zone #%u doesn\'t have linked graveyards for faction: %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(462,'Teleport location already exists!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(463,'Teleport location added.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(464,'Teleport location NOT added: database error.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(465,'Teleport location deleted.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(466,'No taxinodes found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(467,'Target unit has %d auras:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(468,'id: %d eff: %d type: %d duration: %d maxduration: %d name: %s%s%s caster: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(469,'Target unit has %d auras of type %d:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(470,'id: %d eff: %d name: %s%s%s caster: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(471,'Quest %u not found.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(472,'Quest %u started from item. For correct work, please, add item to inventory and start quest in normal way: .additem %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(473,'Quest removed.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(474,' [rewarded]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(475,' [complete]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(476,' [active]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(477,'%s\'s Fly Mode %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(478,'Opcode %u sent to %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(479,'Character loaded successfully!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(480,'Failed to load the character!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(481,'Character dumped successfully!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(482,'Character dump failed!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(483,'Spell %u broken and not allowed to cast or learn!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(484,'Skill %u (%s) for player %s set to %u and current maximum set to %u (without permanent (talent) bonuses).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(485,'Player %s must have skill %u (%s) before using this command.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(486,'Invalid skill id (%u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(487,'You learned default GM spells/skills.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(488,'You already know that spell.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(489,'Target(%s) already know that spell.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(490,'%s doesn\'t know that spell.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(491,'You already forgot that spell.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(492,'All spell cooldowns removed for %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(493,'Spell %u cooldown removed for %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(494,'Command : Additem, itemId = %i, amount = %i',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(495,'Command : Additemset, itemsetId = %i',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(496,'Removed itemID = %i, amount = %i from %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(497,'Cannot create item \'%i\' (amount: %i)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(498,'You need to provide a guild name!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(499,'Player not found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(500,'Player already has a guild!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(501,'Guild not created! (already exists?)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(502,'No items from itemset \'%u\' found.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(503,'The distance is: (3D) %f (2D) %f - (3D, point-to-point) %f yards.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(504,'Item \'%i\' \'%s\' Item Slot %i',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(505,'Item \'%i\' doesn\'t exist.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(506,'Item \'%i\' \'%s\' Added to Slot %i',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(507,'Item save failed!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(508,'%d - owner: %s (guid: %u account: %u ) %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(509,'%d - sender: %s (guid: %u account: %u ) receiver: %s (guid: %u account: %u ) %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(510,'%d - owner: %s (guid: %u account: %u ) %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(511,'Wrong link type!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(512,'%d - |cffffffff|Hitem:%d:0:0:0:0:0:0:0:0|h[%s]|h|r %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(513,'%d - |cffffffff|Hquest:%d:%d|h[%s]|h|r %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(514,'%d - |cffffffff|Hcreature_entry:%d|h[%s]|h|r ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(515,'%d%s - |cffffffff|Hcreature:%d|h[%s X:%f Y:%f Z:%f MapId:%d]|h|r ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(516,'%d - |cffffffff|Hgameobject_entry:%d|h[%s]|h|r ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(517,'%d%s, Entry %d - |cffffffff|Hgameobject:%d|h[%s X:%f Y:%f Z:%f MapId:%d]|h|r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(518,'%d - |cffffffff|Hitemset:%d|h[%s %s]|h|r ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(519,'|cffffffff|Htele:%s|h[%s]|h|r ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(520,'%d - |cffffffff|Hspell:%d|h[%s]|h|r ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(521,'%d - |cffffffff|Hskill:%d|h[%s %s]|h|r %s %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(522,'Game Object (Entry: %u) not found',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(523,'>> Game Object %s (GUID: %u) at %f %f %f. Orientation %f.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(524,'Selected object:\n|cffffffff|Hgameobject:%d|h[%s]|h|r GUID: %u ID: %u\nX: %f Y: %f Z: %f MapId: %u\nOrientation: %f',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(525,'>> Add Game Object \'%i\' (%s) (GUID: %i) added at \'%f %f %f\'.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(526,'%s (lowguid: %u) movement generators stack:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(527,'   Idle',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(528,'   Random',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(529,'   Waypoint',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(530,'   Animal random',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(531,'   Confused',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(532,'   Targeted to player %s (lowguid %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(533,'   Targeted to creature %s (lowguid %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(534,'   Targeted to <NULL>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(535,'   Home movement to (X:%f Y:%f Z:%f)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(536,'   Home movement used for player?!?',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(537,'   Taxi flight',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1192,'  Effect movement',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(538,'   Unknown movement generator (%u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(539,'Player selected: %s.\nFaction: %u.\nnpcFlags: %u.\nEntry: %u.\nDisplayID: %u (Native: %u).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(540,'Level: %u.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(541,'Health (base): %u. (max): %u. (current): %u.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(542,'Unit Flags: %u.\nDynamic Flags: %u.\nFaction Template: %u.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(543,'Loot: %u Pickpocket: %u Skinning: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(544,'Position: %f %f %f.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(545,'*** Is a vendor!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(546,'*** Is a trainer!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(547,'InstanceID: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(548,'Player%s %s (guid: %u) Account: %s (id: %u) GMLevel: %u Last IP: %s Last login: %s Latency: %ums',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(549,'Played time: %s Level: %u Money: %ug%us%uc',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(550,'Command .pinfo doesn\'t support \'rep\' option for offline players.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(551,'%s has explored all zones now.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(552,'%s has no more explored zones.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(553,'%s has explored all zones for you.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(554,'%s has hidden all zones from you.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(557,'%s level up you to (%i)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(558,'%s level down you to (%i)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(559,'%s reset your level progress.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(560,'The area has been set as explored.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(561,'The area has been set as not explored.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(564,'The value index %u is too big to %s (count: %u).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(565,'Set for %s field:%u to uint32 value:%u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(566,'You set for %s field:%u to uint32 value: %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(567,'Set for %s field:%u to to float value:%f',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(568,'You set for %s field:%u to float value: %f',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(569,'Get %s uint32 value:[FIELD]:%u [VALUE]:%u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(570,'%s has uint32 value:[FIELD]:%u [VALUE]:%u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(571,'Get %s float value:[FIELD]:%u [VALUE]:%f',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(572,'%s has float value:[FIELD]:%u [VALUE]:%f',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(575,'Modify %s uint32 field:%u to sum with:%i = %u (%i)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(576,'You modify for %s uint32 field:%u to sum with:%i = %u (%i)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(577,'You are now invisible.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(578,'You are now visible.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(579,'Selected player or creature not have victim.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(580,'You learned all default spells for race/class and completed quests rewarded spells.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(581,'Found near gameobjects (distance %f): %u ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(582,'SpawnTime: Full:%s Remain:%s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(583,'%d - |cffffffff|Hgameevent:%d|h[%s]|h|r%s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(584,'No event found!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(585,'Event not exist!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(586,'Event %u: %s%s\nStart: %s End: %s Occurence: %s Length: %s\nNext state change: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(587,'Event %u already active!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(588,'Event %u not active!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(589,'   Point movement to (X:%f Y:%f Z:%f)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(590,'   Fear movement',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(591,'   Distract movement',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(592,'You have learned all spells in craft: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(593,'Currently Banned Accounts:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(594,'|    Account    |   BanDate    |   UnbanDate  |  Banned By    |   Ban Reason  |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(595,'Currently Banned IPs:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(596,'|      IP       |   BanDate    |   UnbanDate  |  Banned By    |   Ban Reason  |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(597,'Current gamemasters:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(598,'|    Account    |  GM  |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(599,'No gamemasters.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(600,'The Alliance wins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(601,'The Horde wins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(602,'The battle for Warsong Gulch begins in 1 minute.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(603,'The battle for Warsong Gulch begins in 30 seconds. Prepare yourselves!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(604,'Let the battle for Warsong Gulch begin!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(605,'$n captured the Horde flag!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(606,'$n captured the Alliance flag!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(607,'The Horde flag was dropped by $n!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(608,'The Alliance Flag was dropped by $n!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(609,'The Alliance Flag was returned to its base by $n!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(610,'The Horde flag was returned to its base by $n!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(611,'The Horde flag was picked up by $n!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(612,'The Alliance Flag was picked up by $n!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(613,'The flags are now placed at their bases.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(614,'The Alliance flag is now placed at its base.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(615,'The Horde flag is now placed at its base.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(636,'The battle begins in 1 minute.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(637,'The battle begins in 30 seconds.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(638,'The battle has begun!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(650,'Alliance',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(651,'Horde',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(652,'stables',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(653,'blacksmith',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(654,'farm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(655,'lumber mill',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(656,'mine',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(657,'The %s has taken the %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(658,'$n has defended the %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(659,'$n has assaulted the %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(660,'$n claims the %s! If left unchallenged, the %s will control it in 1 minute!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(661,'The battle for Arathi Basin begins in 1 minute.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(662,'The battle for Arathi Basin begins in 30 seconds. Prepare yourselves!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(663,'The battle for Arathi Basin has begun!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(664,'The Alliance has gathered $1776W resources, and is near victory!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(665,'The Horde has gathered $1777W resources, and is near victory!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(666,'After your recent battle in %s our best attempts to award you a Mark of Honor failed. Enclosed you will find the Mark of Honor we were not able to deliver to you at the time. Thanks for fighting in %s!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(667,'The Alliance has taken control of the Mage Tower!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(668,'The Horde has taken control of the Mage Tower!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(669,'The Alliance has taken control of the Draenei Ruins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(670,'The Horde has taken control of the Draenei Ruins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(671,'The Alliance has taken control of the Blood Elf Tower!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(672,'The Horde has taken control of the Blood Elf Tower!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(673,'The Alliance has taken control of the Fel Reaver Ruins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(674,'The Horde has taken control of the Fel Reaver Ruins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(675,'The Alliance has lost control of the Mage Tower!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(676,'The Horde has lost control of the Mage Tower!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(677,'The Alliance has lost control of the Draenei Ruins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(678,'The Horde has lost control of the Draenei Ruins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(679,'The Alliance has lost control of the Blood Elf Tower!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(680,'The Horde has lost control of the Blood Elf Tower!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(681,'The Alliance has lost control of the Fel Reaver Ruins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(682,'The Horde has lost control of the Fel Reaver Ruins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(683,'%s has taken the flag!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(684,'The Alliance have captured the flag!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(685,'The Horde have captured the flag!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(686,'The flag has been dropped.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(687,'The flag has been reset.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(700,'You must be level %u to form an arena team',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(701,'One minute until the Arena battle begins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(702,'Thirty seconds until the Arena battle begins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(703,'Fifteen seconds until the Arena battle begins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(704,'The Arena battle has begun!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(705,'You must wait %s before speaking again.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(706,'This item(s) have problems with equipping/storing in inventory.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(707,'%s does not wish to be disturbed: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(708,'%s is Away from Keyboard: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(709,'Do not Disturb',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(710,'Away from Keyboard',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(711,'Queue status for %s (Lvl: %u to %u)\nQueued alliances: %u (Need at least %u more)\nQueued hordes: %u (Need at least %u more)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(712,'|cffff0000[BG Queue Announcer]:|r %s -- [%u-%u] A: %u/%u, H: %u/%u|r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(713,'You must be level %u to join an arena team!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(715,'You don\'t meet Battleground level requirements',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(717,'|cffff0000[BG Queue Announcer]:|r %s -- [%u-%u] Started!|r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(718,'|cffff0000[Arena Queue Announcer]:|r All Arenas -- Joined : %ux%u : %u|r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(719,'|cffff0000[Arena Queue Announcer]:|r All Arenas -- Exited : %ux%u : %u|r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(720,'Your group is too large for this battleground. Please regroup to join.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(721,'Your group is too large for this arena. Please regroup to join.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(722,'Your group has members not in your arena team. Please regroup to join.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(723,'Your group does not have enough players to join this match.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(724,'The Gold Team wins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(725,'The Green Team wins!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(727,'Your group has an offline member. Please remove him before joining.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(728,'Your group has players from the opposing faction. You can\'t join the battleground as a group.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(729,'Your group has players from different battleground brakets. You can\'t join as group.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(730,'Someone in your party is already in this battleground queue. (S)he must leave it before joining as group.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(731,'Someone in your party is Deserter. You can\'t join as group.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(732,'Someone in your party is already in three battleground queues. You cannot join as group.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(733,'You cannot teleport to a battleground or arena map.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(734,'You cannot summon players to a battleground or arena map.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(735,'You must be in GM mode to teleport to a player in a battleground.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(736,'You cannot teleport to a battleground from another battleground. Please leave the current battleground first.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(737,'Arenas are set to 1v1 for debugging. So, don\'t join as group.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(738,'Arenas are set to normal playercount.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(739,'Battlegrounds are set to 1v0 for debugging.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(740,'Battlegrounds are set to normal playercount.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(741,'Flushing Arena points based on team ratings, this may take a few minutes. Please stand by...',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(742,'Distributing arena points to players...',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(743,'Finished setting arena points for online players.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(744,'Modifying played count, arena points etc. for loaded arena teams, sending updated stats to online players...',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(745,'Modification done.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(746,'Done flushing Arena points.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(750,'Not enough players. This game will close in %u mins.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(751,'Not enough players. This game will close in %u seconds.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(752,'Only the Alliance can use that portal',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(753,'Only the Horde can use that portal',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(759,'%s was destroyed by the %s!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(760,'The %s is under attack! If left unchecked, the %s will destroy it!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(761,'The %s was taken by the %s!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(762,'The %s was taken by the %s!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL), -- WTF? why 3 same strings?
(763,'The %s was taken by the %s!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(764,'The %s is under attack! If left unchecked, the %s will capture it!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(765,'The %s has taken the %s! Its supplies will now be used for reinforcements!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(766,'Irondeep Mine',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(767,'Coldtooth Mine',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(768,'Stormpike Aid Station',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(769,'Dun Baldar South Bunker',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(770,'Dun Baldar North Bunker',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(771,'Stormpike Graveyard',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(772,'Icewing Bunker',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(773,'Stonehearth Graveyard',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(774,'Stonehearth Bunker',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(775,'Snowfall Graveyard',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(776,'Iceblood Tower',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(777,'Iceblood Graveyard',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(778,'Tower Point',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(779,'Frostwolf Graveyard',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(780,'East Frostwolf Tower',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(781,'West Frostwolf Tower',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(782,'Frostwolf Relief Hut',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(784,'1 minute until the battle for Alterac Valley begins.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(785,'30 seconds until the battle for Alterac Valley begins. Prepare yourselves!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(786,'The battle for Alterac Valley has begun!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(787,'The Alliance Team is running out of reinforcements!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(788,'The Horde Team is running out of reinforcements!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(789,'The Frostwolf General is Dead!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(790,'The Stormpike General is Dead!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(801,'You do not have enough gold',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(802,'You do not have enough free slots',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(803,'Your partner does not have enough free bag slots',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(804,'You do not have permission to perform that function',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(805,'Unknown language',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(806,'You don\'t know that language',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(807,'Please provide character name',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(808,'Player %s not found or offline',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(809,'Account for character %s not found',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(810,'|Hplayer:$N|h[$N]|h has earned the achievement $a!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(811,'Guild Master',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(812,'Officer',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(813,'Veteran',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(814,'Member',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(815,'Initiate',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(816,'Your body is too exhausted to travel to the Spectral Realm.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(817,'Warning: You\'ve entered a no-fly zone and are about to be dismounted!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1000,'Exiting daemon...',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1001,'Account deleted: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1002,'Account %s NOT deleted (probably sql file format was updated)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1003,'Account %s NOT deleted (unknown error)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1004,'Account created: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1005,'Account name can\'t be longer than 16 characters (client limit), account not created!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1006,'Account with this name already exist!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1007,'Account %s NOT created (probably sql file format was updated)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1008,'Account %s NOT created (unknown error)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1009,'Player %s (Guid: %u) Account %s (Id: %u) deleted.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1010,'| ID         |    Account    |       Character      |       IP        | GM | Expansion |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1012,'========================================================================================',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1013,'| %10u |%15s| %20s | %15s |%4d| %9d |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1014,'No online players.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1015,'Used not fully typed quit command, need type it fully (quit), or command used not in RA command line.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1016,'| GUID       | Name                 | Account                      | Delete Date         |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1017,'| %10u | %20s | %15s (%10u) | %19s |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1018,'==========================================================================================',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1019,'No characters found.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1020,'Restoring the following characters:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1021,'Deleting the following characters:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1022,'ERROR: You can only assign a new name if you have only selected a single character!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1023,'Character \'%s\' (GUID: %u Account %u) can\'t be restored: account not exist!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1024,'Character \'%s\' (GUID: %u Account %u) can\'t be restored: account character list full!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1025,'Character \'%s\' (GUID: %u Account %u) can\'t be restored: new name already used!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1026,'GUID: %u Name: %s Account: %s (%u) Date: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1027,'Log filters state:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1028,'All log filters set to: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1029, 'Command can be called only from RA-console.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1100,'Account %s (Id: %u) have up to %u expansion allowed now.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1101,'Message of the day changed to:\r\n%s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1102,'Message sent to %s: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1103,'%d - %s %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1104,'%d - %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1105,'%d - %s %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1106,'%d - %s %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1107,'%d - %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1108,'%d - %s %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1109,'%d - %s %s %s %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1110,'%d%s - %s X:%f Y:%f Z:%f MapId:%d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1111,'%d%s - %s X:%f Y:%f Z:%f MapId:%d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1112,'Failed to open file: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1113,'Account %s (%u) have max amount allowed characters (client limit)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1114,'Dump file have broken data!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1115,'Invalid character name!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1116,'Invalid character guid!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1117,'Character guid %u in use!',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1118,'%d - guild: %s (guid: %u) %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1119,'You must use male or female as gender.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1120,'You change gender of %s to %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1121,'Your gender changed to %s by %s.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1122,'(%u/%u +perm %u +temp %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1123,'Not pet found',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1124,'Wrong pet type',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1125,'Your pet learned all talents',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1126,'Your pet talents have been reset.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1127,'Talents of %s\'s pet reset.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1128,'%d - |cffffffff|Htaxinode:%u|h[%s %s]|h|r (Map:%u X:%f Y:%f Z:%f)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1129,'%d - %s %s (Map:%u X:%f Y:%f Z:%f)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1130,'event started %u "%s"',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1131,'event stopped %u "%s"',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1132,'   Follow player %s (lowguid %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1133,'   Follow creature %s (lowguid %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1134,'   Follow <NULL>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1135,'List known talents:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1136,'   (Found talents: %u used talent points: %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1137,'%d%s - |cffffffff|Hgameobject:%d|h[%s X:%f Y:%f Z:%f MapId:%d]|h|r ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1138,'=================================================================================',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1139,'| GUID       | Name                 | Race            | Class           | Level |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1140,'| %10u | %20s | %15s | %15s | %5u |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1141,'%u - |cffffffff|Hplayer:%s|h[%s]|h|r %s %s %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1142,'%u - %s (Online:%s IP:%s GM:%u Expansion:%u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1143,'Spawned by event %u (%s)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1144,'Despawned by event %u (%s)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1145,'Part of pool %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1146,'Part of pool %u, top pool %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1147,'The (top)pool %u is spawned by event %u (%s)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1148,'The (top)pool %u is despawned by event %u (%s)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1149,' (Pool %u)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1150,' (Event %i)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1151,' (Pool %u Event %i)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1152,'[usable]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1153,'Get %s bitstr value:[FIELD]:%u [VALUE]:%s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1154,'%s has bitstr value:[FIELD]:%u [VALUE]:%s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1155,'Get %s hex value:[FIELD]:%u [VALUE]:%x',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1156,'%s has hex value:[FIELD]:%u [VALUE]:%x',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1157,'Modify %s hex field:%u %s %x = %x (hex)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1158,'You modify for %s hex field:%u %s %x = %x (hex)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1159,'Modify %s float field:%u to sum with:%f = %f',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1160,'You modify for %s float field:%u to sum with:%f = %f',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1161,'Criteria:',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1162,' [counter]',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1163,'Achievement %u doesn\'t exist.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1164,'Achievement criteria %u doesn\'t exist.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1165,'Spell %u not have auras.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1166,'Scripting library not found or not accessible.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1167,'Scripting library has wrong list functions (outdated?).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1168,'Scripting library reloaded.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1169,'Scripting library build for different mangosd revision.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1170,'Player selected: %s.\nFaction: %u.\nnpcFlags: %u.\nBase Entry: %u, Spawned Entry %u (Difficulty %u).\nDisplayID: %u (Native: %u).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1171,'All config are reloaded from ahbot configuration file.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1172,'Error while trying to reload ahbot config.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1173,'==========================================================',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1174,'|--------------------------------------------------------|',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1175,'|            | Alliance |  Horde   | Neutral  |  Total   |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1176,'          Alliance/Horde/Neutral/Total',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1177,'| %-10s | %8u | %8u | %8u | %8u |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1178,'%-10s = %6u / %6u / %6u / %6u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1179,'Count',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1180,'Item Ratio',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1181,'|            | Alliance |   Horde  | Neutral  |  Amount  |',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1182,'          Alliance/Horde/Neutral/Amount',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1183,'Grey',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1184,'White',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1185,'Green',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1186,'Blue',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1187,'Purple',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1188,'Orange',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1189,'Yellow',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1190,'Amount of %s items is set to %u.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1191,'Items ratio for %s is set to %u.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1193,'Gear Score of Player %s is %u.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1200,'You try to view cinemitic %u but it doesn\'t exist.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1201,'You try to view movie %u but it doesn\'t exist.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1202,'Spell %u %s = %f (*1.88 = %f) DB = %f AP = %f',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1203,'direct heal',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1204,'direct damage',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1205,'dot heal',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1206,'dot damage',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1500,'%u - [%s] AutoSpawn: %u MaxLimit: %u Creatures: %u GameObjecs: %u Pools %u Chance: %f %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1501,'%u - |cffffffff|Hpool:%u|h[%s]|h|r AutoSpawn: %u MaxLimit: %u Creatures: %u GameObjecs: %u Pools %u %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1502,'%u - [%s] AutoSpawn: %u MaxLimit: %u Creatures: %u GameObjecs: %u Pools %u %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1503,'Can not add spawn because no free guids for static spawn in reserved guids range. Server restart is required before command can be used. Also look GuidReserveSize.* config options.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1504,'AI-Information for Npc Entry %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1505,'AIName: %s (%s) ScriptName: %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1506,'Current phase = %u',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1507,'Combat-Movement is %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
(1508,'Melee attacking is %s',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);

/*!40000 ALTER TABLE `mangos_string` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `milling_loot_template`
--

DROP TABLE IF EXISTS `milling_loot_template`;
CREATE TABLE `milling_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `milling_loot_template`
--

LOCK TABLES `milling_loot_template` WRITE;
/*!40000 ALTER TABLE `milling_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `milling_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_gossip`
--

DROP TABLE IF EXISTS `npc_gossip`;
CREATE TABLE `npc_gossip` (
  `npc_guid` int(10) unsigned NOT NULL default '0',
  `textid` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`npc_guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `npc_gossip`
--

LOCK TABLES `npc_gossip` WRITE;
/*!40000 ALTER TABLE `npc_gossip` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_gossip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_spellclick_spells`
--

DROP TABLE IF EXISTS `npc_spellclick_spells`;
CREATE TABLE `npc_spellclick_spells` (
    `npc_entry`   int unsigned NOT NULL COMMENT 'reference to creature_template',
    `spell_id`    int unsigned NOT NULL COMMENT 'spell which should be casted ',
    `quest_start`        mediumint(8) unsigned NOT NULL COMMENT 'reference to quest_template',
    `quest_start_active` tinyint(1) unsigned NOT NULL default '0',
    `quest_end`          mediumint(8) unsigned NOT NULL default '0',
    `cast_flags`  tinyint unsigned NOT NULL COMMENT 'first bit defines caster: 1=player, 0=creature; second bit defines target, same mapping as caster bit'
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `npc_spellclick_spells`
--

LOCK TABLES `npc_spellclick_spells` WRITE;
/*!40000 ALTER TABLE `npc_spellclick_spells` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_spellclick_spells` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_text`
--

DROP TABLE IF EXISTS `npc_text`;
CREATE TABLE `npc_text` (
  `ID` mediumint(8) unsigned NOT NULL default '0',
  `text0_0` longtext,
  `text0_1` longtext,
  `lang0` tinyint(3) unsigned NOT NULL default '0',
  `prob0` float NOT NULL default '0',
  `em0_0` smallint(5) unsigned NOT NULL default '0',
  `em0_1` smallint(5) unsigned NOT NULL default '0',
  `em0_2` smallint(5) unsigned NOT NULL default '0',
  `em0_3` smallint(5) unsigned NOT NULL default '0',
  `em0_4` smallint(5) unsigned NOT NULL default '0',
  `em0_5` smallint(5) unsigned NOT NULL default '0',
  `text1_0` longtext,
  `text1_1` longtext,
  `lang1` tinyint(3) unsigned NOT NULL default '0',
  `prob1` float NOT NULL default '0',
  `em1_0` smallint(5) unsigned NOT NULL default '0',
  `em1_1` smallint(5) unsigned NOT NULL default '0',
  `em1_2` smallint(5) unsigned NOT NULL default '0',
  `em1_3` smallint(5) unsigned NOT NULL default '0',
  `em1_4` smallint(5) unsigned NOT NULL default '0',
  `em1_5` smallint(5) unsigned NOT NULL default '0',
  `text2_0` longtext,
  `text2_1` longtext,
  `lang2` tinyint(3) unsigned NOT NULL default '0',
  `prob2` float NOT NULL default '0',
  `em2_0` smallint(5) unsigned NOT NULL default '0',
  `em2_1` smallint(5) unsigned NOT NULL default '0',
  `em2_2` smallint(5) unsigned NOT NULL default '0',
  `em2_3` smallint(5) unsigned NOT NULL default '0',
  `em2_4` smallint(5) unsigned NOT NULL default '0',
  `em2_5` smallint(5) unsigned NOT NULL default '0',
  `text3_0` longtext,
  `text3_1` longtext,
  `lang3` tinyint(3) unsigned NOT NULL default '0',
  `prob3` float NOT NULL default '0',
  `em3_0` smallint(5) unsigned NOT NULL default '0',
  `em3_1` smallint(5) unsigned NOT NULL default '0',
  `em3_2` smallint(5) unsigned NOT NULL default '0',
  `em3_3` smallint(5) unsigned NOT NULL default '0',
  `em3_4` smallint(5) unsigned NOT NULL default '0',
  `em3_5` smallint(5) unsigned NOT NULL default '0',
  `text4_0` longtext,
  `text4_1` longtext,
  `lang4` tinyint(3) unsigned NOT NULL default '0',
  `prob4` float NOT NULL default '0',
  `em4_0` smallint(5) unsigned NOT NULL default '0',
  `em4_1` smallint(5) unsigned NOT NULL default '0',
  `em4_2` smallint(5) unsigned NOT NULL default '0',
  `em4_3` smallint(5) unsigned NOT NULL default '0',
  `em4_4` smallint(5) unsigned NOT NULL default '0',
  `em4_5` smallint(5) unsigned NOT NULL default '0',
  `text5_0` longtext,
  `text5_1` longtext,
  `lang5` tinyint(3) unsigned NOT NULL default '0',
  `prob5` float NOT NULL default '0',
  `em5_0` smallint(5) unsigned NOT NULL default '0',
  `em5_1` smallint(5) unsigned NOT NULL default '0',
  `em5_2` smallint(5) unsigned NOT NULL default '0',
  `em5_3` smallint(5) unsigned NOT NULL default '0',
  `em5_4` smallint(5) unsigned NOT NULL default '0',
  `em5_5` smallint(5) unsigned NOT NULL default '0',
  `text6_0` longtext,
  `text6_1` longtext,
  `lang6` tinyint(3) unsigned NOT NULL default '0',
  `prob6` float NOT NULL default '0',
  `em6_0` smallint(5) unsigned NOT NULL default '0',
  `em6_1` smallint(5) unsigned NOT NULL default '0',
  `em6_2` smallint(5) unsigned NOT NULL default '0',
  `em6_3` smallint(5) unsigned NOT NULL default '0',
  `em6_4` smallint(5) unsigned NOT NULL default '0',
  `em6_5` smallint(5) unsigned NOT NULL default '0',
  `text7_0` longtext,
  `text7_1` longtext,
  `lang7` tinyint(3) unsigned NOT NULL default '0',
  `prob7` float NOT NULL default '0',
  `em7_0` smallint(5) unsigned NOT NULL default '0',
  `em7_1` smallint(5) unsigned NOT NULL default '0',
  `em7_2` smallint(5) unsigned NOT NULL default '0',
  `em7_3` smallint(5) unsigned NOT NULL default '0',
  `em7_4` smallint(5) unsigned NOT NULL default '0',
  `em7_5` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `npc_text`
--

LOCK TABLES `npc_text` WRITE;
/*!40000 ALTER TABLE `npc_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_trainer`
--

DROP TABLE IF EXISTS `npc_trainer`;
CREATE TABLE `npc_trainer` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `spell` mediumint(8) unsigned NOT NULL default '0',
  `spellcost` int(10) unsigned NOT NULL default '0',
  `reqskill` smallint(5) unsigned NOT NULL default '0',
  `reqskillvalue` smallint(5) unsigned NOT NULL default '0',
  `reqlevel` tinyint(3) unsigned NOT NULL default '0',
  UNIQUE KEY `entry_spell` (`entry`,`spell`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `npc_trainer`
--

LOCK TABLES `npc_trainer` WRITE;
/*!40000 ALTER TABLE `npc_trainer` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_trainer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_trainer_template`
--

DROP TABLE IF EXISTS `npc_trainer_template`;
CREATE TABLE `npc_trainer_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `spell` mediumint(8) unsigned NOT NULL default '0',
  `spellcost` int(10) unsigned NOT NULL default '0',
  `reqskill` smallint(5) unsigned NOT NULL default '0',
  `reqskillvalue` smallint(5) unsigned NOT NULL default '0',
  `reqlevel` tinyint(3) unsigned NOT NULL default '0',
  UNIQUE KEY `entry_spell` (`entry`,`spell`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `npc_trainer_template`
--

LOCK TABLES `npc_trainer_template` WRITE;
/*!40000 ALTER TABLE `npc_trainer_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_trainer_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_vendor`
--

DROP TABLE IF EXISTS `npc_vendor`;
CREATE TABLE `npc_vendor` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `maxcount` tinyint(3) unsigned NOT NULL default '0',
  `incrtime` int(10) unsigned NOT NULL default '0',
  `ExtendedCost` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`,`ExtendedCost`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Npc System';

--
-- Dumping data for table `npc_vendor`
--

LOCK TABLES `npc_vendor` WRITE;
/*!40000 ALTER TABLE `npc_vendor` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_vendor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_vendor_template`
--

DROP TABLE IF EXISTS `npc_vendor_template`;
CREATE TABLE `npc_vendor_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `maxcount` tinyint(3) unsigned NOT NULL default '0',
  `incrtime` int(10) unsigned NOT NULL default '0',
  `ExtendedCost` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`,`ExtendedCost`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Npc System';

--
-- Dumping data for table `npc_vendor_template`
--

LOCK TABLES `npc_vendor_template` WRITE;
/*!40000 ALTER TABLE `npc_vendor_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_vendor_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `page_text`
--

DROP TABLE IF EXISTS `page_text`;
CREATE TABLE `page_text` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `text` longtext NOT NULL,
  `next_page` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item System';

--
-- Dumping data for table `page_text`
--

LOCK TABLES `page_text` WRITE;
/*!40000 ALTER TABLE `page_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `page_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pet_levelstats`
--

DROP TABLE IF EXISTS `pet_levelstats`;
CREATE TABLE `pet_levelstats` (
  `creature_entry` mediumint(8) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `hp` smallint(5) unsigned NOT NULL,
  `mana` smallint(5) unsigned NOT NULL,
  `armor` int(10) unsigned NOT NULL default '0',
  `str` smallint(5) unsigned NOT NULL,
  `agi` smallint(5) unsigned NOT NULL,
  `sta` smallint(5) unsigned NOT NULL,
  `inte` smallint(5) unsigned NOT NULL,
  `spi` smallint(5) unsigned NOT NULL,
  PRIMARY KEY  (`creature_entry`,`level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=0 COMMENT='Stores pet levels stats.';

--
-- Dumping data for table `pet_levelstats`
--

LOCK TABLES `pet_levelstats` WRITE;
/*!40000 ALTER TABLE `pet_levelstats` DISABLE KEYS */;
/*!40000 ALTER TABLE `pet_levelstats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pet_name_generation`
--

DROP TABLE IF EXISTS `pet_name_generation`;
CREATE TABLE `pet_name_generation` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `word` tinytext NOT NULL,
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `half` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pet_name_generation`
--

LOCK TABLES `pet_name_generation` WRITE;
/*!40000 ALTER TABLE `pet_name_generation` DISABLE KEYS */;
INSERT INTO `pet_name_generation` (`word`,`entry`,`half`) VALUES
('Aba',416,0),
('Az',416,0),
('Bel',416,0),
('Biz',416,0),
('Cho',416,0),
('Dag',416,0),
('Gak',416,0),
('Gar',416,0),
('Gel',416,0),
('Gho',416,0),
('Gob',416,0),
('Gra',416,0),
('Jak',416,0),
('Jub',416,0),
('Kar',416,0),
('Kup',416,0),
('Laz',416,0),
('Nal',416,0),
('Nok',416,0),
('Pag',416,0),
('Pig',416,0),
('Pip',416,0),
('Piz',416,0),
('Quz',416,0),
('Rui',416,0),
('Rul',416,0),
('Rup',416,0),
('Tar',416,0),
('Vol',416,0),
('Yaz',416,0),
('Zep',416,0),
('Zig',416,0),
('Zil',416,0),
('Zor',416,0),
('bis',416,1),
('fip',416,1),
('gup',416,1),
('ham',416,1),
('jub',416,1),
('kin',416,1),
('kol',416,1),
('lop',416,1),
('loz',416,1),
('mat',416,1),
('mir',416,1),
('nam',416,1),
('nar',416,1),
('nik',416,1),
('nip',416,1),
('pad',416,1),
('pep',416,1),
('pit',416,1),
('qua',416,1),
('rai',416,1),
('rin',416,1),
('rot',416,1),
('tai',416,1),
('tal',416,1),
('tik',416,1),
('tip',416,1),
('tog',416,1),
('tuk',416,1),
('uri',416,1),
('yal',416,1),
('yap',416,1),
('Bhee',417,0),
('Bruu',417,0),
('Czaa',417,0),
('Droo',417,0),
('Flaa',417,0),
('Fzuu',417,0),
('Ghaa',417,0),
('Gree',417,0),
('Gzaa',417,0),
('Haa',417,0),
('Haad',417,0),
('Haag',417,0),
('Haap',417,0),
('Jhaa',417,0),
('Jhuu',417,0),
('Khaa',417,0),
('Khii',417,0),
('Khuu',417,0),
('Kree',417,0),
('Luu',417,0),
('Maa',417,0),
('Nhee',417,0),
('Phuu',417,0),
('Pryy',417,0),
('Rhuu',417,0),
('Shaa',417,0),
('Sloo',417,0),
('Sruu',417,0),
('Thoo',417,0),
('Traa',417,0),
('Wraa',417,0),
('Zhaa',417,0),
('dhon',417,1),
('dhum',417,1),
('dhun',417,1),
('dom',417,1),
('don',417,1),
('drom',417,1),
('dym',417,1),
('fenn',417,1),
('fum',417,1),
('fun',417,1),
('ghon',417,1),
('ghun',417,1),
('grom',417,1),
('grym',417,1),
('hom',417,1),
('hon',417,1),
('hun',417,1),
('jhom',417,1),
('kun',417,1),
('lum',417,1),
('mmon',417,1),
('mon',417,1),
('myn',417,1),
('nam',417,1),
('nem',417,1),
('nhym',417,1),
('nom',417,1),
('num',417,1),
('phom',417,1),
('roon',417,1),
('rym',417,1),
('shon',417,1),
('thun',417,1),
('tom',417,1),
('zhem',417,1),
('zhum',417,1),
('zun',417,1),
('Bar',1860,0),
('Bel',1860,0),
('Char',1860,0),
('Grak\'',1860,0),
('Graz\'',1860,0),
('Grim',1860,0),
('Hath',1860,0),
('Hel',1860,0),
('Hok',1860,0),
('Huk',1860,0),
('Jhaz',1860,0),
('Jhom',1860,0),
('Juk\'',1860,0),
('Kal\'',1860,0),
('Klath',1860,0),
('Kon',1860,0),
('Krag',1860,0),
('Krak',1860,0),
('Mak',1860,0),
('Mezz',1860,0),
('Orm',1860,0),
('Phan',1860,0),
('Sar',1860,0),
('Tang',1860,0),
('Than',1860,0),
('Thog',1860,0),
('Thok',1860,0),
('Thul',1860,0),
('Zag\'',1860,0),
('Zang',1860,0),
('Zhar\'',1860,0),
('kath',1860,1),
('doc',1860,1),
('dok',1860,1),
('gak',1860,1),
('garth',1860,1),
('gore',1860,1),
('gorg',1860,1),
('grave',1860,1),
('gron',1860,1),
('juk',1860,1),
('krast',1860,1),
('kresh',1860,1),
('krit',1860,1),
('los',1860,1),
('mon',1860,1),
('mos',1860,1),
('moth',1860,1),
('nagma',1860,1),
('nak',1860,1),
('nar',1860,1),
('nos',1860,1),
('nuz',1860,1),
('phog',1860,1),
('rath',1860,1),
('tast',1860,1),
('taz',1860,1),
('thak',1860,1),
('thang',1860,1),
('thyk',1860,1),
('vhug',1860,1),
('zazt',1860,1),
('Ael',1863,0),
('Aez',1863,0),
('Ang',1863,0),
('Ban',1863,0),
('Bet',1863,0),
('Bro',1863,0),
('Bry',1863,0),
('Cat',1863,0),
('Dir',1863,0),
('Dis',1863,0),
('Dom',1863,0),
('Drus',1863,0),
('Fie',1863,0),
('Fier',1863,0),
('Gly',1863,0),
('Hel',1863,0),
('Hes',1863,0),
('Kal',1863,0),
('Lyn',1863,0),
('Mir',1863,0),
('Nim',1863,0),
('Sar',1863,0),
('Sel',1863,0),
('Vil',1863,0),
('Zah',1863,0),
('aith',1863,1),
('anda',1863,1),
('antia',1863,1),
('evere',1863,1),
('lia',1863,1),
('lissa',1863,1),
('neri',1863,1),
('neth',1863,1),
('nia',1863,1),
('nlissa',1863,1),
('nora',1863,1),
('nva',1863,1),
('nys',1863,1),
('ola',1863,1),
('ona',1863,1),
('ora',1863,1),
('rah',1863,1),
('riana',1863,1),
('riel',1863,1),
('rona',1863,1),
('tai',1863,1),
('tevere',1863,1),
('thea',1863,1),
('vina',1863,1),
('wena',1863,1),
('wyn',1863,1),
('xia',1863,1),
('yla',1863,1),
('yssa',1863,1),
('Flaa',17252,0),
('Haa',17252,0),
('Jhuu',17252,0),
('Shaa',17252,0),
('Thoo',17252,0),
('dhun',17252,1),
('ghun',17252,1),
('roon',17252,1),
('thun',17252,1),
('tom',17252,1);

/*!40000 ALTER TABLE `pet_name_generation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pickpocketing_loot_template`
--

DROP TABLE IF EXISTS `pickpocketing_loot_template`;
CREATE TABLE `pickpocketing_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `pickpocketing_loot_template`
--

LOCK TABLES `pickpocketing_loot_template` WRITE;
/*!40000 ALTER TABLE `pickpocketing_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `pickpocketing_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `player_classlevelstats`
--

DROP TABLE IF EXISTS `player_classlevelstats`;
CREATE TABLE `player_classlevelstats` (
  `class` tinyint(3) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `basehp` smallint(5) unsigned NOT NULL,
  `basemana` smallint(5) unsigned NOT NULL,
  PRIMARY KEY  (`class`,`level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=0 COMMENT='Stores levels stats.';

--
-- Dumping data for table `player_classlevelstats`
--

LOCK TABLES `player_classlevelstats` WRITE;
/*!40000 ALTER TABLE `player_classlevelstats` DISABLE KEYS */;
INSERT INTO `player_classlevelstats` VALUES
(1,1,20,0),
(1,2,29,0),
(1,3,38,0),
(1,4,47,0),
(1,5,56,0),
(1,6,65,0),
(1,7,74,0),
(1,8,83,0),
(1,9,92,0),
(1,10,101,0),
(1,11,100,0),
(1,12,109,0),
(1,13,118,0),
(1,14,128,0),
(1,15,139,0),
(1,16,151,0),
(1,17,154,0),
(1,18,168,0),
(1,19,183,0),
(1,20,199,0),
(1,21,206,0),
(1,22,224,0),
(1,23,243,0),
(1,24,253,0),
(1,25,274,0),
(1,26,296,0),
(1,27,309,0),
(1,28,333,0),
(1,29,348,0),
(1,30,374,0),
(1,31,401,0),
(1,32,419,0),
(1,33,448,0),
(1,34,468,0),
(1,35,499,0),
(1,36,521,0),
(1,37,545,0),
(1,38,581,0),
(1,39,609,0),
(1,40,649,0),
(1,41,681,0),
(1,42,715,0),
(1,43,761,0),
(1,44,799,0),
(1,45,839,0),
(1,46,881,0),
(1,47,935,0),
(1,48,981,0),
(1,49,1029,0),
(1,50,1079,0),
(1,51,1131,0),
(1,52,1185,0),
(1,53,1241,0),
(1,54,1299,0),
(1,55,1359,0),
(1,56,1421,0),
(1,57,1485,0),
(1,58,1551,0),
(1,59,1619,0),
(1,60,1689,0),
(1,61,1902,0),
(1,62,2129,0),
(1,63,2357,0),
(1,64,2612,0),
(1,65,2883,0),
(1,66,3169,0),
(1,67,3455,0),
(1,68,3774,0),
(1,69,4109,0),
(1,70,4444,0),
(1,71,4720,0),
(1,72,5013,0),
(1,73,5325,0),
(1,74,5656,0),
(1,75,6008,0),
(1,76,6381,0),
(1,77,6778,0),
(1,78,7198,0),
(1,79,7646,0),
(1,80,8121,0),
(2,1,28,60),
(2,2,36,78),
(2,3,44,98),
(2,4,52,104),
(2,5,60,111),
(2,6,68,134),
(2,7,76,143),
(2,8,84,153),
(2,9,92,179),
(2,10,100,192),
(2,11,108,205),
(2,12,116,219),
(2,13,124,249),
(2,14,132,265),
(2,15,131,282),
(2,16,141,315),
(2,17,152,334),
(2,18,164,354),
(2,19,177,390),
(2,20,191,412),
(2,21,206,435),
(2,22,222,459),
(2,23,239,499),
(2,24,247,525),
(2,25,266,552),
(2,26,286,579),
(2,27,307,621),
(2,28,329,648),
(2,29,342,675),
(2,30,366,702),
(2,31,391,729),
(2,32,407,756),
(2,33,434,798),
(2,34,462,825),
(2,35,481,852),
(2,36,511,879),
(2,37,542,906),
(2,38,564,933),
(2,39,597,960),
(2,40,621,987),
(2,41,656,1014),
(2,42,682,1041),
(2,43,719,1068),
(2,44,747,1110),
(2,45,786,1137),
(2,46,816,1164),
(2,47,857,1176),
(2,48,889,1203),
(2,49,922,1230),
(2,50,966,1257),
(2,51,1001,1284),
(2,52,1037,1311),
(2,53,1084,1338),
(2,54,1122,1365),
(2,55,1161,1392),
(2,56,1201,1419),
(2,57,1252,1446),
(2,58,1294,1458),
(2,59,1337,1485),
(2,60,1381,1512),
(2,61,1540,1656),
(2,62,1708,1800),
(2,63,1884,1944),
(2,64,2068,2088),
(2,65,2262,2232),
(2,66,2466,2377),
(2,67,2679,2521),
(2,68,2901,2665),
(2,69,3134,2809),
(2,70,3377,2953),
(2,71,3629,3097),
(2,72,3900,3241),
(2,73,4191,3385),
(2,74,4503,3529),
(2,75,4839,3673),
(2,76,5200,3817),
(2,77,5588,3962),
(2,78,6005,4106),
(2,79,6453,4250),
(2,80,6934,4394),
(3,1,46,65),
(3,2,53,70),
(3,3,60,76),
(3,4,67,98),
(3,5,74,106),
(3,6,81,130),
(3,7,88,140),
(3,8,95,166),
(3,9,102,193),
(3,10,109,206),
(3,11,116,235),
(3,12,123,250),
(3,13,130,266),
(3,14,138,298),
(3,15,147,316),
(3,16,157,350),
(3,17,168,370),
(3,18,180,391),
(3,19,193,428),
(3,20,207,451),
(3,21,222,475),
(3,22,238,515),
(3,23,255,541),
(3,24,273,568),
(3,25,292,611),
(3,26,312,640),
(3,27,333,670),
(3,28,355,715),
(3,29,378,745),
(3,30,402,775),
(3,31,417,805),
(3,32,443,850),
(3,33,470,880),
(3,34,498,910),
(3,35,527,940),
(3,36,547,970),
(3,37,578,1015),
(3,38,610,1045),
(3,39,643,1075),
(3,40,667,1105),
(3,41,702,1135),
(3,42,738,1180),
(3,43,775,1210),
(3,44,803,1240),
(3,45,842,1270),
(3,46,872,1300),
(3,47,913,1330),
(3,48,955,1360),
(3,49,994,1390),
(3,50,1047,1420),
(3,51,1067,1450),
(3,52,1113,1480),
(3,53,1150,1510),
(3,54,1198,1540),
(3,55,1237,1570),
(3,56,1287,1600),
(3,57,1328,1630),
(3,58,1370,1660),
(3,59,1423,1690),
(3,60,1467,1720),
(3,61,1633,1886),
(3,62,1819,2053),
(3,63,2003,2219),
(3,64,2195,2385),
(3,65,2397,2552),
(3,66,2623,2718),
(3,67,2844,2884),
(3,68,3075,3050),
(3,69,3316,3217),
(3,70,3568,3383),
(3,71,3834,3549),
(3,72,4120,3716),
(3,73,4427,3882),
(3,74,4757,4048),
(3,75,5112,4215),
(3,76,5493,4381),
(3,77,5903,4547),
(3,78,6343,4713),
(3,79,6816,4880),
(3,80,7324,5046),
(4,1,25,0),
(4,2,32,0),
(4,3,49,0),
(4,4,56,0),
(4,5,63,0),
(4,6,70,0),
(4,7,87,0),
(4,8,94,0),
(4,9,101,0),
(4,10,118,0),
(4,11,125,0),
(4,12,142,0),
(4,13,149,0),
(4,14,156,0),
(4,15,173,0),
(4,16,181,0),
(4,17,190,0),
(4,18,200,0),
(4,19,221,0),
(4,20,233,0),
(4,21,246,0),
(4,22,260,0),
(4,23,275,0),
(4,24,301,0),
(4,25,318,0),
(4,26,336,0),
(4,27,355,0),
(4,28,375,0),
(4,29,396,0),
(4,30,428,0),
(4,31,451,0),
(4,32,475,0),
(4,33,500,0),
(4,34,526,0),
(4,35,553,0),
(4,36,581,0),
(4,37,610,0),
(4,38,640,0),
(4,39,671,0),
(4,40,703,0),
(4,41,736,0),
(4,42,770,0),
(4,43,805,0),
(4,44,841,0),
(4,45,878,0),
(4,46,916,0),
(4,47,955,0),
(4,48,995,0),
(4,49,1026,0),
(4,50,1068,0),
(4,51,1111,0),
(4,52,1155,0),
(4,53,1200,0),
(4,54,1246,0),
(4,55,1283,0),
(4,56,1331,0),
(4,57,1380,0),
(4,58,1430,0),
(4,59,1471,0),
(4,60,1523,0),
(4,61,1702,0),
(4,62,1879,0),
(4,63,2077,0),
(4,64,2285,0),
(4,65,2489,0),
(4,66,2717,0),
(4,67,2941,0),
(4,68,3190,0),
(4,69,3450,0),
(4,70,3704,0),
(4,71,3980,0),
(4,72,4277,0),
(4,73,4596,0),
(4,74,4939,0),
(4,75,5307,0),
(4,76,5703,0),
(4,77,6128,0),
(4,78,6585,0),
(4,79,7076,0),
(4,80,7604,0),
(5,1,52,73),
(5,2,57,76),
(5,3,72,95),
(5,4,77,114),
(5,5,92,133),
(5,6,97,152),
(5,7,112,171),
(5,8,117,190),
(5,9,132,209),
(5,10,137,212),
(5,11,142,215),
(5,12,157,234),
(5,13,172,254),
(5,14,177,260),
(5,15,192,282),
(5,16,197,305),
(5,17,212,329),
(5,18,227,339),
(5,19,232,365),
(5,20,247,377),
(5,21,252,405),
(5,22,268,434),
(5,23,275,449),
(5,24,293,480),
(5,25,302,497),
(5,26,322,530),
(5,27,343,549),
(5,28,355,584),
(5,29,378,605),
(5,30,392,627),
(5,31,417,665),
(5,32,433,689),
(5,33,460,728),
(5,34,478,752),
(5,35,507,776),
(5,36,527,800),
(5,37,548,839),
(5,38,580,863),
(5,39,603,887),
(5,40,637,911),
(5,41,662,950),
(5,42,698,974),
(5,43,725,998),
(5,44,763,1022),
(5,45,792,1046),
(5,46,822,1070),
(5,47,863,1094),
(5,48,895,1118),
(5,49,928,1142),
(5,50,972,1166),
(5,51,1007,1190),
(5,52,1053,1214),
(5,53,1090,1238),
(5,54,1128,1262),
(5,55,1177,1271),
(5,56,1217,1295),
(5,57,1258,1319),
(5,58,1300,1343),
(5,59,1353,1352),
(5,60,1397,1376),
(5,61,1557,1500),
(5,62,1738,1625),
(5,63,1916,1749),
(5,64,2101,1873),
(5,65,2295,1998),
(5,66,2495,2122),
(5,67,2719,2247),
(5,68,2936,2371),
(5,69,3160,2495),
(5,70,3391,2620),
(5,71,3644,2744),
(5,72,3916,2868),
(5,73,4208,2993),
(5,74,4522,3117),
(5,75,4859,3242),
(5,76,5221,3366),
(5,77,5610,3490),
(5,78,6028,3615),
(5,79,6477,3739),
(5,80,6960,3863),
(6,1,22,0),
(6,2,27,0),
(6,3,32,0),
(6,4,37,0),
(6,5,42,0),
(6,6,47,0),
(6,7,52,0),
(6,8,58,0),
(6,9,64,0),
(6,10,70,0),
(6,11,77,0),
(6,12,84,0),
(6,13,92,0),
(6,14,100,0),
(6,15,117,0),
(6,16,127,0),
(6,17,138,0),
(6,18,150,0),
(6,19,163,0),
(6,20,177,0),
(6,21,192,0),
(6,22,208,0),
(6,23,225,0),
(6,24,239,0),
(6,25,258,0),
(6,26,278,0),
(6,27,299,0),
(6,28,321,0),
(6,29,344,0),
(6,30,368,0),
(6,31,393,0),
(6,32,419,0),
(6,33,446,0),
(6,34,474,0),
(6,35,503,0),
(6,36,533,0),
(6,37,564,0),
(6,38,596,0),
(6,39,629,0),
(6,40,698,0),
(6,41,698,0),
(6,42,734,0),
(6,43,771,0),
(6,44,809,0),
(6,45,849,0),
(6,46,891,0),
(6,47,935,0),
(6,48,981,0),
(6,49,1029,0),
(6,50,1079,0),
(6,51,1131,0),
(6,52,1185,0),
(6,53,1241,0),
(6,54,1299,0),
(6,55,1359,0),
(6,56,1421,0),
(6,57,1485,0),
(6,58,1551,0),
(6,59,1619,0),
(6,60,1689,0),
(6,61,1902,0),
(6,62,2129,0),
(6,63,2357,0),
(6,64,2612,0),
(6,65,2883,0),
(6,66,3169,0),
(6,67,3455,0),
(6,68,3774,0),
(6,69,4109,0),
(6,70,4444,0),
(6,71,4720,0),
(6,72,5013,0),
(6,73,5325,0),
(6,74,5656,0),
(6,75,6008,0),
(6,76,6381,0),
(6,77,6778,0),
(6,78,7199,0),
(6,79,7646,0),
(6,80,8121,0),
(7,1,37,85),
(7,2,44,91),
(7,3,51,98),
(7,4,58,106),
(7,5,65,115),
(7,6,72,125),
(7,7,79,136),
(7,8,86,148),
(7,9,93,161),
(7,10,100,175),
(7,11,107,190),
(7,12,114,206),
(7,13,121,223),
(7,14,128,241),
(7,15,135,260),
(7,16,142,280),
(7,17,150,301),
(7,18,159,323),
(7,19,169,346),
(7,20,180,370),
(7,21,192,395),
(7,22,205,421),
(7,23,219,448),
(7,24,234,476),
(7,25,240,505),
(7,26,257,535),
(7,27,275,566),
(7,28,294,598),
(7,29,314,631),
(7,30,335,665),
(7,31,347,699),
(7,32,370,733),
(7,33,394,767),
(7,34,419,786),
(7,35,435,820),
(7,36,462,854),
(7,37,490,888),
(7,38,509,922),
(7,39,539,941),
(7,40,570,975),
(7,41,592,1009),
(7,42,625,1028),
(7,43,649,1062),
(7,44,684,1096),
(7,45,710,1115),
(7,46,747,1149),
(7,47,775,1183),
(7,48,814,1202),
(7,49,844,1236),
(7,50,885,1255),
(7,51,917,1289),
(7,52,960,1323),
(7,53,994,1342),
(7,54,1029,1376),
(7,55,1075,1395),
(7,56,1112,1414),
(7,57,1150,1448),
(7,58,1199,1467),
(7,59,1239,1501),
(7,60,1330,1520),
(7,61,1428,1664),
(7,62,1583,1808),
(7,63,1760,1951),
(7,64,1932,2095),
(7,65,2114,2239),
(7,66,2304,2383),
(7,67,2504,2527),
(7,68,2713,2670),
(7,69,2931,2814),
(7,70,3159,2958),
(7,71,3395,3102),
(7,72,3648,3246),
(7,73,3920,3389),
(7,74,4212,3533),
(7,75,4526,3677),
(7,76,4863,3821),
(7,77,5226,3965),
(7,78,5616,4108),
(7,79,6035,4252),
(7,80,6485,4396),
(8,1,32,100),
(8,2,47,110),
(8,3,52,106),
(8,4,67,118),
(8,5,82,131),
(8,6,97,130),
(8,7,102,145),
(8,8,117,146),
(8,9,132,163),
(8,10,137,196),
(8,11,152,215),
(8,12,167,220),
(8,13,172,241),
(8,14,187,263),
(8,15,202,271),
(8,16,207,295),
(8,17,222,305),
(8,18,237,331),
(8,19,242,343),
(8,20,257,371),
(8,21,272,385),
(8,22,277,415),
(8,23,292,431),
(8,24,298,463),
(8,25,315,481),
(8,26,333,515),
(8,27,342,535),
(8,28,362,556),
(8,29,373,592),
(8,30,395,613),
(8,31,418,634),
(8,32,432,670),
(8,33,457,691),
(8,34,473,712),
(8,35,500,733),
(8,36,518,754),
(8,37,547,790),
(8,38,577,811),
(8,39,598,832),
(8,40,630,853),
(8,41,653,874),
(8,42,687,895),
(8,43,712,916),
(8,44,748,937),
(8,45,775,958),
(8,46,813,979),
(8,47,842,1000),
(8,48,882,1021),
(8,49,913,1042),
(8,50,955,1048),
(8,51,988,1069),
(8,52,1032,1090),
(8,53,1067,1111),
(8,54,1103,1117),
(8,55,1150,1138),
(8,56,1188,1159),
(8,57,1237,1165),
(8,58,1277,1186),
(8,59,1328,1192),
(8,60,1370,1213),
(8,61,1526,1316),
(8,62,1702,1419),
(8,63,1875,1521),
(8,64,2070,1624),
(8,65,2261,1727),
(8,66,2461,1830),
(8,67,2686,1932),
(8,68,2906,2035),
(8,69,3136,2138),
(8,70,3393,2241),
(8,71,3646,2343),
(8,72,3918,2446),
(8,73,4210,2549),
(8,74,4524,2652),
(8,75,4861,2754),
(8,76,5223,2857),
(8,77,5612,2960),
(8,78,6030,3063),
(8,79,6480,3165),
(8,80,6963,3268),
(9,1,23,90),
(9,2,28,98),
(9,3,43,107),
(9,4,48,102),
(9,5,63,113),
(9,6,68,126),
(9,7,83,144),
(9,8,88,162),
(9,9,93,180),
(9,10,108,198),
(9,11,123,200),
(9,12,128,218),
(9,13,143,237),
(9,14,148,257),
(9,15,153,278),
(9,16,168,300),
(9,17,173,308),
(9,18,189,332),
(9,19,196,357),
(9,20,204,383),
(9,21,223,395),
(9,22,233,423),
(9,23,244,452),
(9,24,266,467),
(9,25,279,498),
(9,26,293,530),
(9,27,318,548),
(9,28,334,582),
(9,29,351,602),
(9,30,379,638),
(9,31,398,674),
(9,32,418,695),
(9,33,439,731),
(9,34,471,752),
(9,35,494,788),
(9,36,518,809),
(9,37,543,830),
(9,38,569,866),
(9,39,606,887),
(9,40,634,923),
(9,41,663,944),
(9,42,693,965),
(9,43,724,1001),
(9,44,756,1022),
(9,45,799,1043),
(9,46,832,1064),
(9,47,868,1100),
(9,48,904,1121),
(9,49,941,1142),
(9,50,979,1163),
(9,51,1018,1184),
(9,52,1058,1205),
(9,53,1099,1226),
(9,54,1141,1247),
(9,55,1184,1268),
(9,56,1228,1289),
(9,57,1273,1310),
(9,58,1319,1331),
(9,59,1366,1352),
(9,60,1414,1373),
(9,61,1580,1497),
(9,62,1755,1621),
(9,63,1939,1745),
(9,64,2133,1870),
(9,65,2323,1994),
(9,66,2535,2118),
(9,67,2758,2242),
(9,68,2991,2366),
(9,69,3235,2490),
(9,70,3490,2615),
(9,71,3750,2739),
(9,72,4025,2863),
(9,73,4330,2987),
(9,74,4646,3111),
(9,75,4997,3235),
(9,76,5373,3360),
(9,77,5774,3483),
(9,78,6207,3608),
(9,79,6667,3732),
(9,80,7136,3856),
(11,1,44,60),
(11,2,51,66),
(11,3,58,73),
(11,4,75,81),
(11,5,82,90),
(11,6,89,100),
(11,7,106,111),
(11,8,113,123),
(11,9,120,136),
(11,10,137,150),
(11,11,144,165),
(11,12,151,182),
(11,13,168,200),
(11,14,175,219),
(11,15,182,239),
(11,16,199,260),
(11,17,206,282),
(11,18,214,305),
(11,19,233,329),
(11,20,243,354),
(11,21,254,380),
(11,22,266,392),
(11,23,289,420),
(11,24,303,449),
(11,25,318,479),
(11,26,334,509),
(11,27,361,524),
(11,28,379,554),
(11,29,398,584),
(11,30,418,614),
(11,31,439,629),
(11,32,461,659),
(11,33,494,689),
(11,34,518,704),
(11,35,543,734),
(11,36,569,749),
(11,37,596,779),
(11,38,624,809),
(11,39,653,824),
(11,40,683,854),
(11,41,714,869),
(11,42,746,899),
(11,43,779,914),
(11,44,823,944),
(11,45,858,959),
(11,46,894,989),
(11,47,921,1004),
(11,48,959,1019),
(11,49,998,1049),
(11,50,1038,1064),
(11,51,1079,1079),
(11,52,1121,1109),
(11,53,1164,1124),
(11,54,1208,1139),
(11,55,1253,1154),
(11,56,1299,1169),
(11,57,1346,1199),
(11,58,1384,1214),
(11,59,1433,1229),
(11,60,1483,1244),
(11,61,1657,1357),
(11,62,1840,1469),
(11,63,2020,1582),
(11,64,2222,1694),
(11,65,2433,1807),
(11,66,2640,1919),
(11,67,2872,2032),
(11,68,3114,2145),
(11,69,3351,2257),
(11,70,3614,2370),
(11,71,3883,2482),
(11,72,4172,2595),
(11,73,4483,2708),
(11,74,4817,2820),
(11,75,5176,2933),
(11,76,5562,3045),
(11,77,5977,3158),
(11,78,6423,3270),
(11,79,6902,3383),
(11,80,7417,3496);
/*!40000 ALTER TABLE `player_classlevelstats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `player_levelstats`
--

DROP TABLE IF EXISTS `player_levelstats`;
CREATE TABLE `player_levelstats` (
  `race` tinyint(3) unsigned NOT NULL,
  `class` tinyint(3) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `str` tinyint(3) unsigned NOT NULL,
  `agi` tinyint(3) unsigned NOT NULL,
  `sta` tinyint(3) unsigned NOT NULL,
  `inte` tinyint(3) unsigned NOT NULL,
  `spi` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY  (`race`,`class`,`level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=0 COMMENT='Stores levels stats.';

--
-- Dumping data for table `player_levelstats`
--

LOCK TABLES `player_levelstats` WRITE;
/*!40000 ALTER TABLE `player_levelstats` DISABLE KEYS */;
INSERT INTO `player_levelstats` VALUES
(1,1,1,23,20,22,20,20),
(1,1,2,24,21,23,20,20),
(1,1,3,26,22,24,20,21),
(1,1,4,27,22,26,20,21),
(1,1,5,28,23,27,20,21),
(1,1,6,30,24,28,20,21),
(1,1,7,31,25,29,21,22),
(1,1,8,32,26,30,21,22),
(1,1,9,34,26,32,21,22),
(1,1,10,35,27,33,21,23),
(1,1,11,36,28,34,21,23),
(1,1,12,38,29,35,21,23),
(1,1,13,39,30,37,21,24),
(1,1,14,41,31,38,21,24),
(1,1,15,42,32,39,21,24),
(1,1,16,44,33,41,21,25),
(1,1,17,45,34,42,22,25),
(1,1,18,47,34,43,22,25),
(1,1,19,48,35,45,22,26),
(1,1,20,50,36,46,22,26),
(1,1,21,51,37,48,22,26),
(1,1,22,53,38,49,22,27),
(1,1,23,54,39,51,22,27),
(1,1,24,56,40,52,23,28),
(1,1,25,58,41,53,23,28),
(1,1,26,59,42,55,23,28),
(1,1,27,61,43,56,23,29),
(1,1,28,63,44,58,23,29),
(1,1,29,64,45,59,23,30),
(1,1,30,66,46,61,24,30),
(1,1,31,68,47,62,24,30),
(1,1,32,69,48,64,24,31),
(1,1,33,71,50,66,24,31),
(1,1,34,73,51,67,24,32),
(1,1,35,74,52,69,24,32),
(1,1,36,76,53,70,25,33),
(1,1,37,78,54,72,25,33),
(1,1,38,80,55,74,25,34),
(1,1,39,82,56,75,25,34),
(1,1,40,83,57,77,25,35),
(1,1,41,85,58,79,26,35),
(1,1,42,87,60,80,26,35),
(1,1,43,89,61,82,26,36),
(1,1,44,91,62,84,26,36),
(1,1,45,93,63,85,26,37),
(1,1,46,95,64,87,27,37),
(1,1,47,97,66,89,27,38),
(1,1,48,99,67,91,27,38),
(1,1,49,101,68,93,27,39),
(1,1,50,103,69,94,28,40),
(1,1,51,105,71,96,28,40),
(1,1,52,107,72,98,28,41),
(1,1,53,109,73,100,28,41),
(1,1,54,111,74,102,29,42),
(1,1,55,113,76,103,29,42),
(1,1,56,115,77,105,29,43),
(1,1,57,117,78,107,29,43),
(1,1,58,119,79,109,30,44),
(1,1,59,121,81,111,30,44),
(1,1,60,123,82,113,30,45),
(1,1,61,125,83,115,30,46),
(1,1,62,127,85,117,31,46),
(1,1,63,129,86,119,31,47),
(1,1,64,132,88,121,31,47),
(1,1,65,134,89,123,32,48),
(1,1,66,136,90,125,32,49),
(1,1,67,138,92,127,32,49),
(1,1,68,140,93,129,32,50),
(1,1,69,143,95,131,33,50),
(1,1,70,145,96,133,33,51),
(1,1,71,148,97,140,33,53),
(1,1,72,156,99,143,33,54),
(1,1,73,162,101,148,33,55),
(1,1,74,162,102,148,34,55),
(1,1,75,165,104,150,34,56),
(1,1,76,171,106,156,34,57),
(1,1,77,171,108,157,35,58),
(1,1,78,174,109,159,35,58),
(1,1,79,181,111,165,35,59),
(1,1,80,184,113,168,36,60),
(1,2,1,22,20,22,20,21),
(1,2,2,23,21,23,21,22),
(1,2,3,24,21,24,21,22),
(1,2,4,25,22,25,22,23),
(1,2,5,26,22,26,23,24),
(1,2,6,28,23,27,23,25),
(1,2,7,29,24,28,24,25),
(1,2,8,30,24,29,25,26),
(1,2,9,31,25,30,25,27),
(1,2,10,32,25,32,26,27),
(1,2,11,33,26,33,27,28),
(1,2,12,35,27,34,27,29),
(1,2,13,36,27,35,28,30),
(1,2,14,37,28,36,29,31),
(1,2,15,38,29,37,30,31),
(1,2,16,40,29,38,30,32),
(1,2,17,41,30,40,31,33),
(1,2,18,42,31,41,32,34),
(1,2,19,43,31,42,33,35),
(1,2,20,45,32,43,33,35),
(1,2,21,46,33,45,34,36),
(1,2,22,47,33,46,35,37),
(1,2,23,49,34,47,36,38),
(1,2,24,50,35,48,37,39),
(1,2,25,51,36,50,37,40),
(1,2,26,53,36,51,38,41),
(1,2,27,54,37,52,39,42),
(1,2,28,56,38,54,40,43),
(1,2,29,57,39,55,41,43),
(1,2,30,58,39,56,42,44),
(1,2,31,60,40,58,43,45),
(1,2,32,61,41,59,43,46),
(1,2,33,63,42,60,44,47),
(1,2,34,64,43,62,45,48),
(1,2,35,66,44,63,46,49),
(1,2,36,67,44,65,47,50),
(1,2,37,69,45,66,48,51),
(1,2,38,70,46,67,49,52),
(1,2,39,72,47,69,50,53),
(1,2,40,73,48,70,51,54),
(1,2,41,75,49,72,52,55),
(1,2,42,77,49,73,53,56),
(1,2,43,78,50,75,54,57),
(1,2,44,80,51,76,55,58),
(1,2,45,81,52,78,56,59),
(1,2,46,83,53,79,57,61),
(1,2,47,85,54,81,58,62),
(1,2,48,86,55,83,59,63),
(1,2,49,88,56,84,60,64),
(1,2,50,90,57,86,61,65),
(1,2,51,91,58,87,62,66),
(1,2,52,93,59,89,63,67),
(1,2,53,95,60,91,64,68),
(1,2,54,97,61,92,65,69),
(1,2,55,98,61,94,66,71),
(1,2,56,100,62,95,67,72),
(1,2,57,102,63,97,68,73),
(1,2,58,104,64,99,69,74),
(1,2,59,105,65,101,70,75),
(1,2,60,107,66,102,71,77),
(1,2,61,109,67,104,73,78),
(1,2,62,111,69,106,74,79),
(1,2,63,113,70,107,75,80),
(1,2,64,115,71,109,76,81),
(1,2,65,116,72,111,77,83),
(1,2,66,118,73,113,78,84),
(1,2,67,120,74,115,79,85),
(1,2,68,122,75,116,81,86),
(1,2,69,124,76,118,82,88),
(1,2,70,126,77,120,83,89),
(1,2,71,148,78,122,84,92),
(1,2,72,150,79,125,86,94),
(1,2,73,152,80,127,87,96),
(1,2,74,156,82,129,89,97),
(1,2,75,158,83,131,90,99),
(1,2,76,162,84,134,92,100),
(1,2,77,164,86,136,93,103),
(1,2,78,167,87,138,95,105),
(1,2,79,170,88,153,96,106),
(1,2,80,173,90,160,98,108),
(1,4,1,21,23,21,20,20),
(1,4,2,22,24,22,20,20),
(1,4,3,23,26,22,20,21),
(1,4,4,23,27,23,20,21),
(1,4,5,24,29,24,21,21),
(1,4,6,25,30,25,21,22),
(1,4,7,26,32,25,21,22),
(1,4,8,26,33,26,21,23),
(1,4,9,27,35,27,21,23),
(1,4,10,28,36,27,21,23),
(1,4,11,29,38,28,22,24),
(1,4,12,30,39,29,22,24),
(1,4,13,31,41,30,22,25),
(1,4,14,31,43,31,22,25),
(1,4,15,32,44,31,22,25),
(1,4,16,33,46,32,23,26),
(1,4,17,34,48,33,23,26),
(1,4,18,35,49,34,23,27),
(1,4,19,36,51,35,23,27),
(1,4,20,37,53,35,23,28),
(1,4,21,38,54,36,24,28),
(1,4,22,39,56,37,24,29),
(1,4,23,40,58,38,24,29),
(1,4,24,41,60,39,24,30),
(1,4,25,42,61,40,25,30),
(1,4,26,43,63,41,25,31),
(1,4,27,44,65,42,25,31),
(1,4,28,45,67,43,25,32),
(1,4,29,46,69,43,25,32),
(1,4,30,47,71,44,26,33),
(1,4,31,48,72,45,26,33),
(1,4,32,49,74,46,26,34),
(1,4,33,50,76,47,27,34),
(1,4,34,51,78,48,27,35),
(1,4,35,52,80,49,27,35),
(1,4,36,53,82,50,27,36),
(1,4,37,54,84,51,28,36),
(1,4,38,55,86,52,28,37),
(1,4,39,56,88,53,28,38),
(1,4,40,57,90,54,28,38),
(1,4,41,58,92,55,29,39),
(1,4,42,60,94,56,29,39),
(1,4,43,61,96,57,29,40),
(1,4,44,62,98,58,30,40),
(1,4,45,63,100,59,30,41),
(1,4,46,64,103,61,30,42),
(1,4,47,65,105,62,31,42),
(1,4,48,66,107,63,31,43),
(1,4,49,68,109,64,31,44),
(1,4,50,69,111,65,32,44),
(1,4,51,70,113,66,32,45),
(1,4,52,71,116,67,32,45),
(1,4,53,73,118,68,33,46),
(1,4,54,74,120,69,33,47),
(1,4,55,75,122,71,33,47),
(1,4,56,76,125,72,34,48),
(1,4,57,78,127,73,34,49),
(1,4,58,79,129,74,34,49),
(1,4,59,80,131,75,35,50),
(1,4,60,81,134,77,35,51),
(1,4,61,83,136,78,35,51),
(1,4,62,84,138,79,36,52),
(1,4,63,85,141,80,36,53),
(1,4,64,87,143,81,37,54),
(1,4,65,88,146,83,37,54),
(1,4,66,89,148,84,37,55),
(1,4,67,91,151,85,38,56),
(1,4,68,92,153,86,38,57),
(1,4,69,94,156,88,39,57),
(1,4,70,95,158,89,39,58),
(1,4,71,97,161,90,39,60),
(1,4,72,99,164,92,40,60),
(1,4,73,100,167,94,40,61),
(1,4,74,102,170,95,41,62),
(1,4,75,104,173,97,41,63),
(1,4,76,105,176,98,41,64),
(1,4,77,107,179,100,42,65),
(1,4,78,109,183,106,42,66),
(1,4,79,111,186,107,43,67),
(1,4,80,113,189,109,43,69),
(1,5,1,20,20,20,22,23),
(1,5,2,20,20,20,23,24),
(1,5,3,20,20,21,25,26),
(1,5,4,20,21,21,26,27),
(1,5,5,21,21,21,27,28),
(1,5,6,21,21,22,29,30),
(1,5,7,21,21,22,30,31),
(1,5,8,21,22,23,31,33),
(1,5,9,21,22,23,33,34),
(1,5,10,21,22,23,34,36),
(1,5,11,22,22,24,36,37),
(1,5,12,22,23,24,37,39),
(1,5,13,22,23,25,38,40),
(1,5,14,22,23,25,40,42),
(1,5,15,22,23,25,41,43),
(1,5,16,23,24,26,43,45),
(1,5,17,23,24,26,44,46),
(1,5,18,23,24,27,46,48),
(1,5,19,23,24,27,47,49),
(1,5,20,23,25,28,49,51),
(1,5,21,24,25,28,51,53),
(1,5,22,24,25,29,52,54),
(1,5,23,24,26,29,54,56),
(1,5,24,24,26,30,55,58),
(1,5,25,25,26,30,57,59),
(1,5,26,25,27,31,59,61),
(1,5,27,25,27,31,60,63),
(1,5,28,25,27,32,62,65),
(1,5,29,25,28,32,64,66),
(1,5,30,26,28,33,65,68),
(1,5,31,26,28,33,67,70),
(1,5,32,26,29,34,69,72),
(1,5,33,27,29,34,70,73),
(1,5,34,27,29,35,72,75),
(1,5,35,27,30,35,74,77),
(1,5,36,27,30,36,76,79),
(1,5,37,28,30,36,78,81),
(1,5,38,28,31,37,79,83),
(1,5,39,28,31,38,81,85),
(1,5,40,28,31,38,83,87),
(1,5,41,29,32,39,85,88),
(1,5,42,29,32,39,87,90),
(1,5,43,29,33,40,89,92),
(1,5,44,30,33,40,91,94),
(1,5,45,30,33,41,92,96),
(1,5,46,30,34,42,94,98),
(1,5,47,31,34,42,96,100),
(1,5,48,31,35,43,98,102),
(1,5,49,31,35,44,100,104),
(1,5,50,32,36,44,102,106),
(1,5,51,32,36,45,104,109),
(1,5,52,32,36,45,106,111),
(1,5,53,33,37,46,108,113),
(1,5,54,33,37,47,110,115),
(1,5,55,33,38,47,112,117),
(1,5,56,34,38,48,114,119),
(1,5,57,34,39,49,117,121),
(1,5,58,34,39,49,119,124),
(1,5,59,35,40,50,121,126),
(1,5,60,35,40,51,123,128),
(1,5,61,35,41,51,125,130),
(1,5,62,36,41,52,127,132),
(1,5,63,36,41,53,129,135),
(1,5,64,37,42,54,132,137),
(1,5,65,37,42,54,134,139),
(1,5,66,37,43,55,136,142),
(1,5,67,38,43,56,138,144),
(1,5,68,38,44,57,140,146),
(1,5,69,39,44,57,143,149),
(1,5,70,39,45,58,145,151),
(1,5,71,39,46,59,148,158),
(1,5,72,40,46,59,151,161),
(1,5,73,40,47,60,154,164),
(1,5,74,41,47,61,156,167),
(1,5,75,41,48,62,159,170),
(1,5,76,41,49,63,162,174),
(1,5,77,42,49,64,165,177),
(1,5,78,42,50,65,168,180),
(1,5,79,43,50,66,171,183),
(1,5,80,43,51,67,174,186),
(1,6,1,23,20,22,20,20),
(1,6,2,24,21,23,20,20),
(1,6,3,26,22,24,20,21),
(1,6,4,27,22,26,20,21),
(1,6,5,28,23,27,20,21),
(1,6,6,30,24,28,20,21),
(1,6,7,31,25,29,21,22),
(1,6,8,32,26,30,21,22),
(1,6,9,34,26,32,21,22),
(1,6,10,35,27,33,21,23),
(1,6,11,36,28,34,21,23),
(1,6,12,38,29,35,21,23),
(1,6,13,39,30,37,21,24),
(1,6,14,41,31,38,21,24),
(1,6,15,42,32,39,21,24),
(1,6,16,44,33,41,21,25),
(1,6,17,45,34,42,22,25),
(1,6,18,47,34,43,22,25),
(1,6,19,48,35,45,22,26),
(1,6,20,50,36,46,22,26),
(1,6,21,51,37,48,22,26),
(1,6,22,53,38,49,22,27),
(1,6,23,54,39,51,22,27),
(1,6,24,56,40,52,23,28),
(1,6,25,58,41,53,23,28),
(1,6,26,59,42,55,23,28),
(1,6,27,61,43,56,23,29),
(1,6,28,63,44,58,23,29),
(1,6,29,64,45,59,23,30),
(1,6,30,66,46,61,24,30),
(1,6,31,68,47,62,24,30),
(1,6,32,69,48,64,24,31),
(1,6,33,71,50,66,24,31),
(1,6,34,73,51,67,24,32),
(1,6,35,74,52,69,24,32),
(1,6,36,76,53,70,25,33),
(1,6,37,78,54,72,25,33),
(1,6,38,80,55,74,25,34),
(1,6,39,82,56,75,25,34),
(1,6,40,83,57,77,25,35),
(1,6,41,85,58,79,26,35),
(1,6,42,87,60,80,26,35),
(1,6,43,89,61,82,26,36),
(1,6,44,91,62,84,26,36),
(1,6,45,93,63,85,26,37),
(1,6,46,95,64,87,27,37),
(1,6,47,97,66,89,27,38),
(1,6,48,99,67,91,27,38),
(1,6,49,101,68,93,27,39),
(1,6,50,103,69,94,28,40),
(1,6,51,105,71,96,28,40),
(1,6,52,106,72,97,28,41),
(1,6,53,107,72,98,28,41),
(1,6,54,107,73,98,29,42),
(1,6,55,108,73,99,29,43),
(1,6,56,111,75,102,29,44),
(1,6,57,113,76,104,29,44),
(1,6,58,118,77,106,30,45),
(1,6,59,118,79,108,30,45),
(1,6,60,123,80,110,30,46),
(1,6,61,125,81,112,30,47),
(1,6,62,128,83,114,30,47),
(1,6,63,130,84,117,31,48),
(1,6,64,130,86,119,31,48),
(1,6,65,140,87,128,31,49),
(1,6,66,143,89,131,31,50),
(1,6,67,146,90,133,32,50),
(1,6,68,148,92,135,32,51),
(1,6,69,151,93,138,32,52),
(1,6,70,154,95,140,32,52),
(1,6,71,162,97,144,33,53),
(1,6,72,164,98,146,33,54),
(1,6,73,165,100,148,33,55),
(1,6,74,166,102,151,33,55),
(1,6,75,169,103,154,34,56),
(1,6,76,172,105,157,34,57),
(1,6,77,175,107,157,34,58),
(1,6,78,176,108,157,34,58),
(1,6,79,177,110,157,35,59),
(1,6,80,180,112,160,35,60),
(1,8,1,20,20,20,23,22),
(1,8,2,20,20,20,24,23),
(1,8,3,20,20,21,26,25),
(1,8,4,20,20,21,27,26),
(1,8,5,20,21,21,28,27),
(1,8,6,20,21,21,30,29),
(1,8,7,21,21,22,31,30),
(1,8,8,21,21,22,33,31),
(1,8,9,21,21,22,34,33),
(1,8,10,21,21,23,36,34),
(1,8,11,21,22,23,37,36),
(1,8,12,21,22,23,39,37),
(1,8,13,21,22,24,40,38),
(1,8,14,21,22,24,42,40),
(1,8,15,21,22,24,43,41),
(1,8,16,21,23,25,45,43),
(1,8,17,22,23,25,46,44),
(1,8,18,22,23,25,48,46),
(1,8,19,22,23,26,49,47),
(1,8,20,22,23,26,51,49),
(1,8,21,22,24,26,53,51),
(1,8,22,22,24,27,54,52),
(1,8,23,22,24,27,56,54),
(1,8,24,23,24,28,58,55),
(1,8,25,23,25,28,59,57),
(1,8,26,23,25,28,61,59),
(1,8,27,23,25,29,63,60),
(1,8,28,23,25,29,65,62),
(1,8,29,23,25,30,66,64),
(1,8,30,24,26,30,68,65),
(1,8,31,24,26,30,70,67),
(1,8,32,24,26,31,72,69),
(1,8,33,24,27,31,73,70),
(1,8,34,24,27,32,75,72),
(1,8,35,24,27,32,77,74),
(1,8,36,25,27,33,79,76),
(1,8,37,25,28,33,81,78),
(1,8,38,25,28,34,83,79),
(1,8,39,25,28,34,85,81),
(1,8,40,25,28,35,87,83),
(1,8,41,26,29,35,88,85),
(1,8,42,26,29,35,90,87),
(1,8,43,26,29,36,92,89),
(1,8,44,26,30,36,94,91),
(1,8,45,26,30,37,96,92),
(1,8,46,27,30,37,98,94),
(1,8,47,27,31,38,100,96),
(1,8,48,27,31,38,102,98),
(1,8,49,27,31,39,104,100),
(1,8,50,28,32,40,106,102),
(1,8,51,28,32,40,109,104),
(1,8,52,28,32,41,111,106),
(1,8,53,28,33,41,113,108),
(1,8,54,29,33,42,115,110),
(1,8,55,29,33,42,117,112),
(1,8,56,29,34,43,119,114),
(1,8,57,29,34,43,121,117),
(1,8,58,30,34,44,124,119),
(1,8,59,30,35,44,126,121),
(1,8,60,30,35,45,128,123),
(1,8,61,30,35,46,130,125),
(1,8,62,31,36,46,132,127),
(1,8,63,31,36,47,135,129),
(1,8,64,31,37,47,137,132),
(1,8,65,32,37,48,139,134),
(1,8,66,32,37,49,142,136),
(1,8,67,32,38,49,144,138),
(1,8,68,32,38,50,146,140),
(1,8,69,33,39,50,149,143),
(1,8,70,33,39,51,151,145),
(1,8,71,33,39,52,154,152),
(1,8,72,33,40,53,160,155),
(1,8,73,33,40,54,160,158),
(1,8,74,34,41,54,163,160),
(1,8,75,34,41,55,166,163),
(1,8,76,34,41,56,169,166),
(1,8,77,35,42,57,172,169),
(1,8,78,35,42,57,175,173),
(1,8,79,35,43,58,178,176),
(1,8,80,36,43,59,181,179),
(1,9,1,20,20,21,22,22),
(1,9,2,20,20,22,23,23),
(1,9,3,21,21,22,24,24),
(1,9,4,21,21,23,26,25),
(1,9,5,21,21,23,27,27),
(1,9,6,21,22,24,28,28),
(1,9,7,22,22,24,29,29),
(1,9,8,22,23,25,30,30),
(1,9,9,22,23,26,32,31),
(1,9,10,23,23,26,33,33),
(1,9,11,23,24,27,34,34),
(1,9,12,23,24,27,35,35),
(1,9,13,24,25,28,37,36),
(1,9,14,24,25,29,38,38),
(1,9,15,24,25,29,39,39),
(1,9,16,25,26,30,41,40),
(1,9,17,25,26,31,42,42),
(1,9,18,25,27,31,43,43),
(1,9,19,26,27,32,45,44),
(1,9,20,26,28,33,46,46),
(1,9,21,26,28,33,48,47),
(1,9,22,27,29,34,49,49),
(1,9,23,27,29,35,51,50),
(1,9,24,28,30,35,52,51),
(1,9,25,28,30,36,53,53),
(1,9,26,28,31,37,55,54),
(1,9,27,29,31,37,56,56),
(1,9,28,29,32,38,58,57),
(1,9,29,30,32,39,59,59),
(1,9,30,30,33,40,61,60),
(1,9,31,30,33,40,62,62),
(1,9,32,31,34,41,64,63),
(1,9,33,31,34,42,66,65),
(1,9,34,32,35,43,67,66),
(1,9,35,32,35,44,69,68),
(1,9,36,33,36,44,70,69),
(1,9,37,33,36,45,72,71),
(1,9,38,34,37,46,74,73),
(1,9,39,34,38,47,75,74),
(1,9,40,35,38,48,77,76),
(1,9,41,35,39,48,79,78),
(1,9,42,35,39,49,80,79),
(1,9,43,36,40,50,82,81),
(1,9,44,36,40,51,84,83),
(1,9,45,37,41,52,85,84),
(1,9,46,37,42,53,87,86),
(1,9,47,38,42,54,89,88),
(1,9,48,38,43,55,91,89),
(1,9,49,39,44,55,93,91),
(1,9,50,40,44,56,94,93),
(1,9,51,40,45,57,96,95),
(1,9,52,41,45,58,98,97),
(1,9,53,41,46,59,100,98),
(1,9,54,42,47,60,102,100),
(1,9,55,42,47,61,103,102),
(1,9,56,43,48,62,105,104),
(1,9,57,43,49,63,107,106),
(1,9,58,44,49,64,109,108),
(1,9,59,44,50,65,111,109),
(1,9,60,45,51,66,113,111),
(1,9,61,46,51,67,115,113),
(1,9,62,46,52,68,117,115),
(1,9,63,47,53,69,119,117),
(1,9,64,47,54,70,121,119),
(1,9,65,48,54,71,123,121),
(1,9,66,49,55,72,125,123),
(1,9,67,49,56,73,127,125),
(1,9,68,50,57,74,129,127),
(1,9,69,50,57,75,131,129),
(1,9,70,51,58,76,133,131),
(1,9,71,52,59,78,135,146),
(1,9,72,53,59,79,138,148),
(1,9,73,54,60,80,140,151),
(1,9,74,54,61,89,143,154),
(1,9,75,55,62,91,145,156),
(1,9,76,56,63,92,148,159),
(1,9,77,57,64,93,151,162),
(1,9,78,57,65,95,153,165),
(1,9,79,58,66,96,156,168),
(1,9,80,59,67,97,159,170),
(2,1,1,26,17,24,17,23),
(2,1,2,27,18,25,17,23),
(2,1,3,29,19,26,17,24),
(2,1,4,30,19,27,17,24),
(2,1,5,31,20,29,17,24),
(2,1,6,32,21,30,17,24),
(2,1,7,34,22,31,18,25),
(2,1,8,35,23,32,18,25),
(2,1,9,37,24,34,18,25),
(2,1,10,38,24,35,18,26),
(2,1,11,39,25,36,18,26),
(2,1,12,41,26,37,18,26),
(2,1,13,42,27,39,18,27),
(2,1,14,44,28,40,18,27),
(2,1,15,45,29,41,18,27),
(2,1,16,47,30,43,19,28),
(2,1,17,48,31,44,19,28),
(2,1,18,50,32,45,19,28),
(2,1,19,51,33,47,19,29),
(2,1,20,53,34,48,19,29),
(2,1,21,54,34,50,19,29),
(2,1,22,56,35,51,19,30),
(2,1,23,57,36,52,20,30),
(2,1,24,59,37,54,20,30),
(2,1,25,60,38,55,20,31),
(2,1,26,62,39,57,20,31),
(2,1,27,64,40,58,20,32),
(2,1,28,65,41,60,20,32),
(2,1,29,67,43,61,21,32),
(2,1,30,69,44,63,21,33),
(2,1,31,70,45,64,21,33),
(2,1,32,72,46,66,21,34),
(2,1,33,74,47,67,21,34),
(2,1,34,76,48,69,21,35),
(2,1,35,77,49,71,22,35),
(2,1,36,79,50,72,22,36),
(2,1,37,81,51,74,22,36),
(2,1,38,83,52,76,22,36),
(2,1,39,84,53,77,22,37),
(2,1,40,86,55,79,23,37),
(2,1,41,88,56,81,23,38),
(2,1,42,90,57,82,23,38),
(2,1,43,92,58,84,23,39),
(2,1,44,94,59,86,23,39),
(2,1,45,96,60,87,24,40),
(2,1,46,98,62,89,24,40),
(2,1,47,100,63,91,24,41),
(2,1,48,101,64,93,24,41),
(2,1,49,103,65,94,25,42),
(2,1,50,105,66,96,25,42),
(2,1,51,107,68,98,25,43),
(2,1,52,109,69,100,25,43),
(2,1,53,111,70,102,25,44),
(2,1,54,113,71,104,26,45),
(2,1,55,115,73,105,26,45),
(2,1,56,118,74,107,26,46),
(2,1,57,120,75,109,26,46),
(2,1,58,122,77,111,27,47),
(2,1,59,124,78,113,27,47),
(2,1,60,126,79,115,27,48),
(2,1,61,128,81,117,27,48),
(2,1,62,130,82,119,28,49),
(2,1,63,132,83,121,28,50),
(2,1,64,135,85,123,28,50),
(2,1,65,137,86,125,29,51),
(2,1,66,139,87,127,29,52),
(2,1,67,141,89,129,29,52),
(2,1,68,143,90,131,29,53),
(2,1,69,146,92,133,30,53),
(2,1,70,148,93,135,30,54),
(2,1,71,157,94,142,30,55),
(2,1,72,162,96,148,30,56),
(2,1,73,165,98,150,30,57),
(2,1,74,168,99,153,31,57),
(2,1,75,170,101,154,31,58),
(2,1,76,172,103,156,31,59),
(2,1,77,174,105,159,32,60),
(2,1,78,179,106,162,32,60),
(2,1,79,184,108,167,32,61),
(2,1,80,187,110,170,33,62),
(2,3,1,23,20,23,17,24),
(2,3,2,23,21,24,18,25),
(2,3,3,24,23,25,18,25),
(2,3,4,24,24,26,19,26),
(2,3,5,25,25,27,19,26),
(2,3,6,25,27,28,20,27),
(2,3,7,26,28,28,21,28),
(2,3,8,26,30,29,21,28),
(2,3,9,26,31,30,22,29),
(2,3,10,27,33,31,22,30),
(2,3,11,27,34,32,23,30),
(2,3,12,28,36,33,24,31),
(2,3,13,28,37,34,24,32),
(2,3,14,29,39,35,25,33),
(2,3,15,29,40,36,26,33),
(2,3,16,30,42,37,26,34),
(2,3,17,30,43,39,27,35),
(2,3,18,31,45,40,28,35),
(2,3,19,31,47,41,28,36),
(2,3,20,32,48,42,29,37),
(2,3,21,32,50,43,30,38),
(2,3,22,33,51,44,31,39),
(2,3,23,34,53,45,31,39),
(2,3,24,34,55,46,32,40),
(2,3,25,35,57,47,33,41),
(2,3,26,35,58,48,34,42),
(2,3,27,36,60,50,34,43),
(2,3,28,36,62,51,35,43),
(2,3,29,37,63,52,36,44),
(2,3,30,38,65,53,37,45),
(2,3,31,38,67,54,37,46),
(2,3,32,39,69,56,38,47),
(2,3,33,39,71,57,39,48),
(2,3,34,40,72,58,40,49),
(2,3,35,41,74,59,41,49),
(2,3,36,41,76,61,42,50),
(2,3,37,42,78,62,42,51),
(2,3,38,43,80,63,43,52),
(2,3,39,43,82,64,44,53),
(2,3,40,44,84,66,45,54),
(2,3,41,45,86,67,46,55),
(2,3,42,45,88,68,47,56),
(2,3,43,46,90,70,47,57),
(2,3,44,47,91,71,48,58),
(2,3,45,47,93,72,49,59),
(2,3,46,48,95,74,50,60),
(2,3,47,49,98,75,51,61),
(2,3,48,50,100,77,52,62),
(2,3,49,50,102,78,53,63),
(2,3,50,51,104,79,54,64),
(2,3,51,52,106,81,55,65),
(2,3,52,52,108,82,56,66),
(2,3,53,53,110,84,57,67),
(2,3,54,54,112,85,58,68),
(2,3,55,55,114,87,59,69),
(2,3,56,55,116,88,60,70),
(2,3,57,56,118,90,61,71),
(2,3,58,57,121,91,62,72),
(2,3,59,58,123,93,63,73),
(2,3,60,59,125,94,64,74),
(2,3,61,59,127,96,65,76),
(2,3,62,60,130,97,66,77),
(2,3,63,61,132,99,67,78),
(2,3,64,62,134,100,68,79),
(2,3,65,63,136,102,69,80),
(2,3,66,64,139,104,70,81),
(2,3,67,64,141,105,71,82),
(2,3,68,65,143,107,72,84),
(2,3,69,66,146,108,73,85),
(2,3,70,67,148,110,74,86),
(2,3,71,68,151,112,75,87),
(2,3,72,69,154,114,76,88),
(2,3,73,70,157,116,77,90),
(2,3,74,71,160,118,79,91),
(2,3,75,72,163,120,80,93),
(2,3,76,73,166,122,81,94),
(2,3,77,74,169,124,83,96),
(2,3,78,75,172,126,84,97),
(2,3,79,76,175,128,85,99),
(2,3,80,77,178,130,87,100),
(2,4,1,24,20,23,17,23),
(2,4,2,25,21,24,17,23),
(2,4,3,25,23,24,17,24),
(2,4,4,26,24,25,17,24),
(2,4,5,27,26,26,18,24),
(2,4,6,28,27,26,18,25),
(2,4,7,29,29,27,18,25),
(2,4,8,29,30,28,18,26),
(2,4,9,30,32,29,18,26),
(2,4,10,31,33,29,19,26),
(2,4,11,32,35,30,19,27),
(2,4,12,33,37,31,19,27),
(2,4,13,34,38,32,19,28),
(2,4,14,34,40,32,19,28),
(2,4,15,35,41,33,19,28),
(2,4,16,36,43,34,20,29),
(2,4,17,37,45,35,20,29),
(2,4,18,38,46,36,20,30),
(2,4,19,39,48,37,20,30),
(2,4,20,40,50,37,21,31),
(2,4,21,41,52,38,21,31),
(2,4,22,42,53,39,21,31),
(2,4,23,43,55,40,21,32),
(2,4,24,43,57,41,21,32),
(2,4,25,44,59,42,22,33),
(2,4,26,45,60,43,22,33),
(2,4,27,46,62,44,22,34),
(2,4,28,47,64,44,22,34),
(2,4,29,48,66,45,23,35),
(2,4,30,49,68,46,23,35),
(2,4,31,50,70,47,23,36),
(2,4,32,51,72,48,23,36),
(2,4,33,53,73,49,24,37),
(2,4,34,54,75,50,24,38),
(2,4,35,55,77,51,24,38),
(2,4,36,56,79,52,24,39),
(2,4,37,57,81,53,25,39),
(2,4,38,58,83,54,25,40),
(2,4,39,59,85,55,25,40),
(2,4,40,60,87,56,26,41),
(2,4,41,61,89,57,26,41),
(2,4,42,62,91,58,26,42),
(2,4,43,63,93,59,27,43),
(2,4,44,65,95,60,27,43),
(2,4,45,66,98,61,27,44),
(2,4,46,67,100,62,27,44),
(2,4,47,68,102,64,28,45),
(2,4,48,69,104,65,28,46),
(2,4,49,71,106,66,28,46),
(2,4,50,72,108,67,29,47),
(2,4,51,73,110,68,29,48),
(2,4,52,74,113,69,29,48),
(2,4,53,75,115,70,30,49),
(2,4,54,77,117,71,30,50),
(2,4,55,78,119,73,30,50),
(2,4,56,79,122,74,31,51),
(2,4,57,80,124,75,31,52),
(2,4,58,82,126,76,31,52),
(2,4,59,83,129,77,32,53),
(2,4,60,84,131,78,32,54),
(2,4,61,86,133,80,33,54),
(2,4,62,87,136,81,33,55),
(2,4,63,88,138,82,33,56),
(2,4,64,90,140,83,34,57),
(2,4,65,91,143,85,34,57),
(2,4,66,92,145,86,34,58),
(2,4,67,94,148,87,35,59),
(2,4,68,95,150,88,35,59),
(2,4,69,97,153,90,36,60),
(2,4,70,98,155,91,36,61),
(2,4,71,100,158,92,36,62),
(2,4,72,102,161,94,37,62),
(2,4,73,103,164,99,37,63),
(2,4,74,105,167,100,38,64),
(2,4,75,107,170,102,38,65),
(2,4,76,108,173,102,38,66),
(2,4,77,110,176,102,39,67),
(2,4,78,112,180,103,39,68),
(2,4,79,114,183,105,40,69),
(2,4,80,116,186,107,40,70),
(2,6,1,26,17,24,17,23),
(2,6,2,27,18,25,17,23),
(2,6,3,29,19,26,17,24),
(2,6,4,30,19,27,17,24),
(2,6,5,31,20,29,17,24),
(2,6,6,32,21,30,17,24),
(2,6,7,34,22,31,18,25),
(2,6,8,35,23,32,18,25),
(2,6,9,37,24,34,18,25),
(2,6,10,38,24,35,18,26),
(2,6,11,39,25,36,18,26),
(2,6,12,41,26,37,18,26),
(2,6,13,42,27,39,18,27),
(2,6,14,44,28,40,18,27),
(2,6,15,45,29,41,18,27),
(2,6,16,47,30,43,19,28),
(2,6,17,48,31,44,19,28),
(2,6,18,50,32,45,19,28),
(2,6,19,51,33,47,19,29),
(2,6,20,53,34,48,19,29),
(2,6,21,54,34,50,19,29),
(2,6,22,56,35,51,19,30),
(2,6,23,57,36,52,20,30),
(2,6,24,59,37,54,20,30),
(2,6,25,60,38,55,20,31),
(2,6,26,62,39,57,20,31),
(2,6,27,64,40,58,20,32),
(2,6,28,65,41,60,20,32),
(2,6,29,67,43,61,21,32),
(2,6,30,69,44,63,21,33),
(2,6,31,70,45,64,21,33),
(2,6,32,72,46,66,21,34),
(2,6,33,74,47,67,21,34),
(2,6,34,76,48,69,21,35),
(2,6,35,77,49,71,22,35),
(2,6,36,79,50,72,22,36),
(2,6,37,81,51,74,22,36),
(2,6,38,83,52,76,22,36),
(2,6,39,84,53,77,22,37),
(2,6,40,86,55,79,23,37),
(2,6,41,88,56,81,23,38),
(2,6,42,90,57,82,23,38),
(2,6,43,92,58,84,23,39),
(2,6,44,94,59,86,23,39),
(2,6,45,96,60,87,24,40),
(2,6,46,98,62,89,24,40),
(2,6,47,100,63,91,24,41),
(2,6,48,101,64,93,24,41),
(2,6,49,103,65,94,25,42),
(2,6,50,105,66,96,25,42),
(2,6,51,107,68,98,25,43),
(2,6,52,109,69,100,25,43),
(2,6,53,110,69,100,25,44),
(2,6,54,111,70,101,26,45),
(2,6,55,111,70,101,26,45),
(2,6,56,114,72,104,26,46),
(2,6,57,116,73,106,26,46),
(2,6,58,118,74,108,27,47),
(2,6,59,124,76,110,27,47),
(2,6,60,126,77,112,27,48),
(2,6,61,128,78,114,27,49),
(2,6,62,131,80,116,27,49),
(2,6,63,133,81,119,28,50),
(2,6,64,136,83,121,28,50),
(2,6,65,136,84,123,28,51),
(2,6,66,142,86,126,28,52),
(2,6,67,145,87,128,29,52),
(2,6,68,147,89,130,29,53),
(2,6,69,150,90,133,29,54),
(2,6,70,157,92,135,29,54),
(2,6,71,160,94,138,30,55),
(2,6,72,163,95,140,30,56),
(2,6,73,166,97,151,30,57),
(2,6,74,169,99,154,30,57),
(2,6,75,172,100,156,31,58),
(2,6,76,175,102,160,31,59),
(2,6,77,179,104,162,31,60),
(2,6,78,182,105,165,31,60),
(2,6,79,191,107,168,32,61),
(2,6,80,194,109,171,32,62),
(2,7,1,24,17,23,18,25),
(2,7,2,25,17,24,19,26),
(2,7,3,26,18,25,20,27),
(2,7,4,26,18,26,21,28),
(2,7,5,27,19,27,22,29),
(2,7,6,28,19,28,23,30),
(2,7,7,29,20,29,24,31),
(2,7,8,30,20,30,25,32),
(2,7,9,31,21,31,26,33),
(2,7,10,32,21,32,27,34),
(2,7,11,33,22,33,28,36),
(2,7,12,34,22,34,29,37),
(2,7,13,34,23,35,30,38),
(2,7,14,35,23,36,31,39),
(2,7,15,36,24,37,32,40),
(2,7,16,37,24,39,33,41),
(2,7,17,38,25,40,34,43),
(2,7,18,39,25,41,35,44),
(2,7,19,40,26,42,36,45),
(2,7,20,41,26,43,37,46),
(2,7,21,42,27,44,38,47),
(2,7,22,43,27,45,39,49),
(2,7,23,44,28,47,40,50),
(2,7,24,45,28,48,41,51),
(2,7,25,47,29,49,43,52),
(2,7,26,48,30,50,44,54),
(2,7,27,49,30,52,45,55),
(2,7,28,50,31,53,46,56),
(2,7,29,51,31,54,47,58),
(2,7,30,52,32,55,48,59),
(2,7,31,53,33,57,50,60),
(2,7,32,54,33,58,51,62),
(2,7,33,55,34,59,52,63),
(2,7,34,57,34,61,53,65),
(2,7,35,58,35,62,55,66),
(2,7,36,59,36,63,56,67),
(2,7,37,60,36,65,57,69),
(2,7,38,61,37,66,58,70),
(2,7,39,62,38,67,60,72),
(2,7,40,64,38,69,61,73),
(2,7,41,65,39,70,62,75),
(2,7,42,66,40,72,64,76),
(2,7,43,67,40,73,65,78),
(2,7,44,69,41,74,66,79),
(2,7,45,70,42,76,68,81),
(2,7,46,71,42,77,69,82),
(2,7,47,72,43,79,70,84),
(2,7,48,74,44,80,72,85),
(2,7,49,75,45,82,73,87),
(2,7,50,76,45,83,75,89),
(2,7,51,78,46,85,76,90),
(2,7,52,79,47,86,77,92),
(2,7,53,80,47,88,79,93),
(2,7,54,82,48,90,80,95),
(2,7,55,83,49,91,82,97),
(2,7,56,85,50,93,83,98),
(2,7,57,86,50,94,85,100),
(2,7,58,87,51,96,86,102),
(2,7,59,89,52,97,88,103),
(2,7,60,90,53,99,89,105),
(2,7,61,92,54,101,91,107),
(2,7,62,93,54,102,92,109),
(2,7,63,95,55,104,94,110),
(2,7,64,96,56,106,95,112),
(2,7,65,97,57,107,97,114),
(2,7,66,99,58,109,99,116),
(2,7,67,100,58,111,100,118),
(2,7,68,102,59,113,102,119),
(2,7,69,103,60,114,103,121),
(2,7,70,105,61,116,105,123),
(2,7,71,106,62,118,117,125),
(2,7,72,108,63,120,119,128),
(2,7,73,110,64,122,122,130),
(2,7,74,112,65,125,124,132),
(2,7,75,114,66,127,126,134),
(2,7,76,116,67,129,128,137),
(2,7,77,117,68,131,128,139),
(2,7,78,119,69,133,133,141),
(2,7,79,121,70,136,135,144),
(2,7,80,123,71,138,137,146),
(2,9,1,23,17,23,19,25),
(2,9,2,23,17,24,20,26),
(2,9,3,24,18,24,21,27),
(2,9,4,24,18,25,23,28),
(2,9,5,24,18,25,24,30),
(2,9,6,24,19,26,25,31),
(2,9,7,25,19,26,26,32),
(2,9,8,25,20,27,27,33),
(2,9,9,25,20,27,29,34),
(2,9,10,26,20,28,30,36),
(2,9,11,26,21,29,31,37),
(2,9,12,26,21,29,33,38),
(2,9,13,27,22,30,34,39),
(2,9,14,27,22,31,35,41),
(2,9,15,27,23,31,37,42),
(2,9,16,28,23,32,38,43),
(2,9,17,28,23,32,39,45),
(2,9,18,28,24,33,41,46),
(2,9,19,29,24,34,42,47),
(2,9,20,29,25,34,43,49),
(2,9,21,29,25,35,45,50),
(2,9,22,30,26,36,46,51),
(2,9,23,30,26,37,48,53),
(2,9,24,30,27,37,49,54),
(2,9,25,31,27,38,51,56),
(2,9,26,31,28,39,52,57),
(2,9,27,32,28,39,54,59),
(2,9,28,32,29,40,55,60),
(2,9,29,32,29,41,57,62),
(2,9,30,33,30,42,58,63),
(2,9,31,33,30,42,60,65),
(2,9,32,34,31,43,61,66),
(2,9,33,34,31,44,63,68),
(2,9,34,35,32,45,64,69),
(2,9,35,35,32,45,66,71),
(2,9,36,36,33,46,68,72),
(2,9,37,36,34,47,69,74),
(2,9,38,36,34,48,71,76),
(2,9,39,37,35,49,72,77),
(2,9,40,37,35,50,74,79),
(2,9,41,38,36,50,76,80),
(2,9,42,38,36,51,77,82),
(2,9,43,39,37,52,79,84),
(2,9,44,39,38,53,81,85),
(2,9,45,40,38,54,83,87),
(2,9,46,40,39,55,84,89),
(2,9,47,41,39,56,86,91),
(2,9,48,41,40,56,88,92),
(2,9,49,42,41,57,90,94),
(2,9,50,42,41,58,91,96),
(2,9,51,43,42,59,93,98),
(2,9,52,43,43,60,95,99),
(2,9,53,44,43,61,97,101),
(2,9,54,45,44,62,99,103),
(2,9,55,45,45,63,101,105),
(2,9,56,46,45,64,102,107),
(2,9,57,46,46,65,104,109),
(2,9,58,47,47,66,106,110),
(2,9,59,47,47,67,108,112),
(2,9,60,48,48,68,110,114),
(2,9,61,48,49,69,112,116),
(2,9,62,49,49,70,114,118),
(2,9,63,50,50,71,116,120),
(2,9,64,50,51,72,118,122),
(2,9,65,51,51,73,120,124),
(2,9,66,52,52,74,122,126),
(2,9,67,52,53,75,124,128),
(2,9,68,53,54,76,126,130),
(2,9,69,53,54,77,128,132),
(2,9,70,54,55,78,130,134),
(2,9,71,55,56,88,134,145),
(2,9,72,56,56,89,135,147),
(2,9,73,57,57,90,137,150),
(2,9,74,57,58,91,142,153),
(2,9,75,58,59,93,142,155),
(2,9,76,59,60,94,145,158),
(2,9,77,60,61,95,148,161),
(2,9,78,60,62,97,150,164),
(2,9,79,61,63,98,153,167),
(2,9,80,62,64,99,156,169),
(3,1,1,25,16,25,19,19),
(3,1,2,26,17,26,19,19),
(3,1,3,28,18,27,19,20),
(3,1,4,29,18,28,19,20),
(3,1,5,30,19,30,19,20),
(3,1,6,31,20,31,19,20),
(3,1,7,33,21,32,20,21),
(3,1,8,34,22,33,20,21),
(3,1,9,36,23,35,20,21),
(3,1,10,37,23,36,20,22),
(3,1,11,38,24,37,20,22),
(3,1,12,40,25,38,20,22),
(3,1,13,41,26,40,20,23),
(3,1,14,43,27,41,20,23),
(3,1,15,44,28,42,20,23),
(3,1,16,46,29,44,21,24),
(3,1,17,47,30,45,21,24),
(3,1,18,49,31,46,21,24),
(3,1,19,50,32,48,21,25),
(3,1,20,52,33,49,21,25),
(3,1,21,53,34,51,21,26),
(3,1,22,55,34,52,21,26),
(3,1,23,56,35,53,21,26),
(3,1,24,58,36,55,22,27),
(3,1,25,59,37,56,22,27),
(3,1,26,61,38,58,22,27),
(3,1,27,63,39,59,22,28),
(3,1,28,64,41,61,22,28),
(3,1,29,66,42,62,22,29),
(3,1,30,68,43,64,23,29),
(3,1,31,69,44,65,23,30),
(3,1,32,71,45,67,23,30),
(3,1,33,73,46,68,23,30),
(3,1,34,75,47,70,23,31),
(3,1,35,76,48,72,24,31),
(3,1,36,78,49,73,24,32),
(3,1,37,80,50,75,24,32),
(3,1,38,82,51,76,24,33),
(3,1,39,84,52,78,24,33),
(3,1,40,85,54,80,24,34),
(3,1,41,87,55,81,25,34),
(3,1,42,89,56,83,25,35),
(3,1,43,91,57,85,25,35),
(3,1,44,93,58,87,25,36),
(3,1,45,95,59,88,26,36),
(3,1,46,97,61,90,26,37),
(3,1,47,99,62,92,26,37),
(3,1,48,101,63,94,26,38),
(3,1,49,102,64,95,26,38),
(3,1,50,104,65,97,27,39),
(3,1,51,106,67,99,27,39),
(3,1,52,108,68,101,27,40),
(3,1,53,110,69,103,27,40),
(3,1,54,112,70,104,28,41),
(3,1,55,115,72,106,28,41),
(3,1,56,117,73,108,28,42),
(3,1,57,119,74,110,28,42),
(3,1,58,121,76,112,29,43),
(3,1,59,123,77,114,29,43),
(3,1,60,125,78,116,29,44),
(3,1,61,127,80,118,29,45),
(3,1,62,129,81,120,30,45),
(3,1,63,131,82,122,30,46),
(3,1,64,134,84,124,30,46),
(3,1,65,136,85,126,31,47),
(3,1,66,138,86,128,31,48),
(3,1,67,140,88,130,31,48),
(3,1,68,142,89,132,31,49),
(3,1,69,145,91,134,32,49),
(3,1,70,147,92,136,32,50),
(3,1,71,150,93,138,32,51),
(3,1,72,152,95,141,32,52),
(3,1,73,164,97,151,32,53),
(3,1,74,164,98,151,33,53),
(3,1,75,170,100,156,33,54),
(3,1,76,173,102,160,33,55),
(3,1,77,173,104,160,34,56),
(3,1,78,176,105,162,34,56),
(3,1,79,183,107,168,34,57),
(3,1,80,186,109,171,35,58),
(3,2,1,24,16,25,19,20),
(3,2,2,25,17,26,20,21),
(3,2,3,26,17,27,20,21),
(3,2,4,27,18,28,21,22),
(3,2,5,28,18,29,22,23),
(3,2,6,29,19,30,22,24),
(3,2,7,31,20,31,23,24),
(3,2,8,32,20,32,24,25),
(3,2,9,33,21,33,24,26),
(3,2,10,34,21,34,25,26),
(3,2,11,35,22,36,26,27),
(3,2,12,36,23,37,26,28),
(3,2,13,38,23,38,27,29),
(3,2,14,39,24,39,28,30),
(3,2,15,40,25,40,29,30),
(3,2,16,41,25,41,29,31),
(3,2,17,43,26,43,30,32),
(3,2,18,44,27,44,31,33),
(3,2,19,45,28,45,32,34),
(3,2,20,47,28,46,32,35),
(3,2,21,48,29,47,33,35),
(3,2,22,49,30,49,34,36),
(3,2,23,51,30,50,35,37),
(3,2,24,52,31,51,36,38),
(3,2,25,53,32,52,36,39),
(3,2,26,55,33,54,37,40),
(3,2,27,56,33,55,38,41),
(3,2,28,57,34,56,39,42),
(3,2,29,59,35,58,40,43),
(3,2,30,60,36,59,41,43),
(3,2,31,62,37,60,42,44),
(3,2,32,63,37,62,42,45),
(3,2,33,65,38,63,43,46),
(3,2,34,66,39,65,44,47),
(3,2,35,68,40,66,45,48),
(3,2,36,69,41,67,46,49),
(3,2,37,71,41,69,47,50),
(3,2,38,72,42,70,48,51),
(3,2,39,74,43,72,49,52),
(3,2,40,75,44,73,50,53),
(3,2,41,77,45,75,51,54),
(3,2,42,78,46,76,52,55),
(3,2,43,80,47,78,53,56),
(3,2,44,82,47,79,54,57),
(3,2,45,83,48,81,55,59),
(3,2,46,85,49,82,56,60),
(3,2,47,87,50,84,57,61),
(3,2,48,88,51,85,58,62),
(3,2,49,90,52,87,59,63),
(3,2,50,92,53,89,60,64),
(3,2,51,93,54,90,61,65),
(3,2,52,95,55,92,62,66),
(3,2,53,97,56,93,63,67),
(3,2,54,98,57,95,64,69),
(3,2,55,100,58,97,65,70),
(3,2,56,102,59,98,66,71),
(3,2,57,104,60,100,67,72),
(3,2,58,106,61,102,68,73),
(3,2,59,107,62,103,69,74),
(3,2,60,109,63,105,70,76),
(3,2,61,111,64,107,72,77),
(3,2,62,113,65,109,73,78),
(3,2,63,115,66,110,74,79),
(3,2,64,117,67,112,75,80),
(3,2,65,118,68,114,76,82),
(3,2,66,120,69,116,77,83),
(3,2,67,122,70,118,78,84),
(3,2,68,124,71,119,80,85),
(3,2,69,126,72,121,81,87),
(3,2,70,128,73,123,82,88),
(3,2,71,150,74,125,83,89),
(3,2,72,152,75,128,85,91),
(3,2,73,156,76,130,86,93),
(3,2,74,158,78,132,88,94),
(3,2,75,161,79,134,89,96),
(3,2,76,164,80,137,91,97),
(3,2,77,166,82,139,92,99),
(3,2,78,170,83,141,94,101),
(3,2,79,172,84,144,95,102),
(3,2,80,175,86,146,97,104),
(3,3,1,22,19,24,19,20),
(3,3,2,22,20,25,20,21),
(3,3,3,23,22,26,20,21),
(3,3,4,23,23,27,21,22),
(3,3,5,24,25,28,21,23),
(3,3,6,24,26,29,22,23),
(3,3,7,25,27,29,23,24),
(3,3,8,25,29,30,23,25),
(3,3,9,25,30,31,24,25),
(3,3,10,26,32,32,24,26),
(3,3,11,26,33,33,25,27),
(3,3,12,27,35,34,26,27),
(3,3,13,27,36,35,26,28),
(3,3,14,28,38,36,27,29),
(3,3,15,28,39,37,28,29),
(3,3,16,29,41,38,28,30),
(3,3,17,29,42,39,29,31),
(3,3,18,30,44,41,30,32),
(3,3,19,30,46,42,30,32),
(3,3,20,31,47,43,31,33),
(3,3,21,32,49,44,32,34),
(3,3,22,32,51,45,33,35),
(3,3,23,33,52,46,33,36),
(3,3,24,33,54,47,34,36),
(3,3,25,34,56,48,35,37),
(3,3,26,34,57,49,35,38),
(3,3,27,35,59,51,36,39),
(3,3,28,35,61,52,37,40),
(3,3,29,36,63,53,38,40),
(3,3,30,37,64,54,39,41),
(3,3,31,37,66,55,39,42),
(3,3,32,38,68,57,40,43),
(3,3,33,38,70,58,41,44),
(3,3,34,39,71,59,42,45),
(3,3,35,40,73,60,43,46),
(3,3,36,40,75,62,43,47),
(3,3,37,41,77,63,44,47),
(3,3,38,42,79,64,45,48),
(3,3,39,42,81,65,46,49),
(3,3,40,43,83,67,47,50),
(3,3,41,44,85,68,48,51),
(3,3,42,44,87,69,49,52),
(3,3,43,45,89,71,49,53),
(3,3,44,46,91,72,50,54),
(3,3,45,46,93,73,51,55),
(3,3,46,47,95,75,52,56),
(3,3,47,48,97,76,53,57),
(3,3,48,49,99,78,54,58),
(3,3,49,49,101,79,55,59),
(3,3,50,50,103,80,56,60),
(3,3,51,51,105,82,57,61),
(3,3,52,51,107,83,58,62),
(3,3,53,52,109,85,59,63),
(3,3,54,53,111,86,60,64),
(3,3,55,54,113,88,61,65),
(3,3,56,55,115,89,62,66),
(3,3,57,55,118,91,62,67),
(3,3,58,56,120,92,63,68),
(3,3,59,57,122,94,64,70),
(3,3,60,58,124,95,65,71),
(3,3,61,58,126,97,67,72),
(3,3,62,59,129,98,68,73),
(3,3,63,60,131,100,69,74),
(3,3,64,61,133,101,70,75),
(3,3,65,62,135,103,71,76),
(3,3,66,63,138,105,72,77),
(3,3,67,63,140,106,73,78),
(3,3,68,64,142,108,74,80),
(3,3,69,65,145,109,75,81),
(3,3,70,66,147,111,76,82),
(3,3,71,67,150,113,77,83),
(3,3,72,68,153,115,78,84),
(3,3,73,69,156,117,79,86),
(3,3,74,70,159,119,81,87),
(3,3,75,71,162,121,82,89),
(3,3,76,72,165,123,83,90),
(3,3,77,73,168,125,85,92),
(3,3,78,74,171,127,86,93),
(3,3,79,75,174,129,87,95),
(3,3,80,76,177,131,89,96),
(3,4,1,23,19,24,19,19),
(3,4,2,24,20,25,19,19),
(3,4,3,24,22,25,19,20),
(3,4,4,25,23,26,19,20),
(3,4,5,26,25,27,20,20),
(3,4,6,27,26,27,20,21),
(3,4,7,28,28,28,20,21),
(3,4,8,28,29,29,20,22),
(3,4,9,29,31,30,20,22),
(3,4,10,30,32,30,20,22),
(3,4,11,31,34,31,21,23),
(3,4,12,32,36,32,21,23),
(3,4,13,33,37,33,21,24),
(3,4,14,33,39,33,21,24),
(3,4,15,34,40,34,21,25),
(3,4,16,35,42,35,22,25),
(3,4,17,36,44,36,22,25),
(3,4,18,37,45,37,22,26),
(3,4,19,38,47,38,22,26),
(3,4,20,39,49,38,22,27),
(3,4,21,40,51,39,23,27),
(3,4,22,41,52,40,23,28),
(3,4,23,42,54,41,23,28),
(3,4,24,43,56,42,23,29),
(3,4,25,44,58,43,24,29),
(3,4,26,44,59,44,24,30),
(3,4,27,45,61,44,24,30),
(3,4,28,46,63,45,24,31),
(3,4,29,47,65,46,25,31),
(3,4,30,48,67,47,25,32),
(3,4,31,49,69,48,25,32),
(3,4,32,51,71,49,25,33),
(3,4,33,52,72,50,26,33),
(3,4,34,53,74,51,26,34),
(3,4,35,54,76,52,26,34),
(3,4,36,55,78,53,26,35),
(3,4,37,56,80,54,27,35),
(3,4,38,57,82,55,27,36),
(3,4,39,58,84,56,27,37),
(3,4,40,59,86,57,28,37),
(3,4,41,60,88,58,28,38),
(3,4,42,61,90,59,28,38),
(3,4,43,63,92,60,28,39),
(3,4,44,64,95,61,29,39),
(3,4,45,65,97,62,29,40),
(3,4,46,66,99,63,29,41),
(3,4,47,67,101,64,30,41),
(3,4,48,68,103,66,30,42),
(3,4,49,70,105,67,30,43),
(3,4,50,71,107,68,31,43),
(3,4,51,72,110,69,31,44),
(3,4,52,73,112,70,31,44),
(3,4,53,74,114,71,32,45),
(3,4,54,76,116,72,32,46),
(3,4,55,77,118,73,32,46),
(3,4,56,78,121,75,33,47),
(3,4,57,80,123,76,33,48),
(3,4,58,81,125,77,33,48),
(3,4,59,82,128,78,34,49),
(3,4,60,83,130,79,34,50),
(3,4,61,85,132,81,34,51),
(3,4,62,86,135,82,35,51),
(3,4,63,87,137,83,35,52),
(3,4,64,89,139,84,36,53),
(3,4,65,90,142,86,36,53),
(3,4,66,91,144,87,36,54),
(3,4,67,93,147,88,37,55),
(3,4,68,94,149,89,37,56),
(3,4,69,96,152,91,38,56),
(3,4,70,97,154,92,38,57),
(3,4,71,99,157,93,38,58),
(3,4,72,101,160,96,39,58),
(3,4,73,102,163,97,39,59),
(3,4,74,104,166,98,40,60),
(3,4,75,106,169,100,40,61),
(3,4,76,107,172,101,40,62),
(3,4,77,109,175,103,41,63),
(3,4,78,111,179,105,41,64),
(3,4,79,113,182,106,42,65),
(3,4,80,115,185,108,42,66),
(3,5,1,22,16,23,21,22),
(3,5,2,22,16,23,22,23),
(3,5,3,22,16,24,24,25),
(3,5,4,22,17,24,25,26),
(3,5,5,23,17,24,26,27),
(3,5,6,23,17,25,28,29),
(3,5,7,23,17,25,29,30),
(3,5,8,23,18,26,30,32),
(3,5,9,23,18,26,32,33),
(3,5,10,23,18,26,33,35),
(3,5,11,24,18,27,35,36),
(3,5,12,24,19,27,36,38),
(3,5,13,24,19,28,37,39),
(3,5,14,24,19,28,39,41),
(3,5,15,24,19,28,40,42),
(3,5,16,24,20,29,42,44),
(3,5,17,25,20,29,43,45),
(3,5,18,25,20,30,45,47),
(3,5,19,25,21,30,46,49),
(3,5,20,25,21,31,48,50),
(3,5,21,25,21,31,50,52),
(3,5,22,26,22,31,51,53),
(3,5,23,26,22,32,53,55),
(3,5,24,26,22,32,54,57),
(3,5,25,26,22,33,56,58),
(3,5,26,27,23,33,58,60),
(3,5,27,27,23,34,59,62),
(3,5,28,27,23,34,61,64),
(3,5,29,27,24,35,63,65),
(3,5,30,28,24,35,64,67),
(3,5,31,28,24,36,66,69),
(3,5,32,28,25,36,68,71),
(3,5,33,28,25,37,70,72),
(3,5,34,29,26,38,71,74),
(3,5,35,29,26,38,73,76),
(3,5,36,29,26,39,75,78),
(3,5,37,29,27,39,77,80),
(3,5,38,30,27,40,78,82),
(3,5,39,30,27,40,80,84),
(3,5,40,30,28,41,82,86),
(3,5,41,31,28,41,84,88),
(3,5,42,31,29,42,86,89),
(3,5,43,31,29,43,88,91),
(3,5,44,32,29,43,90,93),
(3,5,45,32,30,44,92,95),
(3,5,46,32,30,44,93,97),
(3,5,47,32,30,45,95,99),
(3,5,48,33,31,46,97,101),
(3,5,49,33,31,46,99,103),
(3,5,50,33,32,47,101,106),
(3,5,51,34,32,48,103,108),
(3,5,52,34,33,48,105,110),
(3,5,53,35,33,49,107,112),
(3,5,54,35,33,50,109,114),
(3,5,55,35,34,50,111,116),
(3,5,56,36,34,51,113,118),
(3,5,57,36,35,52,116,120),
(3,5,58,36,35,52,118,123),
(3,5,59,37,36,53,120,125),
(3,5,60,37,36,54,122,127),
(3,5,61,37,37,54,124,129),
(3,5,62,38,37,55,126,131),
(3,5,63,38,38,56,128,134),
(3,5,64,39,38,57,131,136),
(3,5,65,39,39,57,133,138),
(3,5,66,39,39,58,135,141),
(3,5,67,40,40,59,137,143),
(3,5,68,40,40,59,139,145),
(3,5,69,41,40,60,142,148),
(3,5,70,41,41,61,144,150),
(3,5,71,41,42,62,147,153),
(3,5,72,42,42,62,150,163),
(3,5,73,42,43,63,153,166),
(3,5,74,43,43,64,155,170),
(3,5,75,43,44,65,158,173),
(3,5,76,43,45,66,161,176),
(3,5,77,44,45,67,164,179),
(3,5,78,44,46,68,167,182),
(3,5,79,45,46,69,170,184),
(3,5,80,45,47,70,173,189),
(3,6,1,25,16,25,19,19),
(3,6,2,26,17,26,19,19),
(3,6,3,28,18,27,19,20),
(3,6,4,29,18,28,19,20),
(3,6,5,30,19,30,19,20),
(3,6,6,31,20,31,19,20),
(3,6,7,33,21,32,20,21),
(3,6,8,34,22,33,20,21),
(3,6,9,36,23,35,20,21),
(3,6,10,37,23,36,20,22),
(3,6,11,38,24,37,20,22),
(3,6,12,40,25,38,20,22),
(3,6,13,41,26,40,20,23),
(3,6,14,43,27,41,20,23),
(3,6,15,44,28,42,20,23),
(3,6,16,46,29,44,21,24),
(3,6,17,47,30,45,21,24),
(3,6,18,49,31,46,21,24),
(3,6,19,50,32,48,21,25),
(3,6,20,52,33,49,21,25),
(3,6,21,53,34,51,21,26),
(3,6,22,55,34,52,21,26),
(3,6,23,56,35,53,21,26),
(3,6,24,58,36,55,22,27),
(3,6,25,59,37,56,22,27),
(3,6,26,61,38,58,22,27),
(3,6,27,63,39,59,22,28),
(3,6,28,64,41,61,22,28),
(3,6,29,66,42,62,22,29),
(3,6,30,68,43,64,23,29),
(3,6,31,69,44,65,23,30),
(3,6,32,71,45,67,23,30),
(3,6,33,73,46,68,23,30),
(3,6,34,75,47,70,23,31),
(3,6,35,76,48,72,24,31),
(3,6,36,78,49,73,24,32),
(3,6,37,80,50,75,24,32),
(3,6,38,82,51,76,24,33),
(3,6,39,84,52,78,24,33),
(3,6,40,85,54,80,24,34),
(3,6,41,87,55,81,25,34),
(3,6,42,89,56,83,25,35),
(3,6,43,91,57,85,25,35),
(3,6,44,93,58,87,25,36),
(3,6,45,95,59,88,26,36),
(3,6,46,97,61,90,26,37),
(3,6,47,99,62,92,26,37),
(3,6,48,101,63,94,26,38),
(3,6,49,102,64,95,26,38),
(3,6,50,104,65,97,27,39),
(3,6,51,106,67,99,27,39),
(3,6,52,108,68,99,27,40),
(3,6,53,109,68,101,27,40),
(3,6,54,110,69,101,28,41),
(3,6,55,110,69,102,28,41),
(3,6,56,113,71,105,28,42),
(3,6,57,118,72,107,28,42),
(3,6,58,120,73,109,29,43),
(3,6,59,123,75,111,29,43),
(3,6,60,125,76,113,29,44),
(3,6,61,126,77,115,29,45),
(3,6,62,127,79,117,29,45),
(3,6,63,129,80,120,30,46),
(3,6,64,132,82,122,30,46),
(3,6,65,135,83,124,30,47),
(3,6,66,137,85,127,30,48),
(3,6,67,144,86,129,31,48),
(3,6,68,146,88,131,31,49),
(3,6,69,149,89,133,31,50),
(3,6,70,152,91,136,31,50),
(3,6,71,154,93,139,32,51),
(3,6,72,157,94,141,32,52),
(3,6,73,160,96,144,32,53),
(3,6,74,163,98,146,32,53),
(3,6,75,166,99,150,33,54),
(3,6,76,169,101,152,33,55),
(3,6,77,172,103,155,33,56),
(3,6,78,176,104,157,33,56),
(3,6,79,179,106,160,34,57),
(3,6,80,182,108,163,34,58),
(4,1,1,20,25,21,20,20),
(4,1,2,21,26,22,20,20),
(4,1,3,23,27,23,20,21),
(4,1,4,24,27,25,20,21),
(4,1,5,25,28,26,20,21),
(4,1,6,27,29,27,20,21),
(4,1,7,28,30,28,21,22),
(4,1,8,29,31,29,21,22),
(4,1,9,31,31,31,21,22),
(4,1,10,32,32,32,21,23),
(4,1,11,33,33,33,21,23),
(4,1,12,35,34,34,21,23),
(4,1,13,36,35,36,21,24),
(4,1,14,38,36,37,21,24),
(4,1,15,39,37,38,21,24),
(4,1,16,41,37,40,21,25),
(4,1,17,42,38,41,22,25),
(4,1,18,44,39,43,22,25),
(4,1,19,45,40,44,22,26),
(4,1,20,47,41,45,22,26),
(4,1,21,48,42,47,22,26),
(4,1,22,50,43,48,22,27),
(4,1,23,52,44,50,22,27),
(4,1,24,53,45,51,23,28),
(4,1,25,55,46,52,23,28),
(4,1,26,56,47,54,23,28),
(4,1,27,58,48,55,23,29),
(4,1,28,60,49,57,23,29),
(4,1,29,61,50,58,23,30),
(4,1,30,63,51,60,24,30),
(4,1,31,65,52,62,24,30),
(4,1,32,66,53,63,24,31),
(4,1,33,68,54,65,24,31),
(4,1,34,70,55,66,24,32),
(4,1,35,72,56,68,24,32),
(4,1,36,73,58,69,25,33),
(4,1,37,75,59,71,25,33),
(4,1,38,77,60,73,25,34),
(4,1,39,79,61,74,25,34),
(4,1,40,81,62,76,25,35),
(4,1,41,82,63,78,26,35),
(4,1,42,84,64,79,26,35),
(4,1,43,86,66,81,26,36),
(4,1,44,88,67,83,26,36),
(4,1,45,90,68,85,26,37),
(4,1,46,92,69,86,27,37),
(4,1,47,94,70,88,27,38),
(4,1,48,96,72,90,27,38),
(4,1,49,98,73,92,27,39),
(4,1,50,100,74,93,28,40),
(4,1,51,102,75,95,28,40),
(4,1,52,104,77,97,28,41),
(4,1,53,106,78,99,28,41),
(4,1,54,108,79,101,29,42),
(4,1,55,110,80,103,29,42),
(4,1,56,112,82,104,29,43),
(4,1,57,114,83,106,29,43),
(4,1,58,116,84,108,30,44),
(4,1,59,118,86,110,30,44),
(4,1,60,120,87,112,30,45),
(4,1,61,122,88,114,30,46),
(4,1,62,124,90,116,31,46),
(4,1,63,127,91,118,31,47),
(4,1,64,129,92,120,31,47),
(4,1,65,131,94,122,32,48),
(4,1,66,133,95,124,32,49),
(4,1,67,135,97,126,32,49),
(4,1,68,138,98,128,32,50),
(4,1,69,140,100,130,33,50),
(4,1,70,142,101,132,33,51),
(4,1,71,145,102,134,33,52),
(4,1,72,147,104,137,33,53),
(4,1,73,150,106,139,33,54),
(4,1,74,153,107,142,34,54),
(4,1,75,156,109,144,34,55),
(4,1,76,159,111,148,34,56),
(4,1,77,162,113,150,35,57),
(4,1,78,165,114,152,35,57),
(4,1,79,178,116,164,35,58),
(4,1,80,181,118,167,36,59),
(4,3,1,17,28,20,20,21),
(4,3,2,17,29,21,21,22),
(4,3,3,18,31,22,21,22),
(4,3,4,18,32,23,22,23),
(4,3,5,19,33,24,22,24),
(4,3,6,19,35,25,23,24),
(4,3,7,20,36,26,24,25),
(4,3,8,20,38,27,24,25),
(4,3,9,21,39,27,25,26),
(4,3,10,21,40,28,25,27),
(4,3,11,22,42,29,26,28),
(4,3,12,22,43,30,27,28),
(4,3,13,23,45,31,27,29),
(4,3,14,23,46,32,28,30),
(4,3,15,24,48,34,29,30),
(4,3,16,24,50,35,29,31),
(4,3,17,25,51,36,30,32),
(4,3,18,25,53,37,31,33),
(4,3,19,26,54,38,31,33),
(4,3,20,26,56,39,32,34),
(4,3,21,27,57,40,33,35),
(4,3,22,27,59,41,33,36),
(4,3,23,28,61,42,34,36),
(4,3,24,28,62,43,35,37),
(4,3,25,29,64,44,36,38),
(4,3,26,30,66,46,36,39),
(4,3,27,30,68,47,37,40),
(4,3,28,31,69,48,38,41),
(4,3,29,31,71,49,39,41),
(4,3,30,32,73,50,39,42),
(4,3,31,33,75,52,40,43),
(4,3,32,33,76,53,41,44),
(4,3,33,34,78,54,42,45),
(4,3,34,34,80,55,43,46),
(4,3,35,35,82,57,44,47),
(4,3,36,36,84,58,44,48),
(4,3,37,36,86,59,45,48),
(4,3,38,37,87,60,46,49),
(4,3,39,38,89,62,47,50),
(4,3,40,38,91,63,48,51),
(4,3,41,39,93,64,49,52),
(4,3,42,40,95,66,49,53),
(4,3,43,40,97,67,50,54),
(4,3,44,41,99,68,51,55),
(4,3,45,42,101,70,52,56),
(4,3,46,42,103,71,53,57),
(4,3,47,43,105,72,54,58),
(4,3,48,44,107,74,55,59),
(4,3,49,45,109,75,56,60),
(4,3,50,45,111,77,57,61),
(4,3,51,46,113,78,58,62),
(4,3,52,47,115,79,59,63),
(4,3,53,47,118,81,60,64),
(4,3,54,48,120,82,61,65),
(4,3,55,49,122,84,61,66),
(4,3,56,50,124,85,62,67),
(4,3,57,50,126,87,63,68),
(4,3,58,51,128,88,64,69),
(4,3,59,52,131,90,65,70),
(4,3,60,53,133,91,66,72),
(4,3,61,54,135,93,67,73),
(4,3,62,54,137,94,69,74),
(4,3,63,55,140,96,70,75),
(4,3,64,56,142,97,71,76),
(4,3,65,57,144,99,72,77),
(4,3,66,58,147,101,73,78),
(4,3,67,58,149,102,74,79),
(4,3,68,59,151,104,75,81),
(4,3,69,60,154,105,76,82),
(4,3,70,61,156,107,77,83),
(4,3,71,62,159,109,78,84),
(4,3,72,63,162,111,79,85),
(4,3,73,64,165,113,80,87),
(4,3,74,65,168,115,82,88),
(4,3,75,66,171,117,83,90),
(4,3,76,67,174,119,84,91),
(4,3,77,68,177,121,86,93),
(4,3,78,69,180,123,87,94),
(4,3,79,70,190,125,91,96),
(4,3,80,71,193,127,93,97),
(4,4,1,18,28,20,20,20),
(4,4,2,19,29,21,20,20),
(4,4,3,20,31,21,20,21),
(4,4,4,20,32,22,20,21),
(4,4,5,21,34,23,21,21),
(4,4,6,22,35,24,21,22),
(4,4,7,23,37,24,21,22),
(4,4,8,24,38,25,21,23),
(4,4,9,24,40,26,21,23),
(4,4,10,25,41,26,21,23),
(4,4,11,26,43,27,22,24),
(4,4,12,27,44,28,22,24),
(4,4,13,28,46,29,22,25),
(4,4,14,29,48,30,22,25),
(4,4,15,29,49,30,22,25),
(4,4,16,30,51,31,23,26),
(4,4,17,31,52,32,23,26),
(4,4,18,32,54,33,23,27),
(4,4,19,33,56,34,23,27),
(4,4,20,34,57,35,23,28),
(4,4,21,35,59,35,24,28),
(4,4,22,36,61,36,24,29),
(4,4,23,37,63,37,24,29),
(4,4,24,38,64,38,24,30),
(4,4,25,39,66,39,25,30),
(4,4,26,40,68,40,25,31),
(4,4,27,41,70,41,25,31),
(4,4,28,42,72,42,25,32),
(4,4,29,43,73,43,25,32),
(4,4,30,44,75,43,26,33),
(4,4,31,45,77,44,26,33),
(4,4,32,46,79,45,26,34),
(4,4,33,47,81,46,27,34),
(4,4,34,48,83,47,27,35),
(4,4,35,49,85,48,27,35),
(4,4,36,50,87,49,27,36),
(4,4,37,51,89,50,28,36),
(4,4,38,52,91,51,28,37),
(4,4,39,53,93,52,28,38),
(4,4,40,54,95,53,28,38),
(4,4,41,56,97,54,29,39),
(4,4,42,57,99,55,29,39),
(4,4,43,58,101,56,29,40),
(4,4,44,59,103,57,30,40),
(4,4,45,60,105,59,30,41),
(4,4,46,61,107,60,30,42),
(4,4,47,62,109,61,31,42),
(4,4,48,64,112,62,31,43),
(4,4,49,65,114,63,31,44),
(4,4,50,66,116,64,32,44),
(4,4,51,67,118,65,32,45),
(4,4,52,68,120,66,32,45),
(4,4,53,70,123,67,33,46),
(4,4,54,71,125,69,33,47),
(4,4,55,72,127,70,33,47),
(4,4,56,73,129,71,34,48),
(4,4,57,75,132,72,34,49),
(4,4,58,76,134,73,34,49),
(4,4,59,77,136,74,35,50),
(4,4,60,79,139,76,35,51),
(4,4,61,80,141,77,35,51),
(4,4,62,81,143,78,36,52),
(4,4,63,82,146,79,36,53),
(4,4,64,84,148,80,37,54),
(4,4,65,85,151,82,37,54),
(4,4,66,87,153,83,37,55),
(4,4,67,88,156,84,38,56),
(4,4,68,89,158,85,38,57),
(4,4,69,91,160,87,39,57),
(4,4,70,92,163,88,39,58),
(4,4,71,94,166,90,39,59),
(4,4,72,96,169,91,40,59),
(4,4,73,97,172,93,40,60),
(4,4,74,99,175,94,41,61),
(4,4,75,101,178,96,41,62),
(4,4,76,102,181,97,41,63),
(4,4,77,104,184,99,42,64),
(4,4,78,106,188,101,42,65),
(4,4,79,108,191,102,43,66),
(4,4,80,110,194,104,43,67),
(4,5,1,17,25,19,22,23),
(4,5,2,17,25,19,23,24),
(4,5,3,17,25,20,25,26),
(4,5,4,17,26,20,26,27),
(4,5,5,18,26,20,27,28),
(4,5,6,18,26,21,29,30),
(4,5,7,18,26,21,30,31),
(4,5,8,18,26,22,31,33),
(4,5,9,18,27,22,33,34),
(4,5,10,19,27,22,34,36),
(4,5,11,19,27,23,36,37),
(4,5,12,19,27,23,37,39),
(4,5,13,19,28,24,38,40),
(4,5,14,19,28,24,40,42),
(4,5,15,19,28,25,41,43),
(4,5,16,20,28,25,43,45),
(4,5,17,20,29,25,44,46),
(4,5,18,20,29,26,46,48),
(4,5,19,20,29,26,47,49),
(4,5,20,21,30,27,49,51),
(4,5,21,21,30,27,51,53),
(4,5,22,21,30,28,52,54),
(4,5,23,21,30,28,54,56),
(4,5,24,21,31,29,55,58),
(4,5,25,22,31,29,57,59),
(4,5,26,22,31,30,59,61),
(4,5,27,22,32,30,60,63),
(4,5,28,22,32,31,62,65),
(4,5,29,23,32,31,64,66),
(4,5,30,23,33,32,65,68),
(4,5,31,23,33,32,67,70),
(4,5,32,23,33,33,69,72),
(4,5,33,24,34,33,70,73),
(4,5,34,24,34,34,72,75),
(4,5,35,24,34,34,74,77),
(4,5,36,24,35,35,76,79),
(4,5,37,25,35,35,78,81),
(4,5,38,25,35,36,79,83),
(4,5,39,25,36,37,81,85),
(4,5,40,26,36,37,83,87),
(4,5,41,26,37,38,85,88),
(4,5,42,26,37,38,87,90),
(4,5,43,27,37,39,89,92),
(4,5,44,27,38,39,91,94),
(4,5,45,27,38,40,92,96),
(4,5,46,27,39,41,94,98),
(4,5,47,28,39,41,96,100),
(4,5,48,28,39,42,98,102),
(4,5,49,28,40,43,100,104),
(4,5,50,29,40,43,102,106),
(4,5,51,29,41,44,104,109),
(4,5,52,29,41,44,106,111),
(4,5,53,30,42,45,108,113),
(4,5,54,30,42,46,110,115),
(4,5,55,30,43,46,112,117),
(4,5,56,31,43,47,114,119),
(4,5,57,31,43,48,117,121),
(4,5,58,31,44,48,119,124),
(4,5,59,32,44,49,121,126),
(4,5,60,32,45,50,123,128),
(4,5,61,33,45,51,125,130),
(4,5,62,33,46,51,127,132),
(4,5,63,33,46,52,129,135),
(4,5,64,34,47,53,132,137),
(4,5,65,34,47,53,134,139),
(4,5,66,34,48,54,136,142),
(4,5,67,35,48,55,138,144),
(4,5,68,35,49,56,140,146),
(4,5,69,36,49,56,143,149),
(4,5,70,36,50,57,145,151),
(4,5,71,36,51,58,148,161),
(4,5,72,37,51,58,151,164),
(4,5,73,37,52,59,154,168),
(4,5,74,38,52,60,156,171),
(4,5,75,38,53,61,159,174),
(4,5,76,38,54,62,162,177),
(4,5,77,39,54,63,165,180),
(4,5,78,39,55,64,168,183),
(4,5,79,40,55,65,171,186),
(4,5,80,40,56,66,200,191),
(4,6,1,20,25,21,20,20),
(4,6,2,21,26,22,20,20),
(4,6,3,23,27,23,20,21),
(4,6,4,24,27,25,20,21),
(4,6,5,25,28,26,20,21),
(4,6,6,27,29,27,20,21),
(4,6,7,28,30,28,21,22),
(4,6,8,29,31,29,21,22),
(4,6,9,31,31,31,21,22),
(4,6,10,32,32,32,21,23),
(4,6,11,33,33,33,21,23),
(4,6,12,35,34,34,21,23),
(4,6,13,36,35,36,21,24),
(4,6,14,38,36,37,21,24),
(4,6,15,39,37,38,21,24),
(4,6,16,41,37,40,21,25),
(4,6,17,42,38,41,22,25),
(4,6,18,44,39,43,22,25),
(4,6,19,45,40,44,22,26),
(4,6,20,47,41,45,22,26),
(4,6,21,48,42,47,22,26),
(4,6,22,50,43,48,22,27),
(4,6,23,52,44,50,22,27),
(4,6,24,53,45,51,23,28),
(4,6,25,55,46,52,23,28),
(4,6,26,56,47,54,23,28),
(4,6,27,58,48,55,23,29),
(4,6,28,60,49,57,23,29),
(4,6,29,61,50,58,23,30),
(4,6,30,63,51,60,24,30),
(4,6,31,65,52,62,24,30),
(4,6,32,66,53,63,24,31),
(4,6,33,68,54,65,24,31),
(4,6,34,70,55,66,24,32),
(4,6,35,72,56,68,24,32),
(4,6,36,73,58,69,25,33),
(4,6,37,75,59,71,25,33),
(4,6,38,77,60,73,25,34),
(4,6,39,79,61,74,25,34),
(4,6,40,81,62,76,25,35),
(4,6,41,82,63,78,26,35),
(4,6,42,84,64,79,26,35),
(4,6,43,86,66,81,26,36),
(4,6,44,88,67,83,26,36),
(4,6,45,90,68,85,26,37),
(4,6,46,92,69,86,27,37),
(4,6,47,94,70,88,27,38),
(4,6,48,96,72,90,27,38),
(4,6,49,98,73,92,27,39),
(4,6,50,100,74,93,28,40),
(4,6,51,101,75,94,28,40),
(4,6,52,102,76,95,28,41),
(4,6,53,103,77,96,28,41),
(4,6,54,104,77,97,29,42),
(4,6,55,105,78,98,29,42),
(4,6,56,108,80,101,29,43),
(4,6,57,113,81,103,29,43),
(4,6,58,115,82,105,30,44),
(4,6,59,115,84,107,30,44),
(4,6,60,120,85,109,30,45),
(4,6,61,122,86,111,30,46),
(4,6,62,122,88,113,30,46),
(4,6,63,127,89,116,31,47),
(4,6,64,127,91,118,31,47),
(4,6,65,133,92,120,31,48),
(4,6,66,135,94,123,31,49),
(4,6,67,136,95,125,32,49),
(4,6,68,137,97,127,32,50),
(4,6,69,140,98,130,32,51),
(4,6,70,147,100,132,32,51),
(4,6,71,154,102,135,33,52),
(4,6,72,156,103,137,33,53),
(4,6,73,157,105,140,33,54),
(4,6,74,158,107,142,33,54),
(4,6,75,161,108,145,34,55),
(4,6,76,164,110,148,34,56),
(4,6,77,167,112,150,34,57),
(4,6,78,170,113,153,34,57),
(4,6,79,172,115,156,35,58),
(4,6,80,177,117,159,35,59),
(4,11,1,18,25,19,22,22),
(4,11,2,19,25,20,23,23),
(4,11,3,19,26,20,24,24),
(4,11,4,20,26,21,25,26),
(4,11,5,20,27,22,26,27),
(4,11,6,21,27,22,27,28),
(4,11,7,21,28,23,28,29),
(4,11,8,22,28,24,29,30),
(4,11,9,23,29,24,30,32),
(4,11,10,23,29,25,32,33),
(4,11,11,24,30,26,33,34),
(4,11,12,24,31,26,34,35),
(4,11,13,25,31,27,35,37),
(4,11,14,26,32,28,36,38),
(4,11,15,26,32,29,37,39),
(4,11,16,27,33,29,38,41),
(4,11,17,28,33,30,40,42),
(4,11,18,28,34,31,41,43),
(4,11,19,29,35,32,42,45),
(4,11,20,30,35,32,43,46),
(4,11,21,30,36,33,45,48),
(4,11,22,31,36,34,46,49),
(4,11,23,32,37,35,47,51),
(4,11,24,32,38,36,48,52),
(4,11,25,33,38,36,50,53),
(4,11,26,34,39,37,51,55),
(4,11,27,35,40,38,52,56),
(4,11,28,35,40,39,54,58),
(4,11,29,36,41,40,55,59),
(4,11,30,37,42,41,56,61),
(4,11,31,38,42,42,58,62),
(4,11,32,38,43,42,59,64),
(4,11,33,39,44,43,60,66),
(4,11,34,40,44,44,62,67),
(4,11,35,41,45,45,63,69),
(4,11,36,42,46,46,65,70),
(4,11,37,42,47,47,66,72),
(4,11,38,43,47,48,67,74),
(4,11,39,44,48,49,69,75),
(4,11,40,45,49,50,70,77),
(4,11,41,46,50,51,72,79),
(4,11,42,46,50,52,73,80),
(4,11,43,47,51,53,75,82),
(4,11,44,48,52,54,76,84),
(4,11,45,49,53,55,78,85),
(4,11,46,50,54,56,79,87),
(4,11,47,51,54,57,81,89),
(4,11,48,52,55,58,83,91),
(4,11,49,53,56,59,84,93),
(4,11,50,53,57,60,86,94),
(4,11,51,54,58,61,87,96),
(4,11,52,55,59,62,89,98),
(4,11,53,56,59,63,91,100),
(4,11,54,57,60,64,92,102),
(4,11,55,58,61,65,94,103),
(4,11,56,59,62,66,95,105),
(4,11,57,60,63,67,97,107),
(4,11,58,61,64,68,99,109),
(4,11,59,62,65,69,101,111),
(4,11,60,63,66,70,102,113),
(4,11,61,64,66,72,104,115),
(4,11,62,65,67,73,106,117),
(4,11,63,66,68,74,107,119),
(4,11,64,67,69,75,109,121),
(4,11,65,68,70,76,111,123),
(4,11,66,69,71,77,113,125),
(4,11,67,70,72,78,115,127),
(4,11,68,71,73,80,116,129),
(4,11,69,72,74,81,118,131),
(4,11,70,73,75,82,120,133),
(4,11,71,75,76,83,122,135),
(4,11,72,76,78,85,125,138),
(4,11,73,77,79,86,127,140),
(4,11,74,78,80,88,131,143),
(4,11,75,80,81,89,133,145),
(4,11,76,81,82,91,134,148),
(4,11,77,82,83,92,136,151),
(4,11,78,84,85,94,138,153),
(4,11,79,85,86,95,141,156),
(4,11,80,86,87,97,143,159),
(5,1,1,22,18,23,18,25),
(5,1,2,23,19,24,18,25),
(5,1,3,25,20,25,18,26),
(5,1,4,26,20,26,18,26),
(5,1,5,27,21,28,18,26),
(5,1,6,29,22,29,18,26),
(5,1,7,30,23,30,19,27),
(5,1,8,31,24,31,19,27),
(5,1,9,33,25,33,19,27),
(5,1,10,34,25,34,19,28),
(5,1,11,35,26,35,19,28),
(5,1,12,37,27,36,19,28),
(5,1,13,38,28,38,19,28),
(5,1,14,40,29,39,19,29),
(5,1,15,41,30,40,19,29),
(5,1,16,43,31,42,20,29),
(5,1,17,44,32,43,20,30),
(5,1,18,46,33,44,20,30),
(5,1,19,47,34,46,20,31),
(5,1,20,49,34,47,20,31),
(5,1,21,50,35,49,20,31),
(5,1,22,52,36,50,20,32),
(5,1,23,53,37,51,21,32),
(5,1,24,55,38,53,21,32),
(5,1,25,57,39,54,21,33),
(5,1,26,58,40,56,21,33),
(5,1,27,60,41,57,21,34),
(5,1,28,62,42,59,21,34),
(5,1,29,63,43,60,21,34),
(5,1,30,65,44,62,22,35),
(5,1,31,67,46,63,22,35),
(5,1,32,68,47,65,22,36),
(5,1,33,70,48,67,22,36),
(5,1,34,72,49,68,22,36),
(5,1,35,74,50,70,23,37),
(5,1,36,75,51,71,23,37),
(5,1,37,77,52,73,23,38),
(5,1,38,79,53,75,23,38),
(5,1,39,81,54,76,23,39),
(5,1,40,83,55,78,24,39),
(5,1,41,84,57,80,24,40),
(5,1,42,86,58,81,24,40),
(5,1,43,88,59,83,24,41),
(5,1,44,90,60,85,24,41),
(5,1,45,92,61,86,25,42),
(5,1,46,94,62,88,25,42),
(5,1,47,96,64,90,25,43),
(5,1,48,98,65,92,25,43),
(5,1,49,100,66,93,25,44),
(5,1,50,102,67,95,26,44),
(5,1,51,104,69,97,26,45),
(5,1,52,106,70,99,26,45),
(5,1,53,108,71,101,26,46),
(5,1,54,110,72,103,27,46),
(5,1,55,112,74,104,27,47),
(5,1,56,114,75,106,27,48),
(5,1,57,116,76,108,27,48),
(5,1,58,118,78,110,28,49),
(5,1,59,120,79,112,28,49),
(5,1,60,122,80,114,28,50),
(5,1,61,124,82,116,28,50),
(5,1,62,126,83,118,29,51),
(5,1,63,128,84,120,29,52),
(5,1,64,131,86,122,29,52),
(5,1,65,133,87,124,30,53),
(5,1,66,135,88,126,30,53),
(5,1,67,137,90,128,30,54),
(5,1,68,139,91,130,30,55),
(5,1,69,142,93,132,31,55),
(5,1,70,144,94,134,31,56),
(5,1,71,147,95,136,31,57),
(5,1,72,150,97,139,31,58),
(5,1,73,152,99,141,31,59),
(5,1,74,155,100,144,32,59),
(5,1,75,158,102,146,32,60),
(5,1,76,163,104,149,32,61),
(5,1,77,167,106,152,33,62),
(5,1,78,167,107,154,33,62),
(5,1,79,170,109,157,33,63),
(5,1,80,173,111,160,34,64),
(5,4,1,20,21,22,18,25),
(5,4,2,21,22,23,18,25),
(5,4,3,22,24,23,18,26),
(5,4,4,22,25,24,18,26),
(5,4,5,23,27,25,19,26),
(5,4,6,24,28,25,19,27),
(5,4,7,25,30,26,19,27),
(5,4,8,25,31,27,19,27),
(5,4,9,26,33,28,19,28),
(5,4,10,27,34,28,19,28),
(5,4,11,28,36,29,20,29),
(5,4,12,29,38,30,20,29),
(5,4,13,30,39,31,20,29),
(5,4,14,31,41,32,20,30),
(5,4,15,31,42,32,20,30),
(5,4,16,32,44,33,21,31),
(5,4,17,33,46,34,21,31),
(5,4,18,34,47,35,21,32),
(5,4,19,35,49,36,21,32),
(5,4,20,36,51,36,21,32),
(5,4,21,37,52,37,22,33),
(5,4,22,38,54,38,22,33),
(5,4,23,39,56,39,22,34),
(5,4,24,40,58,40,22,34),
(5,4,25,41,60,41,23,35),
(5,4,26,42,61,42,23,35),
(5,4,27,43,63,43,23,36),
(5,4,28,44,65,44,23,36),
(5,4,29,45,67,44,24,37),
(5,4,30,46,69,45,24,37),
(5,4,31,47,71,46,24,38),
(5,4,32,48,72,47,24,38),
(5,4,33,49,74,48,25,39),
(5,4,34,50,76,49,25,39),
(5,4,35,51,78,50,25,40),
(5,4,36,52,80,51,25,41),
(5,4,37,53,82,52,26,41),
(5,4,38,54,84,53,26,42),
(5,4,39,55,86,54,26,42),
(5,4,40,56,88,55,27,43),
(5,4,41,57,90,56,27,43),
(5,4,42,59,92,57,27,44),
(5,4,43,60,94,58,27,45),
(5,4,44,61,96,59,28,45),
(5,4,45,62,99,60,28,46),
(5,4,46,63,101,61,28,46),
(5,4,47,64,103,63,29,47),
(5,4,48,66,105,64,29,48),
(5,4,49,67,107,65,29,48),
(5,4,50,68,109,66,30,49),
(5,4,51,69,111,67,30,50),
(5,4,52,70,114,68,30,50),
(5,4,53,72,116,69,31,51),
(5,4,54,73,118,70,31,52),
(5,4,55,74,120,72,31,52),
(5,4,56,75,123,73,32,53),
(5,4,57,77,125,74,32,54),
(5,4,58,78,127,75,32,54),
(5,4,59,79,130,76,33,55),
(5,4,60,81,132,77,33,56),
(5,4,61,82,134,79,34,56),
(5,4,62,83,137,80,34,57),
(5,4,63,84,139,81,34,58),
(5,4,64,86,141,82,35,59),
(5,4,65,87,144,84,35,59),
(5,4,66,88,146,85,35,60),
(5,4,67,90,149,86,36,61),
(5,4,68,91,151,87,36,61),
(5,4,69,93,154,89,37,62),
(5,4,70,94,156,90,37,63),
(5,4,71,96,159,91,37,64),
(5,4,72,98,162,93,38,64),
(5,4,73,99,165,95,38,65),
(5,4,74,101,168,96,39,66),
(5,4,75,103,171,98,39,67),
(5,4,76,104,174,99,39,68),
(5,4,77,106,177,101,40,69),
(5,4,78,108,181,103,40,70),
(5,4,79,110,184,104,41,71),
(5,4,80,112,187,106,41,72),
(5,5,1,19,18,21,20,28),
(5,5,2,19,18,21,21,29),
(5,5,3,19,18,22,23,31),
(5,5,4,19,19,22,24,32),
(5,5,5,20,19,22,25,33),
(5,5,6,20,19,23,27,35),
(5,5,7,20,19,23,28,36),
(5,5,8,20,20,24,29,38),
(5,5,9,20,20,24,31,39),
(5,5,10,20,20,24,32,40),
(5,5,11,21,20,25,34,42),
(5,5,12,21,21,25,35,43),
(5,5,13,21,21,26,37,45),
(5,5,14,21,21,26,38,46),
(5,5,15,21,21,26,39,48),
(5,5,16,22,22,27,41,50),
(5,5,17,22,22,27,42,51),
(5,5,18,22,22,28,44,53),
(5,5,19,22,23,28,46,54),
(5,5,20,22,23,29,47,56),
(5,5,21,23,23,29,49,57),
(5,5,22,23,23,30,50,59),
(5,5,23,23,24,30,52,61),
(5,5,24,23,24,31,53,62),
(5,5,25,24,24,31,55,64),
(5,5,26,24,25,32,57,66),
(5,5,27,24,25,32,58,68),
(5,5,28,24,25,33,60,69),
(5,5,29,25,26,33,62,71),
(5,5,30,25,26,34,63,73),
(5,5,31,25,26,34,65,75),
(5,5,32,25,27,35,67,76),
(5,5,33,26,27,35,69,78),
(5,5,34,26,27,36,70,80),
(5,5,35,26,28,36,72,82),
(5,5,36,26,28,37,74,84),
(5,5,37,27,28,37,76,86),
(5,5,38,27,29,38,77,87),
(5,5,39,27,29,38,79,89),
(5,5,40,28,30,39,81,91),
(5,5,41,28,30,40,83,93),
(5,5,42,28,30,40,85,95),
(5,5,43,28,31,41,87,97),
(5,5,44,29,31,41,89,99),
(5,5,45,29,32,42,91,101),
(5,5,46,29,32,43,92,103),
(5,5,47,30,32,43,94,105),
(5,5,48,30,33,44,96,107),
(5,5,49,30,33,44,98,109),
(5,5,50,31,34,45,100,111),
(5,5,51,31,34,46,102,113),
(5,5,52,31,35,46,104,115),
(5,5,53,32,35,47,106,118),
(5,5,54,32,35,48,108,120),
(5,5,55,32,36,48,110,122),
(5,5,56,33,36,49,113,124),
(5,5,57,33,37,50,115,126),
(5,5,58,33,37,50,117,128),
(5,5,59,34,38,51,119,131),
(5,5,60,34,38,52,121,133),
(5,5,61,34,39,52,123,135),
(5,5,62,35,39,53,125,137),
(5,5,63,35,40,54,127,140),
(5,5,64,36,40,55,130,142),
(5,5,65,36,41,55,132,144),
(5,5,66,36,41,56,134,147),
(5,5,67,37,41,57,136,149),
(5,5,68,37,42,58,138,151),
(5,5,69,38,42,58,141,154),
(5,5,70,38,43,59,143,156),
(5,5,71,38,44,60,146,159),
(5,5,72,39,44,60,149,162),
(5,5,73,39,45,61,152,165),
(5,5,74,40,45,62,157,168),
(5,5,75,40,46,63,157,171),
(5,5,76,40,47,64,160,174),
(5,5,77,41,47,65,163,177),
(5,5,78,41,48,66,166,180),
(5,5,79,42,48,67,169,183),
(5,5,80,42,49,68,172,186),
(5,6,1,22,18,23,18,25),
(5,6,2,23,19,24,18,25),
(5,6,3,25,20,25,18,26),
(5,6,4,26,20,26,18,26),
(5,6,5,27,21,28,18,26),
(5,6,6,29,22,29,18,26),
(5,6,7,30,23,30,19,27),
(5,6,8,31,24,31,19,27),
(5,6,9,33,25,33,19,27),
(5,6,10,34,25,34,19,28),
(5,6,11,35,26,35,19,28),
(5,6,12,37,27,36,19,28),
(5,6,13,38,28,38,19,28),
(5,6,14,40,29,39,19,29),
(5,6,15,41,30,40,19,29),
(5,6,16,43,31,42,20,29),
(5,6,17,44,32,43,20,30),
(5,6,18,46,33,44,20,30),
(5,6,19,47,34,46,20,31),
(5,6,20,49,34,47,20,31),
(5,6,21,50,35,49,20,31),
(5,6,22,52,36,50,20,32),
(5,6,23,53,37,51,21,32),
(5,6,24,55,38,53,21,32),
(5,6,25,57,39,54,21,33),
(5,6,26,58,40,56,21,33),
(5,6,27,60,41,57,21,34),
(5,6,28,62,42,59,21,34),
(5,6,29,63,43,60,21,34),
(5,6,30,65,44,62,22,35),
(5,6,31,67,46,63,22,35),
(5,6,32,68,47,65,22,36),
(5,6,33,70,48,67,22,36),
(5,6,34,72,49,68,22,36),
(5,6,35,74,50,70,23,37),
(5,6,36,75,51,71,23,37),
(5,6,37,77,52,73,23,38),
(5,6,38,79,53,75,23,38),
(5,6,39,81,54,76,23,39),
(5,6,40,83,55,78,24,39),
(5,6,41,84,57,80,24,40),
(5,6,42,86,58,81,24,40),
(5,6,43,88,59,83,24,41),
(5,6,44,90,60,85,24,41),
(5,6,45,92,61,86,25,42),
(5,6,46,94,62,88,25,42),
(5,6,47,96,64,90,25,43),
(5,6,48,98,65,92,25,43),
(5,6,49,100,66,93,25,44),
(5,6,50,102,67,95,26,44),
(5,6,51,103,67,96,26,45),
(5,6,52,104,68,97,26,45),
(5,6,53,105,69,98,26,46),
(5,6,54,106,70,99,27,46),
(5,6,55,107,71,100,27,47),
(5,6,56,110,73,103,27,48),
(5,6,57,112,74,105,27,48),
(5,6,58,114,75,107,28,49),
(5,6,59,119,77,109,28,49),
(5,6,60,122,78,111,28,50),
(5,6,61,124,79,113,28,51),
(5,6,62,127,81,115,28,51),
(5,6,63,129,82,118,29,52),
(5,6,64,136,84,120,29,52),
(5,6,65,137,85,123,29,53),
(5,6,66,138,87,125,29,54),
(5,6,67,141,88,127,30,54),
(5,6,68,143,90,129,30,55),
(5,6,69,146,91,132,30,56),
(5,6,70,149,93,134,30,56),
(5,6,71,152,95,137,31,57),
(5,6,72,154,96,139,31,58),
(5,6,73,157,98,142,31,59),
(5,6,74,158,100,145,31,59),
(5,6,75,159,101,147,32,60),
(5,6,76,162,103,150,32,61),
(5,6,77,167,105,152,32,62),
(5,6,78,173,106,155,32,62),
(5,6,79,174,108,158,33,63),
(5,6,80,174,110,161,33,64),
(5,8,1,19,18,21,21,27),
(5,8,2,19,18,21,22,28),
(5,8,3,19,18,22,24,30),
(5,8,4,19,18,22,25,31),
(5,8,5,19,19,22,26,32),
(5,8,6,19,19,22,28,34),
(5,8,7,20,19,23,29,35),
(5,8,8,20,19,23,31,36),
(5,8,9,20,19,23,32,38),
(5,8,10,20,19,24,34,39),
(5,8,11,20,20,24,35,40),
(5,8,12,20,20,24,37,42),
(5,8,13,20,20,25,38,43),
(5,8,14,20,20,25,40,45),
(5,8,15,20,20,25,41,46),
(5,8,16,21,21,26,43,48),
(5,8,17,21,21,26,44,49),
(5,8,18,21,21,26,46,51),
(5,8,19,21,21,27,48,52),
(5,8,20,21,21,27,49,54),
(5,8,21,21,22,27,51,55),
(5,8,22,21,22,28,52,57),
(5,8,23,21,22,28,54,58),
(5,8,24,22,22,29,56,60),
(5,8,25,22,23,29,57,62),
(5,8,26,22,23,29,59,63),
(5,8,27,22,23,30,61,65),
(5,8,28,22,23,30,63,67),
(5,8,29,22,24,31,64,68),
(5,8,30,23,24,31,66,70),
(5,8,31,23,24,31,68,72),
(5,8,32,23,24,32,70,73),
(5,8,33,23,25,32,72,75),
(5,8,34,23,25,33,73,77),
(5,8,35,24,25,33,75,79),
(5,8,36,24,25,34,77,80),
(5,8,37,24,26,34,79,82),
(5,8,38,24,26,35,81,84),
(5,8,39,24,26,35,83,86),
(5,8,40,24,27,35,85,88),
(5,8,41,25,27,36,87,90),
(5,8,42,25,27,36,89,91),
(5,8,43,25,27,37,90,93),
(5,8,44,25,28,37,92,95),
(5,8,45,26,28,38,94,97),
(5,8,46,26,28,38,96,99),
(5,8,47,26,29,39,98,101),
(5,8,48,26,29,39,100,103),
(5,8,49,26,29,40,103,105),
(5,8,50,27,30,40,105,107),
(5,8,51,27,30,41,107,109),
(5,8,52,27,30,42,109,111),
(5,8,53,27,31,42,111,113),
(5,8,54,28,31,43,113,115),
(5,8,55,28,31,43,115,117),
(5,8,56,28,32,44,117,119),
(5,8,57,28,32,44,119,121),
(5,8,58,29,32,45,122,123),
(5,8,59,29,33,45,124,126),
(5,8,60,29,33,46,126,128),
(5,8,61,29,34,47,128,130),
(5,8,62,30,34,47,131,132),
(5,8,63,30,34,48,133,134),
(5,8,64,30,35,48,135,136),
(5,8,65,31,35,49,137,139),
(5,8,66,31,35,50,140,141),
(5,8,67,31,36,50,142,143),
(5,8,68,31,36,51,144,145),
(5,8,69,32,37,51,147,148),
(5,8,70,32,37,52,149,150),
(5,8,71,32,37,53,152,153),
(5,8,72,32,38,54,155,156),
(5,8,73,32,38,55,158,159),
(5,8,74,33,39,55,161,161),
(5,8,75,33,39,56,164,164),
(5,8,76,33,39,57,167,167),
(5,8,77,34,40,58,170,170),
(5,8,78,34,40,58,173,173),
(5,8,79,34,41,59,176,176),
(5,8,80,35,41,60,179,179),
(5,9,1,19,18,22,20,27),
(5,9,2,19,18,23,21,28),
(5,9,3,20,19,23,22,29),
(5,9,4,20,19,24,24,30),
(5,9,5,20,19,24,25,32),
(5,9,6,20,20,25,26,33),
(5,9,7,21,20,25,27,34),
(5,9,8,21,21,26,28,35),
(5,9,9,21,21,26,30,36),
(5,9,10,22,21,27,31,38),
(5,9,11,22,22,28,32,39),
(5,9,12,22,22,28,34,40),
(5,9,13,23,23,29,35,41),
(5,9,14,23,23,30,36,43),
(5,9,15,23,24,30,37,44),
(5,9,16,24,24,31,39,45),
(5,9,17,24,24,31,40,47),
(5,9,18,24,25,32,42,48),
(5,9,19,25,25,33,43,49),
(5,9,20,25,26,33,44,51),
(5,9,21,26,26,34,46,52),
(5,9,22,26,27,35,47,53),
(5,9,23,26,27,36,49,55),
(5,9,24,27,28,36,50,56),
(5,9,25,27,28,37,52,58),
(5,9,26,27,29,38,53,59),
(5,9,27,28,29,38,55,60),
(5,9,28,28,30,39,56,62),
(5,9,29,29,30,40,58,63),
(5,9,30,29,31,41,59,65),
(5,9,31,30,31,41,61,66),
(5,9,32,30,32,42,62,68),
(5,9,33,30,32,43,64,69),
(5,9,34,31,33,44,65,71),
(5,9,35,31,33,45,67,73),
(5,9,36,32,34,45,69,74),
(5,9,37,32,34,46,70,76),
(5,9,38,33,35,47,72,77),
(5,9,39,33,36,48,73,79),
(5,9,40,34,36,49,75,81),
(5,9,41,34,37,49,77,82),
(5,9,42,35,37,50,78,84),
(5,9,43,35,38,51,80,86),
(5,9,44,36,39,52,82,87),
(5,9,45,36,39,53,84,89),
(5,9,46,37,40,54,85,91),
(5,9,47,37,40,55,87,92),
(5,9,48,38,41,55,89,94),
(5,9,49,38,42,56,91,96),
(5,9,50,39,42,57,92,98),
(5,9,51,39,43,58,94,100),
(5,9,52,40,44,59,96,101),
(5,9,53,40,44,60,98,103),
(5,9,54,41,45,61,100,105),
(5,9,55,41,45,62,102,107),
(5,9,56,42,46,63,103,109),
(5,9,57,42,47,64,105,111),
(5,9,58,43,47,65,107,112),
(5,9,59,43,48,66,109,114),
(5,9,60,44,49,67,111,116),
(5,9,61,45,50,68,113,118),
(5,9,62,45,50,69,115,120),
(5,9,63,46,51,70,117,122),
(5,9,64,46,52,71,119,124),
(5,9,65,47,52,72,121,126),
(5,9,66,48,53,73,123,128),
(5,9,67,48,54,74,125,130),
(5,9,68,49,55,75,127,132),
(5,9,69,49,55,76,129,134),
(5,9,70,50,56,77,131,136),
(5,9,71,51,57,86,135,147),
(5,9,72,52,57,88,136,149),
(5,9,73,53,58,89,138,152),
(5,9,74,53,59,90,141,155),
(5,9,75,54,60,92,143,157),
(5,9,76,55,61,93,146,160),
(5,9,77,56,62,94,149,163),
(5,9,78,56,63,96,151,166),
(5,9,79,57,64,97,154,169),
(5,9,80,58,65,99,157,171),
(6,1,1,28,15,24,15,22),
(6,1,2,29,16,25,15,22),
(6,1,3,31,17,26,15,23),
(6,1,4,32,17,27,15,23),
(6,1,5,33,18,29,15,23),
(6,1,6,34,19,30,15,23),
(6,1,7,36,20,31,16,24),
(6,1,8,37,21,32,16,24),
(6,1,9,38,22,34,16,24),
(6,1,10,40,22,35,16,25),
(6,1,11,41,23,36,16,25),
(6,1,12,43,24,37,16,25),
(6,1,13,44,25,39,16,26),
(6,1,14,46,26,40,16,26),
(6,1,15,47,27,41,17,26),
(6,1,16,48,28,43,17,27),
(6,1,17,50,29,44,17,27),
(6,1,18,51,30,45,17,27),
(6,1,19,53,31,47,17,28),
(6,1,20,54,32,48,17,28),
(6,1,21,56,33,50,17,28),
(6,1,22,58,34,51,18,29),
(6,1,23,59,35,52,18,29),
(6,1,24,61,36,54,18,30),
(6,1,25,62,37,55,18,30),
(6,1,26,64,38,57,18,30),
(6,1,27,66,39,58,18,31),
(6,1,28,67,40,60,18,31),
(6,1,29,69,41,61,19,32),
(6,1,30,71,42,63,19,32),
(6,1,31,72,43,64,19,32),
(6,1,32,74,44,66,19,33),
(6,1,33,76,45,67,19,33),
(6,1,34,77,46,69,20,34),
(6,1,35,79,47,71,20,34),
(6,1,36,81,48,72,20,35),
(6,1,37,83,49,74,20,35),
(6,1,38,85,50,76,20,35),
(6,1,39,86,51,77,21,36),
(6,1,40,88,53,79,21,36),
(6,1,41,90,54,81,21,37),
(6,1,42,92,55,82,21,37),
(6,1,43,94,56,84,21,38),
(6,1,44,96,57,86,22,38),
(6,1,45,98,58,87,22,39),
(6,1,46,99,60,89,22,39),
(6,1,47,101,61,91,22,40),
(6,1,48,103,62,93,22,40),
(6,1,49,105,63,94,23,41),
(6,1,50,107,65,96,23,41),
(6,1,51,109,66,98,23,42),
(6,1,52,111,67,100,23,42),
(6,1,53,113,68,102,24,43),
(6,1,54,115,70,104,24,44),
(6,1,55,117,71,105,24,44),
(6,1,56,119,72,107,24,45),
(6,1,57,122,73,109,25,45),
(6,1,58,124,75,111,25,46),
(6,1,59,126,76,113,25,46),
(6,1,60,128,77,115,25,47),
(6,1,61,130,79,117,26,48),
(6,1,62,132,80,119,26,48),
(6,1,63,134,81,121,26,49),
(6,1,64,137,83,123,26,49),
(6,1,65,139,84,125,27,50),
(6,1,66,141,85,127,27,51),
(6,1,67,143,87,129,27,51),
(6,1,68,145,88,131,27,52),
(6,1,69,148,90,133,28,52),
(6,1,70,150,91,135,28,53),
(6,1,71,153,92,137,28,54),
(6,1,72,155,94,140,28,55),
(6,1,73,158,96,142,28,56),
(6,1,74,161,97,145,29,56),
(6,1,75,164,99,147,29,57),
(6,1,76,167,101,150,29,58),
(6,1,77,170,103,153,30,59),
(6,1,78,173,104,155,30,59),
(6,1,79,176,106,164,30,60),
(6,1,80,179,108,170,31,61),
(6,3,1,25,18,23,15,23),
(6,3,2,25,19,24,16,24),
(6,3,3,26,21,25,16,24),
(6,3,4,26,22,26,17,25),
(6,3,5,27,24,27,17,25),
(6,3,6,27,25,28,18,26),
(6,3,7,28,26,28,19,27),
(6,3,8,28,28,29,19,27),
(6,3,9,28,29,30,20,28),
(6,3,10,29,31,31,20,29),
(6,3,11,29,32,32,21,29),
(6,3,12,30,34,33,22,30),
(6,3,13,30,35,34,22,31),
(6,3,14,31,37,35,23,32),
(6,3,15,31,38,36,24,32),
(6,3,16,32,40,37,24,33),
(6,3,17,32,41,39,25,34),
(6,3,18,33,43,40,26,35),
(6,3,19,33,45,41,27,35),
(6,3,20,34,46,42,27,36),
(6,3,21,34,48,43,28,37),
(6,3,22,35,50,44,29,38),
(6,3,23,35,51,45,29,38),
(6,3,24,36,53,46,30,39),
(6,3,25,37,55,47,31,40),
(6,3,26,37,56,48,32,41),
(6,3,27,38,58,50,32,42),
(6,3,28,38,60,51,33,42),
(6,3,29,39,62,52,34,43),
(6,3,30,39,63,53,35,44),
(6,3,31,40,65,54,36,45),
(6,3,32,41,67,56,36,46),
(6,3,33,41,69,57,37,47),
(6,3,34,42,71,58,38,48),
(6,3,35,43,72,59,39,48),
(6,3,36,43,74,61,40,49),
(6,3,37,44,76,62,40,50),
(6,3,38,45,78,63,41,51),
(6,3,39,45,80,64,42,52),
(6,3,40,46,82,66,43,53),
(6,3,41,47,84,67,44,54),
(6,3,42,47,86,68,45,55),
(6,3,43,48,88,70,46,56),
(6,3,44,49,90,71,46,57),
(6,3,45,49,92,72,47,58),
(6,3,46,50,94,74,48,59),
(6,3,47,51,96,75,49,60),
(6,3,48,51,98,77,50,61),
(6,3,49,52,100,78,51,62),
(6,3,50,53,102,79,52,63),
(6,3,51,54,104,81,53,64),
(6,3,52,54,106,82,54,65),
(6,3,53,55,108,84,55,66),
(6,3,54,56,110,85,56,67),
(6,3,55,57,112,87,57,68),
(6,3,56,57,114,88,58,69),
(6,3,57,58,117,90,59,70),
(6,3,58,59,119,91,60,71),
(6,3,59,60,121,93,61,72),
(6,3,60,61,123,94,62,74),
(6,3,61,61,125,96,63,75),
(6,3,62,62,128,97,64,76),
(6,3,63,63,130,99,65,77),
(6,3,64,64,132,100,66,78),
(6,3,65,65,134,102,67,79),
(6,3,66,66,137,104,68,80),
(6,3,67,66,139,105,69,81),
(6,3,68,67,141,107,70,83),
(6,3,69,68,144,108,71,84),
(6,3,70,69,146,110,72,85),
(6,3,71,70,149,112,73,86),
(6,3,72,71,152,114,74,87),
(6,3,73,72,155,116,75,89),
(6,3,74,73,158,118,77,90),
(6,3,75,74,161,120,78,92),
(6,3,76,75,164,122,79,93),
(6,3,77,76,167,124,81,95),
(6,3,78,77,176,126,85,96),
(6,3,79,78,179,128,86,98),
(6,3,80,79,183,130,88,99),
(6,6,1,28,15,24,15,22),
(6,6,2,29,16,25,15,22),
(6,6,3,31,17,26,15,23),
(6,6,4,32,17,27,15,23),
(6,6,5,33,18,29,15,23),
(6,6,6,34,19,30,15,23),
(6,6,7,36,20,31,16,24),
(6,6,8,37,21,32,16,24),
(6,6,9,38,22,34,16,24),
(6,6,10,40,22,35,16,25),
(6,6,11,41,23,36,16,25),
(6,6,12,43,24,37,16,25),
(6,6,13,44,25,39,16,26),
(6,6,14,46,26,40,16,26),
(6,6,15,47,27,41,17,26),
(6,6,16,48,28,43,17,27),
(6,6,17,50,29,44,17,27),
(6,6,18,51,30,45,17,27),
(6,6,19,53,31,47,17,28),
(6,6,20,54,32,48,17,28),
(6,6,21,56,33,50,17,28),
(6,6,22,58,34,51,18,29),
(6,6,23,59,35,52,18,29),
(6,6,24,61,36,54,18,30),
(6,6,25,62,37,55,18,30),
(6,6,26,64,38,57,18,30),
(6,6,27,66,39,58,18,31),
(6,6,28,67,40,60,18,31),
(6,6,29,69,41,61,19,32),
(6,6,30,71,42,63,19,32),
(6,6,31,72,43,64,19,32),
(6,6,32,74,44,66,19,33),
(6,6,33,76,45,67,19,33),
(6,6,34,77,46,69,20,34),
(6,6,35,79,47,71,20,34),
(6,6,36,81,48,72,20,35),
(6,6,37,83,49,74,20,35),
(6,6,38,85,50,76,20,35),
(6,6,39,86,51,77,21,36),
(6,6,40,88,53,79,21,36),
(6,6,41,90,54,81,21,37),
(6,6,42,92,55,82,21,37),
(6,6,43,94,56,84,21,38),
(6,6,44,96,57,86,22,38),
(6,6,45,98,58,87,22,39),
(6,6,46,99,60,89,22,39),
(6,6,47,101,60,91,22,40),
(6,6,48,103,61,93,22,40),
(6,6,49,105,62,94,23,41),
(6,6,50,107,63,96,23,41),
(6,6,51,109,64,97,23,42),
(6,6,52,110,65,98,23,42),
(6,6,53,111,66,99,24,43),
(6,6,54,112,67,100,24,44),
(6,6,55,113,68,101,24,44),
(6,6,56,116,70,104,24,45),
(6,6,57,121,71,106,24,45),
(6,6,58,123,72,108,25,46),
(6,6,59,123,74,110,25,46),
(6,6,60,125,75,112,25,47),
(6,6,61,127,76,114,25,48),
(6,6,62,133,78,116,25,48),
(6,6,63,135,79,119,26,49),
(6,6,64,139,81,121,26,49),
(6,6,65,142,82,123,26,50),
(6,6,66,146,84,126,26,51),
(6,6,67,150,85,132,27,51),
(6,6,68,153,87,137,27,52),
(6,6,69,157,88,140,27,53),
(6,6,70,160,90,143,27,53),
(6,6,71,163,92,146,28,54),
(6,6,72,165,93,148,28,55),
(6,6,73,167,95,150,28,56),
(6,6,74,171,97,153,28,56),
(6,6,75,174,98,156,29,57),
(6,6,76,178,100,156,29,58),
(6,6,77,179,102,156,29,59),
(6,6,78,179,103,156,29,59),
(6,6,79,182,105,159,30,60),
(6,6,80,185,107,162,30,61),
(6,7,1,26,15,23,16,24),
(6,7,2,27,15,24,17,25),
(6,7,3,28,16,25,18,26),
(6,7,4,28,16,26,19,27),
(6,7,5,29,17,27,20,28),
(6,7,6,30,17,28,21,29),
(6,7,7,31,18,29,22,30),
(6,7,8,32,18,30,23,31),
(6,7,9,33,19,31,24,32),
(6,7,10,34,19,32,25,33),
(6,7,11,35,20,33,26,35),
(6,7,12,35,20,34,27,36),
(6,7,13,36,21,35,28,37),
(6,7,14,37,21,36,29,38),
(6,7,15,38,22,37,30,39),
(6,7,16,39,22,39,31,40),
(6,7,17,40,23,40,32,42),
(6,7,18,41,23,41,33,43),
(6,7,19,42,24,42,34,44),
(6,7,20,43,24,43,35,45),
(6,7,21,44,25,44,36,46),
(6,7,22,45,25,45,37,48),
(6,7,23,46,26,47,38,49),
(6,7,24,47,27,48,40,50),
(6,7,25,48,27,49,41,51),
(6,7,26,49,28,50,42,53),
(6,7,27,51,28,52,43,54),
(6,7,28,52,29,53,44,55),
(6,7,29,53,29,54,45,57),
(6,7,30,54,30,55,47,58),
(6,7,31,55,31,57,48,59),
(6,7,32,56,31,58,49,61),
(6,7,33,57,32,59,50,62),
(6,7,34,58,33,61,51,64),
(6,7,35,60,33,62,53,65),
(6,7,36,61,34,63,54,66),
(6,7,37,62,34,65,55,68),
(6,7,38,63,35,66,57,69),
(6,7,39,64,36,67,58,71),
(6,7,40,66,36,69,59,72),
(6,7,41,67,37,70,60,74),
(6,7,42,68,38,72,62,75),
(6,7,43,69,38,73,63,77),
(6,7,44,70,39,74,64,78),
(6,7,45,72,40,76,66,80),
(6,7,46,73,41,77,67,81),
(6,7,47,74,41,79,69,83),
(6,7,48,76,42,80,70,84),
(6,7,49,77,43,82,71,86),
(6,7,50,78,43,83,73,88),
(6,7,51,80,44,85,74,89),
(6,7,52,81,45,86,76,91),
(6,7,53,82,46,88,77,92),
(6,7,54,84,46,90,78,94),
(6,7,55,85,47,91,80,96),
(6,7,56,86,48,93,81,97),
(6,7,57,88,49,94,83,99),
(6,7,58,89,49,96,84,101),
(6,7,59,91,50,97,86,102),
(6,7,60,92,51,99,87,104),
(6,7,61,94,52,101,89,106),
(6,7,62,95,52,102,90,108),
(6,7,63,96,53,104,92,109),
(6,7,64,98,54,106,93,111),
(6,7,65,99,55,107,95,113),
(6,7,66,101,56,109,97,115),
(6,7,67,102,57,111,98,117),
(6,7,68,104,57,113,100,118),
(6,7,69,105,58,114,101,120),
(6,7,70,107,59,116,103,122),
(6,7,71,108,60,118,113,124),
(6,7,72,110,61,120,117,127),
(6,7,73,112,62,122,119,129),
(6,7,74,114,63,125,122,131),
(6,7,75,116,64,127,124,133),
(6,7,76,118,65,129,126,136),
(6,7,77,119,66,131,128,138),
(6,7,78,121,67,133,130,140),
(6,7,79,123,68,136,133,143),
(6,7,80,125,69,138,135,145),
(6,11,1,26,15,22,17,24),
(6,11,2,27,16,23,18,25),
(6,11,3,27,16,23,19,26),
(6,11,4,28,17,24,20,27),
(6,11,5,28,17,25,21,29),
(6,11,6,29,18,25,22,30),
(6,11,7,29,18,26,23,31),
(6,11,8,30,19,27,24,32),
(6,11,9,30,19,27,26,34),
(6,11,10,31,20,28,27,35),
(6,11,11,32,20,29,28,36),
(6,11,12,32,21,29,29,37),
(6,11,13,33,21,30,30,39),
(6,11,14,33,22,31,31,40),
(6,11,15,34,23,32,32,41),
(6,11,16,35,23,32,34,43),
(6,11,17,35,24,33,35,44),
(6,11,18,36,24,34,36,45),
(6,11,19,37,25,35,37,47),
(6,11,20,37,26,35,39,48),
(6,11,21,38,26,36,40,50),
(6,11,22,39,27,37,41,51),
(6,11,23,39,28,38,42,52),
(6,11,24,40,28,39,44,54),
(6,11,25,41,29,39,45,55),
(6,11,26,41,30,40,46,57),
(6,11,27,42,30,41,47,58),
(6,11,28,43,31,42,49,60),
(6,11,29,44,32,43,50,61),
(6,11,30,44,32,44,52,63),
(6,11,31,45,33,44,53,64),
(6,11,32,46,34,45,54,66),
(6,11,33,47,34,46,56,67),
(6,11,34,47,35,47,57,69),
(6,11,35,48,36,48,58,71),
(6,11,36,49,36,49,60,72),
(6,11,37,50,37,50,61,74),
(6,11,38,51,38,51,63,76),
(6,11,39,52,39,52,64,77),
(6,11,40,52,39,53,66,79),
(6,11,41,53,40,54,67,81),
(6,11,42,54,41,55,69,82),
(6,11,43,55,42,56,70,84),
(6,11,44,56,43,57,72,86),
(6,11,45,57,43,57,73,87),
(6,11,46,57,44,58,75,89),
(6,11,47,58,45,60,76,91),
(6,11,48,59,46,61,78,93),
(6,11,49,60,47,62,79,94),
(6,11,50,61,47,63,81,96),
(6,11,51,62,48,64,83,98),
(6,11,52,63,49,65,84,100),
(6,11,53,64,50,66,86,102),
(6,11,54,65,51,67,87,104),
(6,11,55,66,51,68,89,105),
(6,11,56,67,52,69,91,107),
(6,11,57,68,53,70,92,109),
(6,11,58,69,54,71,94,111),
(6,11,59,70,55,72,96,113),
(6,11,60,71,56,73,97,115),
(6,11,61,72,57,74,99,117),
(6,11,62,73,58,76,101,119),
(6,11,63,74,59,77,103,121),
(6,11,64,75,59,78,104,123),
(6,11,65,76,60,79,106,125),
(6,11,66,77,61,80,108,127),
(6,11,67,78,62,81,110,129),
(6,11,68,79,63,83,111,131),
(6,11,69,80,64,84,113,133),
(6,11,70,81,65,85,115,135),
(6,11,71,83,66,86,117,137),
(6,11,72,84,68,88,120,140),
(6,11,73,85,69,89,122,142),
(6,11,74,86,70,91,124,145),
(6,11,75,88,71,92,126,147),
(6,11,76,89,72,94,128,150),
(6,11,77,90,73,95,131,153),
(6,11,78,92,75,97,133,155),
(6,11,79,93,76,98,136,158),
(6,11,80,94,77,100,138,185),
(7,1,1,18,23,21,24,20),
(7,1,2,19,24,22,24,20),
(7,1,3,21,25,23,24,21),
(7,1,4,22,25,25,24,21),
(7,1,5,23,26,26,24,21),
(7,1,6,25,27,27,24,21),
(7,1,7,26,28,28,24,22),
(7,1,8,27,29,29,25,22),
(7,1,9,29,29,31,25,22),
(7,1,10,30,30,32,25,23),
(7,1,11,32,31,33,25,23),
(7,1,12,33,32,34,25,23),
(7,1,13,34,33,36,25,24),
(7,1,14,36,34,37,25,24),
(7,1,15,37,35,38,25,24),
(7,1,16,39,36,40,25,25),
(7,1,17,40,36,41,25,25),
(7,1,18,42,37,43,26,25),
(7,1,19,43,38,44,26,26),
(7,1,20,45,39,45,26,26),
(7,1,21,47,40,47,26,26),
(7,1,22,48,41,48,26,27),
(7,1,23,50,42,50,26,27),
(7,1,24,51,43,51,26,28),
(7,1,25,53,44,52,27,28),
(7,1,26,55,45,54,27,28),
(7,1,27,56,46,55,27,29),
(7,1,28,58,47,57,27,29),
(7,1,29,59,48,58,27,30),
(7,1,30,61,49,60,27,30),
(7,1,31,63,50,62,27,30),
(7,1,32,65,51,63,28,31),
(7,1,33,66,52,65,28,31),
(7,1,34,68,53,66,28,32),
(7,1,35,70,55,68,28,32),
(7,1,36,72,56,69,28,33),
(7,1,37,73,57,71,29,33),
(7,1,38,75,58,73,29,34),
(7,1,39,77,59,74,29,34),
(7,1,40,79,60,76,29,35),
(7,1,41,81,61,78,29,35),
(7,1,42,82,62,79,30,35),
(7,1,43,84,64,81,30,36),
(7,1,44,86,65,83,30,36),
(7,1,45,88,66,85,30,37),
(7,1,46,90,67,86,30,37),
(7,1,47,92,68,88,31,38),
(7,1,48,94,70,90,31,38),
(7,1,49,96,71,92,31,39),
(7,1,50,98,72,93,31,40),
(7,1,51,100,73,95,32,40),
(7,1,52,102,75,97,32,41),
(7,1,53,104,76,99,32,41),
(7,1,54,106,77,101,32,42),
(7,1,55,108,78,103,33,42),
(7,1,56,110,80,104,33,43),
(7,1,57,112,81,106,33,43),
(7,1,58,114,82,108,33,44),
(7,1,59,116,84,110,34,44),
(7,1,60,118,85,112,34,45),
(7,1,61,120,86,114,34,46),
(7,1,62,122,88,116,35,46),
(7,1,63,125,89,118,35,47),
(7,1,64,127,91,120,35,47),
(7,1,65,129,92,122,35,48),
(7,1,66,131,93,124,36,49),
(7,1,67,133,95,126,36,49),
(7,1,68,136,96,128,36,50),
(7,1,69,138,98,130,37,50),
(7,1,70,140,99,132,37,51),
(7,1,71,143,100,134,37,52),
(7,1,72,145,102,137,37,53),
(7,1,73,148,104,139,37,54),
(7,1,74,151,105,142,38,54),
(7,1,75,154,107,144,38,55),
(7,1,76,157,109,147,38,56),
(7,1,77,163,111,153,39,57),
(7,1,78,169,112,158,39,57),
(7,1,79,172,114,161,39,58),
(7,1,80,175,116,164,40,59),
(7,4,1,16,26,20,24,20),
(7,4,2,17,27,21,24,20),
(7,4,3,18,29,21,24,21),
(7,4,4,18,30,22,24,21),
(7,4,5,19,32,23,25,21),
(7,4,6,20,33,24,25,22),
(7,4,7,21,35,24,25,22),
(7,4,8,22,36,25,25,23),
(7,4,9,22,38,26,25,23),
(7,4,10,23,39,26,25,23),
(7,4,11,24,41,27,25,24),
(7,4,12,25,42,28,26,24),
(7,4,13,26,44,29,26,25),
(7,4,14,27,46,30,26,25),
(7,4,15,28,47,30,26,25),
(7,4,16,28,49,31,26,26),
(7,4,17,29,50,32,27,26),
(7,4,18,30,52,33,27,27),
(7,4,19,31,54,34,27,27),
(7,4,20,32,56,35,27,28),
(7,4,21,33,57,35,27,28),
(7,4,22,34,59,36,28,29),
(7,4,23,35,61,37,28,29),
(7,4,24,36,62,38,28,30),
(7,4,25,37,64,39,28,30),
(7,4,26,38,66,40,29,31),
(7,4,27,39,68,41,29,31),
(7,4,28,40,70,42,29,32),
(7,4,29,41,72,43,29,32),
(7,4,30,42,73,43,29,33),
(7,4,31,43,75,44,30,33),
(7,4,32,44,77,45,30,34),
(7,4,33,45,79,46,30,34),
(7,4,34,46,81,47,31,35),
(7,4,35,47,83,48,31,35),
(7,4,36,48,85,49,31,36),
(7,4,37,49,87,50,31,36),
(7,4,38,50,89,51,32,37),
(7,4,39,51,91,52,32,38),
(7,4,40,53,93,53,32,38),
(7,4,41,54,95,54,33,39),
(7,4,42,55,97,55,33,39),
(7,4,43,56,99,56,33,40),
(7,4,44,57,101,57,33,40),
(7,4,45,58,103,59,34,41),
(7,4,46,59,105,60,34,42),
(7,4,47,61,107,61,34,42),
(7,4,48,62,110,62,35,43),
(7,4,49,63,112,63,35,44),
(7,4,50,64,114,64,35,44),
(7,4,51,65,116,65,36,45),
(7,4,52,67,118,66,36,45),
(7,4,53,68,121,67,36,46),
(7,4,54,69,123,69,37,47),
(7,4,55,70,125,70,37,47),
(7,4,56,72,127,71,37,48),
(7,4,57,73,130,72,38,49),
(7,4,58,74,132,73,38,49),
(7,4,59,75,134,74,39,50),
(7,4,60,77,137,76,39,51),
(7,4,61,78,139,77,39,51),
(7,4,62,79,141,78,40,52),
(7,4,63,81,144,79,40,53),
(7,4,64,82,146,80,41,54),
(7,4,65,83,149,82,41,54),
(7,4,66,85,151,83,41,55),
(7,4,67,86,154,84,42,56),
(7,4,68,87,156,85,42,57),
(7,4,69,89,158,87,43,57),
(7,4,70,90,161,88,43,58),
(7,4,71,92,164,89,44,59),
(7,4,72,94,167,91,45,59),
(7,4,73,95,170,93,45,60),
(7,4,74,97,173,94,46,61),
(7,4,75,99,176,96,46,62),
(7,4,76,100,179,97,46,63),
(7,4,77,102,182,102,47,64),
(7,4,78,104,186,105,47,65),
(7,4,79,106,189,106,48,66),
(7,4,80,108,192,108,48,67),
(7,6,1,18,23,21,24,20),
(7,6,2,19,24,22,24,20),
(7,6,3,21,25,23,24,21),
(7,6,4,22,25,25,24,21),
(7,6,5,23,26,26,24,21),
(7,6,6,25,27,27,24,21),
(7,6,7,26,28,28,24,22),
(7,6,8,27,29,29,25,22),
(7,6,9,29,29,31,25,22),
(7,6,10,30,30,32,25,23),
(7,6,11,32,31,33,25,23),
(7,6,12,33,32,34,25,23),
(7,6,13,34,33,36,25,24),
(7,6,14,36,34,37,25,24),
(7,6,15,37,35,38,25,24),
(7,6,16,39,36,40,25,25),
(7,6,17,40,36,41,25,25),
(7,6,18,42,37,43,26,25),
(7,6,19,43,38,44,26,26),
(7,6,20,45,39,45,26,26),
(7,6,21,47,40,47,26,26),
(7,6,22,48,41,48,26,27),
(7,6,23,50,42,50,26,27),
(7,6,24,51,43,51,26,28),
(7,6,25,53,44,52,27,28),
(7,6,26,55,45,54,27,28),
(7,6,27,56,46,55,27,29),
(7,6,28,58,47,57,27,29),
(7,6,29,59,48,58,27,30),
(7,6,30,61,49,60,27,30),
(7,6,31,63,50,62,27,30),
(7,6,32,65,51,63,28,31),
(7,6,33,66,52,65,28,31),
(7,6,34,68,53,66,28,32),
(7,6,35,70,55,68,28,32),
(7,6,36,72,56,69,28,33),
(7,6,37,73,57,71,29,33),
(7,6,38,75,58,73,29,34),
(7,6,39,77,59,74,29,34),
(7,6,40,79,60,76,29,35),
(7,6,41,81,61,78,29,35),
(7,6,42,82,62,79,30,35),
(7,6,43,84,64,81,30,36),
(7,6,44,86,65,83,30,36),
(7,6,45,88,66,85,30,37),
(7,6,46,90,67,86,30,37),
(7,6,47,92,68,88,31,38),
(7,6,48,94,70,90,31,38),
(7,6,49,96,71,92,31,39),
(7,6,50,98,72,93,31,40),
(7,6,51,99,72,93,32,40),
(7,6,52,100,73,95,32,41),
(7,6,53,101,74,96,32,41),
(7,6,54,102,75,97,32,42),
(7,6,55,103,76,98,33,42),
(7,6,56,106,78,101,33,43),
(7,6,57,111,79,103,33,43),
(7,6,58,113,80,105,34,44),
(7,6,59,116,82,107,34,44),
(7,6,60,118,83,109,34,45),
(7,6,61,120,84,111,34,46),
(7,6,62,127,86,119,34,46),
(7,6,63,129,87,122,35,47),
(7,6,64,132,89,125,35,47),
(7,6,65,135,90,127,35,48),
(7,6,66,137,92,130,35,49),
(7,6,67,138,93,130,36,49),
(7,6,68,140,95,131,36,50),
(7,6,69,142,96,131,36,51),
(7,6,70,145,98,132,36,51),
(7,6,71,148,100,135,37,52),
(7,6,72,150,101,137,37,53),
(7,6,73,153,103,140,37,54),
(7,6,74,154,105,142,37,54),
(7,6,75,155,106,145,38,55),
(7,6,76,158,108,151,38,56),
(7,6,77,161,110,157,38,57),
(7,6,78,164,111,162,38,57),
(7,6,79,167,113,165,39,58),
(7,6,80,170,115,168,39,59),
(7,8,1,15,23,19,27,22),
(7,8,2,15,23,19,28,23),
(7,8,3,15,23,20,30,25),
(7,8,4,15,23,20,31,26),
(7,8,5,15,24,20,32,27),
(7,8,6,15,24,20,34,29),
(7,8,7,16,24,21,35,30),
(7,8,8,16,24,21,37,31),
(7,8,9,16,24,21,38,33),
(7,8,10,16,24,22,40,34),
(7,8,11,16,25,22,41,36),
(7,8,12,16,25,22,42,37),
(7,8,13,16,25,23,44,38),
(7,8,14,16,25,23,45,40),
(7,8,15,17,25,23,47,41),
(7,8,16,17,25,24,49,43),
(7,8,17,17,26,24,50,44),
(7,8,18,17,26,24,52,46),
(7,8,19,17,26,25,53,47),
(7,8,20,17,26,25,55,49),
(7,8,21,17,26,26,57,51),
(7,8,22,18,27,26,58,52),
(7,8,23,18,27,26,60,54),
(7,8,24,18,27,27,61,55),
(7,8,25,18,27,27,63,57),
(7,8,26,18,28,27,65,59),
(7,8,27,18,28,28,67,60),
(7,8,28,18,28,28,68,62),
(7,8,29,19,28,29,70,64),
(7,8,30,19,29,29,72,65),
(7,8,31,19,29,30,74,67),
(7,8,32,19,29,30,75,69),
(7,8,33,19,29,30,77,70),
(7,8,34,20,30,31,79,72),
(7,8,35,20,30,31,81,74),
(7,8,36,20,30,32,83,76),
(7,8,37,20,30,32,85,78),
(7,8,38,20,31,33,86,79),
(7,8,39,21,31,33,88,81),
(7,8,40,21,31,34,90,83),
(7,8,41,21,32,34,92,85),
(7,8,42,21,32,35,94,87),
(7,8,43,21,32,35,96,89),
(7,8,44,22,32,36,98,91),
(7,8,45,22,33,36,100,92),
(7,8,46,22,33,37,102,94),
(7,8,47,22,33,37,104,96),
(7,8,48,22,34,38,106,98),
(7,8,49,23,34,38,108,100),
(7,8,50,23,34,39,110,102),
(7,8,51,23,35,39,112,104),
(7,8,52,23,35,40,114,106),
(7,8,53,24,35,40,117,108),
(7,8,54,24,36,41,119,110),
(7,8,55,24,36,41,121,112),
(7,8,56,24,37,42,123,114),
(7,8,57,25,37,42,125,117),
(7,8,58,25,37,43,127,119),
(7,8,59,25,38,43,130,121),
(7,8,60,25,38,44,132,123),
(7,8,61,26,38,45,134,125),
(7,8,62,26,39,45,136,127),
(7,8,63,26,39,46,139,129),
(7,8,64,26,40,46,141,132),
(7,8,65,27,40,47,143,134),
(7,8,66,27,40,48,146,136),
(7,8,67,27,41,48,148,138),
(7,8,68,27,41,49,150,140),
(7,8,69,28,42,49,153,143),
(7,8,70,28,42,50,155,145),
(7,8,71,28,42,51,168,148),
(7,8,72,28,43,52,168,151),
(7,8,73,28,43,53,171,154),
(7,8,74,29,44,53,174,156),
(7,8,75,29,44,54,177,159),
(7,8,76,29,44,55,180,162),
(7,8,77,30,45,56,183,165),
(7,8,78,30,45,56,186,168),
(7,8,79,30,46,57,190,171),
(7,8,80,31,46,58,193,174),
(7,9,1,15,23,20,26,22),
(7,9,2,15,23,21,27,23),
(7,9,3,16,24,21,28,24),
(7,9,4,16,24,22,29,25),
(7,9,5,16,24,22,31,27),
(7,9,6,17,25,23,32,28),
(7,9,7,17,25,23,33,29),
(7,9,8,17,26,24,34,30),
(7,9,9,17,26,25,36,31),
(7,9,10,18,26,25,37,33),
(7,9,11,18,27,26,38,34),
(7,9,12,18,27,26,39,35),
(7,9,13,19,28,27,41,36),
(7,9,14,19,28,28,42,38),
(7,9,15,20,28,28,43,39),
(7,9,16,20,29,29,45,40),
(7,9,17,20,29,30,46,42),
(7,9,18,21,30,30,47,43),
(7,9,19,21,30,31,49,44),
(7,9,20,21,31,32,50,46),
(7,9,21,22,31,32,51,47),
(7,9,22,22,31,33,53,49),
(7,9,23,23,32,34,54,50),
(7,9,24,23,32,34,56,51),
(7,9,25,23,33,35,57,53),
(7,9,26,24,33,36,59,54),
(7,9,27,24,34,37,60,56),
(7,9,28,25,34,37,62,57),
(7,9,29,25,35,38,63,59),
(7,9,30,25,35,39,65,60),
(7,9,31,26,36,40,66,62),
(7,9,32,26,36,40,68,63),
(7,9,33,27,37,41,69,65),
(7,9,34,27,38,42,71,66),
(7,9,35,28,38,43,73,68),
(7,9,36,28,39,43,74,69),
(7,9,37,28,39,44,76,71),
(7,9,38,29,40,45,77,73),
(7,9,39,29,40,46,79,74),
(7,9,40,30,41,47,81,76),
(7,9,41,30,41,48,82,78),
(7,9,42,31,42,48,84,79),
(7,9,43,31,43,49,86,81),
(7,9,44,32,43,50,88,83),
(7,9,45,32,44,51,89,84),
(7,9,46,33,44,52,91,86),
(7,9,47,33,45,53,93,88),
(7,9,48,34,46,54,95,89),
(7,9,49,34,46,54,96,91),
(7,9,50,35,47,55,98,93),
(7,9,51,35,48,56,100,95),
(7,9,52,36,48,57,102,97),
(7,9,53,36,49,58,104,98),
(7,9,54,37,50,59,105,100),
(7,9,55,37,50,60,107,102),
(7,9,56,38,51,61,109,104),
(7,9,57,38,52,62,111,106),
(7,9,58,39,52,63,113,108),
(7,9,59,40,53,64,115,109),
(7,9,60,40,54,65,117,111),
(7,9,61,41,54,66,119,113),
(7,9,62,41,55,67,121,115),
(7,9,63,42,56,68,123,117),
(7,9,64,42,57,69,125,119),
(7,9,65,43,57,70,127,121),
(7,9,66,44,58,71,129,123),
(7,9,67,44,59,72,131,125),
(7,9,68,45,59,73,133,127),
(7,9,69,45,60,74,135,129),
(7,9,70,46,61,75,137,131),
(7,9,71,47,62,84,147,142),
(7,9,72,48,62,85,148,144),
(7,9,73,49,63,85,153,147),
(7,9,74,49,64,88,153,150),
(7,9,75,50,65,90,155,152),
(7,9,76,51,66,91,158,155),
(7,9,77,52,67,92,161,158),
(7,9,78,52,68,93,163,161),
(7,9,79,53,69,95,166,164),
(7,9,80,54,70,96,170,166),
(8,1,1,24,22,23,16,21),
(8,1,2,25,23,24,16,21),
(8,1,3,27,24,25,16,22),
(8,1,4,28,24,26,16,22),
(8,1,5,29,25,28,16,22),
(8,1,6,31,26,29,16,22),
(8,1,7,32,27,30,17,23),
(8,1,8,33,28,31,17,23),
(8,1,9,35,28,33,17,23),
(8,1,10,36,29,34,17,24),
(8,1,11,37,30,35,17,24),
(8,1,12,39,31,36,17,24),
(8,1,13,40,32,38,17,25),
(8,1,14,42,33,39,17,25),
(8,1,15,43,34,40,18,25),
(8,1,16,45,35,42,18,26),
(8,1,17,46,35,43,18,26),
(8,1,18,48,36,44,18,26),
(8,1,19,49,37,46,18,27),
(8,1,20,51,38,47,18,27),
(8,1,21,52,39,49,18,27),
(8,1,22,54,40,50,18,28),
(8,1,23,55,41,51,19,28),
(8,1,24,57,42,53,19,29),
(8,1,25,59,43,54,19,29),
(8,1,26,60,44,56,19,29),
(8,1,27,62,45,57,19,30),
(8,1,28,63,46,59,19,30),
(8,1,29,65,47,60,20,31),
(8,1,30,67,48,62,20,31),
(8,1,31,69,49,63,20,31),
(8,1,32,70,50,65,20,32),
(8,1,33,72,51,67,20,32),
(8,1,34,74,53,68,20,33),
(8,1,35,75,54,70,21,33),
(8,1,36,77,55,71,21,34),
(8,1,37,79,56,73,21,34),
(8,1,38,81,57,75,21,35),
(8,1,39,83,58,76,21,35),
(8,1,40,84,59,78,22,35),
(8,1,41,86,60,80,22,36),
(8,1,42,88,62,81,22,36),
(8,1,43,90,63,83,22,37),
(8,1,44,92,64,85,22,37),
(8,1,45,94,65,86,23,38),
(8,1,46,96,66,88,23,38),
(8,1,47,98,67,90,23,39),
(8,1,48,100,69,92,23,39),
(8,1,49,102,70,93,24,40),
(8,1,50,103,71,95,24,40),
(8,1,51,105,72,97,24,41),
(8,1,52,107,74,99,24,42),
(8,1,53,109,75,101,25,42),
(8,1,54,112,76,103,25,43),
(8,1,55,114,78,104,25,43),
(8,1,56,116,79,106,25,44),
(8,1,57,118,80,108,25,44),
(8,1,58,120,81,110,26,45),
(8,1,59,122,83,112,26,45),
(8,1,60,124,84,114,26,46),
(8,1,61,126,85,116,27,47),
(8,1,62,128,87,118,27,47),
(8,1,63,130,88,120,27,48),
(8,1,64,133,90,122,27,48),
(8,1,65,135,91,124,28,49),
(8,1,66,137,92,126,28,50),
(8,1,67,139,94,128,28,50),
(8,1,68,141,95,130,28,51),
(8,1,69,144,97,132,29,51),
(8,1,70,146,98,134,29,52),
(8,1,71,149,99,136,29,53),
(8,1,72,151,101,139,29,54),
(8,1,73,154,103,141,29,55),
(8,1,74,157,104,144,30,55),
(8,1,75,166,106,151,30,56),
(8,1,76,172,108,157,30,57),
(8,1,77,175,110,161,31,58),
(8,1,78,179,111,163,31,58),
(8,1,79,182,113,164,31,59),
(8,1,80,185,115,169,32,60),
(8,3,1,21,25,22,16,22),
(8,3,2,21,26,23,17,23),
(8,3,3,22,28,24,17,23),
(8,3,4,22,29,25,18,24),
(8,3,5,23,30,26,18,25),
(8,3,6,23,32,27,19,25),
(8,3,7,24,33,28,20,26),
(8,3,8,24,35,28,20,26),
(8,3,9,25,36,29,21,27),
(8,3,10,25,38,30,21,28),
(8,3,11,25,39,31,22,29),
(8,3,12,26,41,32,23,29),
(8,3,13,26,42,33,23,30),
(8,3,14,27,44,34,24,31),
(8,3,15,27,45,35,25,31),
(8,3,16,28,47,36,25,32),
(8,3,17,28,48,38,26,33),
(8,3,18,29,50,39,27,34),
(8,3,19,29,51,40,28,34),
(8,3,20,30,53,41,28,35),
(8,3,21,31,55,42,29,36),
(8,3,22,31,56,43,30,37),
(8,3,23,32,58,44,30,37),
(8,3,24,32,60,45,31,38),
(8,3,25,33,61,46,32,39),
(8,3,26,33,63,48,33,40),
(8,3,27,34,65,49,33,41),
(8,3,28,35,66,50,34,41),
(8,3,29,35,68,51,35,42),
(8,3,30,36,70,52,36,43),
(8,3,31,36,72,53,37,44),
(8,3,32,37,73,55,37,45),
(8,3,33,38,75,56,38,46),
(8,3,34,38,77,57,39,47),
(8,3,35,39,79,58,40,48),
(8,3,36,39,81,60,41,48),
(8,3,37,40,83,61,41,49),
(8,3,38,41,85,62,42,50),
(8,3,39,41,86,63,43,51),
(8,3,40,42,88,65,44,52),
(8,3,41,43,90,66,45,53),
(8,3,42,43,92,67,46,54),
(8,3,43,44,94,69,47,55),
(8,3,44,45,96,70,47,56),
(8,3,45,45,98,71,48,57),
(8,3,46,46,100,73,49,58),
(8,3,47,47,102,74,50,59),
(8,3,48,48,104,76,51,60),
(8,3,49,48,106,77,52,61),
(8,3,50,49,108,78,53,62),
(8,3,51,50,110,80,54,63),
(8,3,52,51,113,81,55,64),
(8,3,53,51,115,83,56,65),
(8,3,54,52,117,84,57,66),
(8,3,55,53,119,86,58,67),
(8,3,56,54,121,87,59,68),
(8,3,57,54,123,89,60,69),
(8,3,58,55,126,90,61,70),
(8,3,59,56,128,92,62,71),
(8,3,60,57,130,93,63,73),
(8,3,61,58,132,95,64,74),
(8,3,62,58,134,96,65,75),
(8,3,63,59,137,98,66,76),
(8,3,64,60,139,99,67,77),
(8,3,65,61,141,101,68,78),
(8,3,66,62,144,103,69,79),
(8,3,67,62,146,104,70,80),
(8,3,68,63,148,106,71,82),
(8,3,69,64,151,107,72,83),
(8,3,70,65,153,109,73,84),
(8,3,71,66,156,111,74,85),
(8,3,72,67,159,113,75,86),
(8,3,73,68,162,115,76,88),
(8,3,74,69,165,117,78,89),
(8,3,75,70,174,119,82,91),
(8,3,76,71,177,121,83,92),
(8,3,77,72,180,123,85,94),
(8,3,78,73,184,125,86,95),
(8,3,79,74,187,127,87,97),
(8,3,80,75,190,129,89,98),
(8,4,1,22,25,22,16,21),
(8,4,2,23,26,23,16,21),
(8,4,3,24,28,23,16,22),
(8,4,4,24,29,24,16,22),
(8,4,5,25,31,25,17,22),
(8,4,6,26,32,25,17,23),
(8,4,7,27,34,26,17,23),
(8,4,8,27,35,27,17,24),
(8,4,9,28,37,28,17,24),
(8,4,10,29,38,28,18,24),
(8,4,11,30,40,29,18,25),
(8,4,12,31,41,30,18,25),
(8,4,13,32,43,31,18,26),
(8,4,14,32,45,32,18,26),
(8,4,15,33,46,32,19,26),
(8,4,16,34,48,33,19,27),
(8,4,17,35,50,34,19,27),
(8,4,18,36,51,35,19,28),
(8,4,19,37,53,36,19,28),
(8,4,20,38,55,36,20,29),
(8,4,21,39,56,37,20,29),
(8,4,22,40,58,38,20,30),
(8,4,23,41,60,39,20,30),
(8,4,24,42,62,40,20,31),
(8,4,25,43,63,41,21,31),
(8,4,26,44,65,42,21,32),
(8,4,27,45,67,43,21,32),
(8,4,28,46,69,44,21,33),
(8,4,29,47,71,44,22,33),
(8,4,30,48,72,45,22,34),
(8,4,31,49,74,46,22,34),
(8,4,32,50,76,47,22,35),
(8,4,33,51,78,48,23,35),
(8,4,34,52,80,49,23,36),
(8,4,35,53,82,50,23,36),
(8,4,36,54,84,51,24,37),
(8,4,37,55,86,52,24,37),
(8,4,38,56,88,53,24,38),
(8,4,39,57,90,54,24,38),
(8,4,40,58,92,55,25,39),
(8,4,41,59,94,56,25,40),
(8,4,42,60,96,57,25,40),
(8,4,43,62,98,58,26,41),
(8,4,44,63,100,59,26,41),
(8,4,45,64,102,60,26,42),
(8,4,46,65,104,61,27,43),
(8,4,47,66,107,63,27,43),
(8,4,48,67,109,64,27,44),
(8,4,49,69,111,65,27,44),
(8,4,50,70,113,66,28,45),
(8,4,51,71,115,67,28,46),
(8,4,52,72,117,68,28,46),
(8,4,53,74,120,69,29,47),
(8,4,54,75,122,70,29,48),
(8,4,55,76,124,72,29,48),
(8,4,56,77,126,73,30,49),
(8,4,57,79,129,74,30,50),
(8,4,58,80,131,75,30,50),
(8,4,59,81,133,76,31,51),
(8,4,60,82,136,77,31,52),
(8,4,61,84,138,79,32,52),
(8,4,62,85,140,80,32,53),
(8,4,63,86,143,81,32,54),
(8,4,64,88,145,82,33,55),
(8,4,65,89,148,84,33,55),
(8,4,66,90,150,85,33,56),
(8,4,67,92,153,86,34,57),
(8,4,68,93,155,87,34,58),
(8,4,69,95,157,89,35,58),
(8,4,70,96,160,90,35,59),
(8,4,71,98,163,94,35,60),
(8,4,72,100,166,96,36,60),
(8,4,73,101,169,96,36,61),
(8,4,74,103,172,97,37,62),
(8,4,75,105,175,98,37,63),
(8,4,76,106,178,99,37,64),
(8,4,77,108,181,105,38,65),
(8,4,78,110,185,107,38,66),
(8,4,79,112,188,109,39,67),
(8,4,80,114,191,110,39,68),
(8,5,1,21,22,21,18,24),
(8,5,2,21,22,21,19,25),
(8,5,3,21,22,22,21,27),
(8,5,4,21,23,22,22,28),
(8,5,5,22,23,22,23,29),
(8,5,6,22,23,23,25,31),
(8,5,7,22,23,23,26,32),
(8,5,8,22,24,24,27,34),
(8,5,9,22,24,24,29,35),
(8,5,10,22,24,24,30,37),
(8,5,11,23,24,25,32,38),
(8,5,12,23,24,25,33,40),
(8,5,13,23,25,26,35,41),
(8,5,14,23,25,26,36,43),
(8,5,15,23,25,26,38,44),
(8,5,16,24,26,27,39,46),
(8,5,17,24,26,27,41,47),
(8,5,18,24,26,28,42,49),
(8,5,19,24,26,28,44,50),
(8,5,20,24,27,29,45,52),
(8,5,21,25,27,29,47,54),
(8,5,22,25,27,30,48,55),
(8,5,23,25,28,30,50,57),
(8,5,24,25,28,31,52,59),
(8,5,25,25,28,31,53,60),
(8,5,26,26,28,32,55,62),
(8,5,27,26,29,32,56,64),
(8,5,28,26,29,33,58,65),
(8,5,29,26,29,33,60,67),
(8,5,30,27,30,34,62,69),
(8,5,31,27,30,34,63,71),
(8,5,32,27,30,35,65,73),
(8,5,33,27,31,35,67,74),
(8,5,34,28,31,36,68,76),
(8,5,35,28,32,36,70,78),
(8,5,36,28,32,37,72,80),
(8,5,37,29,32,37,74,82),
(8,5,38,29,33,38,76,84),
(8,5,39,29,33,38,77,86),
(8,5,40,29,33,39,79,87),
(8,5,41,30,34,40,81,89),
(8,5,42,30,34,40,83,91),
(8,5,43,30,35,41,85,93),
(8,5,44,31,35,41,87,95),
(8,5,45,31,35,42,89,97),
(8,5,46,31,36,43,91,99),
(8,5,47,32,36,43,93,101),
(8,5,48,32,37,44,94,103),
(8,5,49,32,37,44,96,105),
(8,5,50,33,37,45,98,107),
(8,5,51,33,38,46,100,110),
(8,5,52,33,38,46,102,112),
(8,5,53,34,39,47,104,114),
(8,5,54,34,39,48,106,116),
(8,5,55,34,40,48,109,118),
(8,5,56,35,40,49,111,120),
(8,5,57,35,41,50,113,122),
(8,5,58,35,41,50,115,125),
(8,5,59,36,42,51,117,127),
(8,5,60,36,42,52,119,129),
(8,5,61,36,42,52,121,131),
(8,5,62,37,43,53,123,133),
(8,5,63,37,43,54,125,136),
(8,5,64,38,44,55,128,138),
(8,5,65,38,44,55,130,140),
(8,5,66,38,45,56,132,143),
(8,5,67,39,45,57,134,145),
(8,5,68,39,46,58,136,147),
(8,5,69,40,46,58,139,150),
(8,5,70,40,47,59,141,152),
(8,5,71,40,48,60,144,155),
(8,5,72,41,48,60,147,158),
(8,5,73,41,49,61,150,161),
(8,5,74,42,49,62,152,164),
(8,5,75,42,50,63,155,167),
(8,5,76,42,51,64,158,170),
(8,5,77,43,51,65,161,173),
(8,5,78,43,52,66,164,176),
(8,5,79,44,52,67,167,179),
(8,5,80,44,53,68,170,182),
(8,6,1,24,22,23,16,21),
(8,6,2,25,23,24,16,21),
(8,6,3,27,24,25,16,22),
(8,6,4,28,24,26,16,22),
(8,6,5,29,25,28,16,22),
(8,6,6,31,26,29,16,22),
(8,6,7,32,27,30,17,23),
(8,6,8,33,28,31,17,23),
(8,6,9,35,28,33,17,23),
(8,6,10,36,29,34,17,24),
(8,6,11,37,30,35,17,24),
(8,6,12,39,31,36,17,24),
(8,6,13,40,32,38,17,25),
(8,6,14,42,33,39,17,25),
(8,6,15,43,34,40,18,25),
(8,6,16,45,35,42,18,26),
(8,6,17,46,35,43,18,26),
(8,6,18,48,36,44,18,26),
(8,6,19,49,37,46,18,27),
(8,6,20,51,38,47,18,27),
(8,6,21,52,39,49,18,27),
(8,6,22,54,40,50,18,28),
(8,6,23,55,41,51,19,28),
(8,6,24,57,42,53,19,29),
(8,6,25,59,43,54,19,29),
(8,6,26,60,44,56,19,29),
(8,6,27,62,45,57,19,30),
(8,6,28,63,46,59,19,30),
(8,6,29,65,47,60,20,31),
(8,6,30,67,48,62,20,31),
(8,6,31,69,49,63,20,31),
(8,6,32,70,50,65,20,32),
(8,6,33,72,51,67,20,32),
(8,6,34,74,53,68,20,33),
(8,6,35,75,54,70,21,33),
(8,6,36,77,55,71,21,34),
(8,6,37,79,56,73,21,34),
(8,6,38,81,57,75,21,35),
(8,6,39,83,58,76,21,35),
(8,6,40,84,59,78,22,35),
(8,6,41,86,60,80,22,36),
(8,6,42,88,62,81,22,36),
(8,6,43,90,63,83,22,37),
(8,6,44,92,64,85,22,37),
(8,6,45,94,65,86,23,38),
(8,6,46,96,66,88,23,38),
(8,6,47,98,67,90,23,39),
(8,6,48,100,69,92,23,39),
(8,6,49,102,70,93,24,40),
(8,6,50,103,71,95,24,40),
(8,6,51,105,72,96,24,41),
(8,6,52,106,74,97,24,42),
(8,6,53,107,73,98,25,42),
(8,6,54,108,74,99,25,43),
(8,6,55,109,75,100,25,43),
(8,6,56,112,77,103,25,44),
(8,6,57,114,78,105,25,44),
(8,6,58,118,79,107,26,45),
(8,6,59,119,81,109,26,45),
(8,6,60,121,82,111,26,46),
(8,6,61,123,83,113,26,47),
(8,6,62,126,85,115,26,47),
(8,6,63,128,86,118,27,48),
(8,6,64,131,88,120,27,48),
(8,6,65,138,89,122,27,49),
(8,6,66,140,91,125,27,50),
(8,6,67,143,92,127,28,50),
(8,6,68,145,94,129,28,51),
(8,6,69,148,95,132,28,52),
(8,6,70,151,97,134,28,52),
(8,6,71,154,99,137,29,53),
(8,6,72,156,100,139,29,54),
(8,6,73,159,102,142,29,55),
(8,6,74,162,104,144,29,55),
(8,6,75,165,105,147,30,56),
(8,6,76,168,107,150,30,57),
(8,6,77,169,109,153,30,58),
(8,6,78,170,110,155,30,58),
(8,6,79,178,112,158,31,59),
(8,6,80,181,114,161,31,60),
(8,7,1,22,22,22,17,23),
(8,7,2,23,22,23,18,24),
(8,7,3,24,23,24,19,25),
(8,7,4,25,23,25,20,26),
(8,7,5,25,24,26,21,27),
(8,7,6,26,24,27,22,28),
(8,7,7,27,25,28,23,29),
(8,7,8,28,25,29,24,30),
(8,7,9,29,25,30,25,31),
(8,7,10,30,26,31,26,33),
(8,7,11,31,26,32,27,34),
(8,7,12,32,27,33,28,35),
(8,7,13,33,27,34,29,36),
(8,7,14,34,28,35,30,37),
(8,7,15,34,28,36,31,38),
(8,7,16,35,29,38,32,39),
(8,7,17,36,29,39,33,41),
(8,7,18,37,30,40,34,42),
(8,7,19,38,30,41,35,43),
(8,7,20,39,31,42,36,44),
(8,7,21,40,32,43,37,45),
(8,7,22,41,32,45,38,47),
(8,7,23,43,33,46,39,48),
(8,7,24,44,33,47,40,49),
(8,7,25,45,34,48,42,51),
(8,7,26,46,34,49,43,52),
(8,7,27,47,35,51,44,53),
(8,7,28,48,35,52,45,54),
(8,7,29,49,36,53,46,56),
(8,7,30,50,37,54,48,57),
(8,7,31,51,37,56,49,59),
(8,7,32,52,38,57,50,60),
(8,7,33,53,38,58,51,61),
(8,7,34,55,39,60,52,63),
(8,7,35,56,40,61,54,64),
(8,7,36,57,40,62,55,66),
(8,7,37,58,41,64,56,67),
(8,7,38,59,42,65,57,68),
(8,7,39,61,42,66,59,70),
(8,7,40,62,43,68,60,71),
(8,7,41,63,44,69,61,73),
(8,7,42,64,44,71,63,74),
(8,7,43,65,45,72,64,76),
(8,7,44,67,46,74,65,77),
(8,7,45,68,46,75,67,79),
(8,7,46,69,47,76,68,80),
(8,7,47,71,48,78,69,82),
(8,7,48,72,49,79,71,83),
(8,7,49,73,49,81,72,85),
(8,7,50,74,50,82,74,87),
(8,7,51,76,51,84,75,88),
(8,7,52,77,51,85,77,90),
(8,7,53,78,52,87,78,92),
(8,7,54,80,53,89,79,93),
(8,7,55,81,54,90,81,95),
(8,7,56,83,55,92,82,96),
(8,7,57,84,55,93,84,98),
(8,7,58,85,56,95,85,100),
(8,7,59,87,57,97,87,102),
(8,7,60,88,58,98,88,103),
(8,7,61,90,58,100,90,105),
(8,7,62,91,59,101,91,107),
(8,7,63,93,60,103,93,108),
(8,7,64,94,61,105,94,110),
(8,7,65,95,62,106,96,112),
(8,7,66,97,63,108,98,114),
(8,7,67,98,63,110,99,116),
(8,7,68,100,64,112,101,117),
(8,7,69,101,65,113,102,119),
(8,7,70,103,66,115,104,121),
(8,7,71,104,67,117,116,123),
(8,7,72,106,68,119,118,126),
(8,7,73,108,69,121,121,128),
(8,7,74,110,70,124,123,130),
(8,7,75,112,71,126,125,132),
(8,7,76,114,72,128,127,135),
(8,7,77,115,73,130,129,137),
(8,7,78,117,74,132,132,139),
(8,7,79,119,75,135,134,142),
(8,7,80,121,76,137,136,144),
(8,8,1,21,22,21,19,23),
(8,8,2,21,22,21,20,24),
(8,8,3,21,22,22,22,26),
(8,8,4,21,22,22,23,27),
(8,8,5,21,23,22,25,28),
(8,8,6,21,23,22,26,30),
(8,8,7,21,23,23,27,31),
(8,8,8,22,23,23,29,32),
(8,8,9,22,23,23,30,34),
(8,8,10,22,23,24,32,35),
(8,8,11,22,24,24,33,37),
(8,8,12,22,24,24,35,38),
(8,8,13,22,24,25,36,39),
(8,8,14,22,24,25,38,41),
(8,8,15,22,24,25,39,42),
(8,8,16,22,24,26,41,44),
(8,8,17,23,25,26,42,45),
(8,8,18,23,25,26,44,47),
(8,8,19,23,25,27,46,48),
(8,8,20,23,25,27,47,50),
(8,8,21,23,25,27,49,51),
(8,8,22,23,26,28,51,53),
(8,8,23,23,26,28,52,55),
(8,8,24,24,26,29,54,56),
(8,8,25,24,26,29,56,58),
(8,8,26,24,27,29,57,60),
(8,8,27,24,27,30,59,61),
(8,8,28,24,27,30,61,63),
(8,8,29,24,27,31,63,65),
(8,8,30,24,28,31,64,66),
(8,8,31,25,28,31,66,68),
(8,8,32,25,28,32,68,70),
(8,8,33,25,28,32,70,71),
(8,8,34,25,29,33,71,73),
(8,8,35,25,29,33,73,75),
(8,8,36,26,29,34,75,77),
(8,8,37,26,29,34,77,79),
(8,8,38,26,30,35,79,80),
(8,8,39,26,30,35,81,82),
(8,8,40,26,30,35,83,84),
(8,8,41,27,31,36,85,86),
(8,8,42,27,31,36,87,88),
(8,8,43,27,31,37,89,90),
(8,8,44,27,32,37,91,91),
(8,8,45,27,32,38,93,93),
(8,8,46,28,32,38,95,95),
(8,8,47,28,32,39,97,97),
(8,8,48,28,33,39,99,99),
(8,8,49,28,33,40,101,101),
(8,8,50,29,33,40,103,103),
(8,8,51,29,34,41,105,105),
(8,8,52,29,34,42,107,107),
(8,8,53,29,35,42,109,109),
(8,8,54,30,35,43,111,111),
(8,8,55,30,35,43,113,113),
(8,8,56,30,36,44,115,115),
(8,8,57,30,36,44,118,118),
(8,8,58,31,36,45,120,120),
(8,8,59,31,37,45,122,122),
(8,8,60,31,37,46,124,124),
(8,8,61,31,37,47,126,126),
(8,8,62,32,38,47,129,128),
(8,8,63,32,38,48,131,130),
(8,8,64,32,39,48,133,133),
(8,8,65,33,39,49,135,135),
(8,8,66,33,39,50,138,137),
(8,8,67,33,40,50,140,139),
(8,8,68,33,40,51,142,141),
(8,8,69,34,41,51,145,144),
(8,8,70,34,41,52,147,146),
(8,8,71,34,41,53,150,149),
(8,8,72,34,42,54,153,152),
(8,8,73,34,42,55,156,155),
(8,8,74,35,43,55,159,157),
(8,8,75,35,43,56,162,160),
(8,8,76,35,43,57,168,163),
(8,8,77,36,44,58,168,166),
(8,8,78,36,44,58,171,169),
(8,8,79,36,45,59,177,172),
(8,8,80,37,45,60,177,175),
(10,2,1,19,22,21,24,20),
(10,2,2,20,23,22,25,21),
(10,2,3,21,23,23,25,21),
(10,2,4,22,24,24,26,22),
(10,2,5,23,24,25,27,23),
(10,2,6,25,25,26,27,24),
(10,2,7,26,25,27,28,24),
(10,2,8,27,26,28,29,25),
(10,2,9,28,27,29,29,26),
(10,2,10,29,27,31,30,26),
(10,2,11,30,28,32,31,27),
(10,2,12,32,29,33,31,28),
(10,2,13,33,29,34,32,29),
(10,2,14,34,30,35,33,30),
(10,2,15,35,31,36,33,30),
(10,2,16,37,31,37,34,31),
(10,2,17,38,32,39,35,32),
(10,2,18,39,33,40,36,33),
(10,2,19,40,33,41,36,34),
(10,2,20,42,34,42,37,35),
(10,2,21,43,35,44,38,35),
(10,2,22,44,35,45,39,36),
(10,2,23,46,36,46,40,37),
(10,2,24,47,37,47,40,38),
(10,2,25,49,38,49,41,39),
(10,2,26,50,38,50,42,40),
(10,2,27,51,39,51,43,41),
(10,2,28,53,40,53,44,42),
(10,2,29,54,41,54,45,43),
(10,2,30,56,41,55,45,43),
(10,2,31,57,42,57,46,44),
(10,2,32,58,43,58,47,45),
(10,2,33,60,44,59,48,46),
(10,2,34,61,45,61,49,47),
(10,2,35,63,45,62,50,48),
(10,2,36,64,46,64,51,49),
(10,2,37,66,47,65,52,50),
(10,2,38,67,48,67,53,51),
(10,2,39,69,49,68,54,52),
(10,2,40,71,50,69,55,53),
(10,2,41,72,50,71,55,54),
(10,2,42,74,51,72,56,55),
(10,2,43,75,52,74,57,56),
(10,2,44,77,53,75,58,57),
(10,2,45,79,54,77,59,59),
(10,2,46,80,55,78,60,60),
(10,2,47,82,56,80,61,61),
(10,2,48,83,57,82,62,62),
(10,2,49,85,58,83,63,63),
(10,2,50,87,59,85,64,64),
(10,2,51,89,60,86,66,65),
(10,2,52,90,61,88,67,66),
(10,2,53,92,61,90,68,67),
(10,2,54,94,62,91,69,69),
(10,2,55,95,63,93,70,70),
(10,2,56,97,64,95,71,71),
(10,2,57,99,65,96,72,72),
(10,2,58,101,66,98,73,73),
(10,2,59,102,67,100,74,74),
(10,2,60,104,68,101,75,76),
(10,2,61,106,69,103,76,77),
(10,2,62,108,70,105,78,78),
(10,2,63,110,72,106,79,79),
(10,2,64,112,73,108,80,80),
(10,2,65,113,74,110,81,82),
(10,2,66,115,75,112,82,83),
(10,2,67,117,76,114,83,84),
(10,2,68,119,77,115,85,85),
(10,2,69,121,78,117,86,87),
(10,2,70,123,79,119,87,88),
(10,2,71,125,80,120,88,89),
(10,2,72,128,81,123,90,91),
(10,2,73,130,82,125,91,93),
(10,2,74,133,84,127,93,94),
(10,2,75,135,85,129,94,96),
(10,2,76,137,86,132,96,97),
(10,2,77,140,88,134,97,99),
(10,2,78,143,89,136,99,101),
(10,2,79,145,90,139,100,102),
(10,2,80,148,92,141,102,104),
(10,3,1,17,25,20,24,20),
(10,3,2,17,26,21,25,21),
(10,3,3,18,28,22,25,21),
(10,3,4,18,29,23,26,22),
(10,3,5,19,30,24,26,23),
(10,3,6,19,32,25,27,23),
(10,3,7,20,33,26,27,24),
(10,3,8,20,35,27,28,25),
(10,3,9,21,36,27,29,25),
(10,3,10,21,38,28,29,26),
(10,3,11,22,39,29,30,27),
(10,3,12,22,41,30,31,27),
(10,3,13,23,42,31,31,28),
(10,3,14,23,44,32,32,29),
(10,3,15,24,45,34,32,29),
(10,3,16,24,47,35,33,30),
(10,3,17,25,48,36,34,31),
(10,3,18,25,50,37,34,32),
(10,3,19,26,51,38,35,32),
(10,3,20,26,53,39,36,33),
(10,3,21,27,55,40,37,34),
(10,3,22,27,56,41,37,35),
(10,3,23,28,58,42,38,36),
(10,3,24,28,60,43,39,36),
(10,3,25,29,61,44,39,37),
(10,3,26,30,63,46,40,38),
(10,3,27,30,65,47,41,39),
(10,3,28,31,66,48,42,40),
(10,3,29,31,68,49,42,40),
(10,3,30,32,70,50,43,41),
(10,3,31,33,72,52,44,42),
(10,3,32,33,73,53,45,43),
(10,3,33,34,75,54,46,44),
(10,3,34,34,77,55,46,45),
(10,3,35,35,79,57,47,46),
(10,3,36,36,81,58,48,47),
(10,3,37,36,83,59,49,47),
(10,3,38,37,85,60,50,48),
(10,3,39,38,86,62,51,49),
(10,3,40,38,88,63,51,50),
(10,3,41,39,90,64,52,51),
(10,3,42,40,92,66,53,52),
(10,3,43,40,94,67,54,53),
(10,3,44,41,96,68,55,54),
(10,3,45,42,98,70,56,55),
(10,3,46,42,100,71,57,56),
(10,3,47,43,102,72,58,57),
(10,3,48,44,104,74,59,58),
(10,3,49,45,106,75,60,59),
(10,3,50,45,108,77,61,60),
(10,3,51,46,110,78,61,61),
(10,3,52,47,113,79,62,62),
(10,3,53,47,115,81,63,63),
(10,3,54,48,117,82,64,64),
(10,3,55,49,119,84,65,65),
(10,3,56,50,121,85,66,66),
(10,3,57,50,123,87,67,67),
(10,3,58,51,126,88,68,68),
(10,3,59,52,128,90,69,70),
(10,3,60,53,130,91,70,71),
(10,3,61,54,132,93,71,72),
(10,3,62,54,134,94,72,73),
(10,3,63,55,137,96,73,74),
(10,3,64,56,139,97,75,75),
(10,3,65,57,141,99,76,76),
(10,3,66,58,144,101,77,77),
(10,3,67,58,146,102,78,78),
(10,3,68,59,148,104,79,80),
(10,3,69,60,151,105,80,81),
(10,3,70,61,153,107,81,82),
(10,3,71,62,156,108,82,83),
(10,3,72,63,159,110,83,84),
(10,3,73,64,162,112,84,86),
(10,3,74,65,165,114,86,87),
(10,3,75,66,168,116,87,89),
(10,3,76,67,171,118,89,90),
(10,3,77,68,174,120,90,92),
(10,3,78,69,177,122,91,93),
(10,3,79,70,180,124,92,95),
(10,3,80,71,183,126,94,96),
(10,4,1,18,25,20,24,19),
(10,4,2,19,26,21,24,19),
(10,4,3,20,28,21,24,20),
(10,4,4,20,29,22,24,20),
(10,4,5,21,31,23,25,20),
(10,4,6,22,32,24,25,21),
(10,4,7,23,34,24,25,21),
(10,4,8,24,35,25,25,22),
(10,4,9,24,37,26,25,22),
(10,4,10,25,38,26,25,22),
(10,4,11,26,40,27,25,23),
(10,4,12,27,41,28,26,23),
(10,4,13,28,43,29,26,24),
(10,4,14,29,45,30,26,24),
(10,4,15,29,46,30,26,25),
(10,4,16,30,48,31,26,25),
(10,4,17,31,50,32,27,25),
(10,4,18,32,51,33,27,26),
(10,4,19,33,53,34,27,26),
(10,4,20,34,55,35,27,27),
(10,4,21,35,56,35,27,27),
(10,4,22,36,58,36,28,28),
(10,4,23,37,60,37,28,28),
(10,4,24,38,62,38,28,29),
(10,4,25,39,63,39,28,29),
(10,4,26,40,65,40,29,30),
(10,4,27,41,67,41,29,30),
(10,4,28,42,69,42,29,31),
(10,4,29,43,71,43,29,31),
(10,4,30,44,72,43,29,32),
(10,4,31,45,74,44,30,32),
(10,4,32,46,76,45,30,33),
(10,4,33,47,78,46,30,33),
(10,4,34,48,80,47,31,34),
(10,4,35,49,82,48,31,34),
(10,4,36,50,84,49,31,35),
(10,4,37,51,86,50,31,35),
(10,4,38,52,88,51,32,36),
(10,4,39,53,90,52,32,37),
(10,4,40,54,92,53,32,37),
(10,4,41,56,94,54,33,38),
(10,4,42,57,96,55,33,38),
(10,4,43,58,98,56,33,39),
(10,4,44,59,100,57,33,39),
(10,4,45,60,102,59,34,40),
(10,4,46,61,104,60,34,41),
(10,4,47,62,107,61,34,41),
(10,4,48,64,109,62,35,42),
(10,4,49,65,111,63,35,43),
(10,4,50,66,113,64,35,43),
(10,4,51,67,115,65,36,44),
(10,4,52,68,117,66,36,44),
(10,4,53,70,120,67,36,45),
(10,4,54,71,122,69,37,46),
(10,4,55,72,124,70,37,46),
(10,4,56,73,126,71,37,47),
(10,4,57,75,129,72,38,48),
(10,4,58,76,131,73,38,48),
(10,4,59,77,133,74,39,49),
(10,4,60,79,136,76,39,50),
(10,4,61,80,138,77,39,51),
(10,4,62,81,140,78,40,51),
(10,4,63,82,143,79,40,52),
(10,4,64,84,145,80,41,53),
(10,4,65,85,148,82,41,53),
(10,4,66,87,150,83,41,54),
(10,4,67,88,153,84,42,55),
(10,4,68,89,155,85,42,56),
(10,4,69,91,157,87,43,56),
(10,4,70,92,160,88,43,57),
(10,4,71,94,163,88,43,58),
(10,4,72,96,166,90,44,58),
(10,4,73,97,169,92,44,59),
(10,4,74,99,172,93,45,60),
(10,4,75,101,175,95,45,61),
(10,4,76,102,178,96,45,62),
(10,4,77,104,181,101,46,63),
(10,4,78,106,185,104,46,64),
(10,4,79,108,188,105,47,65),
(10,4,80,110,191,107,47,66),
(10,5,1,17,22,19,26,22),
(10,5,2,17,22,19,27,23),
(10,5,3,17,22,20,29,25),
(10,5,4,17,23,20,30,26),
(10,5,5,18,23,20,31,27),
(10,5,6,18,23,21,33,29),
(10,5,7,18,23,21,34,30),
(10,5,8,18,24,22,35,32),
(10,5,9,18,24,22,37,33),
(10,5,10,19,24,22,38,35),
(10,5,11,19,24,23,39,36),
(10,5,12,19,24,23,41,38),
(10,5,13,19,25,24,42,39),
(10,5,14,19,25,24,44,41),
(10,5,15,19,25,25,45,42),
(10,5,16,20,26,25,47,44),
(10,5,17,20,26,25,48,45),
(10,5,18,20,26,26,50,47),
(10,5,19,20,26,26,51,49),
(10,5,20,21,27,27,53,50),
(10,5,21,21,27,27,54,52),
(10,5,22,21,27,28,56,53),
(10,5,23,21,28,28,58,55),
(10,5,24,21,28,29,59,57),
(10,5,25,22,28,29,61,58),
(10,5,26,22,28,30,62,60),
(10,5,27,22,29,30,64,62),
(10,5,28,22,29,31,66,64),
(10,5,29,23,29,31,67,65),
(10,5,30,23,30,32,69,67),
(10,5,31,23,30,32,71,69),
(10,5,32,23,30,33,72,71),
(10,5,33,24,31,33,74,72),
(10,5,34,24,31,34,76,74),
(10,5,35,24,32,34,78,76),
(10,5,36,24,32,35,80,78),
(10,5,37,25,32,35,81,80),
(10,5,38,25,33,36,83,82),
(10,5,39,25,33,37,85,84),
(10,5,40,26,33,37,87,86),
(10,5,41,26,34,38,89,88),
(10,5,42,26,34,38,91,89),
(10,5,43,27,35,39,92,91),
(10,5,44,27,35,39,94,93),
(10,5,45,27,35,40,96,95),
(10,5,46,27,36,41,98,97),
(10,5,47,28,36,41,100,99),
(10,5,48,28,37,42,102,101),
(10,5,49,28,37,43,104,103),
(10,5,50,29,37,43,106,106),
(10,5,51,29,38,44,108,108),
(10,5,52,29,38,44,110,110),
(10,5,53,30,39,45,112,112),
(10,5,54,30,39,46,114,114),
(10,5,55,30,40,46,116,116),
(10,5,56,31,40,47,118,118),
(10,5,57,31,41,48,120,120),
(10,5,58,31,41,48,123,123),
(10,5,59,32,42,49,125,125),
(10,5,60,32,42,50,127,127),
(10,5,61,33,42,51,129,129),
(10,5,62,33,43,51,131,131),
(10,5,63,33,43,52,133,134),
(10,5,64,34,44,53,135,136),
(10,5,65,34,44,53,138,138),
(10,5,66,34,45,54,140,141),
(10,5,67,35,45,55,142,143),
(10,5,68,35,46,56,144,145),
(10,5,69,36,46,56,147,148),
(10,5,70,36,47,57,149,150),
(10,5,71,36,48,57,152,153),
(10,5,72,37,48,57,155,156),
(10,5,73,37,49,58,158,159),
(10,5,74,38,49,59,160,163),
(10,5,75,38,50,60,163,165),
(10,5,76,38,51,61,166,170),
(10,5,77,39,51,62,168,175),
(10,5,78,39,52,63,172,174),
(10,5,79,40,52,64,175,177),
(10,5,80,40,53,65,178,180),
(10,6,1,18,23,21,24,20),
(10,6,2,19,24,22,24,20),
(10,6,3,21,25,23,24,21),
(10,6,4,22,25,25,24,21),
(10,6,5,23,26,26,24,21),
(10,6,6,25,27,27,24,21),
(10,6,7,26,28,28,24,22),
(10,6,8,27,29,29,25,22),
(10,6,9,29,29,31,25,22),
(10,6,10,30,30,32,25,23),
(10,6,11,32,31,33,25,23),
(10,6,12,33,32,34,25,23),
(10,6,13,34,33,36,25,24),
(10,6,14,36,34,37,25,24),
(10,6,15,37,35,38,25,24),
(10,6,16,39,36,40,25,25),
(10,6,17,40,36,41,25,25),
(10,6,18,42,37,43,26,25),
(10,6,19,43,38,44,26,26),
(10,6,20,45,39,45,26,26),
(10,6,21,47,40,47,26,26),
(10,6,22,48,41,48,26,27),
(10,6,23,50,42,50,26,27),
(10,6,24,51,43,51,26,28),
(10,6,25,53,44,52,27,28),
(10,6,26,55,45,54,27,28),
(10,6,27,56,46,55,27,29),
(10,6,28,58,47,57,27,29),
(10,6,29,59,48,58,27,30),
(10,6,30,61,49,60,27,30),
(10,6,31,63,50,62,27,30),
(10,6,32,65,51,63,28,31),
(10,6,33,66,52,65,28,31),
(10,6,34,68,53,66,28,32),
(10,6,35,70,55,68,28,32),
(10,6,36,72,56,69,28,33),
(10,6,37,73,57,71,29,33),
(10,6,38,75,58,73,29,34),
(10,6,39,77,59,74,29,34),
(10,6,40,79,60,76,29,35),
(10,6,41,81,61,78,29,35),
(10,6,42,82,62,79,30,35),
(10,6,43,84,64,81,30,36),
(10,6,44,86,65,83,30,36),
(10,6,45,88,66,85,30,37),
(10,6,46,90,67,86,30,37),
(10,6,47,92,68,88,31,38),
(10,6,48,94,69,90,31,38),
(10,6,49,96,69,92,31,39),
(10,6,50,98,70,93,31,40),
(10,6,51,100,71,95,32,40),
(10,6,52,102,72,96,32,41),
(10,6,53,103,73,97,32,41),
(10,6,54,104,74,98,32,41),
(10,6,55,105,75,97,33,41),
(10,6,56,108,77,100,33,42),
(10,6,57,113,78,102,33,42),
(10,6,58,115,79,104,34,43),
(10,6,59,117,81,106,34,43),
(10,6,60,118,82,108,34,44),
(10,6,61,119,83,110,34,45),
(10,6,62,121,85,112,34,45),
(10,6,63,124,86,115,35,46),
(10,6,64,127,88,117,35,46),
(10,6,65,133,89,119,35,47),
(10,6,66,135,91,122,35,48),
(10,6,67,139,92,124,36,48),
(10,6,68,141,94,126,36,49),
(10,6,69,142,95,129,36,50),
(10,6,70,145,97,131,36,50),
(10,6,71,150,99,134,37,51),
(10,6,72,152,100,136,37,52),
(10,6,73,155,102,139,37,53),
(10,6,74,158,104,141,37,53),
(10,6,75,159,105,144,38,54),
(10,6,76,160,107,147,38,55),
(10,6,77,163,109,149,38,56),
(10,6,78,166,110,152,38,56),
(10,6,79,169,112,155,39,57),
(10,6,80,172,114,158,39,58),
(10,8,1,17,22,19,27,21),
(10,8,2,17,22,19,28,22),
(10,8,3,17,22,20,30,24),
(10,8,4,17,22,20,31,25),
(10,8,5,17,23,20,32,26),
(10,8,6,17,23,20,34,28),
(10,8,7,18,23,21,35,29),
(10,8,8,18,23,21,37,30),
(10,8,9,18,23,21,38,32),
(10,8,10,18,23,22,40,33),
(10,8,11,18,24,22,41,35),
(10,8,12,18,24,22,42,36),
(10,8,13,18,24,23,44,37),
(10,8,14,18,24,23,45,39),
(10,8,15,18,24,23,47,40),
(10,8,16,19,24,24,49,42),
(10,8,17,19,25,24,50,43),
(10,8,18,19,25,24,52,45),
(10,8,19,19,25,25,53,46),
(10,8,20,19,25,25,55,48),
(10,8,21,19,25,26,57,50),
(10,8,22,19,26,26,58,51),
(10,8,23,20,26,26,60,53),
(10,8,24,20,26,27,61,54),
(10,8,25,20,26,27,63,56),
(10,8,26,20,27,27,65,58),
(10,8,27,20,27,28,67,59),
(10,8,28,20,27,28,68,61),
(10,8,29,21,27,29,70,63),
(10,8,30,21,28,29,72,64),
(10,8,31,21,28,30,74,66),
(10,8,32,21,28,30,75,68),
(10,8,33,21,28,30,77,70),
(10,8,34,21,29,31,79,71),
(10,8,35,22,29,31,81,73),
(10,8,36,22,29,32,83,75),
(10,8,37,22,29,32,85,77),
(10,8,38,22,30,33,86,78),
(10,8,39,22,30,33,88,80),
(10,8,40,23,30,34,90,82),
(10,8,41,23,31,34,92,84),
(10,8,42,23,31,35,94,86),
(10,8,43,23,31,35,96,88),
(10,8,44,23,32,36,98,90),
(10,8,45,24,32,36,100,92),
(10,8,46,24,32,37,102,93),
(10,8,47,24,32,37,104,95),
(10,8,48,24,33,38,106,97),
(10,8,49,25,33,38,108,99),
(10,8,50,25,33,39,110,101),
(10,8,51,25,34,39,112,103),
(10,8,52,25,34,40,114,105),
(10,8,53,25,35,40,117,107),
(10,8,54,26,35,41,119,109),
(10,8,55,26,35,41,121,111),
(10,8,56,26,36,42,123,113),
(10,8,57,26,36,42,125,116),
(10,8,58,27,36,43,127,118),
(10,8,59,27,37,43,130,120),
(10,8,60,27,37,44,132,122),
(10,8,61,27,37,45,134,124),
(10,8,62,28,38,45,136,126),
(10,8,63,28,38,46,139,128),
(10,8,64,28,39,46,141,131),
(10,8,65,29,39,47,143,133),
(10,8,66,29,39,48,146,135),
(10,8,67,29,40,48,148,137),
(10,8,68,29,40,49,150,139),
(10,8,69,30,41,49,153,142),
(10,8,70,30,41,50,155,144),
(10,8,71,30,41,50,158,147),
(10,8,72,30,42,51,161,150),
(10,8,73,30,42,52,164,153),
(10,8,74,31,43,52,167,155),
(10,8,75,31,43,53,170,158),
(10,8,76,31,43,54,173,161),
(10,8,77,32,44,55,176,164),
(10,8,78,32,44,55,179,167),
(10,8,79,32,45,56,182,170),
(10,8,80,33,45,57,185,173),
(10,9,1,17,22,20,26,21),
(10,9,2,17,22,21,27,22),
(10,9,3,18,23,21,28,23),
(10,9,4,18,23,22,29,24),
(10,9,5,18,23,22,31,26),
(10,9,6,18,24,23,32,27),
(10,9,7,19,24,23,33,28),
(10,9,8,19,25,24,34,29),
(10,9,9,19,25,25,36,30),
(10,9,10,20,25,25,37,32),
(10,9,11,20,26,26,38,33),
(10,9,12,20,26,26,39,34),
(10,9,13,21,27,27,41,36),
(10,9,14,21,27,28,42,37),
(10,9,15,21,27,28,43,38),
(10,9,16,22,28,29,45,39),
(10,9,17,22,28,30,46,41),
(10,9,18,23,29,30,47,42),
(10,9,19,23,29,31,49,43),
(10,9,20,23,30,32,50,45),
(10,9,21,24,30,32,51,46),
(10,9,22,24,31,33,53,48),
(10,9,23,24,31,34,54,49),
(10,9,24,25,31,34,56,50),
(10,9,25,25,32,35,57,52),
(10,9,26,26,32,36,59,53),
(10,9,27,26,33,37,60,55),
(10,9,28,26,33,37,62,56),
(10,9,29,27,34,38,63,58),
(10,9,30,27,34,39,65,59),
(10,9,31,28,35,40,66,61),
(10,9,32,28,36,40,68,62),
(10,9,33,29,36,41,69,64),
(10,9,34,29,37,42,71,65),
(10,9,35,29,37,43,73,67),
(10,9,36,30,38,43,74,69),
(10,9,37,30,38,44,76,70),
(10,9,38,31,39,45,77,72),
(10,9,39,31,39,46,79,73),
(10,9,40,32,40,47,81,75),
(10,9,41,32,41,48,82,77),
(10,9,42,33,41,48,84,78),
(10,9,43,33,42,49,86,80),
(10,9,44,34,42,50,88,82),
(10,9,45,34,43,51,89,83),
(10,9,46,35,44,52,91,85),
(10,9,47,35,44,53,93,87),
(10,9,48,36,45,54,95,89),
(10,9,49,36,45,54,96,90),
(10,9,50,37,46,55,98,92),
(10,9,51,37,47,56,100,94),
(10,9,52,38,47,57,102,96),
(10,9,53,38,48,58,104,97),
(10,9,54,39,49,59,105,99),
(10,9,55,39,49,60,107,101),
(10,9,56,40,50,61,109,103),
(10,9,57,40,51,62,111,105),
(10,9,58,41,51,63,113,107),
(10,9,59,42,52,64,115,108),
(10,9,60,42,53,65,117,110),
(10,9,61,43,53,66,119,112),
(10,9,62,43,54,67,121,114),
(10,9,63,44,55,68,123,116),
(10,9,64,44,56,69,125,118),
(10,9,65,45,56,70,127,120),
(10,9,66,46,57,71,129,122),
(10,9,67,46,58,72,131,124),
(10,9,68,47,58,73,133,126),
(10,9,69,47,59,74,135,128),
(10,9,70,48,60,75,137,130),
(10,9,71,49,61,83,139,141),
(10,9,72,50,61,84,142,143),
(10,9,73,51,62,84,144,146),
(10,9,74,51,63,86,147,149),
(10,9,75,52,64,89,149,151),
(10,9,76,53,65,90,155,154),
(10,9,77,54,66,91,155,157),
(10,9,78,54,67,93,157,160),
(10,9,79,55,68,94,160,163),
(10,9,80,56,69,95,163,165),
(11,1,1,24,17,21,21,22),
(11,1,2,25,18,22,21,22),
(11,1,3,27,19,23,21,23),
(11,1,4,28,19,25,21,23),
(11,1,5,29,20,26,21,23),
(11,1,6,31,21,27,21,23),
(11,1,7,32,22,28,21,24),
(11,1,8,33,23,29,22,24),
(11,1,9,35,24,31,22,24),
(11,1,10,36,24,32,22,25),
(11,1,11,37,25,33,22,25),
(11,1,12,39,26,34,22,25),
(11,1,13,40,27,36,22,26),
(11,1,14,42,28,37,22,26),
(11,1,15,43,29,38,22,26),
(11,1,16,45,30,40,22,27),
(11,1,17,46,31,41,23,27),
(11,1,18,48,32,43,23,27),
(11,1,19,49,33,44,23,28),
(11,1,20,51,34,45,23,28),
(11,1,21,52,34,47,23,28),
(11,1,22,54,35,48,23,29),
(11,1,23,55,36,50,23,29),
(11,1,24,57,37,51,24,30),
(11,1,25,59,38,52,24,30),
(11,1,26,60,39,54,24,30),
(11,1,27,62,40,55,24,31),
(11,1,28,63,41,57,24,31),
(11,1,29,65,43,58,24,32),
(11,1,30,67,44,60,24,32),
(11,1,31,69,45,62,25,32),
(11,1,32,70,46,63,25,33),
(11,1,33,72,47,65,25,33),
(11,1,34,74,48,66,25,34),
(11,1,35,75,49,68,25,34),
(11,1,36,77,50,69,26,35),
(11,1,37,79,51,71,26,35),
(11,1,38,81,52,73,26,35),
(11,1,39,83,53,74,26,36),
(11,1,40,84,55,76,26,36),
(11,1,41,86,56,78,27,37),
(11,1,42,88,57,79,27,37),
(11,1,43,90,58,81,27,38),
(11,1,44,92,59,83,27,38),
(11,1,45,94,60,85,27,39),
(11,1,46,96,62,86,28,39),
(11,1,47,98,63,88,28,40),
(11,1,48,100,64,90,28,40),
(11,1,49,102,65,92,28,41),
(11,1,50,103,66,93,29,41),
(11,1,51,105,68,95,29,42),
(11,1,52,107,69,97,29,42),
(11,1,53,109,70,99,29,43),
(11,1,54,112,71,101,30,44),
(11,1,55,114,73,103,30,44),
(11,1,56,116,74,104,30,45),
(11,1,57,118,75,106,30,45),
(11,1,58,120,77,108,31,46),
(11,1,59,122,78,110,31,46),
(11,1,60,124,79,112,31,47),
(11,1,61,126,81,114,31,48),
(11,1,62,128,82,116,32,48),
(11,1,63,130,83,118,32,49),
(11,1,64,133,85,120,32,49),
(11,1,65,135,86,122,33,50),
(11,1,66,137,87,124,33,51),
(11,1,67,139,89,126,33,51),
(11,1,68,141,90,128,33,52),
(11,1,69,144,92,130,34,52),
(11,1,70,146,93,132,34,53),
(11,1,71,149,94,134,34,54),
(11,1,72,151,96,137,34,55),
(11,1,73,154,98,139,34,56),
(11,1,74,157,99,142,35,56),
(11,1,75,166,101,149,35,57),
(11,1,76,172,103,155,35,58),
(11,1,77,175,105,159,36,59),
(11,1,78,179,106,161,36,59),
(11,1,79,182,108,164,36,60),
(11,1,80,185,110,167,37,61),
(11,2,1,23,17,21,21,23),
(11,2,2,24,18,22,22,24),
(11,2,3,25,18,23,22,24),
(11,2,4,26,19,24,23,25),
(11,2,5,27,19,25,24,26),
(11,2,6,29,20,26,24,26),
(11,2,7,30,21,27,25,27),
(11,2,8,31,21,28,26,28),
(11,2,9,32,22,29,26,29),
(11,2,10,33,22,31,27,29),
(11,2,11,34,23,32,28,30),
(11,2,12,36,24,33,28,31),
(11,2,13,37,24,34,29,32),
(11,2,14,38,25,35,30,32),
(11,2,15,39,26,36,31,33),
(11,2,16,40,26,37,31,34),
(11,2,17,42,27,39,32,35),
(11,2,18,43,28,40,33,36),
(11,2,19,44,28,41,34,37),
(11,2,20,46,29,42,34,37),
(11,2,21,47,30,44,35,38),
(11,2,22,48,31,45,36,39),
(11,2,23,50,31,46,37,40),
(11,2,24,51,32,47,38,41),
(11,2,25,52,33,49,38,42),
(11,2,26,54,34,50,39,43),
(11,2,27,55,34,51,40,44),
(11,2,28,56,35,53,41,44),
(11,2,29,58,36,54,42,45),
(11,2,30,59,37,55,43,46),
(11,2,31,61,37,57,43,47),
(11,2,32,62,38,58,44,48),
(11,2,33,64,39,59,45,49),
(11,2,34,65,40,61,46,50),
(11,2,35,67,41,62,47,51),
(11,2,36,68,42,64,48,52),
(11,2,37,70,42,65,49,53),
(11,2,38,71,43,67,50,54),
(11,2,39,73,44,68,51,55),
(11,2,40,74,45,69,52,56),
(11,2,41,76,46,71,53,57),
(11,2,42,78,47,72,54,58),
(11,2,43,79,47,74,55,59),
(11,2,44,81,48,75,56,60),
(11,2,45,82,49,77,57,61),
(11,2,46,84,50,78,58,62),
(11,2,47,86,51,80,59,64),
(11,2,48,87,52,82,60,65),
(11,2,49,89,53,83,61,66),
(11,2,50,91,54,85,62,67),
(11,2,51,92,55,86,63,68),
(11,2,52,94,56,88,64,69),
(11,2,53,96,57,90,65,70),
(11,2,54,97,58,91,66,71),
(11,2,55,99,59,93,67,73),
(11,2,56,101,60,95,68,74),
(11,2,57,103,61,96,69,75),
(11,2,58,105,62,98,70,76),
(11,2,59,106,63,100,71,77),
(11,2,60,108,64,101,72,78),
(11,2,61,110,65,103,74,80),
(11,2,62,112,66,105,75,81),
(11,2,63,114,67,106,76,82),
(11,2,64,116,68,108,77,83),
(11,2,65,117,69,110,78,85),
(11,2,66,119,70,112,79,86),
(11,2,67,121,71,114,80,87),
(11,2,68,123,72,115,82,88),
(11,2,69,125,73,117,83,90),
(11,2,70,127,74,119,84,91),
(11,2,71,130,75,121,87,92),
(11,2,72,132,76,124,90,94),
(11,2,73,134,77,126,93,96),
(11,2,74,137,79,128,97,97),
(11,2,75,139,80,130,101,99),
(11,2,76,142,81,133,106,100),
(11,2,77,144,83,135,108,102),
(11,2,78,147,84,137,110,104),
(11,2,79,149,85,140,111,105),
(11,2,80,152,87,142,113,107),
(11,3,1,21,20,20,21,23),
(11,3,2,21,21,21,22,24),
(11,3,3,22,23,22,22,24),
(11,3,4,22,24,23,23,25),
(11,3,5,23,25,24,23,25),
(11,3,6,23,27,25,24,26),
(11,3,7,24,28,26,24,27),
(11,3,8,24,30,27,25,27),
(11,3,9,25,31,27,26,28),
(11,3,10,25,33,28,26,29),
(11,3,11,25,34,29,27,29),
(11,3,12,26,36,30,28,30),
(11,3,13,26,37,31,28,31),
(11,3,14,27,39,32,29,32),
(11,3,15,27,40,34,30,32),
(11,3,16,28,42,35,30,33),
(11,3,17,28,43,36,31,34),
(11,3,18,29,45,37,32,35),
(11,3,19,29,47,38,32,35),
(11,3,20,30,48,39,33,36),
(11,3,21,31,50,40,34,37),
(11,3,22,31,51,41,34,38),
(11,3,23,32,53,42,35,38),
(11,3,24,32,55,43,36,39),
(11,3,25,33,57,44,37,40),
(11,3,26,33,58,46,37,41),
(11,3,27,34,60,47,38,42),
(11,3,28,35,62,48,39,42),
(11,3,29,35,63,49,40,43),
(11,3,30,36,65,50,40,44),
(11,3,31,36,67,52,41,45),
(11,3,32,37,69,53,42,46),
(11,3,33,38,71,54,43,47),
(11,3,34,38,72,55,44,48),
(11,3,35,39,74,57,44,48),
(11,3,36,39,76,58,45,49),
(11,3,37,40,78,59,46,50),
(11,3,38,41,80,60,47,51),
(11,3,39,41,82,62,48,52),
(11,3,40,42,84,63,49,53),
(11,3,41,43,86,64,50,54),
(11,3,42,43,88,66,50,55),
(11,3,43,44,90,67,51,56),
(11,3,44,45,91,68,52,57),
(11,3,45,45,93,70,53,58),
(11,3,46,46,95,71,54,59),
(11,3,47,47,98,72,55,60),
(11,3,48,48,100,74,56,61),
(11,3,49,48,102,75,57,62),
(11,3,50,49,104,77,58,63),
(11,3,51,50,106,78,59,64),
(11,3,52,51,108,79,60,65),
(11,3,53,51,110,81,61,66),
(11,3,54,52,112,82,61,67),
(11,3,55,53,114,84,62,68),
(11,3,56,54,116,85,63,69),
(11,3,57,54,118,87,64,70),
(11,3,58,55,121,88,65,71),
(11,3,59,56,123,90,66,72),
(11,3,60,57,125,91,67,74),
(11,3,61,58,127,93,68,75),
(11,3,62,58,130,94,69,76),
(11,3,63,59,132,96,71,77),
(11,3,64,60,134,97,72,78),
(11,3,65,61,136,99,73,79),
(11,3,66,62,139,101,74,80),
(11,3,67,62,141,102,75,81),
(11,3,68,63,143,104,76,83),
(11,3,69,64,146,105,77,84),
(11,3,70,65,148,107,78,85),
(11,3,71,66,151,109,79,86),
(11,3,72,67,154,111,80,87),
(11,3,73,68,157,113,81,89),
(11,3,74,69,160,115,83,90),
(11,3,75,70,163,117,84,92),
(11,3,76,71,166,119,85,93),
(11,3,77,72,169,121,87,95),
(11,3,78,73,172,123,88,96),
(11,3,79,74,175,125,89,98),
(11,3,80,75,178,127,91,99),
(11,5,1,21,17,19,23,25),
(11,5,2,21,17,19,24,26),
(11,5,3,21,17,20,26,28),
(11,5,4,21,18,20,27,29),
(11,5,5,22,18,20,28,30),
(11,5,6,22,18,21,30,32),
(11,5,7,22,18,21,31,33),
(11,5,8,22,19,22,32,35),
(11,5,9,22,19,22,34,36),
(11,5,10,22,19,22,35,38),
(11,5,11,23,19,23,37,39),
(11,5,12,23,20,23,38,41),
(11,5,13,23,20,24,39,42),
(11,5,14,23,20,24,41,44),
(11,5,15,23,20,25,42,45),
(11,5,16,24,21,25,44,47),
(11,5,17,24,21,25,45,48),
(11,5,18,24,21,26,47,50),
(11,5,19,24,22,26,48,51),
(11,5,20,24,22,27,50,53),
(11,5,21,25,22,27,51,55),
(11,5,22,25,22,28,53,56),
(11,5,23,25,23,28,55,58),
(11,5,24,25,23,29,56,60),
(11,5,25,25,23,29,58,61),
(11,5,26,26,24,30,60,63),
(11,5,27,26,24,30,61,65),
(11,5,28,26,24,31,63,66),
(11,5,29,26,25,31,65,68),
(11,5,30,27,25,32,66,70),
(11,5,31,27,25,32,68,72),
(11,5,32,27,26,33,70,73),
(11,5,33,27,26,33,71,75),
(11,5,34,28,26,34,73,77),
(11,5,35,28,27,34,75,79),
(11,5,36,28,27,35,77,81),
(11,5,37,29,28,35,79,83),
(11,5,38,29,28,36,80,85),
(11,5,39,29,28,37,82,86),
(11,5,40,29,29,37,84,88),
(11,5,41,30,29,38,86,90),
(11,5,42,30,29,38,88,92),
(11,5,43,30,30,39,90,94),
(11,5,44,31,30,39,91,96),
(11,5,45,31,31,40,93,98),
(11,5,46,31,31,41,95,100),
(11,5,47,32,31,41,97,102),
(11,5,48,32,32,42,99,104),
(11,5,49,32,32,43,101,106),
(11,5,50,33,33,43,103,108),
(11,5,51,33,33,44,105,110),
(11,5,52,33,34,44,107,113),
(11,5,53,34,34,45,109,115),
(11,5,54,34,34,46,111,117),
(11,5,55,34,35,46,113,119),
(11,5,56,35,35,47,115,121),
(11,5,57,35,36,48,118,123),
(11,5,58,35,36,48,120,126),
(11,5,59,36,37,49,122,128),
(11,5,60,36,37,50,124,130),
(11,5,61,36,38,51,126,132),
(11,5,62,37,38,51,128,134),
(11,5,63,37,39,52,130,137),
(11,5,64,38,39,53,133,139),
(11,5,65,38,40,53,135,141),
(11,5,66,38,40,54,137,144),
(11,5,67,39,40,55,139,146),
(11,5,68,39,41,56,141,148),
(11,5,69,40,41,56,144,151),
(11,5,70,40,42,57,146,153),
(11,5,71,40,43,58,149,156),
(11,5,72,41,43,58,155,159),
(11,5,73,41,44,59,157,160),
(11,5,74,42,44,61,160,163),
(11,5,75,42,45,62,164,166),
(11,5,76,42,46,62,167,169),
(11,5,77,43,46,63,168,172),
(11,5,78,43,47,64,169,177),
(11,5,79,44,47,65,172,180),
(11,5,80,44,48,66,175,183),
(11,6,1,24,17,21,21,22),
(11,6,2,25,18,22,21,22),
(11,6,3,27,19,23,21,23),
(11,6,4,28,19,25,21,23),
(11,6,5,29,20,26,21,23),
(11,6,6,31,21,27,21,23),
(11,6,7,32,22,28,21,24),
(11,6,8,33,23,29,22,24),
(11,6,9,35,24,31,22,24),
(11,6,10,36,24,32,22,25),
(11,6,11,37,25,33,22,25),
(11,6,12,39,26,34,22,25),
(11,6,13,40,27,36,22,26),
(11,6,14,42,28,37,22,26),
(11,6,15,43,29,38,22,26),
(11,6,16,45,30,40,22,27),
(11,6,17,46,31,41,23,27),
(11,6,18,48,32,43,23,27),
(11,6,19,49,33,44,23,28),
(11,6,20,51,34,45,23,28),
(11,6,21,52,34,47,23,28),
(11,6,22,54,35,48,23,29),
(11,6,23,55,36,50,23,29),
(11,6,24,57,37,51,24,30),
(11,6,25,59,38,52,24,30),
(11,6,26,60,39,54,24,30),
(11,6,27,62,40,55,24,31),
(11,6,28,63,41,57,24,31),
(11,6,29,65,43,58,24,32),
(11,6,30,67,44,60,24,32),
(11,6,31,69,45,62,25,32),
(11,6,32,70,46,63,25,33),
(11,6,33,72,47,65,25,33),
(11,6,34,74,48,66,25,34),
(11,6,35,75,49,68,25,34),
(11,6,36,77,50,69,26,35),
(11,6,37,79,51,71,26,35),
(11,6,38,81,52,73,26,35),
(11,6,39,83,53,74,26,36),
(11,6,40,84,55,76,26,36),
(11,6,41,86,56,78,27,37),
(11,6,42,88,57,79,27,37),
(11,6,43,90,58,81,27,38),
(11,6,44,92,59,83,27,38),
(11,6,45,94,60,85,27,39),
(11,6,46,96,62,86,28,39),
(11,6,47,98,63,88,28,40),
(11,6,48,100,64,90,28,40),
(11,6,49,102,65,92,28,41),
(11,6,50,103,65,93,29,41),
(11,6,51,105,66,94,29,42),
(11,6,52,106,67,95,29,42),
(11,6,53,107,68,96,29,43),
(11,6,54,108,69,97,30,44),
(11,6,55,109,70,98,30,44),
(11,6,56,112,72,101,30,45),
(11,6,57,114,73,103,30,45),
(11,6,58,117,74,105,31,46),
(11,6,59,119,76,107,31,46),
(11,6,60,121,77,109,31,47),
(11,6,61,123,78,111,31,48),
(11,6,62,126,80,113,31,48),
(11,6,63,128,81,116,32,49),
(11,6,64,131,83,118,32,49),
(11,6,65,136,84,120,32,50),
(11,6,66,140,86,123,32,51),
(11,6,67,141,87,125,33,51),
(11,6,68,141,89,127,33,52),
(11,6,69,144,90,130,33,53),
(11,6,70,147,92,132,33,53),
(11,6,71,150,94,135,34,54),
(11,6,72,152,95,137,34,55),
(11,6,73,155,97,140,34,56),
(11,6,74,162,99,142,34,56),
(11,6,75,165,100,145,35,57),
(11,6,76,167,102,146,35,58),
(11,6,77,169,104,150,35,59),
(11,6,78,170,105,152,35,59),
(11,6,79,173,107,156,36,60),
(11,6,80,176,109,159,36,61),
(11,7,1,22,17,20,22,24),
(11,7,2,23,17,21,23,25),
(11,7,3,24,18,22,24,26),
(11,7,4,25,18,23,25,27),
(11,7,5,25,19,24,26,28),
(11,7,6,26,19,25,27,29),
(11,7,7,27,20,26,28,30),
(11,7,8,28,20,27,28,31),
(11,7,9,29,21,28,29,32),
(11,7,10,30,21,29,30,33),
(11,7,11,31,22,30,31,35),
(11,7,12,32,22,31,32,36),
(11,7,13,33,23,32,33,37),
(11,7,14,34,23,33,34,38),
(11,7,15,34,24,35,35,39),
(11,7,16,35,24,36,36,40),
(11,7,17,36,25,37,38,42),
(11,7,18,37,25,38,39,43),
(11,7,19,38,26,39,40,44),
(11,7,20,39,26,40,41,45),
(11,7,21,40,27,41,42,46),
(11,7,22,41,27,43,43,48),
(11,7,23,43,28,44,44,49),
(11,7,24,44,28,45,45,50),
(11,7,25,45,29,46,46,51),
(11,7,26,46,30,47,48,53),
(11,7,27,47,30,49,49,54),
(11,7,28,48,31,50,50,55),
(11,7,29,49,31,51,51,57),
(11,7,30,50,32,53,52,58),
(11,7,31,51,33,54,53,59),
(11,7,32,52,33,55,55,61),
(11,7,33,53,34,56,56,62),
(11,7,34,55,34,58,57,64),
(11,7,35,56,35,59,58,65),
(11,7,36,57,36,60,60,66),
(11,7,37,58,36,62,61,68),
(11,7,38,59,37,63,62,69),
(11,7,39,61,38,65,63,71),
(11,7,40,62,38,66,65,72),
(11,7,41,63,39,67,66,74),
(11,7,42,64,40,69,67,75),
(11,7,43,65,40,70,69,77),
(11,7,44,67,41,72,70,78),
(11,7,45,68,42,73,71,80),
(11,7,46,69,42,75,73,81),
(11,7,47,71,43,76,74,83),
(11,7,48,72,44,78,76,84),
(11,7,49,73,45,79,77,86),
(11,7,50,74,45,81,78,88),
(11,7,51,76,46,82,80,89),
(11,7,52,77,47,84,81,91),
(11,7,53,78,47,85,83,92),
(11,7,54,80,48,87,84,94),
(11,7,55,81,49,88,86,96),
(11,7,56,83,50,90,87,97),
(11,7,57,84,50,91,89,99),
(11,7,58,85,51,93,90,101),
(11,7,59,87,52,95,92,102),
(11,7,60,88,53,96,93,104),
(11,7,61,90,54,98,95,106),
(11,7,62,91,54,99,96,108),
(11,7,63,93,55,101,98,109),
(11,7,64,94,56,103,99,111),
(11,7,65,95,57,104,101,113),
(11,7,66,97,58,106,103,115),
(11,7,67,98,58,108,104,117),
(11,7,68,100,59,110,106,118),
(11,7,69,101,60,111,107,120),
(11,7,70,103,61,113,109,122),
(11,7,71,104,62,115,122,124),
(11,7,72,106,63,117,124,127),
(11,7,73,108,64,119,126,129),
(11,7,74,110,65,122,128,131),
(11,7,75,112,66,124,130,133),
(11,7,76,114,67,126,133,136),
(11,7,77,115,68,128,135,138),
(11,7,78,117,69,130,137,140),
(11,7,79,119,70,133,139,143),
(11,7,80,121,71,135,141,145),
(11,8,1,21,17,19,24,24),
(11,8,2,21,17,19,25,25),
(11,8,3,21,17,20,27,27),
(11,8,4,21,17,20,28,28),
(11,8,5,21,18,20,29,29),
(11,8,6,21,18,20,31,31),
(11,8,7,21,18,21,32,32),
(11,8,8,22,18,21,34,33),
(11,8,9,22,18,21,35,35),
(11,8,10,22,19,22,37,36),
(11,8,11,22,19,22,38,37),
(11,8,12,22,19,22,40,39),
(11,8,13,22,19,23,41,40),
(11,8,14,22,19,23,43,42),
(11,8,15,22,19,23,44,43),
(11,8,16,22,20,24,46,45),
(11,8,17,23,20,24,47,46),
(11,8,18,23,20,24,49,48),
(11,8,19,23,20,25,50,49),
(11,8,20,23,21,25,52,51),
(11,8,21,23,21,26,54,52),
(11,8,22,23,21,26,55,54),
(11,8,23,23,21,26,57,56),
(11,8,24,24,21,27,59,57),
(11,8,25,24,22,27,60,59),
(11,8,26,24,22,27,62,60),
(11,8,27,24,22,28,64,62),
(11,8,28,24,22,28,65,64),
(11,8,29,24,23,29,67,65),
(11,8,30,24,23,29,69,67),
(11,8,31,25,23,30,71,69),
(11,8,32,25,23,30,73,71),
(11,8,33,25,24,30,74,72),
(11,8,34,25,24,31,76,74),
(11,8,35,25,24,31,78,76),
(11,8,36,26,24,32,80,78),
(11,8,37,26,25,32,82,79),
(11,8,38,26,25,33,84,81),
(11,8,39,26,25,33,86,83),
(11,8,40,26,26,34,87,85),
(11,8,41,27,26,34,89,87),
(11,8,42,27,26,35,91,89),
(11,8,43,27,27,35,93,91),
(11,8,44,27,27,36,95,92),
(11,8,45,27,27,36,97,94),
(11,8,46,28,27,37,99,96),
(11,8,47,28,28,37,101,98),
(11,8,48,28,28,38,103,100),
(11,8,49,28,28,38,105,102),
(11,8,50,29,29,39,107,104),
(11,8,51,29,29,39,110,106),
(11,8,52,29,29,40,112,108),
(11,8,53,29,30,40,114,110),
(11,8,54,30,30,41,116,112),
(11,8,55,30,30,41,118,114),
(11,8,56,30,31,42,120,116),
(11,8,57,30,31,42,122,118),
(11,8,58,31,31,43,125,121),
(11,8,59,31,32,43,127,123),
(11,8,60,31,32,44,129,125),
(11,8,61,31,33,45,131,127),
(11,8,62,32,33,45,133,129),
(11,8,63,32,33,46,136,131),
(11,8,64,32,34,46,138,134),
(11,8,65,33,34,47,140,136),
(11,8,66,33,34,48,143,138),
(11,8,67,33,35,48,145,140),
(11,8,68,33,35,49,147,142),
(11,8,69,34,36,49,150,145),
(11,8,70,34,36,50,152,147),
(11,8,71,34,36,51,155,150),
(11,8,72,34,37,52,161,153),
(11,8,73,34,37,53,161,156),
(11,8,74,35,38,53,164,158),
(11,8,75,35,38,54,167,161),
(11,8,76,35,38,55,170,164),
(11,8,77,36,39,56,173,167),
(11,8,78,36,39,56,176,170),
(11,8,79,36,40,57,179,173),
(11,8,80,37,40,58,182,176);
/*!40000 ALTER TABLE `player_levelstats` ENABLE KEYS */;
UNLOCK TABLES;

-- ----------------------------
-- Table structure for player_xp_for_level
-- ----------------------------
DROP TABLE IF EXISTS `player_xp_for_level`;
CREATE TABLE `player_xp_for_level` (
  `lvl` int(3) unsigned NOT NULL,
  `xp_for_next_level` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`lvl`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `player_xp_for_level`
--

LOCK TABLES `player_xp_for_level` WRITE;
/*!40000 ALTER TABLE `player_xp_for_level` DISABLE KEYS */;
INSERT INTO `player_xp_for_level` VALUES
('1', '400'),
('2', '900'),
('3', '1400'),
('4', '2100'),
('5', '2800'),
('6', '3600'),
('7', '4500'),
('8', '5400'),
('9', '6500'),
('10', '7600'),
('11', '8700'),
('12', '9800'),
('13', '11000'),
('14', '12300'),
('15', '13600'),
('16', '15000'),
('17', '16400'),
('18', '17800'),
('19', '19300'),
('20', '20800'),
('21', '22400'),
('22', '24000'),
('23', '25500'),
('24', '27200'),
('25', '28900'),
('26', '30500'),
('27', '32200'),
('28', '33900'),
('29', '36300'),
('30', '38800'),
('31', '41600'),
('32', '44600'),
('33', '48000'),
('34', '51400'),
('35', '55000'),
('36', '58700'),
('37', '62400'),
('38', '66200'),
('39', '70200'),
('40', '74300'),
('41', '78500'),
('42', '82800'),
('43', '87100'),
('44', '91600'),
('45', '96300'),
('46', '101000'),
('47', '105800'),
('48', '110700'),
('49', '115700'),
('50', '120900'),
('51', '126100'),
('52', '131500'),
('53', '137000'),
('54', '142500'),
('55', '148200'),
('56', '154000'),
('57', '159900'),
('58', '165800'),
('59', '172000'),
('60', '290000'),
('61', '317000'),
('62', '349000'),
('63', '386000'),
('64', '428000'),
('65', '475000'),
('66', '527000'),
('67', '585000'),
('68', '648000'),
('69', '717000'),
('70', '1523800'),
('71', '1539600'),
('72', '1555700'),
('73', '1571800'),
('74', '1587900'),
('75', '1604200'),
('76', '1620700'),
('77', '1637400'),
('78', '1653900'),
('79', '1670800');
/*!40000 ALTER TABLE `player_xp_for_level` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `playercreateinfo`
--

DROP TABLE IF EXISTS `playercreateinfo`;
CREATE TABLE `playercreateinfo` (
  `race` tinyint(3) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `map` smallint(5) unsigned NOT NULL default '0',
  `zone` mediumint(8) unsigned NOT NULL default '0',
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `orientation` float NOT NULL default '0',
  PRIMARY KEY  (`race`,`class`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `playercreateinfo`
--

LOCK TABLES `playercreateinfo` WRITE;
/*!40000 ALTER TABLE `playercreateinfo` DISABLE KEYS */;
INSERT INTO `playercreateinfo` VALUES
(1,1,0,12,-8949,-132,84,0),
(1,2,0,12,-8949,-132,84,0),
(1,4,0,12,-8949,-132,84,0),
(1,5,0,12,-8949,-132,84,0),
(1,6,609,4298,2355.84,-5664.77,426.028,3.659973),
(1,8,0,12,-8949,-132,84,0),
(1,9,0,12,-8949,-132,84,0),
(2,1,1,14,-618,-4251,39,0),
(2,3,1,14,-618,-4251,39,0),
(2,4,1,14,-618,-4251,39,0),
(2,6,609,4298,2358.44,-5666.9,426.023,3.659973),
(2,7,1,14,-618,-4251,39,0),
(2,9,1,14,-618,-4251,39,0),
(3,1,0,1,-6240,331,383,6.177156),
(3,2,0,1,-6240,331,383,6.177156),
(3,3,0,1,-6240,331,383,6.177156),
(3,4,0,1,-6240,331,383,6.177156),
(3,5,0,1,-6240,331,383,6.177156),
(3,6,609,4298,2358.44,-5666.9,426.023,3.659973),
(4,1,1,141,10311,832,1327,5.696318),
(4,3,1,141,10311,832,1327,5.696318),
(4,4,1,141,10311,832,1327,5.696318),
(4,5,1,141,10311,832,1327,5.696318),
(4,6,609,4298,2356.21,-5662.21,426.026,3.659973),
(4,11,1,141,10311,832,1327,5.696318),
(5,1,0,85,1676,1677,122,2.70526),
(5,4,0,85,1676,1677,122,2.70526),
(5,5,0,85,1676,1677,122,2.70526),
(5,6,609,4298,2356.21,-5662.21,426.026,3.659973),
(5,8,0,85,1676,1677,122,2.70526),
(5,9,0,85,1676,1677,122,2.70526),
(6,1,1,215,-2917,-257,53,0),
(6,3,1,215,-2917,-257,53,0),
(6,6,609,4298,2358.17,-5663.21,426.027,3.659973),
(6,7,1,215,-2917,-257,53,0),
(6,11,1,215,-2917,-257,53,0),
(7,1,0,1,-6240,331,383,0),
(7,4,0,1,-6240,331,383,0),
(7,6,609,4298,2355.05,-5661.7, 426.026,3.659973),
(7,8,0,1,-6240,331,383,0),
(7,9,0,1,-6240,331,383,0),
(8,1,1,14,-618,-4251,39,0),
(8,3,1,14,-618,-4251,39,0),
(8,4,1,14,-618,-4251,39,0),
(8,5,1,14,-618,-4251,39,0),
(8,6,609,4298,2355.05,-5661.7, 426.026,3.659973),
(8,7,1,14,-618,-4251,39,0),
(8,8,1,14,-618,-4251,39,0),
(10,2,530,3431,10349.6,-6357.29,33.4026,5.316046),
(10,3,530,3431,10349.6,-6357.29,33.4026,5.316046),
(10,4,530,3431,10349.6,-6357.29,33.4026,5.316046),
(10,5,530,3431,10349.6,-6357.29,33.4026,5.316046),
(10,6,609,4298,2355.84,-5664.77,426.028,3.659973),
(10,8,530,3431,10349.6,-6357.29,33.4026,5.316046),
(10,9,530,3431,10349.6,-6357.29,33.4026,5.316046),
(11,1,530,3526,-3961.64,-13931.2,100.615,2.083644),
(11,2,530,3526,-3961.64,-13931.2,100.615,2.083644),
(11,3,530,3526,-3961.64,-13931.2,100.615,2.083644),
(11,5,530,3526,-3961.64,-13931.2,100.615,2.083644),
(11,6,609,4298,2358.17,-5663.21,426.027,3.659973),
(11,7,530,3526,-3961.64,-13931.2,100.615,2.083644),
(11,8,530,3526,-3961.64,-13931.2,100.615,2.083644);
/*!40000 ALTER TABLE `playercreateinfo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `playercreateinfo_action`
--

DROP TABLE IF EXISTS `playercreateinfo_action`;
CREATE TABLE `playercreateinfo_action` (
  `race` tinyint(3) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `button` smallint(5) unsigned NOT NULL default '0',
  `action` int(11) unsigned NOT NULL default '0',
  `type` smallint(5) unsigned NOT NULL default '0',
  KEY `playercreateinfo_race_class_index` (`race`,`class`),
  PRIMARY KEY (`race`,`class`,`button`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `playercreateinfo_action`
--

LOCK TABLES `playercreateinfo_action` WRITE;
/*!40000 ALTER TABLE `playercreateinfo_action` DISABLE KEYS */;
INSERT INTO `playercreateinfo_action` VALUES
(1,1,0,6603,0),
(1,1,1,78,0),
(1,1,9,59752,0),
(1,1,72,6603,0),
(1,1,73,78,0),
(1,1,82,59752,0),
(1,1,84,6603,0),
(1,1,96,6603,0),
(1,1,108,6603,0),
(1,2,0,6603,0),
(1,2,1,20154,0),
(1,2,2,635,0),
(1,2,9,59752,0),
(1,4,0,6603,0),
(1,4,1,1752,0),
(1,4,2,2098,0),
(1,4,3,2764,0),
(1,4,10,59752,0),
(1,5,0,585,0),
(1,5,1,2050,0),
(1,5,9,59752,0),
(1,6,0,6603,0),
(1,6,1,49576,0),
(1,6,2,45477,0),
(1,6,3,45462,0),
(1,6,4,45902,0),
(1,6,5,47541,0),
(1,6,11,59752,0),
(1,8,0,133,0),
(1,8,1,168,0),
(1,8,9,59752,0),
(1,9,0,686,0),
(1,9,1,687,0),
(1,9,9,59752,0),
(1,9,11,4604,128),
(2,1,0,6603,0),
(2,1,1,78, 0),
(2,1,2,20572, 0),
(2,1,72,6603,0),
(2,1,73,78,0),
(2,1,74,20572,0),
(2,1,84,6603,0),
(2,1,96,6603,0),
(2,1,108,6603,0),
(2,3,0,6603,0),
(2,3,1,2973,0),
(2,3,2,75,0),
(2,3,9,20572,0),
(2,4,0,6603,0),
(2,4,1,1752,0),
(2,4,2,2098,0),
(2,4,3,2764,0),
(2,4,4,20572,0),
(2,6,0,6603,0),
(2,6,1,49576,0),
(2,6,2,45477,0),
(2,6,3,45462,0),
(2,6,4,45902,0),
(2,6,5,47541,0),
(2,6,10,20572,0),
(2,7,0,6603,0),
(2,7,1,403,0),
(2,7,2,331,0),
(2,7,3,33697,0),
(2,9,0,686,0),
(2,9,1,687,0),
(2,9,2,33702,0),
(3,1,0,6603,0),
(3,1,1,78,0),
(3,1,2,20594,0),
(3,1,3,2481,0),
(3,1,72,6603,0),
(3,1,73,78,0),
(3,1,74,20594,0),
(3,1,75,2481,0),
(3,1,84,6603,0),
(3,1,96,6603,0),
(3,1,108,6603,0),
(3,2,0,6603,0),
(3,2,1,20154,0),
(3,2,2,635,0),
(3,2,3,20594,0),
(3,2,4,2481,0),
(3,3,0,6603,0),
(3,3,1,2973,0),
(3,3,2,75,0),
(3,3,3,20594,0),
(3,3,4,2481,0),
(3,3,75,20594,0),
(3,3,76,2481,0),
(3,4,0,6603,0),
(3,4,1,1752,0),
(3,4,2,2098,0),
(3,4,3,2764,0),
(3,4,4,20594,0),
(3,4,5,2481,0),
(3,5,0,585,0),
(3,5,1,2050,0),
(3,5,2,20594,0),
(3,5,3,2481,0),
(3,6,0,6603,0),
(3,6,1,49576,0),
(3,6,2,45477,0),
(3,6,3,45462,0),
(3,6,4,45902,0),
(3,6,5,47541,0),
(3,6,10,2481,0),
(4,1,0,6603,0),
(4,1,1,78,0),
(4,1,108,6603,0),
(4,1,2,58984,0),
(4,1,72,6603,0),
(4,1,73,78,0),
(4,1,74,58984,0),
(4,1,84,6603,0),
(4,1,96,6603,0),
(4,3,0,6603,0),
(4,3,1,2973,0),
(4,3,2,75,0),
(4,3,3,58984,0),
(4,3,81,58984,0),
(4,4,0,6603,0),
(4,4,1,1752,0),
(4,4,2,2098,0),
(4,4,3,2764,0),
(4,4,4,58984,0),
(4,4,82,58984,0),
(4,5,0,585,0),
(4,5,1,2050,0),
(4,5,2,58984,0),
(4,5,81,58984,0),
(4,6,0,6603,0),
(4,6,1,49576,0),
(4,6,2,45477,0),
(4,6,3,45462,0),
(4,6,4,45902,0),
(4,6,5,47541,0),
(4,6,10,58984,0),
(4,6,83,58984,0),
(4,11,0,5176,0),
(4,11,1,5185,0),
(4,11,108,6603,0),
(4,11,2,58984,0),
(4,11,72,6603,0),
(4,11,74,58984,0),
(4,11,84,6603,0),
(4,11,96,6603,0),
(5,1,0,6603,0),
(5,1,1,78,0),
(5,1,2,20577,0),
(5,1,72,6603,0),
(5,1,73,78,0),
(5,1,74,20577,0),
(5,1,83,4604,128),
(5,1,84,6603,0),
(5,1,96,6603,0),
(5,1,108,6603,0),
(5,4,0,6603,0),
(5,4,1,1752,0),
(5,4,2,2098,0),
(5,4,3,2764,0),
(5,4,4,20577,0),
(5,4,11,4604,128),
(5,5,0,585,0),
(5,5,1,2050,0),
(5,5,2,20577,0),
(5,6,0,6603,0),
(5,6,1,49576,0),
(5,6,2,45477,0),
(5,6,3,45462,0),
(5,6,4,45902,0),
(5,6,5,47541,0),
(5,6,10,20577,0),
(5,8,0,133,0),
(5,8,1,168,0),
(5,8,2,20577,0),
(5,9,0,686,0),
(5,9,1,687,0),
(5,9,2,20577,0),
(6,1,0,6603,0),
(6,1,1,78,0),
(6,1,2,20549,0),
(6,1,72,6603,0),
(6,1,73,78,0),
(6,1,74,20549,0),
(6,1,84,6603,0),
(6,1,96,6603,0),
(6,1,108,6603,0),
(6,3,0,6603,0),
(6,3,1,2973,0),
(6,3,2,75,0),
(6,3,3,20549,0),
(6,3,75,20549,0),
(6,6,0,6603,0),
(6,6,1,49576,0),
(6,6,2,45477,0),
(6,6,3,45462,0),
(6,6,4,45902,0),
(6,6,5,47541,0),
(6,6,10,20549,0),
(6,6,75,20549,0),
(6,7,0,6603,0),
(6,7,1,403,0),
(6,7,2,331,0),
(6,7,3,20549,0),
(6,7,11,4604,128),
(6,7,75,20549,0),
(6,11,0,5176,0),
(6,11,1,5185,0),
(6,11,108,6603,0),
(6,11,2,20549,0),
(6,11,72,6603,0),
(6,11,75,20549,0),
(6,11,84,6603,0),
(6,11,96,6603,0),
(7,1,0,6603,0),
(7,1,1,78,0),
(7,1,72,6603,0),
(7,1,73,78,0),
(7,1,84,6603,0),
(7,1,96,6603,0),
(7,1,108,6603,0),
(7,4,0,6603,0),
(7,4,1,1752,0),
(7,4,2,2098,0),
(7,4,3,2764,0),
(7,6,0,6603,0),
(7,6,1,49576,0),
(7,6,2,45477,0),
(7,6,3,45462,0),
(7,6,4,45902,0),
(7,6,5,47541,0),
(7,6,10,20589,0),
(7,6,11,41751,128),
(7,6,72,6603,0),
(7,6,83,41751,128),
(7,6,84,6603,0),
(7,6,96,6603,0),
(7,6,108,6603,0),
(7,8,0,133,0),
(7,8,1,168,0),
(7,9,0,686,0),
(7,9,1,687,0),
(8,1,0,6603,0),
(8,1,1,78,0),
(8,1,2,26297,0),
(8,1,72,6603,0),
(8,1,73,78,0),
(8,1,74,2764,0),
(8,1,75,26297,0),
(8,1,84,6603,0),
(8,1,96,6603,0),
(8,1,108,6603,0),
(8,3,0,6603,0),
(8,3,1,2973,0),
(8,3,2,75,0),
(8,3,3,26297,0),
(8,3,11,4604,128),
(8,4,0,6603,0),
(8,4,1,1752,0),
(8,4,2,2098,0),
(8,4,3,2764,0),
(8,4,4,26297,0),
(8,4,76,26297,0),
(8,5,0,585,0),
(8,5,1,2050,0),
(8,5,2,26297,0),
(8,6,0,6603,0),
(8,6,1,49576,0),
(8,6,2,45477,0),
(8,6,3,45462,0),
(8,6,4,45902,0),
(8,6,5,47541,0),
(8,6,10,26297,0),
(8,7,0,6603,0),
(8,7,1,403,0),
(8,7,2,331,0),
(8,7,3,26297,0),
(8,8,0,133,0),
(8,8,1,168,0),
(8,8,2,26297,0),
(10,2,0,6603,0),
(10,2,2,635,0),
(10,2,3,28730,0),
(10,2,11,20857,128),
(10,3,0,6603,0),
(10,3,1,2973,0),
(10,3,2,75,0),
(10,3,3,28730,0),
(10,3,11,20857,128),
(10,4,0,6603,0),
(10,4,1,1752,0),
(10,4,2,2098,0),
(10,4,3,2764,0),
(10,4,4,25046,0),
(10,4,11,20857,128),
(10,5,0,6603,0),
(10,5,1,585,0),
(10,5,2,2050,0),
(10,5,3,28730,0),
(10,5,11,20857,128),
(10,6,0,6603,0),
(10,6,1,49576,0),
(10,6,2,45477,0),
(10,6,3,45462,0),
(10,6,4,45902,0),
(10,6,5,47541,0),
(10,6,6,50613,0),
(10,8,0,6603,0),
(10,8,1,133,0),
(10,8,2,168,0),
(10,8,3,28730,0),
(10,8,11,20857,128),
(10,9,0,6603,0),
(10,9,1,686,0),
(10,9,2,687,0),
(10,9,3,28730,0),
(10,9,11,20857,128),
(11,1,0,6603,0),
(11,1,72,6603,0),
(11,1,73,78,0),
(11,1,74,28880,0),
(11,1,84,6603,0),
(11,1,96,6603,0),
(11,1,108,6603,0),
(11,2,0,6603,0),
(11,2,2,635,0),
(11,2,3,59542,0),
(11,3,0,6603,0),
(11,3,1,2973,0),
(11,3,2,75,0),
(11,3,3,59543,0),
(11,3,72,6603,0),
(11,3,73,2973,0),
(11,3,74,75,0),
(11,5,0,6603,0),
(11,5,1,585,0),
(11,5,2,2050,0),
(11,5,3,59544,0),
(11,6,0,6603,0),
(11,6,1,49576,0),
(11,6,2,45477,0),
(11,6,3,45462,0),
(11,6,4,45902,0),
(11,6,5,47541,0),
(11,6,10,59545,0),
(11,6,11,41751,128),
(11,7,0,6603,0),
(11,7,1,403,0),
(11,7,2,331,0),
(11,7,3,59547,0),
(11,8,0,6603,0),
(11,8,1,133,0),
(11,8,2,168,0),
(11,8,3,59548,0);
/*!40000 ALTER TABLE `playercreateinfo_action` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `playercreateinfo_item`
--

DROP TABLE IF EXISTS `playercreateinfo_item`;
CREATE TABLE `playercreateinfo_item` (
  `race` tinyint(3) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `itemid` mediumint(8) unsigned NOT NULL default '0',
  `amount` tinyint(3) unsigned NOT NULL default '1',
  KEY `playercreateinfo_race_class_index` (`race`,`class`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `playercreateinfo_item`
--

LOCK TABLES `playercreateinfo_item` WRITE;
/*!40000 ALTER TABLE `playercreateinfo_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `playercreateinfo_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `playercreateinfo_spell`
--

DROP TABLE IF EXISTS `playercreateinfo_spell`;
CREATE TABLE `playercreateinfo_spell` (
  `race` tinyint(3) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `Spell` mediumint(8) unsigned NOT NULL default '0',
  `Note` varchar(255) default NULL,
  PRIMARY KEY  (`race`,`class`,`Spell`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `playercreateinfo_spell`
--

LOCK TABLES `playercreateinfo_spell` WRITE;
/*!40000 ALTER TABLE `playercreateinfo_spell` DISABLE KEYS */;
INSERT INTO `playercreateinfo_spell` VALUES
(1,1,78,'Heroic Strike'),
(1,1,81,'Dodge'),
(1,1,107,'Block'),
(1,1,196,'One-Handed Axes'),
(1,1,198,'One-Handed Maces'),
(1,1,201,'One-Handed Swords'),
(1,1,202,'Two-Handed Swords'),
(1,1,203,'Unarmed'),
(1,1,204,'Defense'),
(1,1,522,'SPELLDEFENSE (DND)'),
(1,1,668,'Language Common'),
(1,1,2382,'Generic'),
(1,1,2457,'Battle Stance'),
(1,1,2479,'Honorless Target'),
(1,1,3050,'Detect'),
(1,1,3365,'Opening'),
(1,1,5301,'Defensive State (DND)'),
(1,1,6233,'Closing'),
(1,1,6246,'Closing'),
(1,1,6247,'Opening'),
(1,1,6477,'Opening'),
(1,1,6478,'Opening'),
(1,1,6603,'Attack'),
(1,1,7266,'Duel'),
(1,1,7267,'Grovel'),
(1,1,7355,'Stuck'),
(1,1,8386,'Attacking'),
(1,1,8737,'Mail'),
(1,1,9077,'Leather'),
(1,1,9078,'Cloth'),
(1,1,9116,'Shield'),
(1,1,9125,'Generic'),
(1,1,20597,'Sword Specialization'),
(1,1,20598,'The Human Spirit'),
(1,1,20599,'Diplomacy'),
(1,1,20864,'Mace Specialization'),
(1,1,21651,'Opening'),
(1,1,21652,'Closing'),
(1,1,22027,'Remove Insignia'),
(1,1,22810,'Opening - No Text'),
(1,1,32215,'Victorious State'),
(1,1,45927,'Summon Friend'),
(1,1,58985,'Perception'),
(1,1,59752,'Every Man for Himself'),
(1,1,61437,'Opening'),
(1,1,68398, 'Opening'),
(1,2,81,'Dodge'),
(1,2,107,'Block'),
(1,2,198,'One-Handed Maces'),
(1,2,199,'Two-Handed Maces'),
(1,2,203,'Unarmed'),
(1,2,204,'Defense'),
(1,2,522,'SPELLDEFENSE (DND)'),
(1,2,635,'Holy Light'),
(1,2,668,'Language Common'),
(1,2,2382,'Generic'),
(1,2,2479,'Honorless Target'),
(1,2,3050,'Detect'),
(1,2,3365,'Opening'),
(1,2,6233,'Closing'),
(1,2,6246,'Closing'),
(1,2,6247,'Opening'),
(1,2,6477,'Opening'),
(1,2,6478,'Opening'),
(1,2,6603,'Attack'),
(1,2,7266,'Duel'),
(1,2,7267,'Grovel'),
(1,2,7355,'Stuck'),
(1,2,8386,'Attacking'),
(1,2,8737,'Mail'),
(1,2,9077,'Leather'),
(1,2,9078,'Cloth'),
(1,2,9116,'Shield'),
(1,2,9125,'Generic'),
(1,2,20154,'Seal of Righteousness'),
(1,2,20597,'Sword Specialization'),
(1,2,20598,'The Human Spirit'),
(1,2,20599,'Diplomacy'),
(1,2,20864,'Mace Specialization'),
(1,2,21651,'Opening'),
(1,2,21652,'Closing'),
(1,2,22027,'Remove Insignia'),
(1,2,22810,'Opening - No Text'),
(1,2,27762,'Libram'),
(1,2,45927,'Summon Friend'),
(1,2,58985,'Perception'),
(1,2,59752,'Every Man for Himself'),
(1,2,61437,'Opening'),
(1,2,68398,'Opening'),
(1,4,81,'Dodge'),
(1,4,203,'Unarmed'),
(1,4,204,'Defense'),
(1,4,522,'SPELLDEFENSE (DND)'),
(1,4,668,'Language Common'),
(1,4,674,'Dual Wield'),
(1,4,1180,'Daggers'),
(1,4,1752,'Sinister Strike'),
(1,4,2098,'Eviscerate'),
(1,4,2382,'Generic'),
(1,4,2479,'Honorless Target'),
(1,4,2567,'Thrown'),
(1,4,2764,'Throw'),
(1,4,3050,'Detect'),
(1,4,3365,'Opening'),
(1,4,6233,'Closing'),
(1,4,6246,'Closing'),
(1,4,6247,'Opening'),
(1,4,6477,'Opening'),
(1,4,6478,'Opening'),
(1,4,6603,'Attack'),
(1,4,7266,'Duel'),
(1,4,7267,'Grovel'),
(1,4,7355,'Stuck'),
(1,4,8386,'Attacking'),
(1,4,9077,'Leather'),
(1,4,9078,'Cloth'),
(1,4,9125,'Generic'),
(1,4,16092,'Defensive State (DND)'),
(1,4,20597,'Sword Specialization'),
(1,4,20598,'The Human Spirit'),
(1,4,20599,'Diplomacy'),
(1,4,20864,'Mace Specialization'),
(1,4,21184,'Rogue Passive (DND)'),
(1,4,21651,'Opening'),
(1,4,21652,'Closing'),
(1,4,22027,'Remove Insignia'),
(1,4,22810,'Opening - No Text'),
(1,4,45927,'Summon Friend'),
(1,4,58985,'Perception'),
(1,4,59752,'Every Man for Himself'),
(1,4,61437,'Opening'),
(1,4,68398,'Opening'),
(1,5,81,'Dodge'),
(1,5,198,'One-Handed Maces'),
(1,5,203,'Unarmed'),
(1,5,204,'Defense'),
(1,5,227,'Staves'),
(1,5,522,'SPELLDEFENSE (DND)'),
(1,5,585,'Smite'),
(1,5,668,'Language Common'),
(1,5,2050,'Lesser Heal'),
(1,5,2382,'Generic'),
(1,5,2479,'Honorless Target'),
(1,5,3050,'Detect'),
(1,5,3365,'Opening'),
(1,5,5009,'Wands'),
(1,5,5019,'Shoot'),
(1,5,6233,'Closing'),
(1,5,6246,'Closing'),
(1,5,6247,'Opening'),
(1,5,6477,'Opening'),
(1,5,6478,'Opening'),
(1,5,6603,'Attack'),
(1,5,7266,'Duel'),
(1,5,7267,'Grovel'),
(1,5,7355,'Stuck'),
(1,5,8386,'Attacking'),
(1,5,9078,'Cloth'),
(1,5,9125,'Generic'),
(1,5,20597,'Sword Specialization'),
(1,5,20598,'The Human Spirit'),
(1,5,20599,'Diplomacy'),
(1,5,20864,'Mace Specialization'),
(1,5,21651,'Opening'),
(1,5,21652,'Closing'),
(1,5,22027,'Remove Insignia'),
(1,5,22810,'Opening - No Text'),
(1,5,45927,'Summon Friend'),
(1,5,58985,'Perception'),
(1,5,59752,'Every Man for Himself'),
(1,5,61437,'Opening'),
(1,5,68398,'Opening'),
(1,6,81,'Dodge'),
(1,6,196,'One-Handed Axes'),
(1,6,197,'Two-Handed Axes'),
(1,6,200,'Polearms'),
(1,6,201,'One-Handed Swords'),
(1,6,202,'Two-Handed Swords'),
(1,6,203,'Unarmed'),
(1,6,204,'Defense'),
(1,6,522,'SPELLDEFENSE (DND)'),
(1,6,668,'Language Common'),
(1,6,674,'Dual Wield'),
(1,6,750,'Plate Mail'),
(1,6,2382,'Generic'),
(1,6,2479,'Honorless Target'),
(1,6,3050,'Detect'),
(1,6,3127,'Parry'),
(1,6,3275,'Linen Bandage'),
(1,6,3276,'Heavy Linen Bandage'),
(1,6,3277,'Wool Bandage'),
(1,6,3278,'Heavy Wool Bandage'),
(1,6,3365,'Opening'),
(1,6,6233,'Closing'),
(1,6,6246,'Closing'),
(1,6,6247,'Opening'),
(1,6,6477,'Opening'),
(1,6,6478,'Opening'),
(1,6,6603,'Attack'),
(1,6,7266,'Duel'),
(1,6,7267,'Grovel'),
(1,6,7355,'Stuck'),
(1,6,7928,'Silk Bandage'),
(1,6,7929,'Heavy Silk Bandage'),
(1,6,7934,'Anti-Venom'),
(1,6,8386,'Attacking'),
(1,6,8737,'Mail'),
(1,6,9077,'Leather'),
(1,6,9078,'Cloth'),
(1,6,9125,'Generic'),
(1,6,10840,'Mageweave Bandage'),
(1,6,10841,'Heavy Mageweave Bandage'),
(1,6,10846,'First Aid'),
(1,6,18629,'Runecloth Bandage'),
(1,6,18630,'Heavy Runecloth Bandage'),
(1,6,20597,'Sword Specialization'),
(1,6,20598,'The Human Spirit'),
(1,6,20599,'Diplomacy'),
(1,6,20864,'Mace Specialization'),
(1,6,21651,'Opening'),
(1,6,21652,'Closing'),
(1,6,22027,'Remove Insignia'),
(1,6,22810,'Opening - No Text'),
(1,6,33391,'Journeyman Riding'),
(1,6,45462,'Plague Strike'),
(1,6,45477,'Icy Touch'),
(1,6,45902,'Blood Strike'),
(1,6,45903,'Offensive State (DND)'),
(1,6,45927,'Summon Friend'),
(1,6,47541,'Death Coil'),
(1,6,48266,'Blood Presence'),
(1,6,49410,'Forceful Deflection'),
(1,6,49576,'Death Grip'),
(1,6,52665,'Sigil'),
(1,6,58985,'Perception'),
(1,6,59752,'Every Man for Himself'),
(1,6,59879,'Blood Plague'),
(1,6,59921,'Frost Fever'),
(1,6,61437,'Opening'),
(1,6,61455,'Runic Focus'),
(1,6,68398, 'Opening'),
(1,8,81,'Dodge'),
(1,8,133,'Fireball'),
(1,8,168,'Frost Armor'),
(1,8,203,'Unarmed'),
(1,8,204,'Defense'),
(1,8,227,'Staves'),
(1,8,522,'SPELLDEFENSE (DND)'),
(1,8,668,'Language Common'),
(1,8,2382,'Generic'),
(1,8,2479,'Honorless Target'),
(1,8,3050,'Detect'),
(1,8,3365,'Opening'),
(1,8,5009,'Wands'),
(1,8,5019,'Shoot'),
(1,8,6233,'Closing'),
(1,8,6246,'Closing'),
(1,8,6247,'Opening'),
(1,8,6477,'Opening'),
(1,8,6478,'Opening'),
(1,8,6603,'Attack'),
(1,8,7266,'Duel'),
(1,8,7267,'Grovel'),
(1,8,7355,'Stuck'),
(1,8,8386,'Attacking'),
(1,8,9078,'Cloth'),
(1,8,9125,'Generic'),
(1,8,20597,'Sword Specialization'),
(1,8,20598,'The Human Spirit'),
(1,8,20599,'Diplomacy'),
(1,8,20864,'Mace Specialization'),
(1,8,21651,'Opening'),
(1,8,21652,'Closing'),
(1,8,22027,'Remove Insignia'),
(1,8,22810,'Opening - No Text'),
(1,8,45927,'Summon Friend'),
(1,8,58985,'Perception'),
(1,8,59752,'Every Man for Himself'),
(1,8,61437,'Opening'),
(1,8,68398,'Opening'),
(1,8,71761,'Deep Freeze Immunity State'),
(1,9,81,'Dodge'),
(1,9,203,'Unarmed'),
(1,9,204,'Defense'),
(1,9,227,'Staves'),
(1,9,522,'SPELLDEFENSE (DND)'),
(1,9,668,'Language Common'),
(1,9,686,'Shadow Bolt'),
(1,9,687,'Demon Skin'),
(1,9,1180,'Daggers'),
(1,9,2382,'Generic'),
(1,9,2479,'Honorless Target'),
(1,9,3050,'Detect'),
(1,9,3365,'Opening'),
(1,9,5009,'Wands'),
(1,9,5019,'Shoot'),
(1,9,6233,'Closing'),
(1,9,6246,'Closing'),
(1,9,6247,'Opening'),
(1,9,6477,'Opening'),
(1,9,6478,'Opening'),
(1,9,6603,'Attack'),
(1,9,7266,'Duel'),
(1,9,7267,'Grovel'),
(1,9,7355,'Stuck'),
(1,9,8386,'Attacking'),
(1,9,9078,'Cloth'),
(1,9,9125,'Generic'),
(1,9,18822,'Improved Enslave Demon'),
(1,9,20597,'Sword Specialization'),
(1,9,20598,'The Human Spirit'),
(1,9,20599,'Diplomacy'),
(1,9,20864,'Mace Specialization'),
(1,9,21651,'Opening'),
(1,9,21652,'Closing'),
(1,9,22027,'Remove Insignia'),
(1,9,22810,'Opening - No Text'),
(1,9,45927,'Summon Friend'),
(1,9,58284,'Chaos Bolt Passive'),
(1,9,58985,'Perception'),
(1,9,59752,'Every Man for Himself'),
(1,9,61437,'Opening'),
(1,9,68398,'Opening'),
(1,9,75445,'Demonic Immolate'),
(2,1,78,'Heroic Strike'),
(2,1,81,'Dodge'),
(2,1,107,'Block'),
(2,1,196,'One-Handed Axes'),
(2,1,197,'Two-Handed Axes'),
(2,1,201,'One-Handed Swords'),
(2,1,203,'Unarmed'),
(2,1,204,'Defense'),
(2,1,522,'SPELLDEFENSE (DND)'),
(2,1,669,'Language Orcish'),
(2,1,2382,'Generic'),
(2,1,2457,'Battle Stance'),
(2,1,2479,'Honorless Target'),
(2,1,3050,'Detect'),
(2,1,3365,'Opening'),
(2,1,5301,'Defensive State (DND)'),
(2,1,6233,'Closing'),
(2,1,6246,'Closing'),
(2,1,6247,'Opening'),
(2,1,6477,'Opening'),
(2,1,6478,'Opening'),
(2,1,6603,'Attack'),
(2,1,7266,'Duel'),
(2,1,7267,'Grovel'),
(2,1,7355,'Stuck'),
(2,1,8386,'Attacking'),
(2,1,8737,'Mail'),
(2,1,9077,'Leather'),
(2,1,9078,'Cloth'),
(2,1,9116,'Shield'),
(2,1,9125,'Generic'),
(2,1,20572,'Blood Fury'),
(2,1,20573,'Hardiness'),
(2,1,20574,'Axe Specialization'),
(2,1,21563,'Command'),
(2,1,21651,'Opening'),
(2,1,21652,'Closing'),
(2,1,22027,'Remove Insignia'),
(2,1,22810,'Opening - No Text'),
(2,1,32215,'Victorious State'),
(2,1,45927,'Summon Friend'),
(2,1,61437,'Opening'),
(2,1,68398,'Opening'),
(2,3,75,'Auto Shot'),
(2,3,81,'Dodge'),
(2,3,196,'One-Handed Axes'),
(2,3,197,'Two-Handed Axes'),
(2,3,203,'Unarmed'),
(2,3,204,'Defense'),
(2,3,264,'Bows'),
(2,3,522,'SPELLDEFENSE (DND)'),
(2,3,669,'Language Orcish'),
(2,3,2382,'Generic'),
(2,3,2479,'Honorless Target'),
(2,3,2973,'Raptor Strike'),
(2,3,3050,'Detect'),
(2,3,3365,'Opening'),
(2,3,6233,'Closing'),
(2,3,6246,'Closing'),
(2,3,6247,'Opening'),
(2,3,6477,'Opening'),
(2,3,6478,'Opening'),
(2,3,6603,'Attack'),
(2,3,7266,'Duel'),
(2,3,7267,'Grovel'),
(2,3,7355,'Stuck'),
(2,3,8386,'Attacking'),
(2,3,9077,'Leather'),
(2,3,9078,'Cloth'),
(2,3,9125,'Generic'),
(2,3,13358,'Defensive State (DND)'),
(2,3,20572,'Blood Fury'),
(2,3,20573,'Hardiness'),
(2,3,20574,'Axe Specialization'),
(2,3,20576,'Command'),
(2,3,21651,'Opening'),
(2,3,21652,'Closing'),
(2,3,22027,'Remove Insignia'),
(2,3,22810,'Opening - No Text'),
(2,3,24949,'Defensive State 2 (DND)'),
(2,3,34082,'Advantaged State (DND)'),
(2,3,45927,'Summon Friend'),
(2,3,61437,'Opening'),
(2,3,68398,'Opening'),
(2,4,81,'Dodge'),
(2,4,203,'Unarmed'),
(2,4,204,'Defense'),
(2,4,522,'SPELLDEFENSE (DND)'),
(2,4,669,'Language Orcish'),
(2,4,674,'Dual Wield'),
(2,4,1180,'Daggers'),
(2,4,1752,'Sinister Strike'),
(2,4,2098,'Eviscerate'),
(2,4,2382,'Generic'),
(2,4,2479,'Honorless Target'),
(2,4,2567,'Thrown'),
(2,4,2764,'Throw'),
(2,4,3050,'Detect'),
(2,4,3365,'Opening'),
(2,4,6233,'Closing'),
(2,4,6246,'Closing'),
(2,4,6247,'Opening'),
(2,4,6477,'Opening'),
(2,4,6478,'Opening'),
(2,4,6603,'Attack'),
(2,4,7266,'Duel'),
(2,4,7267,'Grovel'),
(2,4,7355,'Stuck'),
(2,4,8386,'Attacking'),
(2,4,9077,'Leather'),
(2,4,9078,'Cloth'),
(2,4,9125,'Generic'),
(2,4,16092,'Defensive State (DND)'),
(2,4,20572,'Blood Fury'),
(2,4,20573,'Hardiness'),
(2,4,20574,'Axe Specialization'),
(2,4,21184,'Rogue Passive (DND)'),
(2,4,21563,'Command'),
(2,4,21651,'Opening'),
(2,4,21652,'Closing'),
(2,4,22027,'Remove Insignia'),
(2,4,22810,'Opening - No Text'),
(2,4,45927,'Summon Friend'),
(2,4,61437,'Opening'),
(2,4,68398,'Opening'),
(2,6,81,'Dodge'),
(2,6,196,'One-Handed Axes'),
(2,6,197,'Two-Handed Axes'),
(2,6,200,'Polearms'),
(2,6,201,'One-Handed Swords'),
(2,6,202,'Two-Handed Swords'),
(2,6,203,'Unarmed'),
(2,6,204,'Defense'),
(2,6,522,'SPELLDEFENSE (DND)'),
(2,6,669,'Language Orcish'),
(2,6,674,'Dual Wield'),
(2,6,750,'Plate Mail'),
(2,6,2382,'Generic'),
(2,6,2479,'Honorless Target'),
(2,6,3050,'Detect'),
(2,6,3127,'Parry'),
(2,6,3275,'Linen Bandage'),
(2,6,3276,'Heavy Linen Bandage'),
(2,6,3277,'Wool Bandage'),
(2,6,3278,'Heavy Wool Bandage'),
(2,6,3365,'Opening'),
(2,6,6233,'Closing'),
(2,6,6246,'Closing'),
(2,6,6247,'Opening'),
(2,6,6477,'Opening'),
(2,6,6478,'Opening'),
(2,6,6603,'Attack'),
(2,6,7266,'Duel'),
(2,6,7267,'Grovel'),
(2,6,7355,'Stuck'),
(2,6,7928,'Silk Bandage'),
(2,6,7929,'Heavy Silk Bandage'),
(2,6,7934,'Anti-Venom'),
(2,6,8386,'Attacking'),
(2,6,8737,'Mail'),
(2,6,9077,'Leather'),
(2,6,9078,'Cloth'),
(2,6,9125,'Generic'),
(2,6,10840,'Mageweave Bandage'),
(2,6,10841,'Heavy Mageweave Bandage'),
(2,6,10846,'First Aid'),
(2,6,18629,'Runecloth Bandage'),
(2,6,18630,'Heavy Runecloth Bandage'),
(2,6,20572,'Blood Fury'),
(2,6,20573,'Hardiness'),
(2,6,20574,'Axe Specialization'),
(2,6,21651,'Opening'),
(2,6,21652,'Closing'),
(2,6,22027,'Remove Insignia'),
(2,6,22810,'Opening - No Text'),
(2,6,33391,'Journeyman Riding'),
(2,6,45462,'Plague Strike'),
(2,6,45477,'Icy Touch'),
(2,6,45902,'Blood Strike'),
(2,6,45903,'Offensive State (DND)'),
(2,6,45927,'Summon Friend'),
(2,6,47541,'Death Coil'),
(2,6,48266,'Blood Presence'),
(2,6,49410,'Forceful Deflection'),
(2,6,49576,'Death Grip'),
(2,6,52665,'Sigil'),
(2,6,54562,'Command'),
(2,6,59879,'Blood Plague'),
(2,6,59921,'Frost Fever'),
(2,6,61437,'Opening'),
(2,6,61455,'Runic Focus'),
(2,6,68398,'Opening'),
(2,7,81,'Dodge'),
(2,7,107,'Block'),
(2,7,198,'One-Handed Maces'),
(2,7,203,'Unarmed'),
(2,7,204,'Defense'),
(2,7,227,'Staves'),
(2,7,331,'Healing Wave'),
(2,7,403,'Lightning Bolt'),
(2,7,522,'SPELLDEFENSE (DND)'),
(2,7,669,'Language Orcish'),
(2,7,2382,'Generic'),
(2,7,2479,'Honorless Target'),
(2,7,3050,'Detect'),
(2,7,3365,'Opening'),
(2,7,6233,'Closing'),
(2,7,6246,'Closing'),
(2,7,6247,'Opening'),
(2,7,6477,'Opening'),
(2,7,6478,'Opening'),
(2,7,6603,'Attack'),
(2,7,7266,'Duel'),
(2,7,7267,'Grovel'),
(2,7,7355,'Stuck'),
(2,7,8386,'Attacking'),
(2,7,9077,'Leather'),
(2,7,9078,'Cloth'),
(2,7,9116,'Shield'),
(2,7,9125,'Generic'),
(2,7,20573,'Hardiness'),
(2,7,20574,'Axe Specialization'),
(2,7,21563,'Command'),
(2,7,21651,'Opening'),
(2,7,21652,'Closing'),
(2,7,22027,'Remove Insignia'),
(2,7,22810,'Opening - No Text'),
(2,7,27763,'Totem'),
(2,7,33697,'Blood Fury'),
(2,7,45927,'Summon Friend'),
(2,7,61437,'Opening'),
(2,7,65222,'Command'),
(2,7,68398,'Opening'),
(2,7,75461,'Flame Shock Passive'),
(2,9,81,'Dodge'),
(2,9,203,'Unarmed'),
(2,9,204,'Defense'),
(2,9,227,'Staves'),
(2,9,522,'SPELLDEFENSE (DND)'),
(2,9,669,'Language Orcish'),
(2,9,686,'Shadow Bolt'),
(2,9,687,'Demon Skin'),
(2,9,1180,'Daggers'),
(2,9,2382,'Generic'),
(2,9,2479,'Honorless Target'),
(2,9,3050,'Detect'),
(2,9,3365,'Opening'),
(2,9,5009,'Wands'),
(2,9,5019,'Shoot'),
(2,9,6233,'Closing'),
(2,9,6246,'Closing'),
(2,9,6247,'Opening'),
(2,9,6477,'Opening'),
(2,9,6478,'Opening'),
(2,9,6603,'Attack'),
(2,9,7266,'Duel'),
(2,9,7267,'Grovel'),
(2,9,7355,'Stuck'),
(2,9,8386,'Attacking'),
(2,9,9078,'Cloth'),
(2,9,9125,'Generic'),
(2,9,18822,'Improved Enslave Demon'),
(2,9,20573,'Hardiness'),
(2,9,20574,'Axe Specialization'),
(2,9,20575,'Command'),
(2,9,21651,'Opening'),
(2,9,21652,'Closing'),
(2,9,22027,'Remove Insignia'),
(2,9,22810,'Opening - No Text'),
(2,9,33702,'Blood Fury'),
(2,9,45927,'Summon Friend'),
(2,9,58284,'Chaos Bolt Passive'),
(2,9,61437,'Opening'),
(2,9,68398,'Opening'),
(2,9,75445,'Demonic Immolate'),
(3,1,78,'Heroic Strike'),
(3,1,81,'Dodge'),
(3,1,107,'Block'),
(3,1,196,'One-Handed Axes'),
(3,1,197,'Two-Handed Axes'),
(3,1,198,'One-Handed Maces'),
(3,1,203,'Unarmed'),
(3,1,204,'Defense'),
(3,1,522,'SPELLDEFENSE (DND)'),
(3,1,668,'Language Common'),
(3,1,672,'Language Dwarven'),
(3,1,2382,'Generic'),
(3,1,2457,'Battle Stance'),
(3,1,2479,'Honorless Target'),
(3,1,2481,'Find Treasure'),
(3,1,3050,'Detect'),
(3,1,3365,'Opening'),
(3,1,5301,'Defensive State (DND)'),
(3,1,6233,'Closing'),
(3,1,6246,'Closing'),
(3,1,6247,'Opening'),
(3,1,6477,'Opening'),
(3,1,6478,'Opening'),
(3,1,6603,'Attack'),
(3,1,7266,'Duel'),
(3,1,7267,'Grovel'),
(3,1,7355,'Stuck'),
(3,1,8386,'Attacking'),
(3,1,8737,'Mail'),
(3,1,9077,'Leather'),
(3,1,9078,'Cloth'),
(3,1,9116,'Shield'),
(3,1,9125,'Generic'),
(3,1,20594,'Stoneform'),
(3,1,20595,'Gun Specialization'),
(3,1,20596,'Frost Resistance'),
(3,1,21651,'Opening'),
(3,1,21652,'Closing'),
(3,1,22027,'Remove Insignia'),
(3,1,22810,'Opening - No Text'),
(3,1,32215,'Victorious State'),
(3,1,45927,'Summon Friend'),
(3,1,59224,'Mace Specialization'),
(3,1,61437,'Opening'),
(3,1,68398,'Opening'),
(3,2,81,'Dodge'),
(3,2,107,'Block'),
(3,2,198,'One-Handed Maces'),
(3,2,199,'Two-Handed Maces'),
(3,2,203,'Unarmed'),
(3,2,204,'Defense'),
(3,2,522,'SPELLDEFENSE (DND)'),
(3,2,635,'Holy Light'),
(3,2,668,'Language Common'),
(3,2,672,'Language Dwarven'),
(3,2,2382,'Generic'),
(3,2,2479,'Honorless Target'),
(3,2,2481,'Find Treasure'),
(3,2,3050,'Detect'),
(3,2,3365,'Opening'),
(3,2,6233,'Closing'),
(3,2,6246,'Closing'),
(3,2,6247,'Opening'),
(3,2,6477,'Opening'),
(3,2,6478,'Opening'),
(3,2,6603,'Attack'),
(3,2,7266,'Duel'),
(3,2,7267,'Grovel'),
(3,2,7355,'Stuck'),
(3,2,8386,'Attacking'),
(3,2,8737,'Mail'),
(3,2,9077,'Leather'),
(3,2,9078,'Cloth'),
(3,2,9116,'Shield'),
(3,2,9125,'Generic'),
(3,2,20154,'Seal of Righteousness'),
(3,2,20594,'Stoneform'),
(3,2,20595,'Gun Specialization'),
(3,2,20596,'Frost Resistance'),
(3,2,21651,'Opening'),
(3,2,21652,'Closing'),
(3,2,22027,'Remove Insignia'),
(3,2,22810,'Opening - No Text'),
(3,2,27762,'Libram'),
(3,2,45927,'Summon Friend'),
(3,2,59224,'Mace Specialization'),
(3,2,61437,'Opening'),
(3,2,68398,'Opening'),
(3,3,75,'Auto Shot'),
(3,3,81,'Dodge'),
(3,3,196,'One-Handed Axes'),
(3,3,197,'Two-Handed Axes'),
(3,3,203,'Unarmed'),
(3,3,204,'Defense'),
(3,3,266,'Guns'),
(3,3,522,'SPELLDEFENSE (DND)'),
(3,3,668,'Language Common'),
(3,3,672,'Language Dwarven'),
(3,3,2382,'Generic'),
(3,3,2479,'Honorless Target'),
(3,3,2481,'Find Treasure'),
(3,3,2973,'Raptor Strike'),
(3,3,3050,'Detect'),
(3,3,3365,'Opening'),
(3,3,6233,'Closing'),
(3,3,6246,'Closing'),
(3,3,6247,'Opening'),
(3,3,6477,'Opening'),
(3,3,6478,'Opening'),
(3,3,6603,'Attack'),
(3,3,7266,'Duel'),
(3,3,7267,'Grovel'),
(3,3,7355,'Stuck'),
(3,3,8386,'Attacking'),
(3,3,9077,'Leather'),
(3,3,9078,'Cloth'),
(3,3,9125,'Generic'),
(3,3,13358,'Defensive State (DND)'),
(3,3,20594,'Stoneform'),
(3,3,20595,'Gun Specialization'),
(3,3,20596,'Frost Resistance'),
(3,3,21651,'Opening'),
(3,3,21652,'Closing'),
(3,3,22027,'Remove Insignia'),
(3,3,22810,'Opening - No Text'),
(3,3,24949,'Defensive State 2 (DND)'),
(3,3,34082,'Advantaged State (DND)'),
(3,3,45927,'Summon Friend'),
(3,3,59224,'Mace Specialization'),
(3,3,61437,'Opening'),
(3,3,68398,'Opening'),
(3,4,81,'Dodge'),
(3,4,203,'Unarmed'),
(3,4,204,'Defense'),
(3,4,522,'SPELLDEFENSE (DND)'),
(3,4,668,'Language Common'),
(3,4,672,'Language Dwarven'),
(3,4,674,'Dual Wield'),
(3,4,1180,'Daggers'),
(3,4,1752,'Sinister Strike'),
(3,4,2098,'Eviscerate'),
(3,4,2382,'Generic'),
(3,4,2479,'Honorless Target'),
(3,4,2481,'Find Treasure'),
(3,4,2567,'Thrown'),
(3,4,2764,'Throw'),
(3,4,3050,'Detect'),
(3,4,3365,'Opening'),
(3,4,6233,'Closing'),
(3,4,6246,'Closing'),
(3,4,6247,'Opening'),
(3,4,6477,'Opening'),
(3,4,6478,'Opening'),
(3,4,6603,'Attack'),
(3,4,7266,'Duel'),
(3,4,7267,'Grovel'),
(3,4,7355,'Stuck'),
(3,4,8386,'Attacking'),
(3,4,9077,'Leather'),
(3,4,9078,'Cloth'),
(3,4,9125,'Generic'),
(3,4,16092,'Defensive State (DND)'),
(3,4,20594,'Stoneform'),
(3,4,20595,'Gun Specialization'),
(3,4,20596,'Frost Resistance'),
(3,4,21184,'Rogue Passive (DND)'),
(3,4,21651,'Opening'),
(3,4,21652,'Closing'),
(3,4,22027,'Remove Insignia'),
(3,4,22810,'Opening - No Text'),
(3,4,45927,'Summon Friend'),
(3,4,59224,'Mace Specialization'),
(3,4,61437,'Opening'),
(3,4,68398,'Opening'),
(3,5,81,'Dodge'),
(3,5,198,'One-Handed Maces'),
(3,5,203,'Unarmed'),
(3,5,204,'Defense'),
(3,5,227,'Staves'),
(3,5,522,'SPELLDEFENSE (DND)'),
(3,5,585,'Smite'),
(3,5,668,'Language Common'),
(3,5,672,'Language Dwarven'),
(3,5,2050,'Lesser Heal'),
(3,5,2382,'Generic'),
(3,5,2479,'Honorless Target'),
(3,5,2481,'Find Treasure'),
(3,5,3050,'Detect'),
(3,5,3365,'Opening'),
(3,5,5009,'Wands'),
(3,5,5019,'Shoot'),
(3,5,6233,'Closing'),
(3,5,6246,'Closing'),
(3,5,6247,'Opening'),
(3,5,6477,'Opening'),
(3,5,6478,'Opening'),
(3,5,6603,'Attack'),
(3,5,7266,'Duel'),
(3,5,7267,'Grovel'),
(3,5,7355,'Stuck'),
(3,5,8386,'Attacking'),
(3,5,9078,'Cloth'),
(3,5,9125,'Generic'),
(3,5,20594,'Stoneform'),
(3,5,20595,'Gun Specialization'),
(3,5,20596,'Frost Resistance'),
(3,5,21651,'Opening'),
(3,5,21652,'Closing'),
(3,5,22027,'Remove Insignia'),
(3,5,22810,'Opening - No Text'),
(3,5,45927,'Summon Friend'),
(3,5,59224,'Mace Specialization'),
(3,5,61437,'Opening'),
(3,5,68398,'Opening'),
(3,6,81,'Dodge'),
(3,6,196,'One-Handed Axes'),
(3,6,197,'Two-Handed Axes'),
(3,6,200,'Polearms'),
(3,6,201,'One-Handed Swords'),
(3,6,202,'Two-Handed Swords'),
(3,6,203,'Unarmed'),
(3,6,204,'Defense'),
(3,6,522,'SPELLDEFENSE (DND)'),
(3,6,668,'Language Common'),
(3,6,672,'Language Dwarven'),
(3,6,674,'Dual Wield'),
(3,6,750,'Plate Mail'),
(3,6,2382,'Generic'),
(3,6,2479,'Honorless Target'),
(3,6,2481,'Find Treasure'),
(3,6,3050,'Detect'),
(3,6,3127,'Parry'),
(3,6,3275,'Linen Bandage'),
(3,6,3276,'Heavy Linen Bandage'),
(3,6,3277,'Wool Bandage'),
(3,6,3278,'Heavy Wool Bandage'),
(3,6,3365,'Opening'),
(3,6,6233,'Closing'),
(3,6,6246,'Closing'),
(3,6,6247,'Opening'),
(3,6,6477,'Opening'),
(3,6,6478,'Opening'),
(3,6,6603,'Attack'),
(3,6,7266,'Duel'),
(3,6,7267,'Grovel'),
(3,6,7355,'Stuck'),
(3,6,7928,'Silk Bandage'),
(3,6,7929,'Heavy Silk Bandage'),
(3,6,7934,'Anti-Venom'),
(3,6,8386,'Attacking'),
(3,6,8737,'Mail'),
(3,6,9077,'Leather'),
(3,6,9078,'Cloth'),
(3,6,9125,'Generic'),
(3,6,10840,'Mageweave Bandage'),
(3,6,10841,'Heavy Mageweave Bandage'),
(3,6,10846,'First Aid'),
(3,6,18629,'Runecloth Bandage'),
(3,6,18630,'Heavy Runecloth Bandage'),
(3,6,20594,'Stoneform'),
(3,6,20595,'Gun Specialization'),
(3,6,20596,'Frost Resistance'),
(3,6,21651,'Opening'),
(3,6,21652,'Closing'),
(3,6,22027,'Remove Insignia'),
(3,6,22810,'Opening - No Text'),
(3,6,33391,'Journeyman Riding'),
(3,6,45462,'Plague Strike'),
(3,6,45477,'Icy Touch'),
(3,6,45902,'Blood Strike'),
(3,6,45903,'Offensive State (DND)'),
(3,6,45927,'Summon Friend'),
(3,6,47541,'Death Coil'),
(3,6,48266,'Blood Presence'),
(3,6,49410,'Forceful Deflection'),
(3,6,49576,'Death Grip'),
(3,6,52665,'Sigil'),
(3,6,59224,'Mace Specialization'),
(3,6,59879,'Blood Plague'),
(3,6,59921,'Frost Fever'),
(3,6,61437,'Opening'),
(3,6,61455,'Runic Focus'),
(3,6,68398,'Opening'),
(4,1,78,'Heroic Strike'),
(4,1,81,'Dodge'),
(4,1,107,'Block'),
(4,1,198,'One-Handed Maces'),
(4,1,201,'One-Handed Swords'),
(4,1,202,'Two-Handed Swords'),
(4,1,203,'Unarmed'),
(4,1,204,'Defense'),
(4,1,522,'SPELLDEFENSE (DND)'),
(4,1,668,'Language Common'),
(4,1,671,'Language Darnassian'),
(4,1,1180,'Daggers'),
(4,1,2382,'Generic'),
(4,1,2457,'Battle Stance'),
(4,1,2479,'Honorless Target'),
(4,1,3050,'Detect'),
(4,1,3365,'Opening'),
(4,1,5301,'Defensive State (DND)'),
(4,1,6233,'Closing'),
(4,1,6246,'Closing'),
(4,1,6247,'Opening'),
(4,1,6477,'Opening'),
(4,1,6478,'Opening'),
(4,1,6603,'Attack'),
(4,1,7266,'Duel'),
(4,1,7267,'Grovel'),
(4,1,7355,'Stuck'),
(4,1,8386,'Attacking'),
(4,1,8737,'Mail'),
(4,1,9077,'Leather'),
(4,1,9078,'Cloth'),
(4,1,9116,'Shield'),
(4,1,9125,'Generic'),
(4,1,20582,'Quickness'),
(4,1,20583,'Nature Resistance'),
(4,1,20585,'Wisp Spirit'),
(4,1,21009,'Elusiveness'),
(4,1,21651,'Opening'),
(4,1,21652,'Closing'),
(4,1,22027,'Remove Insignia'),
(4,1,22810,'Opening - No Text'),
(4,1,32215,'Victorious State'),
(4,1,45927,'Summon Friend'),
(4,1,58984,'Shadowmelt'),
(4,1,61437,'Opening'),
(4,1,68398,'Opening'),
(4,3,75,'Auto Shot'),
(4,3,81,'Dodge'),
(4,3,197,'Two-Handed Axes'),
(4,3,203,'Unarmed'),
(4,3,204,'Defense'),
(4,3,264,'Bows'),
(4,3,522,'SPELLDEFENSE (DND)'),
(4,3,668,'Language Common'),
(4,3,671,'Language Darnassian'),
(4,3,1180,'Daggers'),
(4,3,2382,'Generic'),
(4,3,2479,'Honorless Target'),
(4,3,2973,'Raptor Strike'),
(4,3,3050,'Detect'),
(4,3,3365,'Opening'),
(4,3,6233,'Closing'),
(4,3,6246,'Closing'),
(4,3,6247,'Opening'),
(4,3,6477,'Opening'),
(4,3,6478,'Opening'),
(4,3,6603,'Attack'),
(4,3,7266,'Duel'),
(4,3,7267,'Grovel'),
(4,3,7355,'Stuck'),
(4,3,8386,'Attacking'),
(4,3,9077,'Leather'),
(4,3,9078,'Cloth'),
(4,3,9125,'Generic'),
(4,3,13358,'Defensive State (DND)'),
(4,3,20582,'Quickness'),
(4,3,20583,'Nature Resistance'),
(4,3,20585,'Wisp Spirit'),
(4,3,21009,'Elusiveness'),
(4,3,21651,'Opening'),
(4,3,21652,'Closing'),
(4,3,22027,'Remove Insignia'),
(4,3,22810,'Opening - No Text'),
(4,3,24949,'Defensive State 2 (DND)'),
(4,3,34082,'Advantaged State (DND)'),
(4,3,45927,'Summon Friend'),
(4,3,58984,'Shadowmelt'),
(4,3,61437,'Opening'),
(4,3,68398,'Opening'),
(4,4,81,'Dodge'),
(4,4,203,'Unarmed'),
(4,4,204,'Defense'),
(4,4,522,'SPELLDEFENSE (DND)'),
(4,4,668,'Language Common'),
(4,4,671,'Language Darnassian'),
(4,4,674,'Dual Wield'),
(4,4,1180,'Daggers'),
(4,4,1752,'Sinister Strike'),
(4,4,2098,'Eviscerate'),
(4,4,2382,'Generic'),
(4,4,2479,'Honorless Target'),
(4,4,2567,'Thrown'),
(4,4,2764,'Throw'),
(4,4,3050,'Detect'),
(4,4,3365,'Opening'),
(4,4,6233,'Closing'),
(4,4,6246,'Closing'),
(4,4,6247,'Opening'),
(4,4,6477,'Opening'),
(4,4,6478,'Opening'),
(4,4,6603,'Attack'),
(4,4,7266,'Duel'),
(4,4,7267,'Grovel'),
(4,4,7355,'Stuck'),
(4,4,8386,'Attacking'),
(4,4,9077,'Leather'),
(4,4,9078,'Cloth'),
(4,4,9125,'Generic'),
(4,4,16092,'Defensive State (DND)'),
(4,4,20582,'Quickness'),
(4,4,20583,'Nature Resistance'),
(4,4,20585,'Wisp Spirit'),
(4,4,21009,'Elusiveness'),
(4,4,21184,'Rogue Passive (DND)'),
(4,4,21651,'Opening'),
(4,4,21652,'Closing'),
(4,4,22027,'Remove Insignia'),
(4,4,22810,'Opening - No Text'),
(4,4,45927,'Summon Friend'),
(4,4,58984,'Shadowmelt'),
(4,4,61437,'Opening'),
(4,4,68398,'Opening'),
(4,5,81,'Dodge'),
(4,5,198,'One-Handed Maces'),
(4,5,203,'Unarmed'),
(4,5,204,'Defense'),
(4,5,227,'Staves'),
(4,5,522,'SPELLDEFENSE (DND)'),
(4,5,585,'Smite'),
(4,5,668,'Language Common'),
(4,5,671,'Language Darnassian'),
(4,5,2050,'Lesser Heal'),
(4,5,2382,'Generic'),
(4,5,2479,'Honorless Target'),
(4,5,3050,'Detect'),
(4,5,3365,'Opening'),
(4,5,5009,'Wands'),
(4,5,5019,'Shoot'),
(4,5,6233,'Closing'),
(4,5,6246,'Closing'),
(4,5,6247,'Opening'),
(4,5,6477,'Opening'),
(4,5,6478,'Opening'),
(4,5,6603,'Attack'),
(4,5,7266,'Duel'),
(4,5,7267,'Grovel'),
(4,5,7355,'Stuck'),
(4,5,8386,'Attacking'),
(4,5,9078,'Cloth'),
(4,5,9125,'Generic'),
(4,5,20582,'Quickness'),
(4,5,20583,'Nature Resistance'),
(4,5,20585,'Wisp Spirit'),
(4,5,21009,'Elusiveness'),
(4,5,21651,'Opening'),
(4,5,21652,'Closing'),
(4,5,22027,'Remove Insignia'),
(4,5,22810,'Opening - No Text'),
(4,5,45927,'Summon Friend'),
(4,5,58984,'Shadowmelt'),
(4,5,61437,'Opening'),
(4,5,68398,'Opening'),
(4,6,81,'Dodge'),
(4,6,196,'One-Handed Axes'),
(4,6,197,'Two-Handed Axes'),
(4,6,200,'Polearms'),
(4,6,201,'One-Handed Swords'),
(4,6,202,'Two-Handed Swords'),
(4,6,203,'Unarmed'),
(4,6,204,'Defense'),
(4,6,522,'SPELLDEFENSE (DND)'),
(4,6,668,'Language Common'),
(4,6,671,'Language Darnassian'),
(4,6,674,'Dual Wield'),
(4,6,750,'Plate Mail'),
(4,6,2382,'Generic'),
(4,6,2479,'Honorless Target'),
(4,6,3050,'Detect'),
(4,6,3127,'Parry'),
(4,6,3275,'Linen Bandage'),
(4,6,3276,'Heavy Linen Bandage'),
(4,6,3277,'Wool Bandage'),
(4,6,3278,'Heavy Wool Bandage'),
(4,6,3365,'Opening'),
(4,6,6233,'Closing'),
(4,6,6246,'Closing'),
(4,6,6247,'Opening'),
(4,6,6477,'Opening'),
(4,6,6478,'Opening'),
(4,6,6603,'Attack'),
(4,6,7266,'Duel'),
(4,6,7267,'Grovel'),
(4,6,7355,'Stuck'),
(4,6,7928,'Silk Bandage'),
(4,6,7929,'Heavy Silk Bandage'),
(4,6,7934,'Anti-Venom'),
(4,6,8386,'Attacking'),
(4,6,8737,'Mail'),
(4,6,9077,'Leather'),
(4,6,9078,'Cloth'),
(4,6,9125,'Generic'),
(4,6,10840,'Mageweave Bandage'),
(4,6,10841,'Heavy Mageweave Bandage'),
(4,6,10846,'First Aid'),
(4,6,18629,'Runecloth Bandage'),
(4,6,18630,'Heavy Runecloth Bandage'),
(4,6,20582,'Quickness'),
(4,6,20583,'Nature Resistance'),
(4,6,20585,'Wisp Spirit'),
(4,6,21009,'Elusiveness'),
(4,6,21651,'Opening'),
(4,6,21652,'Closing'),
(4,6,22027,'Remove Insignia'),
(4,6,22810,'Opening - No Text'),
(4,6,33391,'Journeyman Riding'),
(4,6,45462,'Plague Strike'),
(4,6,45477,'Icy Touch'),
(4,6,45902,'Blood Strike'),
(4,6,45903,'Offensive State (DND)'),
(4,6,45927,'Summon Friend'),
(4,6,47541,'Death Coil'),
(4,6,48266,'Blood Presence'),
(4,6,49410,'Forceful Deflection'),
(4,6,49576,'Death Grip'),
(4,6,52665,'Sigil'),
(4,6,58984,'Shadowmeld'),
(4,6,59879,'Blood Plague'),
(4,6,59921,'Frost Fever'),
(4,6,61437,'Opening'),
(4,6,61455,'Runic Focus'),
(4,6,68398,'Opening'),
(4,11,81,'Dodge'),
(4,11,203,'Unarmed'),
(4,11,204,'Defense'),
(4,11,227,'Staves'),
(4,11,522,'SPELLDEFENSE (DND)'),
(4,11,668,'Language Common'),
(4,11,671,'Language Darnassian'),
(4,11,1180,'Daggers'),
(4,11,2382,'Generic'),
(4,11,2479,'Honorless Target'),
(4,11,3050,'Detect'),
(4,11,3365,'Opening'),
(4,11,5176,'Wrath'),
(4,11,5185,'Healing Touch'),
(4,11,6233,'Closing'),
(4,11,6246,'Closing'),
(4,11,6247,'Opening'),
(4,11,6477,'Opening'),
(4,11,6478,'Opening'),
(4,11,6603,'Attack'),
(4,11,7266,'Duel'),
(4,11,7267,'Grovel'),
(4,11,7355,'Stuck'),
(4,11,8386,'Attacking'),
(4,11,9077,'Leather'),
(4,11,9078,'Cloth'),
(4,11,9125,'Generic'),
(4,11,20582,'Quickness'),
(4,11,20583,'Nature Resistance'),
(4,11,20585,'Wisp Spirit'),
(4,11,21009,'Elusiveness'),
(4,11,21651,'Opening'),
(4,11,21652,'Closing'),
(4,11,22027,'Remove Insignia'),
(4,11,22810,'Opening - No Text'),
(4,11,27764,'Fetish'),
(4,11,45927,'Summon Friend'),
(4,11,58984,'Shadowmelt'),
(4,11,61437,'Opening'),
(4,11,66530,'Improved Barkskin (Passive)'),
(4,11,68398,'Opening'),
(5,1,78,'Heroic Strike'),
(5,1,81,'Dodge'),
(5,1,107,'Block'),
(5,1,201,'One-Handed Swords'),
(5,1,202,'Two-Handed Swords'),
(5,1,203,'Unarmed'),
(5,1,204,'Defense'),
(5,1,522,'SPELLDEFENSE (DND)'),
(5,1,669,'Language Orcish'),
(5,1,1180,'Daggers'),
(5,1,2382,'Generic'),
(5,1,2457,'Battle Stance'),
(5,1,2479,'Honorless Target'),
(5,1,3050,'Detect'),
(5,1,3365,'Opening'),
(5,1,5227,'Underwater Breathing'),
(5,1,5301,'Defensive State (DND)'),
(5,1,6233,'Closing'),
(5,1,6246,'Closing'),
(5,1,6247,'Opening'),
(5,1,6477,'Opening'),
(5,1,6478,'Opening'),
(5,1,6603,'Attack'),
(5,1,7266,'Duel'),
(5,1,7267,'Grovel'),
(5,1,7355,'Stuck'),
(5,1,7744,'Will of the Forsaken'),
(5,1,8386,'Attacking'),
(5,1,8737,'Mail'),
(5,1,9077,'Leather'),
(5,1,9078,'Cloth'),
(5,1,9116,'Shield'),
(5,1,9125,'Generic'),
(5,1,17737,'Language Gutterspeak'),
(5,1,20577,'Cannibalize'),
(5,1,20579,'Shadow Resistance'),
(5,1,21651,'Opening'),
(5,1,21652,'Closing'),
(5,1,22027,'Remove Insignia'),
(5,1,22810,'Opening - No Text'),
(5,1,32215,'Victorious State'),
(5,1,45927,'Summon Friend'),
(5,1,61437,'Opening'),
(5,1,68398,'Opening'),
(5,4,81,'Dodge'),
(5,4,203,'Unarmed'),
(5,4,204,'Defense'),
(5,4,522,'SPELLDEFENSE (DND)'),
(5,4,669,'Language Orcish'),
(5,4,674,'Dual Wield'),
(5,4,1180,'Daggers'),
(5,4,1752,'Sinister Strike'),
(5,4,2098,'Eviscerate'),
(5,4,2382,'Generic'),
(5,4,2479,'Honorless Target'),
(5,4,2567,'Thrown'),
(5,4,2764,'Throw'),
(5,4,3050,'Detect'),
(5,4,3365,'Opening'),
(5,4,5227,'Underwater Breathing'),
(5,4,6233,'Closing'),
(5,4,6246,'Closing'),
(5,4,6247,'Opening'),
(5,4,6477,'Opening'),
(5,4,6478,'Opening'),
(5,4,6603,'Attack'),
(5,4,7266,'Duel'),
(5,4,7267,'Grovel'),
(5,4,7355,'Stuck'),
(5,4,7744,'Will of the Forsaken'),
(5,4,8386,'Attacking'),
(5,4,9077,'Leather'),
(5,4,9078,'Cloth'),
(5,4,9125,'Generic'),
(5,4,16092,'Defensive State (DND)'),
(5,4,17737,'Language Gutterspeak'),
(5,4,20577,'Cannibalize'),
(5,4,20579,'Shadow Resistance'),
(5,4,21184,'Rogue Passive (DND)'),
(5,4,21651,'Opening'),
(5,4,21652,'Closing'),
(5,4,22027,'Remove Insignia'),
(5,4,22810,'Opening - No Text'),
(5,4,45927,'Summon Friend'),
(5,4,61437,'Opening'),
(5,4,68398,'Opening'),
(5,5,81,'Dodge'),
(5,5,198,'One-Handed Maces'),
(5,5,203,'Unarmed'),
(5,5,204,'Defense'),
(5,5,227,'Staves'),
(5,5,522,'SPELLDEFENSE (DND)'),
(5,5,585,'Smite'),
(5,5,669,'Language Orcish'),
(5,5,2050,'Lesser Heal'),
(5,5,2382,'Generic'),
(5,5,2479,'Honorless Target'),
(5,5,3050,'Detect'),
(5,5,3365,'Opening'),
(5,5,5009,'Wands'),
(5,5,5019,'Shoot'),
(5,5,5227,'Underwater Breathing'),
(5,5,6233,'Closing'),
(5,5,6246,'Closing'),
(5,5,6247,'Opening'),
(5,5,6477,'Opening'),
(5,5,6478,'Opening'),
(5,5,6603,'Attack'),
(5,5,7266,'Duel'),
(5,5,7267,'Grovel'),
(5,5,7355,'Stuck'),
(5,5,7744,'Will of the Forsaken'),
(5,5,8386,'Attacking'),
(5,5,9078,'Cloth'),
(5,5,9125,'Generic'),
(5,5,17737,'Language Gutterspeak'),
(5,5,20577,'Cannibalize'),
(5,5,20579,'Shadow Resistance'),
(5,5,21651,'Opening'),
(5,5,21652,'Closing'),
(5,5,22027,'Remove Insignia'),
(5,5,22810,'Opening - No Text'),
(5,5,45927,'Summon Friend'),
(5,5,61437,'Opening'),
(5,5,68398,'Opening'),
(5,6,81,'Dodge'),
(5,6,196,'One-Handed Axes'),
(5,6,197,'Two-Handed Axes'),
(5,6,200,'Polearms'),
(5,6,201,'One-Handed Swords'),
(5,6,202,'Two-Handed Swords'),
(5,6,203,'Unarmed'),
(5,6,204,'Defense'),
(5,6,522,'SPELLDEFENSE (DND)'),
(5,6,669,'Language Orcish'),
(5,6,674,'Dual Wield'),
(5,6,750,'Plate Mail'),
(5,6,2382,'Generic'),
(5,6,2479,'Honorless Target'),
(5,6,3050,'Detect'),
(5,6,3127,'Parry'),
(5,6,3275,'Linen Bandage'),
(5,6,3276,'Heavy Linen Bandage'),
(5,6,3277,'Wool Bandage'),
(5,6,3278,'Heavy Wool Bandage'),
(5,6,3365,'Opening'),
(5,6,5227,'Underwater Breathing'),
(5,6,6233,'Closing'),
(5,6,6246,'Closing'),
(5,6,6247,'Opening'),
(5,6,6477,'Opening'),
(5,6,6478,'Opening'),
(5,6,6603,'Attack'),
(5,6,7266,'Duel'),
(5,6,7267,'Grovel'),
(5,6,7355,'Stuck'),
(5,6,7744,'Will of the Forsaken'),
(5,6,7928,'Silk Bandage'),
(5,6,7929,'Heavy Silk Bandage'),
(5,6,7934,'Anti-Venom'),
(5,6,8386,'Attacking'),
(5,6,8737,'Mail'),
(5,6,9077,'Leather'),
(5,6,9078,'Cloth'),
(5,6,9125,'Generic'),
(5,6,10840,'Mageweave Bandage'),
(5,6,10841,'Heavy Mageweave Bandage'),
(5,6,10846,'First Aid'),
(5,6,17737,'Language Gutterspeak'),
(5,6,18629,'Runecloth Bandage'),
(5,6,18630,'Heavy Runecloth Bandage'),
(5,6,20577,'Cannibalize'),
(5,6,20579,'Shadow Resistance'),
(5,6,21651,'Opening'),
(5,6,21652,'Closing'),
(5,6,22027,'Remove Insignia'),
(5,6,22810,'Opening - No Text'),
(5,6,33391,'Journeyman Riding'),
(5,6,45462,'Plague Strike'),
(5,6,45477,'Icy Touch'),
(5,6,45902,'Blood Strike'),
(5,6,45903,'Offensive State (DND)'),
(5,6,45927,'Summon Friend'),
(5,6,47541,'Death Coil'),
(5,6,48266,'Blood Presence'),
(5,6,49410,'Forceful Deflection'),
(5,6,49576,'Death Grip'),
(5,6,52665,'Sigil'),
(5,6,59879,'Blood Plague'),
(5,6,59921,'Frost Fever'),
(5,6,61437,'Opening'),
(5,6,61455,'Runic Focus'),
(5,6,68398,'Opening'),
(5,8,81,'Dodge'),
(5,8,133,'Fireball'),
(5,8,168,'Frost Armor'),
(5,8,203,'Unarmed'),
(5,8,204,'Defense'),
(5,8,227,'Staves'),
(5,8,522,'SPELLDEFENSE (DND)'),
(5,8,669,'Language Orcish'),
(5,8,2382,'Generic'),
(5,8,2479,'Honorless Target'),
(5,8,3050,'Detect'),
(5,8,3365,'Opening'),
(5,8,5009,'Wands'),
(5,8,5019,'Shoot'),
(5,8,5227,'Underwater Breathing'),
(5,8,6233,'Closing'),
(5,8,6246,'Closing'),
(5,8,6247,'Opening'),
(5,8,6477,'Opening'),
(5,8,6478,'Opening'),
(5,8,6603,'Attack'),
(5,8,7266,'Duel'),
(5,8,7267,'Grovel'),
(5,8,7355,'Stuck'),
(5,8,7744,'Will of the Forsaken'),
(5,8,8386,'Attacking'),
(5,8,9078,'Cloth'),
(5,8,9125,'Generic'),
(5,8,17737,'Language Gutterspeak'),
(5,8,20577,'Cannibalize'),
(5,8,20579,'Shadow Resistance'),
(5,8,21651,'Opening'),
(5,8,21652,'Closing'),
(5,8,22027,'Remove Insignia'),
(5,8,22810,'Opening - No Text'),
(5,8,45927,'Summon Friend'),
(5,8,61437,'Opening'),
(5,8,68398,'Opening'),
(5,8,71761,'Deep Freeze Immunity State'),
(5,9,81,'Dodge'),
(5,9,203,'Unarmed'),
(5,9,204,'Defense'),
(5,9,227,'Staves'),
(5,9,522,'SPELLDEFENSE (DND)'),
(5,9,669,'Language Orcish'),
(5,9,686,'Shadow Bolt'),
(5,9,687,'Demon Skin'),
(5,9,1180,'Daggers'),
(5,9,2382,'Generic'),
(5,9,2479,'Honorless Target'),
(5,9,3050,'Detect'),
(5,9,3365,'Opening'),
(5,9,5009,'Wands'),
(5,9,5019,'Shoot'),
(5,9,5227,'Underwater Breathing'),
(5,9,6233,'Closing'),
(5,9,6246,'Closing'),
(5,9,6247,'Opening'),
(5,9,6477,'Opening'),
(5,9,6478,'Opening'),
(5,9,6603,'Attack'),
(5,9,7266,'Duel'),
(5,9,7267,'Grovel'),
(5,9,7355,'Stuck'),
(5,9,7744,'Will of the Forsaken'),
(5,9,8386,'Attacking'),
(5,9,9078,'Cloth'),
(5,9,9125,'Generic'),
(5,9,17737,'Language Gutterspeak'),
(5,9,18822,'Improved Enslave Demon'),
(5,9,20577,'Cannibalize'),
(5,9,20579,'Shadow Resistance'),
(5,9,21651,'Opening'),
(5,9,21652,'Closing'),
(5,9,22027,'Remove Insignia'),
(5,9,22810,'Opening - No Text'),
(5,9,45927,'Summon Friend'),
(5,9,58284,'Chaos Bolt Passive'),
(5,9,61437,'Opening'),
(5,9,68398,'Opening'),
(5,9,75445,'Demonic Immolate'),
(6,1,78,'Heroic Strike'),
(6,1,81,'Dodge'),
(6,1,107,'Block'),
(6,1,196,'One-Handed Axes'),
(6,1,198,'One-Handed Maces'),
(6,1,199,'Two-Handed Maces'),
(6,1,203,'Unarmed'),
(6,1,204,'Defense'),
(6,1,522,'SPELLDEFENSE (DND)'),
(6,1,669,'Language Orcish'),
(6,1,670,'Language Taurahe'),
(6,1,2382,'Generic'),
(6,1,2457,'Battle Stance'),
(6,1,2479,'Honorless Target'),
(6,1,3050,'Detect'),
(6,1,3365,'Opening'),
(6,1,5301,'Defensive State (DND)'),
(6,1,6233,'Closing'),
(6,1,6246,'Closing'),
(6,1,6247,'Opening'),
(6,1,6477,'Opening'),
(6,1,6478,'Opening'),
(6,1,6603,'Attack'),
(6,1,7266,'Duel'),
(6,1,7267,'Grovel'),
(6,1,7355,'Stuck'),
(6,1,8386,'Attacking'),
(6,1,8737,'Mail'),
(6,1,9077,'Leather'),
(6,1,9078,'Cloth'),
(6,1,9116,'Shield'),
(6,1,9125,'Generic'),
(6,1,20549,'War Stomp'),
(6,1,20550,'Endurance'),
(6,1,20551,'Nature Resistance'),
(6,1,20552,'Cultivation'),
(6,1,21651,'Opening'),
(6,1,21652,'Closing'),
(6,1,22027,'Remove Insignia'),
(6,1,22810,'Opening - No Text'),
(6,1,32215,'Victorious State'),
(6,1,45927,'Summon Friend'),
(6,1,61437,'Opening'),
(6,1,68398,'Opening'),
(6,3,75,'Auto Shot'),
(6,3,81,'Dodge'),
(6,3,196,'One-Handed Axes'),
(6,3,197,'Two-Handed Axes'),
(6,3,203,'Unarmed'),
(6,3,204,'Defense'),
(6,3,266,'Guns'),
(6,3,522,'SPELLDEFENSE (DND)'),
(6,3,669,'Language Orcish'),
(6,3,670,'Language Taurahe'),
(6,3,2382,'Generic'),
(6,3,2479,'Honorless Target'),
(6,3,2973,'Raptor Strike'),
(6,3,3050,'Detect'),
(6,3,3365,'Opening'),
(6,3,6233,'Closing'),
(6,3,6246,'Closing'),
(6,3,6247,'Opening'),
(6,3,6477,'Opening'),
(6,3,6478,'Opening'),
(6,3,6603,'Attack'),
(6,3,7266,'Duel'),
(6,3,7267,'Grovel'),
(6,3,7355,'Stuck'),
(6,3,8386,'Attacking'),
(6,3,9077,'Leather'),
(6,3,9078,'Cloth'),
(6,3,9125,'Generic'),
(6,3,13358,'Defensive State (DND)'),
(6,3,20549,'War Stomp'),
(6,3,20550,'Endurance'),
(6,3,20551,'Nature Resistance'),
(6,3,20552,'Cultivation'),
(6,3,21651,'Opening'),
(6,3,21652,'Closing'),
(6,3,22027,'Remove Insignia'),
(6,3,22810,'Opening - No Text'),
(6,3,24949,'Defensive State 2 (DND)'),
(6,3,34082,'Advantaged State (DND)'),
(6,3,45927,'Summon Friend'),
(6,3,61437,'Opening'),
(6,3,68398,'Opening'),
(6,6,81,'Dodge'),
(6,6,196,'One-Handed Axes'),
(6,6,197,'Two-Handed Axes'),
(6,6,200,'Polearms'),
(6,6,201,'One-Handed Swords'),
(6,6,202,'Two-Handed Swords'),
(6,6,203,'Unarmed'),
(6,6,204,'Defense'),
(6,6,522,'SPELLDEFENSE (DND)'),
(6,6,669,'Language Orcish'),
(6,6,670,'Language Taurahe'),
(6,6,674,'Dual Wield'),
(6,6,750,'Plate Mail'),
(6,6,2382,'Generic'),
(6,6,2479,'Honorless Target'),
(6,6,3050,'Detect'),
(6,6,3127,'Parry'),
(6,6,3275,'Linen Bandage'),
(6,6,3276,'Heavy Linen Bandage'),
(6,6,3277,'Wool Bandage'),
(6,6,3278,'Heavy Wool Bandage'),
(6,6,3365,'Opening'),
(6,6,6233,'Closing'),
(6,6,6246,'Closing'),
(6,6,6247,'Opening'),
(6,6,6477,'Opening'),
(6,6,6478,'Opening'),
(6,6,6603,'Attack'),
(6,6,7266,'Duel'),
(6,6,7267,'Grovel'),
(6,6,7355,'Stuck'),
(6,6,7928,'Silk Bandage'),
(6,6,7929,'Heavy Silk Bandage'),
(6,6,7934,'Anti-Venom'),
(6,6,8386,'Attacking'),
(6,6,8737,'Mail'),
(6,6,9077,'Leather'),
(6,6,9078,'Cloth'),
(6,6,9125,'Generic'),
(6,6,10840,'Mageweave Bandage'),
(6,6,10841,'Heavy Mageweave Bandage'),
(6,6,10846,'First Aid'),
(6,6,18629,'Runecloth Bandage'),
(6,6,18630,'Heavy Runecloth Bandage'),
(6,6,20549,'War Stomp'),
(6,6,20550,'Endurance'),
(6,6,20551,'Nature Resistance'),
(6,6,20552,'Cultivation'),
(6,6,21651,'Opening'),
(6,6,21652,'Closing'),
(6,6,22027,'Remove Insignia'),
(6,6,22810,'Opening - No Text'),
(6,6,33391,'Journeyman Riding'),
(6,6,45462,'Plague Strike'),
(6,6,45477,'Icy Touch'),
(6,6,45902,'Blood Strike'),
(6,6,45903,'Offensive State (DND)'),
(6,6,45927,'Summon Friend'),
(6,6,47541,'Death Coil'),
(6,6,48266,'Blood Presence'),
(6,6,49410,'Forceful Deflection'),
(6,6,49576,'Death Grip'),
(6,6,52665,'Sigil'),
(6,6,59879,'Blood Plague'),
(6,6,59921,'Frost Fever'),
(6,6,61437,'Opening'),
(6,6,61455,'Runic Focus'),
(6,6,68398,'Opening'),
(6,7,81,'Dodge'),
(6,7,107,'Block'),
(6,7,198,'One-Handed Maces'),
(6,7,203,'Unarmed'),
(6,7,204,'Defense'),
(6,7,227,'Staves'),
(6,7,331,'Healing Wave'),
(6,7,403,'Lightning Bolt'),
(6,7,522,'SPELLDEFENSE (DND)'),
(6,7,669,'Language Orcish'),
(6,7,670,'Language Taurahe'),
(6,7,2382,'Generic'),
(6,7,2479,'Honorless Target'),
(6,7,3050,'Detect'),
(6,7,3365,'Opening'),
(6,7,6233,'Closing'),
(6,7,6246,'Closing'),
(6,7,6247,'Opening'),
(6,7,6477,'Opening'),
(6,7,6478,'Opening'),
(6,7,6603,'Attack'),
(6,7,7266,'Duel'),
(6,7,7267,'Grovel'),
(6,7,7355,'Stuck'),
(6,7,8386,'Attacking'),
(6,7,9077,'Leather'),
(6,7,9078,'Cloth'),
(6,7,9116,'Shield'),
(6,7,9125,'Generic'),
(6,7,20549,'War Stomp'),
(6,7,20550,'Endurance'),
(6,7,20551,'Nature Resistance'),
(6,7,20552,'Cultivation'),
(6,7,21651,'Opening'),
(6,7,21652,'Closing'),
(6,7,22027,'Remove Insignia'),
(6,7,22810,'Opening - No Text'),
(6,7,27763,'Totem'),
(6,7,45927,'Summon Friend'),
(6,7,61437,'Opening'),
(6,7,68398,'Opening'),
(6,7,75461,'Flame Shock Passive'),
(6,11,81,'Dodge'),
(6,11,198,'One-Handed Maces'),
(6,11,203,'Unarmed'),
(6,11,204,'Defense'),
(6,11,227,'Staves'),
(6,11,522,'SPELLDEFENSE (DND)'),
(6,11,669,'Language Orcish'),
(6,11,670,'Language Taurahe'),
(6,11,2382,'Generic'),
(6,11,2479,'Honorless Target'),
(6,11,3050,'Detect'),
(6,11,3365,'Opening'),
(6,11,5176,'Wrath'),
(6,11,5185,'Healing Touch'),
(6,11,6233,'Closing'),
(6,11,6246,'Closing'),
(6,11,6247,'Opening'),
(6,11,6477,'Opening'),
(6,11,6478,'Opening'),
(6,11,6603,'Attack'),
(6,11,7266,'Duel'),
(6,11,7267,'Grovel'),
(6,11,7355,'Stuck'),
(6,11,8386,'Attacking'),
(6,11,9077,'Leather'),
(6,11,9078,'Cloth'),
(6,11,9125,'Generic'),
(6,11,20549,'War Stomp'),
(6,11,20550,'Endurance'),
(6,11,20551,'Nature Resistance'),
(6,11,20552,'Cultivation'),
(6,11,21651,'Opening'),
(6,11,21652,'Closing'),
(6,11,22027,'Remove Insignia'),
(6,11,22810,'Opening - No Text'),
(6,11,27764,'Fetish'),
(6,11,45927,'Summon Friend'),
(6,11,61437,'Opening'),
(6,11,66530,'Improved Barkskin (Passive)'),
(6,11,68398,'Opening'),
(7,1,78,'Heroic Strike'),
(7,1,81,'Dodge'),
(7,1,107,'Block'),
(7,1,198,'One-Handed Maces'),
(7,1,201,'One-Handed Swords'),
(7,1,202,'Two-Handed Swords'),
(7,1,203,'Unarmed'),
(7,1,204,'Defense'),
(7,1,522,'SPELLDEFENSE (DND)'),
(7,1,668,'Language Common'),
(7,1,1180,'Daggers'),
(7,1,2382,'Generic'),
(7,1,2457,'Battle Stance'),
(7,1,2479,'Honorless Target'),
(7,1,3050,'Detect'),
(7,1,3365,'Opening'),
(7,1,5301,'Defensive State (DND)'),
(7,1,6233,'Closing'),
(7,1,6246,'Closing'),
(7,1,6247,'Opening'),
(7,1,6477,'Opening'),
(7,1,6478,'Opening'),
(7,1,6603,'Attack'),
(7,1,7266,'Duel'),
(7,1,7267,'Grovel'),
(7,1,7340,'Language Gnomish'),
(7,1,7355,'Stuck'),
(7,1,8386,'Attacking'),
(7,1,8737,'Mail'),
(7,1,9077,'Leather'),
(7,1,9078,'Cloth'),
(7,1,9116,'Shield'),
(7,1,9125,'Generic'),
(7,1,20589,'Escape Artist'),
(7,1,20591,'Expansive Mind'),
(7,1,20592,'Arcane Resistance'),
(7,1,20593,'Engineering Specialization'),
(7,1,21651,'Opening'),
(7,1,21652,'Closing'),
(7,1,22027,'Remove Insignia'),
(7,1,22810,'Opening - No Text'),
(7,1,32215,'Victorious State'),
(7,1,45927,'Summon Friend'),
(7,1,61437,'Opening'),
(7,1,68398,'Opening'),
(7,4,81,'Dodge'),
(7,4,203,'Unarmed'),
(7,4,204,'Defense'),
(7,4,522,'SPELLDEFENSE (DND)'),
(7,4,674,'Dual Wield'),
(7,4,668,'Language Common'),
(7,4,1180,'Daggers'),
(7,4,1752,'Sinister Strike'),
(7,4,2098,'Eviscerate'),
(7,4,2382,'Generic'),
(7,4,2479,'Honorless Target'),
(7,4,2567,'Thrown'),
(7,4,2764,'Throw'),
(7,4,3050,'Detect'),
(7,4,3365,'Opening'),
(7,4,6233,'Closing'),
(7,4,6246,'Closing'),
(7,4,6247,'Opening'),
(7,4,6477,'Opening'),
(7,4,6478,'Opening'),
(7,4,6603,'Attack'),
(7,4,7266,'Duel'),
(7,4,7267,'Grovel'),
(7,4,7340,'Language Gnomish'),
(7,4,7355,'Stuck'),
(7,4,8386,'Attacking'),
(7,4,9077,'Leather'),
(7,4,9078,'Cloth'),
(7,4,9125,'Generic'),
(7,4,16092,'Defensive State (DND)'),
(7,4,20589,'Escape Artist'),
(7,4,20591,'Expansive Mind'),
(7,4,20592,'Arcane Resistance'),
(7,4,20593,'Engineering Specialization'),
(7,4,21184,'Rogue Passive (DND)'),
(7,4,21651,'Opening'),
(7,4,21652,'Closing'),
(7,4,22027,'Remove Insignia'),
(7,4,22810,'Opening - No Text'),
(7,4,45927,'Summon Friend'),
(7,4,61437,'Opening'),
(7,4,68398,'Opening'),
(7,6,81,'Dodge'),
(7,6,196,'One-Handed Axes'),
(7,6,197,'Two-Handed Axes'),
(7,6,200,'Polearms'),
(7,6,201,'One-Handed Swords'),
(7,6,202,'Two-Handed Swords'),
(7,6,203,'Unarmed'),
(7,6,204,'Defense'),
(7,6,522,'SPELLDEFENSE (DND)'),
(7,6,668,'Language Common'),
(7,6,674,'Dual Wield'),
(7,6,750,'Plate Mail'),
(7,6,2382,'Generic'),
(7,6,2479,'Honorless Target'),
(7,6,3050,'Detect'),
(7,6,3127,'Parry'),
(7,6,3275,'Linen Bandage'),
(7,6,3276,'Heavy Linen Bandage'),
(7,6,3277,'Wool Bandage'),
(7,6,3278,'Heavy Wool Bandage'),
(7,6,3365,'Opening'),
(7,6,6233,'Closing'),
(7,6,6246,'Closing'),
(7,6,6247,'Opening'),
(7,6,6477,'Opening'),
(7,6,6478,'Opening'),
(7,6,6603,'Attack'),
(7,6,7266,'Duel'),
(7,6,7267,'Grovel'),
(7,6,7340,'Language Gnomish'),
(7,6,7355,'Stuck'),
(7,6,7928,'Silk Bandage'),
(7,6,7929,'Heavy Silk Bandage'),
(7,6,7934,'Anti-Venom'),
(7,6,8386,'Attacking'),
(7,6,8737,'Mail'),
(7,6,9077,'Leather'),
(7,6,9078,'Cloth'),
(7,6,9125,'Generic'),
(7,6,10840,'Mageweave Bandage'),
(7,6,10841,'Heavy Mageweave Bandage'),
(7,6,10846,'First Aid'),
(7,6,18629,'Runecloth Bandage'),
(7,6,18630,'Heavy Runecloth Bandage'),
(7,6,20589,'Escape Artist'),
(7,6,20591,'Expansive Mind'),
(7,6,20592,'Arcane Resistance'),
(7,6,20593,'Engineering Specialization'),
(7,6,21651,'Opening'),
(7,6,21652,'Closing'),
(7,6,22027,'Remove Insignia'),
(7,6,22810,'Opening - No Text'),
(7,6,33391,'Journeyman Riding'),
(7,6,45462,'Plague Strike'),
(7,6,45477,'Icy Touch'),
(7,6,45902,'Blood Strike'),
(7,6,45903,'Offensive State (DND)'),
(7,6,45927,'Summon Friend'),
(7,6,47541,'Death Coil'),
(7,6,48266,'Blood Presence'),
(7,6,49410,'Forceful Deflection'),
(7,6,49576,'Death Grip'),
(7,6,52665,'Sigil'),
(7,6,59879,'Blood Plague'),
(7,6,59921,'Frost Fever'),
(7,6,61437,'Opening'),
(7,6,61455,'Runic Focus'),
(7,6,68398,'Opening'),
(7,8,81,'Dodge'),
(7,8,133,'Fireball'),
(7,8,168,'Frost Armor'),
(7,8,203,'Unarmed'),
(7,8,204,'Defense'),
(7,8,227,'Staves'),
(7,8,522,'SPELLDEFENSE (DND)'),
(7,8,668,'Language Common'),
(7,8,2382,'Generic'),
(7,8,2479,'Honorless Target'),
(7,8,3050,'Detect'),
(7,8,3365,'Opening'),
(7,8,5009,'Wands'),
(7,8,5019,'Shoot'),
(7,8,6233,'Closing'),
(7,8,6246,'Closing'),
(7,8,6247,'Opening'),
(7,8,6477,'Opening'),
(7,8,6478,'Opening'),
(7,8,6603,'Attack'),
(7,8,7266,'Duel'),
(7,8,7267,'Grovel'),
(7,8,7340,'Language Gnomish'),
(7,8,7355,'Stuck'),
(7,8,8386,'Attacking'),
(7,8,9078,'Cloth'),
(7,8,9125,'Generic'),
(7,8,20589,'Escape Artist'),
(7,8,20591,'Expansive Mind'),
(7,8,20592,'Arcane Resistance'),
(7,8,20593,'Engineering Specialization'),
(7,8,21651,'Opening'),
(7,8,21652,'Closing'),
(7,8,22027,'Remove Insignia'),
(7,8,22810,'Opening - No Text'),
(7,8,45927,'Summon Friend'),
(7,8,61437,'Opening'),
(7,8,68398,'Opening'),
(7,8,71761,'Deep Freeze Immunity State'),
(7,9,81,'Dodge'),
(7,9,203,'Unarmed'),
(7,9,204,'Defense'),
(7,9,227,'Staves'),
(7,9,522,'SPELLDEFENSE (DND)'),
(7,9,668,'Language Common'),
(7,9,686,'Shadow Bolt'),
(7,9,687,'Demon Skin'),
(7,9,1180,'Daggers'),
(7,9,2382,'Generic'),
(7,9,2479,'Honorless Target'),
(7,9,3050,'Detect'),
(7,9,3365,'Opening'),
(7,9,5009,'Wands'),
(7,9,5019,'Shoot'),
(7,9,6233,'Closing'),
(7,9,6246,'Closing'),
(7,9,6247,'Opening'),
(7,9,6477,'Opening'),
(7,9,6478,'Opening'),
(7,9,6603,'Attack'),
(7,9,7266,'Duel'),
(7,9,7267,'Grovel'),
(7,9,7340,'Language Gnomish'),
(7,9,7355,'Stuck'),
(7,9,8386,'Attacking'),
(7,9,9078,'Cloth'),
(7,9,9125,'Generic'),
(7,9,18822,'Improved Enslave Demon'),
(7,9,20589,'Escape Artist'),
(7,9,20591,'Expansive Mind'),
(7,9,20592,'Arcane Resistance'),
(7,9,20593,'Engineering Specialization'),
(7,9,21651,'Opening'),
(7,9,21652,'Closing'),
(7,9,22027,'Remove Insignia'),
(7,9,22810,'Opening - No Text'),
(7,9,45927,'Summon Friend'),
(7,9,58284,'Chaos Bolt Passive'),
(7,9,61437,'Opening'),
(7,9,68398,'Opening'),
(7,9,75445,'Demonic Immolate'),
(8,1,78,'Heroic Strike'),
(8,1,81,'Dodge'),
(8,1,107,'Block'),
(8,1,196,'One-Handed Axes'),
(8,1,202,'Two-Handed Swords'),
(8,1,203,'Unarmed'),
(8,1,204,'Defense'),
(8,1,522,'SPELLDEFENSE (DND)'),
(8,1,669,'Language Orcish'),
(8,1,1180,'Daggers'),
(8,1,2382,'Generic'),
(8,1,2457,'Battle Stance'),
(8,1,2479,'Honorless Target'),
(8,1,2567,'Thrown'),
(8,1,2764,'Throw'),
(8,1,3050,'Detect'),
(8,1,3365,'Opening'),
(8,1,5301,'Defensive State (DND)'),
(8,1,6233,'Closing'),
(8,1,6246,'Closing'),
(8,1,6247,'Opening'),
(8,1,6477,'Opening'),
(8,1,6478,'Opening'),
(8,1,6603,'Attack'),
(8,1,7266,'Duel'),
(8,1,7267,'Grovel'),
(8,1,7341,'Language Troll'),
(8,1,7355,'Stuck'),
(8,1,8386,'Attacking'),
(8,1,8737,'Mail'),
(8,1,9077,'Leather'),
(8,1,9078,'Cloth'),
(8,1,9116,'Shield'),
(8,1,9125,'Generic'),
(8,1,20555,'Regeneration'),
(8,1,20557,'Beast Slaying'),
(8,1,20558,'Throwing Specialization'),
(8,1,21651,'Opening'),
(8,1,21652,'Closing'),
(8,1,22027,'Remove Insignia'),
(8,1,22810,'Opening - No Text'),
(8,1,26290,'Bow Specialization'),
(8,1,26297,'Berserking'),
(8,1,32215,'Victorious State'),
(8,1,45927,'Summon Friend'),
(8,1,58943,'Da Voodoo Shuffle'),
(8,1,61437,'Opening'),
(8,1,68398,'Opening'),
(8,3,75,'Auto Shot'),
(8,3,81,'Dodge'),
(8,3,196,'One-Handed Axes'),
(8,3,197,'Two-Handed Axes'),
(8,3,203,'Unarmed'),
(8,3,204,'Defense'),
(8,3,264,'Bows'),
(8,3,522,'SPELLDEFENSE (DND)'),
(8,3,669,'Language Orcish'),
(8,3,2382,'Generic'),
(8,3,2479,'Honorless Target'),
(8,3,2973,'Raptor Strike'),
(8,3,3050,'Detect'),
(8,3,3365,'Opening'),
(8,3,6233,'Closing'),
(8,3,6246,'Closing'),
(8,3,6247,'Opening'),
(8,3,6477,'Opening'),
(8,3,6478,'Opening'),
(8,3,6603,'Attack'),
(8,3,7266,'Duel'),
(8,3,7267,'Grovel'),
(8,3,7341,'Language Troll'),
(8,3,7355,'Stuck'),
(8,3,8386,'Attacking'),
(8,3,9077,'Leather'),
(8,3,9078,'Cloth'),
(8,3,9125,'Generic'),
(8,3,13358,'Defensive State (DND)'),
(8,3,26297,'Berserking'),
(8,3,20555,'Regeneration'),
(8,3,20557,'Beast Slaying'),
(8,3,20558,'Throwing Specialization'),
(8,3,21651,'Opening'),
(8,3,21652,'Closing'),
(8,3,22027,'Remove Insignia'),
(8,3,22810,'Opening - No Text'),
(8,3,24949,'Defensive State 2 (DND)'),
(8,3,26290,'Bow Specialization'),
(8,3,34082,'Advantaged State (DND)'),
(8,3,45927,'Summon Friend'),
(8,3,58943,'Da Voodoo Shuffle'),
(8,3,61437,'Opening'),
(8,3,68398,'Opening'),
(8,4,81,'Dodge'),
(8,4,203,'Unarmed'),
(8,4,204,'Defense'),
(8,4,522,'SPELLDEFENSE (DND)'),
(8,4,669,'Language Orcish'),
(8,4,674,'Dual Wield'),
(8,4,1180,'Daggers'),
(8,4,1752,'Sinister Strike'),
(8,4,2098,'Eviscerate'),
(8,4,2382,'Generic'),
(8,4,2479,'Honorless Target'),
(8,4,2567,'Thrown'),
(8,4,2764,'Throw'),
(8,4,3050,'Detect'),
(8,4,3365,'Opening'),
(8,4,6233,'Closing'),
(8,4,6246,'Closing'),
(8,4,6247,'Opening'),
(8,4,6477,'Opening'),
(8,4,6478,'Opening'),
(8,4,6603,'Attack'),
(8,4,7266,'Duel'),
(8,4,7267,'Grovel'),
(8,4,7341,'Language Troll'),
(8,4,7355,'Stuck'),
(8,4,8386,'Attacking'),
(8,4,9077,'Leather'),
(8,4,9078,'Cloth'),
(8,4,9125,'Generic'),
(8,4,16092,'Defensive State (DND)'),
(8,4,20555,'Regeneration'),
(8,4,20557,'Beast Slaying'),
(8,4,20558,'Throwing Specialization'),
(8,4,21184,'Rogue Passive (DND)'),
(8,4,21651,'Opening'),
(8,4,21652,'Closing'),
(8,4,22027,'Remove Insignia'),
(8,4,22810,'Opening - No Text'),
(8,4,26290,'Bow Specialization'),
(8,4,26297,'Berserking'),
(8,4,45927,'Summon Friend'),
(8,4,58943,'Da Voodoo Shuffle'),
(8,4,61437,'Opening'),
(8,4,68398,'Opening'),
(8,5,81,'Dodge'),
(8,5,198,'One-Handed Maces'),
(8,5,203,'Unarmed'),
(8,5,204,'Defense'),
(8,5,227,'Staves'),
(8,5,522,'SPELLDEFENSE (DND)'),
(8,5,585,'Smite'),
(8,5,669,'Language Orcish'),
(8,5,2050,'Lesser Heal'),
(8,5,2382,'Generic'),
(8,5,2479,'Honorless Target'),
(8,5,3050,'Detect'),
(8,5,3365,'Opening'),
(8,5,5009,'Wands'),
(8,5,5019,'Shoot'),
(8,5,6233,'Closing'),
(8,5,6246,'Closing'),
(8,5,6247,'Opening'),
(8,5,6477,'Opening'),
(8,5,6478,'Opening'),
(8,5,6603,'Attack'),
(8,5,7266,'Duel'),
(8,5,7267,'Grovel'),
(8,5,7341,'Language Troll'),
(8,5,7355,'Stuck'),
(8,5,8386,'Attacking'),
(8,5,9078,'Cloth'),
(8,5,9125,'Generic'),
(8,5,26297,'Berserking'),
(8,5,20555,'Regeneration'),
(8,5,20557,'Beast Slaying'),
(8,5,20558,'Throwing Specialization'),
(8,5,21651,'Opening'),
(8,5,21652,'Closing'),
(8,5,22027,'Remove Insignia'),
(8,5,22810,'Opening - No Text'),
(8,5,26290,'Bow Specialization'),
(8,5,45927,'Summon Friend'),
(8,5,58943,'Da Voodoo Shuffle'),
(8,5,61437,'Opening'),
(8,5,68398,'Opening'),
(8,6,81,'Dodge'),
(8,6,196,'One-Handed Axes'),
(8,6,197,'Two-Handed Axes'),
(8,6,200,'Polearms'),
(8,6,201,'One-Handed Swords'),
(8,6,202,'Two-Handed Swords'),
(8,6,203,'Unarmed'),
(8,6,204,'Defense'),
(8,6,522,'SPELLDEFENSE (DND)'),
(8,6,669,'Language Orcish'),
(8,6,674,'Dual Wield'),
(8,6,750,'Plate Mail'),
(8,6,2382,'Generic'),
(8,6,2479,'Honorless Target'),
(8,6,3050,'Detect'),
(8,6,3127,'Parry'),
(8,6,3275,'Linen Bandage'),
(8,6,3276,'Heavy Linen Bandage'),
(8,6,3277,'Wool Bandage'),
(8,6,3278,'Heavy Wool Bandage'),
(8,6,3365,'Opening'),
(8,6,6233,'Closing'),
(8,6,6246,'Closing'),
(8,6,6247,'Opening'),
(8,6,6477,'Opening'),
(8,6,6478,'Opening'),
(8,6,6603,'Attack'),
(8,6,7266,'Duel'),
(8,6,7267,'Grovel'),
(8,6,7341,'Language Troll'),
(8,6,7355,'Stuck'),
(8,6,7928,'Silk Bandage'),
(8,6,7929,'Heavy Silk Bandage'),
(8,6,7934,'Anti-Venom'),
(8,6,8386,'Attacking'),
(8,6,8737,'Mail'),
(8,6,9077,'Leather'),
(8,6,9078,'Cloth'),
(8,6,9125,'Generic'),
(8,6,10840,'Mageweave Bandage'),
(8,6,10841,'Heavy Mageweave Bandage'),
(8,6,10846,'First Aid'),
(8,6,18629,'Runecloth Bandage'),
(8,6,18630,'Heavy Runecloth Bandage'),
(8,6,20555,'Regeneration'),
(8,6,20557,'Beast Slaying'),
(8,6,20558,'Throwing Specialization'),
(8,6,21651,'Opening'),
(8,6,21652,'Closing'),
(8,6,22027,'Remove Insignia'),
(8,6,22810,'Opening - No Text'),
(8,6,26290,'Bow Specialization'),
(8,6,33391,'Journeyman Riding'),
(8,6,45462,'Plague Strike'),
(8,6,45477,'Icy Touch'),
(8,6,45902,'Blood Strike'),
(8,6,45903,'Offensive State (DND)'),
(8,6,45927,'Summon Friend'),
(8,6,47541,'Death Coil'),
(8,6,48266,'Blood Presence'),
(8,6,49410,'Forceful Deflection'),
(8,6,49576,'Death Grip'),
(8,6,26297,'Berserking'),
(8,6,52665,'Sigil'),
(8,6,58943,'Da Voodoo Shuffle'),
(8,6,59879,'Blood Plague'),
(8,6,59921,'Frost Fever'),
(8,6,61437,'Opening'),
(8,6,61455,'Runic Focus'),
(8,6,68398,'Opening'),
(8,7,81,'Dodge'),
(8,7,107,'Block'),
(8,7,198,'One-Handed Maces'),
(8,7,203,'Unarmed'),
(8,7,204,'Defense'),
(8,7,227,'Staves'),
(8,7,331,'Healing Wave'),
(8,7,403,'Lightning Bolt'),
(8,7,522,'SPELLDEFENSE (DND)'),
(8,7,669,'Language Orcish'),
(8,7,2382,'Generic'),
(8,7,2479,'Honorless Target'),
(8,7,3050,'Detect'),
(8,7,3365,'Opening'),
(8,7,6233,'Closing'),
(8,7,6246,'Closing'),
(8,7,6247,'Opening'),
(8,7,6477,'Opening'),
(8,7,6478,'Opening'),
(8,7,6603,'Attack'),
(8,7,7266,'Duel'),
(8,7,7267,'Grovel'),
(8,7,7341,'Language Troll'),
(8,7,7355,'Stuck'),
(8,7,8386,'Attacking'),
(8,7,9077,'Leather'),
(8,7,9078,'Cloth'),
(8,7,9116,'Shield'),
(8,7,9125,'Generic'),
(8,7,26297,'Berserking'),
(8,7,20555,'Regeneration'),
(8,7,20557,'Beast Slaying'),
(8,7,20558,'Throwing Specialization'),
(8,7,21651,'Opening'),
(8,7,21652,'Closing'),
(8,7,22027,'Remove Insignia'),
(8,7,22810,'Opening - No Text'),
(8,7,26290,'Bow Specialization'),
(8,7,27763,'Totem'),
(8,7,45927,'Summon Friend'),
(8,7,58943,'Da Voodoo Shuffle'),
(8,7,61437,'Opening'),
(8,7,68398,'Opening'),
(8,7,75461,'Flame Shock Passive'),
(8,8,81,'Dodge'),
(8,8,133,'Fireball'),
(8,8,168,'Frost Armor'),
(8,8,203,'Unarmed'),
(8,8,204,'Defense'),
(8,8,227,'Staves'),
(8,8,522,'SPELLDEFENSE (DND)'),
(8,8,669,'Language Orcish'),
(8,8,2382,'Generic'),
(8,8,2479,'Honorless Target'),
(8,8,3050,'Detect'),
(8,8,3365,'Opening'),
(8,8,5009,'Wands'),
(8,8,5019,'Shoot'),
(8,8,6233,'Closing'),
(8,8,6246,'Closing'),
(8,8,6247,'Opening'),
(8,8,6477,'Opening'),
(8,8,6478,'Opening'),
(8,8,6603,'Attack'),
(8,8,7266,'Duel'),
(8,8,7267,'Grovel'),
(8,8,7341,'Language Troll'),
(8,8,7355,'Stuck'),
(8,8,8386,'Attacking'),
(8,8,9078,'Cloth'),
(8,8,9125,'Generic'),
(8,8,26297,'Berserking'),
(8,8,20555,'Regeneration'),
(8,8,20557,'Beast Slaying'),
(8,8,20558,'Throwing Specialization'),
(8,8,21651,'Opening'),
(8,8,21652,'Closing'),
(8,8,22027,'Remove Insignia'),
(8,8,22810,'Opening - No Text'),
(8,8,26290,'Bow Specialization'),
(8,8,45927,'Summon Friend'),
(8,8,58943,'Da Voodoo Shuffle'),
(8,8,61437,'Opening'),
(8,8,68398,'Opening'),
(8,8,71761,'Deep Freeze Immunity State'),
(10,2,81,'Dodge'),
(10,2,107,'Block'),
(10,2,201,'One-Handed Swords'),
(10,2,202,'Two-Handed Swords'),
(10,2,203,'Unarmed'),
(10,2,204,'Defense'),
(10,2,522,'SPELLDEFENSE (DND)'),
(10,2,635,'Holy Light'),
(10,2,669,'Language Orcish'),
(10,2,813,'Language Thalassian'),
(10,2,822,'Magic Resistance'),
(10,2,2382,'Generic'),
(10,2,2479,'Honorless Target'),
(10,2,3050,'Detect'),
(10,2,3365,'Opening'),
(10,2,6233,'Closing'),
(10,2,6246,'Closing'),
(10,2,6247,'Opening'),
(10,2,6477,'Opening'),
(10,2,6478,'Opening'),
(10,2,6603,'Attack'),
(10,2,7266,'Duel'),
(10,2,7267,'Grovel'),
(10,2,7355,'Stuck'),
(10,2,8386,'Attacking'),
(10,2,8737,'Mail'),
(10,2,9077,'Leather'),
(10,2,9078,'Cloth'),
(10,2,9116,'Shield'),
(10,2,9125,'Generic'),
(10,2,20154,'Seal of Righteousness'),
(10,2,21651,'Opening'),
(10,2,21652,'Closing'),
(10,2,22027,'Remove Insignia'),
(10,2,22810,'Opening - No Text'),
(10,2,27762,'Libram'),
(10,2,28730,'Arcane Torrent'),
(10,2,28877,'Arcane Affinity'),
(10,2,68398, 'Opening'),
(10,3,75,'Auto Shot'),
(10,3,81,'Dodge'),
(10,3,197,'Two-Handed Axes'),
(10,3,203,'Unarmed'),
(10,3,204,'Defense'),
(10,3,264,'Bows'),
(10,3,522,'SPELLDEFENSE (DND)'),
(10,3,669,'Language Orcish'),
(10,3,813,'Language Thalassian'),
(10,3,822,'Magic Resistance'),
(10,3,1180,'Daggers'),
(10,3,2382,'Generic'),
(10,3,2479,'Honorless Target'),
(10,3,2973,'Raptor Strike'),
(10,3,3050,'Detect'),
(10,3,3365,'Opening'),
(10,3,6233,'Closing'),
(10,3,6246,'Closing'),
(10,3,6247,'Opening'),
(10,3,6477,'Opening'),
(10,3,6478,'Opening'),
(10,3,6603,'Attack'),
(10,3,7266,'Duel'),
(10,3,7267,'Grovel'),
(10,3,7355,'Stuck'),
(10,3,8386,'Attacking'),
(10,3,9077,'Leather'),
(10,3,9078,'Cloth'),
(10,3,9125,'Generic'),
(10,3,13358,'Defensive State (DND)'),
(10,3,21651,'Opening'),
(10,3,21652,'Closing'),
(10,3,22027,'Remove Insignia'),
(10,3,22810,'Opening - No Text'),
(10,3,24949,'Defensive State 2 (DND)'),
(10,3,28730,'Arcane Torrent'),
(10,3,28877,'Arcane Affinity'),
(10,3,34082,'Advantaged State (DND)'),
(10,3,68398,'Opening'),
(10,4,81,'Dodge'),
(10,4,203,'Unarmed'),
(10,4,204,'Defense'),
(10,4,522,'SPELLDEFENSE (DND)'),
(10,4,669,'Language Orcish'),
(10,4,674,'Dual Wield'),
(10,4,813,'Language Thalassian'),
(10,4,822,'Magic Resistance'),
(10,4,1180,'Daggers'),
(10,4,1752,'Sinister Strike'),
(10,4,2098,'Eviscerate'),
(10,4,2382,'Generic'),
(10,4,2479,'Honorless Target'),
(10,4,2567,'Thrown'),
(10,4,2764,'Throw'),
(10,4,3050,'Detect'),
(10,4,3365,'Opening'),
(10,4,6233,'Closing'),
(10,4,6246,'Closing'),
(10,4,6247,'Opening'),
(10,4,6477,'Opening'),
(10,4,6478,'Opening'),
(10,4,6603,'Attack'),
(10,4,7266,'Duel'),
(10,4,7267,'Grovel'),
(10,4,7355,'Stuck'),
(10,4,8386,'Attacking'),
(10,4,9077,'Leather'),
(10,4,9078,'Cloth'),
(10,4,9125,'Generic'),
(10,4,16092,'Defensive State (DND)'),
(10,4,21184,'Rogue Passive (DND)'),
(10,4,21651,'Opening'),
(10,4,21652,'Closing'),
(10,4,22027,'Remove Insignia'),
(10,4,22810,'Opening - No Text'),
(10,4,25046,'Arcane Torrent'),
(10,4,28877,'Arcane Affinity'),
(10,4,68398,'Opening'),
(10,5,81,'Dodge'),
(10,5,198,'One-Handed Maces'),
(10,5,203,'Unarmed'),
(10,5,204,'Defense'),
(10,5,227,'Staves'),
(10,5,522,'SPELLDEFENSE (DND)'),
(10,5,585,'Smite'),
(10,5,669,'Language Orcish'),
(10,5,813,'Language Thalassian'),
(10,5,822,'Magic Resistance'),
(10,5,2050,'Lesser Heal'),
(10,5,2382,'Generic'),
(10,5,2479,'Honorless Target'),
(10,5,3050,'Detect'),
(10,5,3365,'Opening'),
(10,5,5009,'Wands'),
(10,5,5019,'Shoot'),
(10,5,6233,'Closing'),
(10,5,6246,'Closing'),
(10,5,6247,'Opening'),
(10,5,6477,'Opening'),
(10,5,6478,'Opening'),
(10,5,6603,'Attack'),
(10,5,7266,'Duel'),
(10,5,7267,'Grovel'),
(10,5,7355,'Stuck'),
(10,5,8386,'Attacking'),
(10,5,9078,'Cloth'),
(10,5,9125,'Generic'),
(10,5,21651,'Opening'),
(10,5,21652,'Closing'),
(10,5,22027,'Remove Insignia'),
(10,5,22810,'Opening - No Text'),
(10,5,28730,'Arcane Torrent'),
(10,5,28877,'Arcane Affinity'),
(10,5,68398, 'Opening'),
(10,6,81,'Dodge'),
(10,6,196,'One-Handed Axes'),
(10,6,197,'Two-Handed Axes'),
(10,6,200,'Polearms'),
(10,6,201,'One-Handed Swords'),
(10,6,202,'Two-Handed Swords'),
(10,6,203,'Unarmed'),
(10,6,204,'Defense'),
(10,6,522,'SPELLDEFENSE (DND)'),
(10,6,669,'Language Orcish'),
(10,6,674,'Dual Wield'),
(10,6,750,'Plate Mail'),
(10,6,813,'Language Thalassian'),
(10,6,822,'Magic Resistance'),
(10,6,2382,'Generic'),
(10,6,2479,'Honorless Target'),
(10,6,3050,'Detect'),
(10,6,3127,'Parry'),
(10,6,3275,'Linen Bandage'),
(10,6,3276,'Heavy Linen Bandage'),
(10,6,3277,'Wool Bandage'),
(10,6,3278,'Heavy Wool Bandage'),
(10,6,3365,'Opening'),
(10,6,6233,'Closing'),
(10,6,6246,'Closing'),
(10,6,6247,'Opening'),
(10,6,6477,'Opening'),
(10,6,6478,'Opening'),
(10,6,6603,'Attack'),
(10,6,7266,'Duel'),
(10,6,7267,'Grovel'),
(10,6,7355,'Stuck'),
(10,6,7928,'Silk Bandage'),
(10,6,7929,'Heavy Silk Bandage'),
(10,6,7934,'Anti-Venom'),
(10,6,8386,'Attacking'),
(10,6,8737,'Mail'),
(10,6,9077,'Leather'),
(10,6,9078,'Cloth'),
(10,6,9125,'Generic'),
(10,6,10840,'Mageweave Bandage'),
(10,6,10841,'Heavy Mageweave Bandage'),
(10,6,10846,'First Aid'),
(10,6,18629,'Runecloth Bandage'),
(10,6,18630,'Heavy Runecloth Bandage'),
(10,6,21651,'Opening'),
(10,6,21652,'Closing'),
(10,6,22027,'Remove Insignia'),
(10,6,22810,'Opening - No Text'),
(10,6,28877,'Arcane Affinity'),
(10,6,33391,'Journeyman Riding'),
(10,6,45462,'Plague Strike'),
(10,6,45477,'Icy Touch'),
(10,6,45902,'Blood Strike'),
(10,6,45903,'Offensive State (DND)'),
(10,6,45927,'Summon Friend'),
(10,6,47541,'Death Coil'),
(10,6,48266,'Blood Presence'),
(10,6,49410,'Forceful Deflection'),
(10,6,49576,'Death Grip'),
(10,6,50613,'Arcane Torrent'),
(10,6,52665,'Sigil'),
(10,6,59879,'Blood Plague'),
(10,6,59921,'Frost Fever'),
(10,6,61437,'Opening'),
(10,6,61455,'Runic Focus'),
(10,6,68398,'Opening'),
(10,8,81,'Dodge'),
(10,8,133,'Fireball'),
(10,8,168,'Frost Armor'),
(10,8,203,'Unarmed'),
(10,8,204,'Defense'),
(10,8,227,'Staves'),
(10,8,522,'SPELLDEFENSE (DND)'),
(10,8,669,'Language Orcish'),
(10,8,813,'Language Thalassian'),
(10,8,822,'Magic Resistance'),
(10,8,2382,'Generic'),
(10,8,2479,'Honorless Target'),
(10,8,3050,'Detect'),
(10,8,3365,'Opening'),
(10,8,5009,'Wands'),
(10,8,5019,'Shoot'),
(10,8,6233,'Closing'),
(10,8,6246,'Closing'),
(10,8,6247,'Opening'),
(10,8,6477,'Opening'),
(10,8,6478,'Opening'),
(10,8,6603,'Attack'),
(10,8,7266,'Duel'),
(10,8,7267,'Grovel'),
(10,8,7355,'Stuck'),
(10,8,8386,'Attacking'),
(10,8,9078,'Cloth'),
(10,8,9125,'Generic'),
(10,8,21651,'Opening'),
(10,8,21652,'Closing'),
(10,8,22027,'Remove Insignia'),
(10,8,22810,'Opening - No Text'),
(10,8,28730,'Arcane Torrent'),
(10,8,28877,'Arcane Affinity'),
(10,8,68398,'Opening'),
(10,9,81,'Dodge'),
(10,9,203,'Unarmed'),
(10,9,204,'Defense'),
(10,9,227,'Staves'),
(10,9,522,'SPELLDEFENSE (DND)'),
(10,9,669,'Language Orcish'),
(10,9,686,'Shadow Bolt'),
(10,9,687,'Demon Skin'),
(10,9,813,'Language Thalassian'),
(10,9,822,'Magic Resistance'),
(10,9,1180,'Daggers'),
(10,9,2382,'Generic'),
(10,9,2479,'Honorless Target'),
(10,9,3050,'Detect'),
(10,9,3365,'Opening'),
(10,9,5009,'Wands'),
(10,9,5019,'Shoot'),
(10,9,6233,'Closing'),
(10,9,6246,'Closing'),
(10,9,6247,'Opening'),
(10,9,6477,'Opening'),
(10,9,6478,'Opening'),
(10,9,6603,'Attack'),
(10,9,7266,'Duel'),
(10,9,7267,'Grovel'),
(10,9,7355,'Stuck'),
(10,9,8386,'Attacking'),
(10,9,9078,'Cloth'),
(10,9,9125,'Generic'),
(10,9,18822,'Improved Enslave Demon'),
(10,9,21651,'Opening'),
(10,9,21652,'Closing'),
(10,9,22027,'Remove Insignia'),
(10,9,22810,'Opening - No Text'),
(10,9,28730,'Arcane Torrent'),
(10,9,28877,'Arcane Affinity'),
(10,9,58284,'Chaos Bolt Passive'),
(10,9,68398,'Opening'),
(10,9,75445,'Demonic Immolate'),
(11,1,78,'Heroic Strike'),
(11,1,81,'Dodge'),
(11,1,107,'Block'),
(11,1,198,'One-Handed Maces'),
(11,1,201,'One-Handed Swords'),
(11,1,202,'Two-Handed Swords'),
(11,1,203,'Unarmed'),
(11,1,204,'Defense'),
(11,1,522,'SPELLDEFENSE (DND)'),
(11,1,668,'Language Common'),
(11,1,2382,'Generic'),
(11,1,2457,'Battle Stance'),
(11,1,2479,'Honorless Target'),
(11,1,3050,'Detect'),
(11,1,3365,'Opening'),
(11,1,5301,'Defensive State (DND)'),
(11,1,6233,'Closing'),
(11,1,6246,'Closing'),
(11,1,6247,'Opening'),
(11,1,6477,'Opening'),
(11,1,6478,'Opening'),
(11,1,6562,'Heroic Presence'),
(11,1,6603,'Attack'),
(11,1,7266,'Duel'),
(11,1,7267,'Grovel'),
(11,1,7355,'Stuck'),
(11,1,8386,'Attacking'),
(11,1,8737,'Mail'),
(11,1,9077,'Leather'),
(11,1,9078,'Cloth'),
(11,1,9116,'Shield'),
(11,1,9125,'Generic'),
(11,1,21651,'Opening'),
(11,1,21652,'Closing'),
(11,1,22027,'Remove Insignia'),
(11,1,22810,'Opening - No Text'),
(11,1,28875,'Gemcutting'),
(11,1,28880,'Gift of the Naaru'),
(11,1,29932,'Language Draenei'),
(11,1,32215,'Victorious State'),
(11,1,45927,'Summon Friend'),
(11,1,59221,'Shadow Resistance'),
(11,1,61437,'Opening'),
(11,1,68398,'Opening'),
(11,2,81,'Dodge'),
(11,2,107,'Block'),
(11,2,198,'One-Handed Maces'),
(11,2,199,'Two-Handed Maces'),
(11,2,203,'Unarmed'),
(11,2,204,'Defense'),
(11,2,522,'SPELLDEFENSE (DND)'),
(11,2,635,'Holy Light'),
(11,2,668,'Language Common'),
(11,2,2382,'Generic'),
(11,2,2479,'Honorless Target'),
(11,2,3050,'Detect'),
(11,2,3365,'Opening'),
(11,2,6233,'Closing'),
(11,2,6246,'Closing'),
(11,2,6247,'Opening'),
(11,2,6477,'Opening'),
(11,2,6478,'Opening'),
(11,2,6562,'Heroic Presence'),
(11,2,6603,'Attack'),
(11,2,7266,'Duel'),
(11,2,7267,'Grovel'),
(11,2,7355,'Stuck'),
(11,2,8386,'Attacking'),
(11,2,8737,'Mail'),
(11,2,9077,'Leather'),
(11,2,9078,'Cloth'),
(11,2,9116,'Shield'),
(11,2,9125,'Generic'),
(11,2,20154,'Seal of Righteousness'),
(11,2,21651,'Opening'),
(11,2,21652,'Closing'),
(11,2,22027,'Remove Insignia'),
(11,2,22810,'Opening - No Text'),
(11,2,27762,'Libram'),
(11,2,28875,'Gemcutting'),
(11,2,29932,'Language Draenei'),
(11,2,45927,'Summon Friend'),
(11,2,59221,'Shadow Resistance'),
(11,2,59542,'Gift of the Naaru'),
(11,2,61437,'Opening'),
(11,2,68398,'Opening'),
(11,3,75,'Auto Shot'),
(11,3,81,'Dodge'),
(11,3,197,'Two-Handed Axes'),
(11,3,201,'One-Handed Swords'),
(11,3,203,'Unarmed'),
(11,3,204,'Defense'),
(11,3,522,'SPELLDEFENSE (DND)'),
(11,3,668,'Language Common'),
(11,3,2382,'Generic'),
(11,3,2479,'Honorless Target'),
(11,3,2973,'Raptor Strike'),
(11,3,3050,'Detect'),
(11,3,3365,'Opening'),
(11,3,5011,'Crossbows'),
(11,3,6233,'Closing'),
(11,3,6246,'Closing'),
(11,3,6247,'Opening'),
(11,3,6477,'Opening'),
(11,3,6478,'Opening'),
(11,3,6562,'Heroic Presence'),
(11,3,6603,'Attack'),
(11,3,7266,'Duel'),
(11,3,7267,'Grovel'),
(11,3,7355,'Stuck'),
(11,3,8386,'Attacking'),
(11,3,9077,'Leather'),
(11,3,9078,'Cloth'),
(11,3,9125,'Generic'),
(11,3,13358,'Defensive State (DND)'),
(11,3,21651,'Opening'),
(11,3,21652,'Closing'),
(11,3,22027,'Remove Insignia'),
(11,3,22810,'Opening - No Text'),
(11,3,24949,'Defensive State 2 (DND)'),
(11,3,28875,'Gemcutting'),
(11,3,29932,'Language Draenei'),
(11,3,34082,'Advantaged State (DND)'),
(11,3,45927,'Summon Friend'),
(11,3,59221,'Shadow Resistance'),
(11,3,59543,'Gift of the Naaru'),
(11,3,61437,'Opening'),
(11,3,68398,'Opening'),
(11,5,81,'Dodge'),
(11,5,198,'One-Handed Maces'),
(11,5,203,'Unarmed'),
(11,5,204,'Defense'),
(11,5,227,'Staves'),
(11,5,522,'SPELLDEFENSE (DND)'),
(11,5,585,'Smite'),
(11,5,668,'Language Common'),
(11,5,2050,'Lesser Heal'),
(11,5,2382,'Generic'),
(11,5,2479,'Honorless Target'),
(11,5,3050,'Detect'),
(11,5,3365,'Opening'),
(11,5,5009,'Wands'),
(11,5,5019,'Shoot'),
(11,5,6233,'Closing'),
(11,5,6246,'Closing'),
(11,5,6247,'Opening'),
(11,5,6477,'Opening'),
(11,5,6478,'Opening'),
(11,5,6603,'Attack'),
(11,5,7266,'Duel'),
(11,5,7267,'Grovel'),
(11,5,7355,'Stuck'),
(11,5,8386,'Attacking'),
(11,5,9078,'Cloth'),
(11,5,9125,'Generic'),
(11,5,21651,'Opening'),
(11,5,21652,'Closing'),
(11,5,22027,'Remove Insignia'),
(11,5,22810,'Opening - No Text'),
(11,5,28875,'Gemcutting'),
(11,5,28878,'Inspiring Presence'),
(11,5,29932,'Language Draenei'),
(11,5,45927,'Summon Friend'),
(11,5,59221,'Shadow Resistance'),
(11,5,59544,'Gift of the Naaru'),
(11,5,61437,'Opening'),
(11,5,68398,'Opening'),
(11,6,81,'Dodge'),
(11,6,196,'One-Handed Axes'),
(11,6,197,'Two-Handed Axes'),
(11,6,200,'Polearms'),
(11,6,201,'One-Handed Swords'),
(11,6,202,'Two-Handed Swords'),
(11,6,203,'Unarmed'),
(11,6,204,'Defense'),
(11,6,522,'SPELLDEFENSE (DND)'),
(11,6,668,'Language Common'),
(11,6,674,'Dual Wield'),
(11,6,750,'Plate Mail'),
(11,6,2382,'Generic'),
(11,6,2479,'Honorless Target'),
(11,6,3050,'Detect'),
(11,6,3127,'Parry'),
(11,6,3275,'Linen Bandage'),
(11,6,3276,'Heavy Linen Bandage'),
(11,6,3277,'Wool Bandage'),
(11,6,3278,'Heavy Wool Bandage'),
(11,6,3365,'Opening'),
(11,6,6233,'Closing'),
(11,6,6246,'Closing'),
(11,6,6247,'Opening'),
(11,6,6477,'Opening'),
(11,6,6478,'Opening'),
(11,6,6562,'Heroic Presence'),
(11,6,6603,'Attack'),
(11,6,7266,'Duel'),
(11,6,7267,'Grovel'),
(11,6,7355,'Stuck'),
(11,6,7928,'Silk Bandage'),
(11,6,7929,'Heavy Silk Bandage'),
(11,6,7934,'Anti-Venom'),
(11,6,8386,'Attacking'),
(11,6,8737,'Mail'),
(11,6,9077,'Leather'),
(11,6,9078,'Cloth'),
(11,6,9125,'Generic'),
(11,6,10840,'Mageweave Bandage'),
(11,6,10841,'Heavy Mageweave Bandage'),
(11,6,10846,'First Aid'),
(11,6,18629,'Runecloth Bandage'),
(11,6,18630,'Heavy Runecloth Bandage'),
(11,6,21651,'Opening'),
(11,6,21652,'Closing'),
(11,6,22027,'Remove Insignia'),
(11,6,22810,'Opening - No Text'),
(11,6,28875,'Gemcutting'),
(11,6,29932,'Language Draenei'),
(11,6,33391,'Journeyman Riding'),
(11,6,45462,'Plague Strike'),
(11,6,45477,'Icy Touch'),
(11,6,45902,'Blood Strike'),
(11,6,45903,'Offensive State (DND)'),
(11,6,45927,'Summon Friend'),
(11,6,47541,'Death Coil'),
(11,6,48266,'Blood Presence'),
(11,6,49410,'Forceful Deflection'),
(11,6,49576,'Death Grip'),
(11,6,52665,'Sigil'),
(11,6,59221,'Shadow Resistance'),
(11,6,59539,'Shadow Resistance'),
(11,6,59545,'Gift of the Naaru'),
(11,6,59879,'Blood Plague'),
(11,6,59921,'Frost Fever'),
(11,6,61437,'Opening'),
(11,6,61455,'Runic Focus'),
(11,6,68398,'Opening'),
(11,7,81,'Dodge'),
(11,7,107,'Block'),
(11,7,198,'One-Handed Maces'),
(11,7,203,'Unarmed'),
(11,7,204,'Defense'),
(11,7,227,'Staves'),
(11,7,331,'Healing Wave'),
(11,7,403,'Lightning Bolt'),
(11,7,522,'SPELLDEFENSE (DND)'),
(11,7,668,'Language Common'),
(11,7,2382,'Generic'),
(11,7,2479,'Honorless Target'),
(11,7,3050,'Detect'),
(11,7,3365,'Opening'),
(11,7,6233,'Closing'),
(11,7,6246,'Closing'),
(11,7,6247,'Opening'),
(11,7,6477,'Opening'),
(11,7,6478,'Opening'),
(11,7,6603,'Attack'),
(11,7,7266,'Duel'),
(11,7,7267,'Grovel'),
(11,7,7355,'Stuck'),
(11,7,8386,'Attacking'),
(11,7,9077,'Leather'),
(11,7,9078,'Cloth'),
(11,7,9116,'Shield'),
(11,7,9125,'Generic'),
(11,7,21651,'Opening'),
(11,7,21652,'Closing'),
(11,7,22027,'Remove Insignia'),
(11,7,22810,'Opening - No Text'),
(11,7,27763,'Totem'),
(11,7,28875,'Gemcutting'),
(11,7,28878,'Inspiring Presence'),
(11,7,29932,'Language Draenei'),
(11,7,45927,'Summon Friend'),
(11,7,59221,'Shadow Resistance'),
(11,7,59547,'Gift of the Naaru'),
(11,7,61437,'Opening'),
(11,7,68398,'Opening'),
(11,7,75461,'Flame Shock Passive'),
(11,8,81,'Dodge'),
(11,8,133,'Fireball'),
(11,8,168,'Frost Armor'),
(11,8,203,'Unarmed'),
(11,8,204,'Defense'),
(11,8,227,'Staves'),
(11,8,522,'SPELLDEFENSE (DND)'),
(11,8,668,'Language Common'),
(11,8,2382,'Generic'),
(11,8,2479,'Honorless Target'),
(11,8,3050,'Detect'),
(11,8,3365,'Opening'),
(11,8,5009,'Wands'),
(11,8,5019,'Shoot'),
(11,8,6233,'Closing'),
(11,8,6246,'Closing'),
(11,8,6247,'Opening'),
(11,8,6477,'Opening'),
(11,8,6478,'Opening'),
(11,8,6603,'Attack'),
(11,8,7266,'Duel'),
(11,8,7267,'Grovel'),
(11,8,7355,'Stuck'),
(11,8,8386,'Attacking'),
(11,8,9078,'Cloth'),
(11,8,9125,'Generic'),
(11,8,21651,'Opening'),
(11,8,21652,'Closing'),
(11,8,22027,'Remove Insignia'),
(11,8,22810,'Opening - No Text'),
(11,8,28875,'Gemcutting'),
(11,8,28878,'Inspiring Presence'),
(11,8,29932,'Language Draenei'),
(11,8,45927,'Summon Friend'),
(11,8,59221,'Shadow Resistance'),
(11,8,59548,'Gift of the Naaru'),
(11,8,61437,'Opening'),
(11,8,68398,'Opening'),
(11,8,71761,'Deep Freeze Immunity State');
/*!40000 ALTER TABLE `playercreateinfo_spell` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `points_of_interest`
--

DROP TABLE IF EXISTS `points_of_interest`;
CREATE TABLE `points_of_interest` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `icon` mediumint(8) unsigned NOT NULL default '0',
  `flags` mediumint(8) unsigned NOT NULL default '0',
  `data` mediumint(8) unsigned NOT NULL default '0',
  `icon_name` text NOT NULL,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `points_of_interest`
--

LOCK TABLES `points_of_interest` WRITE;
/*!40000 ALTER TABLE `points_of_interest` DISABLE KEYS */;
/*!40000 ALTER TABLE `points_of_interest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pool_creature`
--

DROP TABLE IF EXISTS `pool_creature`;
CREATE TABLE `pool_creature` (
  `guid` int(10) unsigned NOT NULL default '0',
  `pool_entry` mediumint(8) unsigned NOT NULL default '0',
  `chance` float unsigned NOT NULL default '0',
  `description` varchar(255) NOT NULL,
  PRIMARY KEY  (`guid`),
  INDEX `pool_idx` (pool_entry)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pool_creature`
--

LOCK TABLES `pool_creature` WRITE;
/*!40000 ALTER TABLE `pool_creature` DISABLE KEYS */;
/*!40000 ALTER TABLE `pool_creature` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pool_creature_template`
--

DROP TABLE IF EXISTS `pool_creature_template`;
CREATE TABLE `pool_creature_template` (
  `id` int(10) unsigned NOT NULL default '0',
  `pool_entry` mediumint(8) unsigned NOT NULL default '0',
  `chance` float unsigned NOT NULL default '0',
  `description` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  INDEX `pool_idx` (pool_entry)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pool_creature_template`
--

LOCK TABLES `pool_creature_template` WRITE;
/*!40000 ALTER TABLE `pool_creature_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `pool_creature_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pool_gameobject`
--

DROP TABLE IF EXISTS `pool_gameobject`;
CREATE TABLE `pool_gameobject` (
  `guid` int(10) unsigned NOT NULL default '0',
  `pool_entry` mediumint(8) unsigned NOT NULL default '0',
  `chance` float unsigned NOT NULL default '0',
  `description` varchar(255) NOT NULL,
  PRIMARY KEY  (`guid`),
  INDEX `pool_idx` (pool_entry)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pool_gameobject`
--

LOCK TABLES `pool_gameobject` WRITE;
/*!40000 ALTER TABLE `pool_gameobject` DISABLE KEYS */;
/*!40000 ALTER TABLE `pool_gameobject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pool_gameobject_template`
--

DROP TABLE IF EXISTS `pool_gameobject_template`;
CREATE TABLE `pool_gameobject_template` (
  `id` int(10) unsigned NOT NULL default '0',
  `pool_entry` mediumint(8) unsigned NOT NULL default '0',
  `chance` float unsigned NOT NULL default '0',
  `description` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  INDEX `pool_idx` (pool_entry)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pool_gameobject_template`
--

LOCK TABLES `pool_gameobject_template` WRITE;
/*!40000 ALTER TABLE `pool_gameobject_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `pool_gameobject_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pool_pool`
--

DROP TABLE IF EXISTS `pool_pool`;
CREATE TABLE `pool_pool` (
  `pool_id` mediumint(8) unsigned NOT NULL default '0',
  `mother_pool` mediumint(8) unsigned NOT NULL default '0',
  `chance` float NOT NULL default '0',
  `description` varchar(255) NOT NULL,
  PRIMARY KEY  (pool_id),
  INDEX pool_idx (mother_pool)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pool_pool`
--

LOCK TABLES `pool_pool` WRITE;
/*!40000 ALTER TABLE `pool_pool` DISABLE KEYS */;
/*!40000 ALTER TABLE `pool_pool` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pool_template`
--

DROP TABLE IF EXISTS `pool_template`;
CREATE TABLE `pool_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Pool entry',
  `max_limit` int(10) unsigned NOT NULL default '0' COMMENT 'Max number of objects (0) is no limit',
  `description` varchar(255) NOT NULL,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pool_template`
--

LOCK TABLES `pool_template` WRITE;
/*!40000 ALTER TABLE `pool_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `pool_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prospecting_loot_template`
--

DROP TABLE IF EXISTS `prospecting_loot_template`;
CREATE TABLE `prospecting_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `prospecting_loot_template`
--

LOCK TABLES `prospecting_loot_template` WRITE;
/*!40000 ALTER TABLE `prospecting_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `prospecting_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quest_end_scripts`
--

DROP TABLE IF EXISTS `quest_end_scripts`;
CREATE TABLE `quest_end_scripts` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `delay` int(10) unsigned NOT NULL default '0',
  `command` mediumint(8) unsigned NOT NULL default '0',
  `datalong` mediumint(8) unsigned NOT NULL default '0',
  `datalong2` int(10) unsigned NOT NULL default '0',
  `buddy_entry` int(10) unsigned NOT NULL default '0',
  `search_radius` int(10) unsigned NOT NULL default '0',
  `data_flags` tinyint(3) unsigned NOT NULL default '0',
  `dataint` int(11) NOT NULL default '0',
  `dataint2` int(11) NOT NULL default '0',
  `dataint3` int(11) NOT NULL default '0',
  `dataint4` int(11) NOT NULL default '0',
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0',
  `comments` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `quest_end_scripts`
--

LOCK TABLES `quest_end_scripts` WRITE;
/*!40000 ALTER TABLE `quest_end_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `quest_end_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quest_poi`
--

DROP TABLE IF EXISTS `quest_poi`;
CREATE TABLE `quest_poi` (
  `questId` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `poiId` tinyint(3) NOT NULL DEFAULT '0',
  `objIndex` int(11) NOT NULL DEFAULT '0',
  `mapId` int(11) unsigned NOT NULL DEFAULT '0',
  `mapAreaId` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `floorId` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `unk3` int(11) unsigned NOT NULL DEFAULT '0',
  `unk4` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`questId`,`poiId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `quest_poi`
--

LOCK TABLES `quest_poi` WRITE;
/*!40000 ALTER TABLE `quest_poi` DISABLE KEYS */;
/*!40000 ALTER TABLE `quest_poi` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quest_poi_points`
--

DROP TABLE IF EXISTS `quest_poi_points`;
CREATE TABLE `quest_poi_points` (
  `questId` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `poiId` tinyint(3) NOT NULL DEFAULT '0',
  `x` int(11) NOT NULL DEFAULT '0',
  `y` int(11) NOT NULL DEFAULT '0',
  KEY `idx_poip` (`questId`,`poiId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `quest_poi_points`
--

LOCK TABLES `quest_poi_points` WRITE;
/*!40000 ALTER TABLE `quest_poi_points` DISABLE KEYS */;
/*!40000 ALTER TABLE `quest_poi_points` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quest_start_scripts`
--

DROP TABLE IF EXISTS `quest_start_scripts`;
CREATE TABLE `quest_start_scripts` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `delay` int(10) unsigned NOT NULL default '0',
  `command` mediumint(8) unsigned NOT NULL default '0',
  `datalong` mediumint(8) unsigned NOT NULL default '0',
  `datalong2` int(10) unsigned NOT NULL default '0',
  `datalong3` int(10) unsigned NOT NULL default '0',
  `datalong4` int(10) unsigned NOT NULL default '0',
  `data_flags` tinyint(3) unsigned NOT NULL default '0',
  `dataint` int(11) NOT NULL default '0',
  `dataint2` int(11) NOT NULL default '0',
  `buddy_entry` int(11) NOT NULL default '0',
  `search_radius` int(11) NOT NULL default '0',
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0',
  `comments` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `quest_start_scripts`
--

LOCK TABLES `quest_start_scripts` WRITE;
/*!40000 ALTER TABLE `quest_start_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `quest_start_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quest_template`
--

DROP TABLE IF EXISTS `quest_template`;
CREATE TABLE `quest_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `Method` tinyint(3) unsigned NOT NULL default '2',
  `ZoneOrSort` smallint(6) NOT NULL default '0',
  `MinLevel` tinyint(3) unsigned NOT NULL default '0',
  `QuestLevel` smallint(6) NOT NULL default '0',
  `Type` smallint(5) unsigned NOT NULL default '0',
  `RequiredClasses` smallint(5) unsigned NOT NULL default '0',
  `RequiredRaces` smallint(5) unsigned NOT NULL default '0',
  `RequiredSkill` smallint(5) unsigned NOT NULL default '0',
  `RequiredSkillValue` smallint(5) unsigned NOT NULL default '0',
  `RepObjectiveFaction` smallint(5) unsigned NOT NULL default '0',
  `RepObjectiveValue` mediumint(9) NOT NULL default '0',
  `RequiredMinRepFaction` smallint(5) unsigned NOT NULL default '0',
  `RequiredMinRepValue` mediumint(9) NOT NULL default '0',
  `RequiredMaxRepFaction` smallint(5) unsigned NOT NULL default '0',
  `RequiredMaxRepValue` mediumint(9) NOT NULL default '0',
  `SuggestedPlayers` tinyint(3) unsigned NOT NULL default '0',
  `LimitTime` int(10) unsigned NOT NULL default '0',
  `QuestFlags` mediumint(8) unsigned NOT NULL default '0',
  `SpecialFlags` tinyint(3) unsigned NOT NULL default '0',
  `CharTitleId` tinyint(3) unsigned NOT NULL default '0',
  `PlayersSlain` tinyint(3) unsigned NOT NULL default '0',
  `BonusTalents` tinyint(3) unsigned NOT NULL default '0',
  `PrevQuestId` mediumint(9) NOT NULL default '0',
  `NextQuestId` mediumint(9) NOT NULL default '0',
  `ExclusiveGroup` mediumint(9) NOT NULL default '0',
  `NextQuestInChain` mediumint(8) unsigned NOT NULL default '0',
  `RewXPId` tinyint(3) unsigned NOT NULL default '0',
  `SrcItemId` mediumint(8) unsigned NOT NULL default '0',
  `SrcItemCount` tinyint(3) unsigned NOT NULL default '0',
  `SrcSpell` mediumint(8) unsigned NOT NULL default '0',
  `Title` text,
  `Details` text,
  `Objectives` text,
  `OfferRewardText` text,
  `RequestItemsText` text,
  `EndText` text,
  `CompletedText` text,
  `ObjectiveText1` text,
  `ObjectiveText2` text,
  `ObjectiveText3` text,
  `ObjectiveText4` text,
  `ReqItemId1` mediumint(8) unsigned NOT NULL default '0',
  `ReqItemId2` mediumint(8) unsigned NOT NULL default '0',
  `ReqItemId3` mediumint(8) unsigned NOT NULL default '0',
  `ReqItemId4` mediumint(8) unsigned NOT NULL default '0',
  `ReqItemId5` mediumint(8) unsigned NOT NULL default '0',
  `ReqItemId6` mediumint(8) unsigned NOT NULL default '0',
  `ReqItemCount1` smallint(5) unsigned NOT NULL default '0',
  `ReqItemCount2` smallint(5) unsigned NOT NULL default '0',
  `ReqItemCount3` smallint(5) unsigned NOT NULL default '0',
  `ReqItemCount4` smallint(5) unsigned NOT NULL default '0',
  `ReqItemCount5` smallint(5) unsigned NOT NULL default '0',
  `ReqItemCount6` smallint(5) unsigned NOT NULL default '0',
  `ReqSourceId1` mediumint(8) unsigned NOT NULL default '0',
  `ReqSourceId2` mediumint(8) unsigned NOT NULL default '0',
  `ReqSourceId3` mediumint(8) unsigned NOT NULL default '0',
  `ReqSourceId4` mediumint(8) unsigned NOT NULL default '0',
  `ReqSourceCount1` smallint(5) unsigned NOT NULL default '0',
  `ReqSourceCount2` smallint(5) unsigned NOT NULL default '0',
  `ReqSourceCount3` smallint(5) unsigned NOT NULL default '0',
  `ReqSourceCount4` smallint(5) unsigned NOT NULL default '0',
  `ReqCreatureOrGOId1` mediumint(9) NOT NULL default '0',
  `ReqCreatureOrGOId2` mediumint(9) NOT NULL default '0',
  `ReqCreatureOrGOId3` mediumint(9) NOT NULL default '0',
  `ReqCreatureOrGOId4` mediumint(9) NOT NULL default '0',
  `ReqCreatureOrGOCount1` smallint(5) unsigned NOT NULL default '0',
  `ReqCreatureOrGOCount2` smallint(5) unsigned NOT NULL default '0',
  `ReqCreatureOrGOCount3` smallint(5) unsigned NOT NULL default '0',
  `ReqCreatureOrGOCount4` smallint(5) unsigned NOT NULL default '0',
  `ReqSpellCast1` mediumint(8) unsigned NOT NULL default '0',
  `ReqSpellCast2` mediumint(8) unsigned NOT NULL default '0',
  `ReqSpellCast3` mediumint(8) unsigned NOT NULL default '0',
  `ReqSpellCast4` mediumint(8) unsigned NOT NULL default '0',
  `RewChoiceItemId1` mediumint(8) unsigned NOT NULL default '0',
  `RewChoiceItemId2` mediumint(8) unsigned NOT NULL default '0',
  `RewChoiceItemId3` mediumint(8) unsigned NOT NULL default '0',
  `RewChoiceItemId4` mediumint(8) unsigned NOT NULL default '0',
  `RewChoiceItemId5` mediumint(8) unsigned NOT NULL default '0',
  `RewChoiceItemId6` mediumint(8) unsigned NOT NULL default '0',
  `RewChoiceItemCount1` smallint(5) unsigned NOT NULL default '0',
  `RewChoiceItemCount2` smallint(5) unsigned NOT NULL default '0',
  `RewChoiceItemCount3` smallint(5) unsigned NOT NULL default '0',
  `RewChoiceItemCount4` smallint(5) unsigned NOT NULL default '0',
  `RewChoiceItemCount5` smallint(5) unsigned NOT NULL default '0',
  `RewChoiceItemCount6` smallint(5) unsigned NOT NULL default '0',
  `RewItemId1` mediumint(8) unsigned NOT NULL default '0',
  `RewItemId2` mediumint(8) unsigned NOT NULL default '0',
  `RewItemId3` mediumint(8) unsigned NOT NULL default '0',
  `RewItemId4` mediumint(8) unsigned NOT NULL default '0',
  `RewItemCount1` smallint(5) unsigned NOT NULL default '0',
  `RewItemCount2` smallint(5) unsigned NOT NULL default '0',
  `RewItemCount3` smallint(5) unsigned NOT NULL default '0',
  `RewItemCount4` smallint(5) unsigned NOT NULL default '0',
  `RewRepFaction1` smallint(5) unsigned NOT NULL default '0' COMMENT 'faction id from Faction.dbc in this case',
  `RewRepFaction2` smallint(5) unsigned NOT NULL default '0' COMMENT 'faction id from Faction.dbc in this case',
  `RewRepFaction3` smallint(5) unsigned NOT NULL default '0' COMMENT 'faction id from Faction.dbc in this case',
  `RewRepFaction4` smallint(5) unsigned NOT NULL default '0' COMMENT 'faction id from Faction.dbc in this case',
  `RewRepFaction5` smallint(5) unsigned NOT NULL default '0' COMMENT 'faction id from Faction.dbc in this case',
  `RewRepValueId1` tinyint(3) NOT NULL default '0',
  `RewRepValueId2` tinyint(3) NOT NULL default '0',
  `RewRepValueId3` tinyint(3) NOT NULL default '0',
  `RewRepValueId4` tinyint(3) NOT NULL default '0',
  `RewRepValueId5` tinyint(3) NOT NULL default '0',
  `RewRepValue1` mediumint(9) NOT NULL default '0',
  `RewRepValue2` mediumint(9) NOT NULL default '0',
  `RewRepValue3` mediumint(9) NOT NULL default '0',
  `RewRepValue4` mediumint(9) NOT NULL default '0',
  `RewRepValue5` mediumint(9) NOT NULL default '0',
  `RewHonorAddition` int unsigned NOT NULL default '0',
  `RewHonorMultiplier` float NOT NULL default '0',
  `RewOrReqMoney` int(11) NOT NULL default '0',
  `RewMoneyMaxLevel` int(10) unsigned NOT NULL default '0',
  `RewSpell` mediumint(8) unsigned NOT NULL default '0',
  `RewSpellCast` mediumint(8) unsigned NOT NULL default '0',
  `RewMailTemplateId` mediumint(8) unsigned NOT NULL default '0',
  `RewMailDelaySecs` int(11) unsigned NOT NULL default '0',
  `PointMapId` smallint(5) unsigned NOT NULL default '0',
  `PointX` float NOT NULL default '0',
  `PointY` float NOT NULL default '0',
  `PointOpt` mediumint(8) unsigned NOT NULL default '0',
  `DetailsEmote1` smallint(5) unsigned NOT NULL default '0',
  `DetailsEmote2` smallint(5) unsigned NOT NULL default '0',
  `DetailsEmote3` smallint(5) unsigned NOT NULL default '0',
  `DetailsEmote4` smallint(5) unsigned NOT NULL default '0',
  `DetailsEmoteDelay1` int(11) unsigned NOT NULL default '0',
  `DetailsEmoteDelay2` int(11) unsigned NOT NULL default '0',
  `DetailsEmoteDelay3` int(11) unsigned NOT NULL default '0',
  `DetailsEmoteDelay4` int(11) unsigned NOT NULL default '0',
  `IncompleteEmote` smallint(5) unsigned NOT NULL default '0',
  `CompleteEmote` smallint(5) unsigned NOT NULL default '0',
  `OfferRewardEmote1` smallint(5) unsigned NOT NULL default '0',
  `OfferRewardEmote2` smallint(5) unsigned NOT NULL default '0',
  `OfferRewardEmote3` smallint(5) unsigned NOT NULL default '0',
  `OfferRewardEmote4` smallint(5) unsigned NOT NULL default '0',
  `OfferRewardEmoteDelay1` int(11) unsigned NOT NULL default '0',
  `OfferRewardEmoteDelay2` int(11) unsigned NOT NULL default '0',
  `OfferRewardEmoteDelay3` int(11) unsigned NOT NULL default '0',
  `OfferRewardEmoteDelay4` int(11) unsigned NOT NULL default '0',
  `StartScript` mediumint(8) unsigned NOT NULL default '0',
  `CompleteScript` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Quest System';

--
-- Dumping data for table `quest_template`
--

LOCK TABLES `quest_template` WRITE;
/*!40000 ALTER TABLE `quest_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `quest_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reference_loot_template`
--

DROP TABLE IF EXISTS `reference_loot_template`;
CREATE TABLE `reference_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `reference_loot_template`
--

LOCK TABLES `reference_loot_template` WRITE;
/*!40000 ALTER TABLE `reference_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `reference_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reputation_reward_rate`
--

DROP TABLE IF EXISTS `reputation_reward_rate`;
CREATE TABLE `reputation_reward_rate` (
  `faction` mediumint(8) unsigned NOT NULL default '0',
  `quest_rate` float NOT NULL default '1',
  `creature_rate` float NOT NULL default '1',
  `spell_rate` float NOT NULL default '1',
  PRIMARY KEY  (`faction`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `reputation_reward_rate`
--

LOCK TABLES `reputation_reward_rate` WRITE;
/*!40000 ALTER TABLE `reputation_reward_rate` DISABLE KEYS */;
/*!40000 ALTER TABLE `reputation_reward_rate` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reputation_spillover_template`
--

DROP TABLE IF EXISTS `reputation_spillover_template`;
CREATE TABLE `reputation_spillover_template` (
  `faction` smallint(6) unsigned NOT NULL default '0' COMMENT 'faction entry',
  `faction1` smallint(6) unsigned NOT NULL default '0' COMMENT 'faction to give spillover for',
  `rate_1` float NOT NULL default '0' COMMENT 'the given rep points * rate',
  `rank_1` tinyint(3) unsigned NOT NULL default '0' COMMENT 'max rank, above this will not give any spillover',
  `faction2` smallint(6) unsigned NOT NULL default '0',
  `rate_2` float NOT NULL default '0',
  `rank_2` tinyint(3) unsigned NOT NULL default '0',
  `faction3` smallint(6) unsigned NOT NULL default '0',
  `rate_3` float NOT NULL default '0',
  `rank_3` tinyint(3) unsigned NOT NULL default '0',
  `faction4` smallint(6) unsigned NOT NULL default '0',
  `rate_4` float NOT NULL default '0',
  `rank_4` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`faction`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Reputation spillover reputation gain';

--
-- Dumping data for table `reputation_spillover_template`
--

LOCK TABLES `reputation_spillover_template` WRITE;
/*!40000 ALTER TABLE `reputation_spillover_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `reputation_spillover_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reserved_name`
--

DROP TABLE IF EXISTS `reserved_name`;
CREATE TABLE `reserved_name` (
  `name` varchar(12) NOT NULL default '',
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Player Reserved Names';

--
-- Dumping data for table `reserved_name`
--

LOCK TABLES `reserved_name` WRITE;
/*!40000 ALTER TABLE `reserved_name` DISABLE KEYS */;
/*!40000 ALTER TABLE `reserved_name` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `scripted_areatrigger`
--

DROP TABLE IF EXISTS `scripted_areatrigger`;
CREATE TABLE `scripted_areatrigger` (
  `entry` MEDIUMINT( 8 ) NOT NULL ,
  `ScriptName` CHAR( 64 ) NOT NULL ,
  PRIMARY KEY ( `entry` )
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `scripted_areatrigger`
--

LOCK TABLES `scripted_areatrigger` WRITE;
/*!40000 ALTER TABLE `scripted_areatrigger` DISABLE KEYS */;
/*!40000 ALTER TABLE `scripted_areatrigger` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `scripted_event_id`
--

DROP TABLE IF EXISTS `scripted_event_id`;
CREATE TABLE `scripted_event_id` (
  `id` mediumint(8) NOT NULL,
  `ScriptName` char(64) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Script library scripted events';

--
-- Dumping data for table `scripted_event_id`
--

LOCK TABLES `scripted_event_id` WRITE;
/*!40000 ALTER TABLE `scripted_event_id` DISABLE KEYS */;
/*!40000 ALTER TABLE `scripted_event_id` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skill_discovery_template`
--

DROP TABLE IF EXISTS `skill_discovery_template`;
CREATE TABLE `skill_discovery_template` (
  `spellId` mediumint(8) unsigned NOT NULL default '0' COMMENT 'SpellId of the discoverable spell',
  `reqSpell` mediumint(8) unsigned NOT NULL default '0' COMMENT 'spell requirement',
  `reqSkillValue` smallint(5) unsigned NOT NULL default '0' COMMENT 'skill points requirement',
  `chance` float NOT NULL default '0' COMMENT 'chance to discover',
  PRIMARY KEY (`spellId`,`reqSpell`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Skill Discovery System';

--
-- Dumping data for table `skill_discovery_template`
--

LOCK TABLES `skill_discovery_template` WRITE;
/*!40000 ALTER TABLE `skill_discovery_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `skill_discovery_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skill_extra_item_template`
--

DROP TABLE IF EXISTS `skill_extra_item_template`;
CREATE TABLE `skill_extra_item_template` (
  `spellId` mediumint(8) unsigned NOT NULL default '0' COMMENT 'SpellId of the item creation spell',
  `requiredSpecialization` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Specialization spell id',
  `additionalCreateChance` float NOT NULL default '0' COMMENT 'chance to create add',
  `additionalMaxNum` tinyint(3) unsigned NOT NULL default '0' COMMENT 'max num of adds',
  PRIMARY KEY  (`spellId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Skill Specialization System';

--
-- Dumping data for table `skill_extra_item_template`
--

LOCK TABLES `skill_extra_item_template` WRITE;
/*!40000 ALTER TABLE `skill_extra_item_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `skill_extra_item_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skill_fishing_base_level`
--

DROP TABLE IF EXISTS `skill_fishing_base_level`;
CREATE TABLE `skill_fishing_base_level` (
  `entry` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Area identifier',
  `skill` smallint(6) NOT NULL default '0' COMMENT 'Base skill level requirement',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Fishing system';

--
-- Dumping data for table `skill_fishing_base_level`
--

LOCK TABLES `skill_fishing_base_level` WRITE;
/*!40000 ALTER TABLE `skill_fishing_base_level` DISABLE KEYS */;
/*!40000 ALTER TABLE `skill_fishing_base_level` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skinning_loot_template`
--

DROP TABLE IF EXISTS `skinning_loot_template`;
CREATE TABLE `skinning_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `skinning_loot_template`
--

LOCK TABLES `skinning_loot_template` WRITE;
/*!40000 ALTER TABLE `skinning_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `skinning_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_area`
--

DROP TABLE IF EXISTS `spell_area`;
CREATE TABLE `spell_area` (
  `spell`              mediumint(8) unsigned NOT NULL default '0',
  `area`               mediumint(8) unsigned NOT NULL default '0',
  `quest_start`        mediumint(8) unsigned NOT NULL default '0',
  `quest_start_active` tinyint(1) unsigned NOT NULL default '0',
  `quest_end`          mediumint(8) unsigned NOT NULL default '0',
  `aura_spell`         mediumint(8) NOT NULL default '0',
  `racemask`           mediumint(8) unsigned NOT NULL default '0',
  `gender`             tinyint(1) unsigned NOT NULL default '2',
  `autocast`           tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`spell`,`area`,`quest_start`,`quest_start_active`,`aura_spell`,`racemask`,`gender`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `spell_area`
--

LOCK TABLES `spell_area` WRITE;
/*!40000 ALTER TABLE `spell_area` DISABLE KEYS */;
/*!40000 ALTER TABLE `spell_area` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for `spell_bonus_data`
--

DROP TABLE IF EXISTS `spell_bonus_data`;
CREATE TABLE `spell_bonus_data` (
  `entry` mediumint(8) unsigned NOT NULL,
  `direct_bonus` float NOT NULL default '0',
  `dot_bonus` float NOT NULL default '0',
  `ap_bonus` float NOT NULL default '0',
  `ap_dot_bonus` float NOT NULL default '0',
  `comments` varchar(255) default NULL,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `spell_bonus_data`
--

LOCK TABLES `spell_bonus_data` WRITE;
/*!40000 ALTER TABLE `spell_bonus_data` DISABLE KEYS */;
INSERT INTO `spell_bonus_data` VALUES
/* Death Knight */
(48721, 0,      0,       0.04,  0,     'Death Knight - Blood Boil'),
(55078, 0,      0,       0,     0.06325,'Death Knight - Blood Plague'),
(50444, 0,      0,       0.105, 0,     'Death Knight - Corpse Explosion Triggered'),
(52212, 0,      0,       0.0475,0,     'Death Knight - Death and Decay Triggered'),
(47632, 0,      0,       0.15,  0,     'Death Knight - Death Coil Damage'),
(47633, 0,      0,       0.15,  0,     'Death Knight - Death Coil Heal'),
(48743, 0,      0,       0,     0,     'Death Knight - Death Pact'),
(55095, 0,      0,       0,     0.06325,'Death Knight - Frost Fever'),
(49184, 0,      0,       0.2,   0,     'Death Knight - Howling Blast'),
(45477, 0,      0,       0.1,   0,     'Death Knight - Icy Touch'),
(56903, 0,      0,       0,     0,     'Death Knight - Lichflame'),
(50842, 0,      0,       0.04,  0,     'Death Knight - Pestilence'),
(50401, 0,      0,       0,     0,     'Death Knight - Razor Frost'),
(47476, 0,      0,       0.06,  0,     'Death Knight - Strangulate'),
(50536, 0,      0,       0,     0.013, 'Death Knight - Unholy Blight Triggered'),
/* Druid */
(5185,  1.6104, 0,       0,     0,     'Druid - Healing Touch'),
(339,   0,      0.1,     0,     0,     'Druid - Entangling Roots'),
(60089, 0,      0,       0.15,  0,     'Druid - Faerie Fire (Feral) Triggered'),
(42231, 0.12898,0,       0,     0,     'Druid - Hurricane Triggered'),
(5570,  0,      0.2,     0,     0,     'Druid - Insect Swarm'),
(33745, 0,      0,       0.01,  0.01,  'Druid - Lacerate'),
(33763, 0,      0.09518, 0,     0,     'Druid - Lifebloom'),
(48628, 0,      0,       0,     0.15,  'Druid - Lock Jaw'),
(8921,  0.1515, 0.13,    0,     0,     'Druid - Moonfire'),
(50464, 0.6611, 0,       0,     0,     'Druid - Nourish'),
(9007,  0,      0,       0,     0.03,  'Druid - Pounce Bleed'),
(1822,  0,      0,       0,     0.06,  'Druid - Rake'),
(8936,  0.539,  0.188,   0,     0,     'Druid - Regrowth'),
(50288, 0.3,    0,       0,     0,     'Druid - Starfall'),
(50294, 0.13,   0,       0,     0,     'Druid - Starfall AOE'),
(18562, 0,      0,       0,     0,     'Druid - Swiftmend'),
(44203, 0.538,  0,       0,     0,     'Druid - Tranquility Triggered'),
(48438, 0,      0.11505, 0,     0,     'Druid - Wild Growth'),
(5176,  0.5714, 0,       0,     0,     'Druid - Wrath'),
/* Generic */
(54757, 0,      0,       0,     0,     'Generic - Pyro Rocket'),
/* Hunter */
(3044,  0,      0,       0.15,  0,     'Hunter - Arcane Shot'),
(3674,  0,      0,       0,     0.02,  'Hunter - Black Arrow'),
(19306, 0,      0,       0.2,   0,     'Hunter - Counterattack'),
(13812, 0,      0,       0.1,   0.1,   'Hunter - Explosive Trap'),
(13797, 0,      0,       0,     0.02,  'Hunter - Immolation Trap'),
(1495,  0,      0,       0.2,   0,     'Hunter - Mongoose Bite'),
(1978,  0,      0,       0,     0.04,  'Hunter - Serpent Sting'),
(42243, 0,      0,       0.0837,0,     'Hunter - Volley'),
/* Mage */
(44425, 0.714286,0,      0,     0,     'Mage - Arcane Barrage'),
(7268,  0.2857, 0,       0,     0,     'Mage - Arcane Missiles Triggered Spell'),
(42208, 0.1437, 0,       0,     0,     'Mage - Blizzard Triggered'),
(133,   1,      0,       0,     0,     'Mage - Fire Ball'),
(2120,  0.2357, 0.122,   0,     0,     'Mage - Flamestrike'),
(116,   0.8143, 0,       0,     0,     'Mage - Frost Bolt'),
(44614, 0.8571, 0,       0,     0,     'Mage - Frostfire Bolt'),
(30455, 0.1429, 0,       0,     0,     'Mage - Ice Lance'),
(1463,  0.8053, 0,       0,     0,     'Mage - Mana Shield'),
(34913, 0,      0,       0,     0,     'Mage - Molten Armor Triggered'),
(11366, 1.15,   0.05,    0,     0,     'Mage - Pyroblast'),
/* Paladin */
(26573, 0,      0.04,    0,     0.04,  'Paladin - Consecration'),
(879,   0.15,   0,       0.15,  0,     'Paladin - Exorcism'),
(25997, 0,      0,       0,     0,     'Paladin - Eye for an Eye'),
(19750, 1,      0,       0,     0,     'Paladin - Flash of Light'),
(53595, 0,      0,       0,     0,     'Paladin - Hammer of the Righteous'),
(635,   1.66,   0,       0,     0,     'Paladin - Holy Light'),
(20925, 0.09,   0,       0.056, 0,     'Paladin - Holy Shield'),
(2812,  0.07,   0,       0.07,  0,     'Paladin - Holy Wrath'),
(54158, 0.25,   0,       0,     0,     'Paladin - Judgement'),
(20467, 0.25,   0,       0.16,  0,     'Paladin - Judgement of Command'),
(53733, 0,      0,       0,     0,     'Paladin - Judgement of Corruption'),
(20267, 0.1,    0,       0.1,   0,     'Paladin - Judgement of Light Proc'),
(31804, 0,      0,       0,     0,     'Paladin - Judgement of Vengeance'),
(20424, 0,      0,       0,     0,     'Paladin - Seal of Command Proc'),
(53739, 0,      0,       0.003, 0,     'Paladin - Seal of Corruption (full stack proc)'),
(25742, 0.07,   0,       0.039, 0,     'Paladin - Seal of Righteousness Dummy Proc'),
(42463, 0,      0,       0.003, 0,     'Paladin - Seal of Vengeance (full stack proc)'),
(53600, 0,      0,       0,     0,     'Paladin - Shield of Righteousness'),
/* Priest */
(27813, 0,      0,       0,     0,     'Priest - Blessed Recovery'),
(2944,  0,      0.1849,  0,     0,     'Priest - Devouring Plague'),
(63544, 0,      0,       0,     0,     'Priest - Empowered Renew Triggered'),
(14914, 0.5711, 0.024,   0,     0,     'Priest - Holy Fire'),
(15237, 0.1606, 0,       0,     0,     'Priest - Holy Nova Damage'),
(23455, 0.3035, 0,       0,     0,     'Priest - Holy Nova Heal'),
(63675, 0,      0,       0,     0,     'Priest - Improved Devouring Plague Triggered'),
(8129,  0,      0,       0,     0,     'Priest - Mana Burn'),
(58381, 0.257143,0,      0,     0,     'Priest - Mind Flay Triggered'),
(49821, 0.2857, 0,       0,     0,     'Priest - Mind Sear Trigger'),
(47666, 0.229,  0,       0,     0,     'Priest - Penance dmg effect'),
(47750, 0.537,  0,       0,     0,     'Priest - Penance heal effect'),
(33619, 0,      0,       0,     0,     'Priest - Reflective Shield'),
(34433, 0.65,   0,       0,     0,     'Priest - Shadowfiend'),
(585,   0.714,  0,       0,     0,     'Priest - Smite'),
(34914, 0,      0.4,     0,     0,     'Priest - Vampiric Touch'),
(64085, 1.2,    0,       0,     0,     'Priest - Vampiric Touch Dispel'),
/* Rogue */
(2818,  0,      0,       0,     0.03,  'Rogue - Deadly Poison'),
(703,   0,      0,       0,     0.07,  'Rogue - Garrote'),
(1776,  0,      0,       0.21,  0,     'Rogue - Gouge'),
(8680,  0,      0,       0.10,  0,     'Rogue - Instant Poison'),
(13218, 0,      0,       0.04,  0,     'Rogue - Wound Poison'),
/* Shaman */
(974,   0.4762, 0,       0,     0,     'Shaman - Earth Shield'),
(379,   0,      0,       0,     0,     'Shaman - Earth Shield Triggered'),
(8042,  0.3858, 0,       0,     0,     'Shaman - Earth Shock'),
(8050,  0.2142, 0.1,     0,     0,     'Shaman - Flame Shock'),
(10444, 0,      0,       0,     0,     'Shaman - Flametongue Attack'),
(8026,  0.1,    0,       0,     0,     'Shaman - Flametongue Weapon Proc'),
(8056,  0.3858, 0,       0,     0,     'Shaman - Frost Shock'),
(8034,  0.1,    0,       0,     0,     'Shaman - Frostbrand Attack Rank 1'),
(5672,  0.08272,0,       0,     0,     'Shaman - Healing Stream Totem Aura'),
(331,   1.6106, 0,       0,     0,     'Shaman - Healing Wave'),
(403,   0.7143, 0,       0,     0,     'Shaman - Lightning Bolt'),
(26364, 0.33,   0,       0,     0,     'Shaman - Lightning Shield Proc'),
(8188,  0.1,    0,       0,     0,     'Shaman - Magma Totam Passive'),
(61295, 0.4,    0.18,    0,     0,     'Shaman - Riptide'),
(3606,  0.1667, 0,       0,     0,     'Shaman - Searing Totem Attack'),
/* Warlock */
(17962, 0,      0,       0,     0,     'Warlock - Conflagrate'),
(172,   0,      0.2,     0,     0,     'Warlock - Corruption'),
(980,   0,      0.1,     0,     0,     'Warlock - Curse of Agony'),
(603,   0,      2,       0,     0,     'Warlock - Curse of Doom'),
(18220, 0.96,   0,       0,     0,     'Warlock - Dark Pact'),
(5138,  0,      0,       0,     0,     'Warlock - Drain Mana'),
(1120,  0,      0.4286,  0,     0,     'Warlock - Drain Soul'),
(28176, 0,      0,       0,     0,     'Warlock - Fel Armor'),
(18790, 0,      0,       0,     0,     'Warlock - Fel Stamina'),
(54181, 0,      0,       0,     0,     'Warlock - Fel Synergy'),
(48181, 0.4729, 0,       0,     0,     'Warlock - Haunt'),
(755 ,  0,      0.4485,  0,     0,     'Warlock - Health Funnel'),
(1949,  0,      0.0946,  0,     0,     'Warlock - Hellfire'),
(5857,  0.1428, 0,       0,     0,     'Warlock - Hellfire Effect on Enemy'),
(348,   0.2,    0.2,     0,     0,     'Warlock - Immolate'),
(42223, 0.285714,0,      0,     0,     'Warlock - Rain of Fire Triggered'),
(27243, 0.2129, 0.25,    0,     0,     'Warlock - Seed of Corruption'),
(6229,  0.3,    0,       0,     0,     'Warlock - Shadow Ward'),
(47960, 0,      0.06666, 0,     0,     'Warlock - Shadowflame DoT'),
(47897, 0.1064, 0,       0,     0,     'Warlock - Shadowflame Direct'),
(63106, 0,      0,       0,     0,     'Warlock - Siphon Life Triggered'),
(6353,  1.15,   0,       0,     0,     'Warlock - Soul Fire'),
(30294, 0,      0,       0,     0,     'Warlock - Soul Leech'),
(31117, 1.8,    0,       0,     0,     'Warlock - Unstable Affliction Dispell'),
/* Item */
(64569, 0,      0,       0,     0,     'Item - Blood Reserve'),
(56131, 0,      0,       0,     0,     'Item - Glyph of Dispel Magic'),
(56160, 0,      0,       0,     0,     'Item - Glyph of Power Word: Shield'),
(46567, 0,      0,       0,     0,     'Item - Goblin Rocket Launcher'),
(31024, 0,      0,       0,     0,     'Item - Living Ruby Pedant'),
(17712, 0,      0,       0,     0,     'Item - Lifestone Healing'),
(5707,  0,      0,       0,     0,     'Item - Lifestone Regeneration'),
(43733, 0,      0,       0,     0,     'Item - Lightning Zap'),
(71824, 0,      0,       0,     0,     'Item - Shaman T9 Elemental 4P Bonus'),
(38395, 0,      0,       0,     0,     'Item - Siphon Essence'),
(40293, 0,      0,       0,     0,     'Item - Siphon Essence'),
(21179, 0,      0,       0,     0,     'Item - Six Demon Bag - Chain Lightning'),
(15662, 0,      0,       0,     0,     'Item - Six Demon Bag - Fireball'),
(11538, 0,      0,       0,     0,     'Item - Six Demon Bag - Frostbolt');

/*!40000 ALTER TABLE `spell_bonus_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_chain`
--

DROP TABLE IF EXISTS `spell_chain`;
CREATE TABLE `spell_chain` (
  `spell_id` mediumint(9) NOT NULL default '0',
  `prev_spell` mediumint(9) NOT NULL default '0',
  `first_spell` mediumint(9) NOT NULL default '0',
  `rank` tinyint(4) NOT NULL default '0',
  `req_spell` mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (`spell_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Spell Additinal Data';

--
-- Dumping data for table `spell_chain`
--

LOCK TABLES `spell_chain` WRITE;
/*!40000 ALTER TABLE `spell_chain` DISABLE KEYS */;
INSERT INTO `spell_chain` VALUES
-- ------------------
-- (0) Not associated with skills
-- ------------------
/* Deadly Poison Triggered */
(2818,0,2818,1,0),
(2819,2818,2818,2,0),
(11353,2819,2818,3,0),
(11354,11353,2818,4,0),
(25349,11354,2818,5,0),
(26968,25349,2818,6,0),
(27187,26968,2818,7,0),
(57969,27187,2818,8,0),
(57970,57969,2818,9,0),
/* Flametongue Weapon Proc */
(8026,0,8026,1,0),
(8028,8026,8026,2,0),
(8029,8028,8026,3,0),
(10445,8029,8026,4,0),
(16343,10445,8026,5,0),
(16344,16343,8026,6,0),
(25488,16344,8026,7,0),
(58786,25488,8026,8,0),
(58787,58786,8026,9,0),
(58788,58787,8026,10,0),
/* Frostbrand Attack */
(8034,0,8034,1,0),
(8037,8034,8034,2,0),
(10458,8037,8034,3,0),
(16352,10458,8034,4,0),
(16353,16352,8034,5,0),
(25501,16353,8034,6,0),
(58797,25501,8034,7,0),
(58798,58797,8034,8,0),
(58799,58798,8034,9,0),
/* Healing Stream Totem Aura */
(5672,0,5672,1,0),
(6371,5672,5672,2,0),
(6372,6371,5672,3,0),
(10460,6372,5672,4,0),
(10461,10460,5672,5,0),
(25566,10461,5672,6,0),
(58763,25566,5672,7,0),
(58764,58763,5672,8,0),
(58765,58764,5672,9,0),
/* Instant Poison */
(8680,0,8680,1,0),
(8685,8680,8680,2,0),
(8689,8685,8680,3,0),
(11335,8689,8680,4,0),
(11336,11335,8680,5,0),
(11337,11336,8680,6,0),
(26890,11337,8680,7,0),
(57964,26890,8680,8,0),
(57965,57964,8680,9,0),
/* Magma Totam Passive */
(8188,0,8188,1,0),
(10582,8188,8188,2,0),
(10583,10582,8188,3,0),
(10584,10583,8188,4,0),
(25551,10584,8188,5,0),
(58733,25551,8188,6,0),
(58736,58733,8188,7,0),
/* Searing Totem Attack */
(3606,0,3606,1,0),
(6350,3606,3606,2,0),
(6351,6350,3606,3,0),
(6352,6351,3606,4,0),
(10435,6352,3606,5,0),
(10436,10435,3606,6,0),
(25530,10436,3606,7,0),
(58700,25530,3606,8,0),
(58701,58700,3606,9,0),
(58702,58701,3606,10,0),
/* Shadowflame Triggered DoT */
(47960,0,47960,1,0),
(61291,47960,47960,2,0),
/* Wound Poison */
(13218,0,13218,1,0),
(13222,13218,13218,2,0),
(13223,13222,13218,3,0),
(13224,13223,13218,4,0),
(27189,13224,13218,5,0),
(57974,27189,13218,6,0),
(57975,57974,13218,7,0),
-- ------------------
-- (6) Frost
-- ------------------
/* Blizzard */
(10,0,10,1,0),
(6141,10,10,2,0),
(8427,6141,10,3,0),
(10185,8427,10,4,0),
(10186,10185,10,5,0),
(10187,10186,10,6,0),
(27085,10187,10,7,0),
(42939,27085,10,8,0),
(42940,42939,10,9,0),
/* Blizzard Triggered Spell */
(42208,0,42208,1,0),
(42209,42208,42208,2,0),
(42210,42209,42208,3,0),
(42211,42210,42208,4,0),
(42212,42211,42208,5,0),
(42213,42212,42208,6,0),
(42198,42213,42208,7,0),
(42937,42198,42208,8,0),
(42938,42937,42208,9,0),
/* Cone of Cold */
(120,0,120,1,0),
(8492,120,120,2,0),
(10159,8492,120,3,0),
(10160,10159,120,4,0),
(10161,10160,120,5,0),
(27087,10161,120,6,0),
(42930,27087,120,7,0),
(42931,42930,120,8,0),
/* Frost Armor */
(168,0,168,1,0),
(7300,168,168,2,0),
(7301,7300,168,3,0),
/* Frost Nova */
(122,0,122,1,0),
(865,122,122,2,0),
(6131,865,122,3,0),
(10230,6131,122,4,0),
(27088,10230,122,5,0),
(42917,27088,122,6,0),
/* Frost Ward */
(6143,0,6143,1,0),
(8461,6143,6143,2,0),
(8462,8461,6143,3,0),
(10177,8462,6143,4,0),
(28609,10177,6143,5,0),
(32796,28609,6143,6,0),
(43012,32796,6143,7,0),
/* Frostbolt */
(116,0,116,1,0),
(205,116,116,2,0),
(837,205,116,3,0),
(7322,837,116,4,0),
(8406,7322,116,5,0),
(8407,8406,116,6,0),
(8408,8407,116,7,0),
(10179,8408,116,8,0),
(10180,10179,116,9,0),
(10181,10180,116,10,0),
(25304,10181,116,11,0),
(27071,25304,116,12,0),
(27072,27071,116,13,0),
(38697,27072,116,14,0),
(42841,38697,116,15,0),
(42842,42841,116,16,0),
/* Ice Armor */
(7302,0,7302,1,0),
(7320,7302,7302,2,0),
(10219,7320,7302,3,0),
(10220,10219,7302,4,0),
(27124,10220,7302,5,0),
(43008,27124,7302,6,0),
/* Ice Barrier */
(11426,0,11426,1,0),
(13031,11426,11426,2,0),
(13032,13031,11426,3,0),
(13033,13032,11426,4,0),
(27134,13033,11426,5,0),
(33405,27134,11426,6,0),
(43038,33405,11426,7,0),
(43039,43038,11426,8,0),
/* Ice Lance */
(30455,0,30455,1,0),
(42913,30455,30455,2,0),
(42914,42913,30455,3,0),
-- ------------------
-- (8)Fire
-- ------------------
/* Blast Wave */
(11113,0,11113,1,0),
(13018,11113,11113,2,0),
(13019,13018,11113,3,0),
(13020,13019,11113,4,0),
(13021,13020,11113,5,0),
(27133,13021,11113,6,0),
(33933,27133,11113,7,0),
(42944,33933,11113,8,0),
(42945,42944,11113,9,0),
/* Dragon's Breath */
(31661,0,31661,1,0),
(33041,31661,31661,2,0),
(33042,33041,31661,3,0),
(33043,33042,31661,4,0),
(42949,33043,31661,5,0),
(42950,42949,31661,6,0),
/* Fire Blast */
(2136,0,2136,1,0),
(2137,2136,2136,2,0),
(2138,2137,2136,3,0),
(8412,2138,2136,4,0),
(8413,8412,2136,5,0),
(10197,8413,2136,6,0),
(10199,10197,2136,7,0),
(27078,10199,2136,8,0),
(27079,27078,2136,9,0),
(42872,27079,2136,10,0),
(42873,42872,2136,11,0),
/* Fire Ward */
(543,0,543,1,0),
(8457,543,543,2,0),
(8458,8457,543,3,0),
(10223,8458,543,4,0),
(10225,10223,543,5,0),
(27128,10225,543,6,0),
(43010,27128,543,7,0),
/* Fireball */
(133,0,133,1,0),
(143,133,133,2,0),
(145,143,133,3,0),
(3140,145,133,4,0),
(8400,3140,133,5,0),
(8401,8400,133,6,0),
(8402,8401,133,7,0),
(10148,8402,133,8,0),
(10149,10148,133,9,0),
(10150,10149,133,10,0),
(10151,10150,133,11,0),
(25306,10151,133,12,0),
(27070,25306,133,13,0),
(38692,27070,133,14,0),
(42832,38692,133,15,0),
(42833,42832,133,16,0),
/* Flamestrike */
(2120,0,2120,1,0),
(2121,2120,2120,2,0),
(8422,2121,2120,3,0),
(8423,8422,2120,4,0),
(10215,8423,2120,5,0),
(10216,10215,2120,6,0),
(27086,10216,2120,7,0),
(42925,27086,2120,8,0),
(42926,42925,2120,9,0),
/* Frostfire Bolt */
(44614,0,44614,1,0),
(47610,44614,44614,2,0),
/* Living Bomb */
(44457,0,44457,1,0),
(55359,44457,44457,2,0),
(55360,55359,44457,3,0),
/* Molten Armor */
(30482,0,30482,1,0),
(43045,30482,30482,2,0),
(43046,43045,30482,3,0),
/* Molten Armor Triggered */
(34913,0,34913,1,0),
(43043,34913,34913,2,0),
(43044,43043,34913,3,0),
/* Pyroblast */
(11366,0,11366,1,0),
(12505,11366,11366,2,0),
(12522,12505,11366,3,0),
(12523,12522,11366,4,0),
(12524,12523,11366,5,0),
(12525,12524,11366,6,0),
(12526,12525,11366,7,0),
(18809,12526,11366,8,0),
(27132,18809,11366,9,0),
(33938,27132,11366,10,0),
(42890,33938,11366,11,0),
(42891,42890,11366,12,0),
/* Scorch */
(2948,0,2948,1,0),
(8444,2948,2948,2,0),
(8445,8444,2948,3,0),
(8446,8445,2948,4,0),
(10205,8446,2948,5,0),
(10206,10205,2948,6,0),
(10207,10206,2948,7,0),
(27073,10207,2948,8,0),
(27074,27073,2948,9,0),
(42858,27074,2948,10,0),
(42859,42858,2948,11,0),
-- ------------------
-- (50) Beast Mastery
-- ------------------
/* Aspect of the Dragonhawk */
(61846,0,61846,1,0),
(61847,61846,61846,2,0),
/* Aspect of the Hawk */
(13165,0,13165,1,0),
(14318,13165,13165,2,0),
(14319,14318,13165,3,0),
(14320,14319,13165,4,0),
(14321,14320,13165,5,0),
(14322,14321,13165,6,0),
(25296,14322,13165,7,0),
(27044,25296,13165,8,0),
/* Aspect of the Wild */
(20043,0,20043,1,0),
(20190,20043,20043,2,0),
(27045,20190,20043,3,0),
(49071,27045,20043,4,0),
/* Mend Pet */
(136,0,136,1,0),
(3111,136,136,2,0),
(3661,3111,136,3,0),
(3662,3661,136,4,0),
(13542,3662,136,5,0),
(13543,13542,136,6,0),
(13544,13543,136,7,0),
(27046,13544,136,8,0),
(48989,27046,136,9,0),
(48990,48989,136,10,0),
/* Scare Beast */
(1513,0,1513,1,0),
(14326,1513,1513,2,0),
(14327,14326,1513,3,0),
-- ------------------
-- (51)Survival
-- ------------------
/* Black Arrow */
(3674,0,3674,1,0),
(63668,3674,3674,2,0),
(63669,63668,3674,3,0),
(63670,63669,3674,4,0),
(63671,63670,3674,5,0),
(63672,63671,3674,6,0),
/* Counterattack */
(19306,0,19306,1,0),
(20909,19306,19306,2,0),
(20910,20909,19306,3,0),
(27067,20910,19306,4,0),
(48998,27067,19306,5,0),
(48999,48998,19306,6,0),
/* Explosive Shot */
(53301,0,53301,1,0),
(60051,53301,53301,2,0),
(60052,60051,53301,3,0),
(60053,60052,53301,4,0),
/* Explosive Trap */
(13813,0,13813,1,0),
(14316,13813,13813,2,0),
(14317,14316,13813,3,0),
(27025,14317,13813,4,0),
(49066,27025,13813,5,0),
(49067,49066,13813,6,0),
/* Explosive Trap Effect */
(13812,0,13812,1,0),
(14314,13812,13812,2,0),
(14315,14314,13812,3,0),
(27026,14315,13812,4,0),
(49064,27026,13812,5,0),
(49065,49064,13812,6,0),
/* Freezing Trap */
(1499,0,1499,1,0),
(14310,1499,1499,2,0),
(14311,14310,1499,3,0),
/* Immolation Trap */
(13795,0,13795,1,0),
(14302,13795,13795,2,0),
(14303,14302,13795,3,0),
(14304,14303,13795,4,0),
(14305,14304,13795,5,0),
(27023,14305,13795,6,0),
(49055,27023,13795,7,0),
(49056,49055,13795,8,0),
/* Immolation Trap Triggered */
(13797,0,13797,1,0),
(14298,13797,13797,2,0),
(14299,14298,13797,3,0),
(14300,14299,13797,4,0),
(14301,14300,13797,5,0),
(27024,14301,13797,6,0),
(49053,27024,13797,7,0),
(49054,49053,13797,8,0),
/* Mongoose Bite */
(1495,0,1495,1,0),
(14269,1495,1495,2,0),
(14270,14269,1495,3,0),
(14271,14270,1495,4,0),
(36916,14271,1495,5,0),
(53339,36916,1495,6,0),
/* Raptor Strike */
(2973,0,2973,1,0),
(14260,2973,2973,2,0),
(14261,14260,2973,3,0),
(14262,14261,2973,4,0),
(14263,14262,2973,5,0),
(14264,14263,2973,6,0),
(14265,14264,2973,7,0),
(14266,14265,2973,8,0),
(27014,14266,2973,9,0),
(48995,27014,2973,10,0),
(48996,48995,2973,11,0),
/* Wyvern Sting */
(19386,0,19386,1,0),
(24132,19386,19386,2,0),
(24133,24132,19386,3,0),
(27068,24133,19386,4,0),
(49011,27068,19386,5,0),
(49012,49011,19386,6,0),
-- ------------------
-- (56) Holy (Priest)
-- ------------------
/* Binding Heal */
(32546,0,32546,1,0),
(48119,32546,32546,2,0),
(48120,48119,32546,3,0),
/* Blessed Recovery Proc */
(27813,0,27813,1,0),
(27817,27813,27813,2,0),
(27818,27817,27813,3,0),
/* Circle of Healing */
(34861,0,34861,1,0),
(34863,34861,34861,2,0),
(34864,34863,34861,3,0),
(34865,34864,34861,4,0),
(34866,34865,34861,5,0),
(48088,34866,34861,6,0),
(48089,48088,34861,7,0),
/* Desperate Prayer */
(19236,0,19236,1,0),
(19238,19236,19236,2,0),
(19240,19238,19236,3,0),
(19241,19240,19236,4,0),
(19242,19241,19236,5,0),
(19243,19242,19236,6,0),
(25437,19243,19236,7,0),
(48172,25437,19236,8,0),
(48173,48172,19236,9,0),
/* Flash Heal */
(2061,0,2061,1,0),
(9472,2061,2061,2,0),
(9473,9472,2061,3,0),
(9474,9473,2061,4,0),
(10915,9474,2061,5,0),
(10916,10915,2061,6,0),
(10917,10916,2061,7,0),
(25233,10917,2061,8,0),
(25235,25233,2061,9,0),
(48070,25235,2061,10,0),
(48071,48070,2061,11,0),
/* Greater Heal */
(2060,0,2060,1,0),
(10963,2060,2060,2,0),
(10964,10963,2060,3,0),
(10965,10964,2060,4,0),
(25314,10965,2060,5,0),
(25210,25314,2060,6,0),
(25213,25210,2060,7,0),
(48062,25213,2060,8,0),
(48063,48062,2060,9,0),
/* Heal */
(2054,0,2054,1,0),
(2055,2054,2054,2,0),
(6063,2055,2054,3,0),
(6064,6063,2054,4,0),
/* Holy Fire */
(14914,0,14914,1,0),
(15262,14914,14914,2,0),
(15263,15262,14914,3,0),
(15264,15263,14914,4,0),
(15265,15264,14914,5,0),
(15266,15265,14914,6,0),
(15267,15266,14914,7,0),
(15261,15267,14914,8,0),
(25384,15261,14914,9,0),
(48134,25384,14914,10,0),
(48135,48134,14914,11,0),
/* Holy Nova */
(15237,0,15237,1,0),
(15430,15237,15237,2,0),
(15431,15430,15237,3,0),
(27799,15431,15237,4,0),
(27800,27799,15237,5,0),
(27801,27800,15237,6,0),
(25331,27801,15237,7,0),
(48077,25331,15237,8,0),
(48078,48077,15237,9,0),
/* Holy Nova Heal */
(23455,0,23455,1,0),
(23458,23455,23455,2,0),
(23459,23458,23455,3,0),
(27803,23459,23455,4,0),
(27804,27803,23455,5,0),
(27805,27804,23455,6,0),
(25329,27805,23455,7,0),
/* Lesser Heal */
(2050,0,2050,1,0),
(2052,2050,2050,2,0),
(2053,2052,2050,3,0),
/* Lightwell */
(724,0,724,1,0),
(27870,724,724,2,0),
(27871,27870,724,3,0),
(28275,27871,724,4,0),
(48086,28275,724,5,0),
(48087,48086,724,6,0),
/* Prayer of Healing */
(596,0,596,1,0),
(996,596,596,2,0),
(10960,996,596,3,0),
(10961,10960,596,4,0),
(25316,10961,596,5,0),
(25308,25316,596,6,0),
(48072,25308,596,7,0),
/* Prayer of Mending */
(33076,0,33076,1,0),
(48112,33076,33076,2,0),
(48113,48112,33076,3,0),
/* Renew */
(139,0,139,1,0),
(6074,139,139,2,0),
(6075,6074,139,3,0),
(6076,6075,139,4,0),
(6077,6076,139,5,0),
(6078,6077,139,6,0),
(10927,6078,139,7,0),
(10928,10927,139,8,0),
(10929,10928,139,9,0),
(25315,10929,139,10,0),
(25221,25315,139,11,0),
(25222,25221,139,12,0),
(48067,25222,139,13,0),
(48068,48067,139,14,0),
/* Resurrection */
(2006,0,2006,1,0),
(2010,2006,2006,2,0),
(10880,2010,2006,3,0),
(10881,10880,2006,4,0),
(20770,10881,2006,5,0),
(25435,20770,2006,6,0),
(48171,25435,2006,7,0),
/* Smite */
(585,0,585,1,0),
(591,585,585,2,0),
(598,591,585,3,0),
(984,598,585,4,0),
(1004,984,585,5,0),
(6060,1004,585,6,0),
(10933,6060,585,7,0),
(10934,10933,585,8,0),
(25363,10934,585,9,0),
(25364,25363,585,10,0),
(48122,25364,585,11,0),
(48123,48122,585,12,0),
-- ------------------
-- (78) Shadow Magic
-- ------------------
/* Devouring Plague */
(2944,0,2944,1,0),
(19276,2944,2944,2,0),
(19277,19276,2944,3,0),
(19278,19277,2944,4,0),
(19279,19278,2944,5,0),
(19280,19279,2944,6,0),
(25467,19280,2944,7,0),
(48299,25467,2944,8,0),
(48300,48299,2944,9,0),
/* Mind Blast */
(8092,0,8092,1,0),
(8102,8092,8092,2,0),
(8103,8102,8092,3,0),
(8104,8103,8092,4,0),
(8105,8104,8092,5,0),
(8106,8105,8092,6,0),
(10945,8106,8092,7,0),
(10946,10945,8092,8,0),
(10947,10946,8092,9,0),
(25372,10947,8092,10,0),
(25375,25372,8092,11,0),
(48126,25375,8092,12,0),
(48127,48126,8092,13,0),
/* Mind Flay */
(15407,0,15407,1,0),
(17311,15407,15407,2,0),
(17312,17311,15407,3,0),
(17313,17312,15407,4,0),
(17314,17313,15407,5,0),
(18807,17314,15407,6,0),
(25387,18807,15407,7,0),
(48155,25387,15407,8,0),
(48156,48155,15407,9,0),
/* Mind Sear */
(48045,0,48045,1,0),
(53023,48045,48045,2,0),
/* Mind Sear Trigger */
(49821,0,49821,1,0),
(53022,49821,49821,2,0),
/* Mind Vision */
(2096,0,2096,1,0),
(10909,2096,2096,2,0),
/* Prayer of Shadow Protection */
(27683,0,27683,1,0),
(39374,27683,27683,2,0),
(48170,39374,27683,3,0),
/* Psychic Scream */
(8122,0,8122,1,0),
(8124,8122,8122,2,0),
(10888,8124,8122,3,0),
(10890,10888,8122,4,0),
/* Shadow Protection */
(976,0,976,1,0),
(10957,976,976,2,0),
(10958,10957,976,3,0),
(25433,10958,976,4,0),
(48169,25433,976,5,0),
/* Shadow Word: Death */
(32379,0,32379,1,0),
(32996,32379,32379,2,0),
(48157,32996,32379,3,0),
(48158,48157,32379,4,0),
/* Shadow Word: Pain */
(589,0,589,1,0),
(594,589,589,2,0),
(970,594,589,3,0),
(992,970,589,4,0),
(2767,992,589,5,0),
(10892,2767,589,6,0),
(10893,10892,589,7,0),
(10894,10893,589,8,0),
(25367,10894,589,9,0),
(25368,25367,589,10,0),
(48124,25368,589,11,0),
(48125,48124,589,12,0),
/* Vampiric Touch */
(34914,0,34914,1,0),
(34916,34914,34914,2,0),
(34917,34916,34914,3,0),
(48159,34917,34914,4,0),
(48160,48159,34914,5,0),
-- ------------------
-- (163)Marksmanship
-- ------------------
/* Aimed Shot */
(19434,0,19434,1,0),
(20900,19434,19434,2,0),
(20901,20900,19434,3,0),
(20902,20901,19434,4,0),
(20903,20902,19434,5,0),
(20904,20903,19434,6,0),
(27065,20904,19434,7,0),
(49049,27065,19434,8,0),
(49050,49049,19434,9,0),
/* Arcane Shot */
(3044,0,3044,1,0),
(14281,3044,3044,2,0),
(14282,14281,3044,3,0),
(14283,14282,3044,4,0),
(14284,14283,3044,5,0),
(14285,14284,3044,6,0),
(14286,14285,3044,7,0),
(14287,14286,3044,8,0),
(27019,14287,3044,9,0),
(49044,27019,3044,10,0),
(49045,49044,3044,11,0),
/* Hunter's Mark */
(1130,0,1130,1,0),
(14323,1130,1130,2,0),
(14324,14323,1130,3,0),
(14325,14324,1130,4,0),
(53338,14325,1130,5,0),
/* Kill Shot */
(53351,0,53351,1,0),
(61005,53351,53351,2,0),
(61006,61005,53351,3,0),
/* Multi-Shot */
(2643,0,2643,1,0),
(14288,2643,2643,2,0),
(14289,14288,2643,3,0),
(14290,14289,2643,4,0),
(25294,14290,2643,5,0),
(27021,25294,2643,6,0),
(49047,27021,2643,7,0),
(49048,49047,2643,8,0),
/* Serpent Sting */
(1978,0,1978,1,0),
(13549,1978,1978,2,0),
(13550,13549,1978,3,0),
(13551,13550,1978,4,0),
(13552,13551,1978,5,0),
(13553,13552,1978,6,0),
(13554,13553,1978,7,0),
(13555,13554,1978,8,0),
(25295,13555,1978,9,0),
(27016,25295,1978,10,0),
(49000,27016,1978,11,0),
(49001,49000,1978,12,0),
/* Steady Shot */
(56641,0,56641,1,0),
(34120,56641,56641,2,0),
(49051,34120,56641,3,0),
(49052,49051,56641,4,0),
/* Volley */
(1510,0,1510,1,0),
(14294,1510,1510,2,0),
(14295,14294,1510,3,0),
(27022,14295,1510,4,0),
(58431,27022,1510,5,0),
(58434,58431,1510,6,0),
/* Volley Triggered */
(42243,0,42243,1,0),
(42244,42243,42243,2,0),
(42245,42244,42243,3,0),
(42234,42245,42243,4,0),
(58432,42234,42243,5,0),
(58433,58432,42243,6,0),
-- ------------------
-- (164) Blacksmithing
-- ------------------
/* Blacksmithing */
(9787,9785,2018,5,0),
(9788,9785,2018,5,0),
(17039,9787,2018,6,0),
(17040,9787,2018,6,0),
(17041,9787,2018,6,0),
-- ------------------
-- (165) Leatherworking
-- ------------------
/* Leatherworking */
(10656,10662,2108,5,0),
(10658,10662,2108,5,0),
(10660,10662,2108,5,0),
-- ------------------
-- (171) Alchemy
-- ------------------
/* Alchemy */
(28672,11611,2259,5,0),
(28675,11611,2259,5,0),
(28677,11611,2259,5,0),
-- ------------------
-- (184) Retribution (Paladin)
-- ------------------
/* Blessing of Might */
(19740,0,19740,1,0),
(19834,19740,19740,2,0),
(19835,19834,19740,3,0),
(19836,19835,19740,4,0),
(19837,19836,19740,5,0),
(19838,19837,19740,6,0),
(25291,19838,19740,7,0),
(27140,25291,19740,8,0),
(48931,27140,19740,9,0),
(48932,48931,19740,10,0),
/* Greater Blessing of Might */
(25782,0,25782,1,19838),
(25916,25782,25782,2,25291),
(27141,25916,25782,3,27140),
(48933,27141,25782,4,48931),
(48934,48933,25782,5,48932),
/* Hammer of Wrath */
(24275,0,24275,1,0),
(24274,24275,24275,2,0),
(24239,24274,24275,3,0),
(27180,24239,24275,4,0),
(48805,27180,24275,5,0),
(48806,48805,24275,6,0),
-- ------------------
-- (197) Tailoring
-- ------------------
/* Tailoring */
(26797,12180,3908,5,0),
(26798,12180,3908,5,0),
(26801,12180,3908,5,0),
-- ------------------
-- (202) Engineering
-- ------------------
/* Engineering */
(20219,12656,4036,5,0),
(20222,12656,4036,5,0),
-- ------------------
-- (237)Arcane
-- ------------------
/* Amplify Magic */
(1008,0,1008,1,0),
(8455,1008,1008,2,0),
(10169,8455,1008,3,0),
(10170,10169,1008,4,0),
(27130,10170,1008,5,0),
(33946,27130,1008,6,0),
(43017,33946,1008,7,0),
/* Arcane Barrage */
(44425,0,44425,1,0),
(44780,44425,44425,2,0),
(44781,44780,44425,3,0),
/* Arcane Blast */
(30451,0,30451,1,0),
(42894,30451,30451,2,0),
(42896,42894,30451,3,0),
(42897,42896,30451,4,0),
/* Arcane Brilliance */
(23028,0,23028,1,0),
(27127,23028,23028,2,0),
(43002,27127,23028,3,0),
/* Arcane Explosion */
(1449,0,1449,1,0),
(8437,1449,1449,2,0),
(8438,8437,1449,3,0),
(8439,8438,1449,4,0),
(10201,8439,1449,5,0),
(10202,10201,1449,6,0),
(27080,10202,1449,7,0),
(27082,27080,1449,8,0),
(42920,27082,1449,9,0),
(42921,42920,1449,10,0),
/* Arcane Intellect */
(1459,0,1459,1,0),
(1460,1459,1459,2,0),
(1461,1460,1459,3,0),
(10156,1461,1459,4,0),
(10157,10156,1459,5,0),
(27126,10157,1459,6,0),
(42995,27126,1459,7,0),
/* Arcane Missiles */
(5143,0,5143,1,0),
(5144,5143,5143,2,0),
(5145,5144,5143,3,0),
(8416,5145,5143,4,0),
(8417,8416,5143,5,0),
(10211,8417,5143,6,0),
(10212,10211,5143,7,0),
(25345,10212,5143,8,0),
(27075,25345,5143,9,0),
(38699,27075,5143,10,0),
(38704,38699,5143,11,0),
(42843,38704,5143,12,0),
(42846,42843,5143,13,0),
/* Arcane Missiles Triggered Spell */
(7268,0,7268,1,0),
(7269,7268,7268,2,0),
(7270,7269,7268,3,0),
(8419,7270,7268,4,0),
(8418,8419,7268,5,0),
(10273,8418,7268,6,0),
(10274,10273,7268,7,0),
(25346,10274,7268,8,0),
(27076,25346,7268,9,0),
(38700,27076,7268,10,0),
(38703,38700,7268,11,0),
(42844,38703,7268,12,0),
(42845,42844,7268,13,0),
/* Conjure Food */
(587,0,587,1,0),
(597,587,587,2,0),
(990,597,587,3,0),
(6129,990,587,4,0),
(10144,6129,587,5,0),
(10145,10144,587,6,0),
(28612,10145,587,7,0),
(33717,28612,587,8,0),
/* Conjure Mana Gem */
(759,0,759,1,0),
(3552,759,759,2,0),
(10053,3552,759,3,0),
(10054,10053,759,4,0),
(27101,10054,759,5,0),
(42985,27101,759,6,0),
/* Conjure Refreshment */
(42955,0,42955,1,0),
(42956,42955,42955,2,0),
/* Conjure Water */
(5504,0,5504,1,0),
(5505,5504,5504,2,0),
(5506,5505,5504,3,0),
(6127,5506,5504,4,0),
(10138,6127,5504,5,0),
(10139,10138,5504,6,0),
(10140,10139,5504,7,0),
(37420,10140,5504,8,0),
(27090,37420,5504,9,0),
/* Dalaran Intellect */
(61024,0,61024,1,27126),
/* Dalaran Brilliance */
(61316,0,61316,1,27127),
/* Dampen Magic */
(604,0,604,1,0),
(8450,604,604,2,0),
(8451,8450,604,3,0),
(10173,8451,604,4,0),
(10174,10173,604,5,0),
(33944,10174,604,6,0),
(43015,33944,604,7,0),
/* Mage Armor */
(6117,0,6117,1,0),
(22782,6117,6117,2,0),
(22783,22782,6117,3,0),
(27125,22783,6117,4,0),
(43023,27125,6117,5,0),
(43024,43023,6117,6,0),
/* Mana Shield */
(1463,0,1463,1,0),
(8494,1463,1463,2,0),
(8495,8494,1463,3,0),
(10191,8495,1463,4,0),
(10192,10191,1463,5,0),
(10193,10192,1463,6,0),
(27131,10193,1463,7,0),
(43019,27131,1463,8,0),
(43020,43019,1463,9,0),
/* Polymorph */
(118,0,118,1,0),
(12824,118,118,2,0),
(12825,12824,118,3,0),
(12826,12825,118,4,0),
/* Ritual of Refreshment */
(43987,0,43987,1,0),
(58659,43987,43987,2,0),
-- ------------------
-- (267) Protection (Paladin)
-- ------------------
/* Avenger's Shield */
(31935,0,31935,1,0),
(32699,31935,31935,2,0),
(32700,32699,31935,3,0),
(48826,32700,31935,4,0),
(48827,48826,31935,5,0),
/* Greater Blessing of Kings */
(20217,0,20217,1,0),
(25898,20217,20217,2,0),
/* Greater Blessing of Sanctuary */
(20911,0,20911,1,0),
(25899,20911,20911,2,0),
/* Hammer of Justice */
(853,0,853,1,0),
(5588,853,853,2,0),
(5589,5588,853,3,0),
(10308,5589,853,4,0),
/* Hand of Protection */
(1022,0,1022,1,0),
(5599,1022,1022,2,0),
(10278,5599,1022,3,0),
/* Holy Shield */
(20925,0,20925,1,0),
(20927,20925,20925,2,0),
(20928,20927,20925,3,0),
(27179,20928,20925,4,0),
(48951,27179,20925,5,0),
(48952,48951,20925,6,0),
/* Shield of Righteousness */
(53600,0,53600,1,0),
(61411,53600,53600,2,0),
-- ------------------
-- (354)Demonology
-- ------------------
/* Banish */
(710,0,710,1,0),
(18647,710,710,2,0),
/* Create Firestone */
(6366,0,6366,1,0),
(17951,6366,6366,2,0),
(17952,17951,6366,3,0),
(17953,17952,6366,4,0),
(27250,17953,6366,5,0),
(60219,27250,6366,6,0),
(60220,60219,6366,7,0),
/* Create Healthstone */
(6201,0,6201,1,0),
(6202,6201,6201,2,0),
(5699,6202,6201,3,0),
(11729,5699,6201,4,0),
(11730,11729,6201,5,0),
(27230,11730,6201,6,0),
(47871,27230,6201,7,0),
(47878,47871,6201,8,0),
/* Create Soulstone */
(693,0,693,1,0),
(20752,693,693,2,0),
(20755,20752,693,3,0),
(20756,20755,693,4,0),
(20757,20756,693,5,0),
(27238,20757,693,6,0),
(47884,27238,693,7,0),
/* Create Spellstone */
(2362,0,2362,1,0),
(17727,2362,2362,2,0),
(17728,17727,2362,3,0),
(28172,17728,2362,4,0),
(47886,28172,2362,5,0),
(47888,47886,2362,6,0),
/* Demon Armor */
(706,0,706,1,0),
(1086,706,706,2,0),
(11733,1086,706,3,0),
(11734,11733,706,4,0),
(11735,11734,706,5,0),
(27260,11735,706,6,0),
(47793,27260,706,7,0),
(47889,47793,706,8,0),
/* Demon Skin */
(687,0,687,1,0),
(696,687,687,2,0),
/* Enslave Demon */
(1098,0,1098,1,0),
(11725,1098,1098,2,0),
(11726,11725,1098,3,0),
(61191,11726,1098,4,0),
/* Fel Armor */
(28176,0,28176,1,0),
(28189,28176,28176,2,0),
(47892,28189,28176,3,0),
(47893,47892,28176,4,0),
/* Health Funnel */
(755,0,755,1,0),
(3698,755,755,2,0),
(3699,3698,755,3,0),
(3700,3699,755,4,0),
(11693,3700,755,5,0),
(11694,11693,755,6,0),
(11695,11694,755,7,0),
(27259,11695,755,8,0),
(47856,27259,755,9,0),
/* Ritual of Souls */
(29893,0,29893,1,0),
(58887,29893,29893,2,0),
/* Shadow Ward */
(6229,0,6229,1,0),
(11739,6229,6229,2,0),
(11740,11739,6229,3,0),
(28610,11740,6229,4,0),
(47890,28610,6229,5,0),
(47891,47890,6229,6,0),
-- ------------------
-- (355)Affliction
-- ------------------
/* Corruption */
(172,0,172,1,0),
(6222,172,172,2,0),
(6223,6222,172,3,0),
(7648,6223,172,4,0),
(11671,7648,172,5,0),
(11672,11671,172,6,0),
(25311,11672,172,7,0),
(27216,25311,172,8,0),
(47812,27216,172,9,0),
(47813,47812,172,10,0),
/* Curse of Agony */
(980,0,980,1,0),
(1014,980,980,2,0),
(6217,1014,980,3,0),
(11711,6217,980,4,0),
(11712,11711,980,5,0),
(11713,11712,980,6,0),
(27218,11713,980,7,0),
(47863,27218,980,8,0),
(47864,47863,980,9,0),
/* Curse of Doom */
(603,0,603,1,0),
(30910,603,603,2,0),
(47867,30910,603,3,0),
/* Curse of the Elements */
(1490,0,1490,1,0),
(11721,1490,1490,2,0),
(11722,11721,1490,3,0),
(27228,11722,1490,4,0),
(47865,27228,1490,5,0),
/* Curse of Tongues */
(1714,0,1714,1,0),
(11719,1714,1714,2,0),
/* Curse of Weakness */
(702,0,702,1,0),
(1108,702,702,2,0),
(6205,1108,702,3,0),
(7646,6205,702,4,0),
(11707,7646,702,5,0),
(11708,11707,702,6,0),
(27224,11708,702,7,0),
(30909,27224,702,8,0),
(50511,30909,702,9,0),
/* Dark Pact */
(18220,0,18220,1,0),
(18937,18220,18220,2,0),
(18938,18937,18220,3,0),
(27265,18938,18220,4,0),
(59092,27265,18220,5,0),
/* Death Coil */
(6789,0,6789,1,0),
(17925,6789,6789,2,0),
(17926,17925,6789,3,0),
(27223,17926,6789,4,0),
(47859,27223,6789,5,0),
(47860,47859,6789,6,0),
/* Drain Life */
(689,0,689,1,0),
(699,689,689,2,0),
(709,699,689,3,0),
(7651,709,689,4,0),
(11699,7651,689,5,0),
(11700,11699,689,6,0),
(27219,11700,689,7,0),
(27220,27219,689,8,0),
(47857,27220,689,9,0),
/* Drain Soul */
(1120,0,1120,1,0),
(8288,1120,1120,2,0),
(8289,8288,1120,3,0),
(11675,8289,1120,4,0),
(27217,11675,1120,5,0),
(47855,27217,1120,6,0),
/* Fear */
(5782,0,5782,1,0),
(6213,5782,5782,2,0),
(6215,6213,5782,3,0),
/* Haunt */
(48181,0,48181,1,0),
(59161,48181,48181,2,0),
(59163,59161,48181,3,0),
(59164,59163,48181,4,0),
/* Howl of Terror */
(5484,0,5484,1,0),
(17928,5484,5484,2,0),
/* Seed of Corruption */
(27243,0,27243,1,0),
(47835,27243,27243,2,0),
(47836,47835,27243,3,0),
/* Unstable Affliction */
(30108,0,30108,1,0),
(30404,30108,30108,2,0),
(30405,30404,30108,3,0),
(47841,30405,30108,4,0),
(47843,47841,30108,5,0),
-- ------------------
-- (373) Enhancement
-- ------------------
/* Fire Resistance Totem */
(8184,0,8184,1,0),
(10537,8184,8184,2,0),
(10538,10537,8184,3,0),
(25563,10538,8184,4,0),
(58737,25563,8184,5,0),
(58739,58737,8184,6,0),
/* Flametongue Totem */
(8227,0,8227,1,0),
(8249,8227,8227,2,0),
(10526,8249,8227,3,0),
(16387,10526,8227,4,0),
(25557,16387,8227,5,0),
(58649,25557,8227,6,0),
(58652,58649,8227,7,0),
(58656,58652,8227,8,0),
/* Flametongue Weapon */
(8024,0,8024,1,0),
(8027,8024,8024,2,0),
(8030,8027,8024,3,0),
(16339,8030,8024,4,0),
(16341,16339,8024,5,0),
(16342,16341,8024,6,0),
(25489,16342,8024,7,0),
(58785,25489,8024,8,0),
(58789,58785,8024,9,0),
(58790,58789,8024,10,0),
/* Frost Resistance Totem */
(8181,0,8181,1,0),
(10478,8181,8181,2,0),
(10479,10478,8181,3,0),
(25560,10479,8181,4,0),
(58741,25560,8181,5,0),
(58745,58741,8181,6,0),
/* Frostbrand Weapon */
(8033,0,8033,1,0),
(8038,8033,8033,2,0),
(10456,8038,8033,3,0),
(16355,10456,8033,4,0),
(16356,16355,8033,5,0),
(25500,16356,8033,6,0),
(58794,25500,8033,7,0),
(58795,58794,8033,8,0),
(58796,58795,8033,9,0),
/* Life Tap */
(1454,0,1454,1,0),
(1455,1454,1454,2,0),
(1456,1455,1454,3,0),
(11687,1456,1454,4,0),
(11688,11687,1454,5,0),
(11689,11688,1454,6,0),
(27222,11689,1454,7,0),
(57946,27222,1454,8,0),
/* Lightning Shield */
(324,0,324,1,0),
(325,324,324,2,0),
(905,325,324,3,0),
(945,905,324,4,0),
(8134,945,324,5,0),
(10431,8134,324,6,0),
(10432,10431,324,7,0),
(25469,10432,324,8,0),
(25472,25469,324,9,0),
(49280,25472,324,10,0),
(49281,49280,324,11,0),
/* Lightning Shield Proc */
(26364,0,26364,1,0),
(26365,26364,26364,2,0),
(26366,26365,26364,3,0),
(26367,26366,26364,4,0),
(26369,26367,26364,5,0),
(26370,26369,26364,6,0),
(26363,26370,26364,7,0),
(26371,26363,26364,8,0),
(26372,26371,26364,9,0),
(49278,26372,26364,10,0),
(49279,49278,26364,11,0),
/* Nature Resistance Totem */
(10595,0,10595,1,0),
(10600,10595,10595,2,0),
(10601,10600,10595,3,0),
(25574,10601,10595,4,0),
(58746,25574,10595,5,0),
(58749,58746,10595,6,0),
/* Rockbiter Weapon */
(8017,0,8017,1,0),
(8018,8017,8017,2,0),
(8019,8018,8017,3,0),
(10399,8019,8017,4,0),
/* Stoneskin Totem */
(8071,0,8071,1,0),
(8154,8071,8071,2,0),
(8155,8154,8071,3,0),
(10406,8155,8071,4,0),
(10407,10406,8071,5,0),
(10408,10407,8071,6,0),
(25508,10408,8071,7,0),
(25509,25508,8071,8,0),
(58751,25509,8071,9,0),
(58753,58751,8071,10,0),
/* Strength of Earth Totem */
(8075,0,8075,1,0),
(8160,8075,8075,2,0),
(8161,8160,8075,3,0),
(10442,8161,8075,4,0),
(25361,10442,8075,5,0),
(25528,25361,8075,6,0),
(57622,25528,8075,7,0),
(58643,57622,8075,8,0),
/* Windfury Weapon */
(8232,0,8232,1,0),
(8235,8232,8232,2,0),
(10486,8235,8232,3,0),
(16362,10486,8232,4,0),
(25505,16362,8232,5,0),
(58801,25505,8232,6,0),
(58803,58801,8232,7,0),
(58804,58803,8232,8,0),
-- ------------------
-- (374) Restoration (Shaman)
-- ------------------
/* Ancestral Spirit */
(2008,0,2008,1,0),
(20609,2008,2008,2,0),
(20610,20609,2008,3,0),
(20776,20610,2008,4,0),
(20777,20776,2008,5,0),
(25590,20777,2008,6,0),
(49277,25590,2008,7,0),
/* Chain Heal */
(1064,0,1064,1,0),
(10622,1064,1064,2,0),
(10623,10622,1064,3,0),
(25422,10623,1064,4,0),
(25423,25422,1064,5,0),
(55458,25423,1064,6,0),
(55459,55458,1064,7,0),
/* Earth Shield */
(974,0,974,1,0),
(32593,974,974,2,0),
(32594,32593,974,3,0),
(49283,32594,974,4,0),
(49284,49283,974,5,0),
/* Earthliving Weapon */
(51730,0,51730,1,0),
(51988,51730,51730,2,0),
(51991,51988,51730,3,0),
(51992,51991,51730,4,0),
(51993,51992,51730,5,0),
(51994,51993,51730,6,0),
/* Healing Stream Totem */
(5394,0,5394,1,0),
(6375,5394,5394,2,0),
(6377,6375,5394,3,0),
(10462,6377,5394,4,0),
(10463,10462,5394,5,0),
(25567,10463,5394,6,0),
(58755,25567,5394,7,0),
(58756,58755,5394,8,0),
(58757,58756,5394,9,0),
/* Healing Wave */
(331,0,331,1,0),
(332,331,331,2,0),
(547,332,331,3,0),
(913,547,331,4,0),
(939,913,331,5,0),
(959,939,331,6,0),
(8005,959,331,7,0),
(10395,8005,331,8,0),
(10396,10395,331,9,0),
(25357,10396,331,10,0),
(25391,25357,331,11,0),
(25396,25391,331,12,0),
(49272,25396,331,13,0),
(49273,49272,331,14,0),
/* Lesser Healing Wave */
(8004,0,8004,1,0),
(8008,8004,8004,2,0),
(8010,8008,8004,3,0),
(10466,8010,8004,4,0),
(10467,10466,8004,5,0),
(10468,10467,8004,6,0),
(25420,10468,8004,7,0),
(49275,25420,8004,8,0),
(49276,49275,8004,9,0),
/* Mana Spring Totem */
(5675,0,5675,1,0),
(10495,5675,5675,2,0),
(10496,10495,5675,3,0),
(10497,10496,5675,4,0),
(25570,10497,5675,5,0),
(58771,25570,5675,6,0),
(58773,58771,5675,7,0),
(58774,58773,5675,8,0),
/* Riptide */
(61295,0,61295,1,0),
(61299,61295,61295,2,0),
(61300,61299,61295,3,0),
(61301,61300,61295,4,0),
/* Water Shield */
(52127,0,52127,1,0),
(52129,52127,52127,2,0),
(52131,52129,52127,3,0),
(52134,52131,52127,4,0),
(52136,52134,52127,5,0),
(52138,52136,52127,6,0),
(24398,52138,52127,7,0),
(33736,24398,52127,8,0),
(57960,33736,52127,9,0),
-- ------------------
-- (375) Elemental Combat
-- ------------------
/* Chain Lightning */
(421,0,421,1,0),
(930,421,421,2,0),
(2860,930,421,3,0),
(10605,2860,421,4,0),
(25439,10605,421,5,0),
(25442,25439,421,6,0),
(49270,25442,421,7,0),
(49271,49270,421,8,0),
/* Earth Shock */
(8042,0,8042,1,0),
(8044,8042,8042,2,0),
(8045,8044,8042,3,0),
(8046,8045,8042,4,0),
(10412,8046,8042,5,0),
(10413,10412,8042,6,0),
(10414,10413,8042,7,0),
(25454,10414,8042,8,0),
(49230,25454,8042,9,0),
(49231,49230,8042,10,0),
/* Fire Nova */
(1535,0,1535,1,0),
(8498,1535,1535,2,0),
(8499,8498,1535,3,0),
(11314,8499,1535,4,0),
(11315,11314,1535,5,0),
(25546,11315,1535,6,0),
(25547,25546,1535,7,0),
(61649,25547,1535,8,0),
(61657,61649,1535,9,0),
/* Flame Shock */
(8050,0,8050,1,0),
(8052,8050,8050,2,0),
(8053,8052,8050,3,0),
(10447,8053,8050,4,0),
(10448,10447,8050,5,0),
(29228,10448,8050,6,0),
(25457,29228,8050,7,0),
(49232,25457,8050,8,0),
(49233,49232,8050,9,0),
/* Frost Shock */
(8056,0,8056,1,0),
(8058,8056,8056,2,0),
(10472,8058,8056,3,0),
(10473,10472,8056,4,0),
(25464,10473,8056,5,0),
(49235,25464,8056,6,0),
(49236,49235,8056,7,0),
/* Lava Burst */
(51505,0,51505,1,0),
(60043,51505,51505,2,0),
/* Lightning Bolt */
(403,0,403,1,0),
(529,403,403,2,0),
(548,529,403,3,0),
(915,548,403,4,0),
(943,915,403,5,0),
(6041,943,403,6,0),
(10391,6041,403,7,0),
(10392,10391,403,8,0),
(15207,10392,403,9,0),
(15208,15207,403,10,0),
(25448,15208,403,11,0),
(25449,25448,403,12,0),
(49237,25449,403,13,0),
(49238,49237,403,14,0),
/* Magma Totem */
(8190,0,8190,1,0),
(10585,8190,8190,2,0),
(10586,10585,8190,3,0),
(10587,10586,8190,4,0),
(25552,10587,8190,5,0),
(58731,25552,8190,6,0),
(58734,58731,8190,7,0),
/* Purge */
(370,0,370,1,0),
(8012,370,370,2,0),
/* Searing Totem */
(3599,0,3599,1,0),
(6363,3599,3599,2,0),
(6364,6363,3599,3,0),
(6365,6364,3599,4,0),
(10437,6365,3599,5,0),
(10438,10437,3599,6,0),
(25533,10438,3599,7,0),
(58699,25533,3599,8,0),
(58703,58699,3599,9,0),
(58704,58703,3599,10,0),
/* Stoneclaw Totem */
(5730,0,5730,1,0),
(6390,5730,5730,2,0),
(6391,6390,5730,3,0),
(6392,6391,5730,4,0),
(10427,6392,5730,5,0),
(10428,10427,5730,6,0),
(25525,10428,5730,7,0),
(58580,25525,5730,8,0),
(58581,58580,5730,9,0),
(58582,58581,5730,10,0),
/* Totem of Wrath */
(30706,0,30706,1,0),
(57720,30706,30706,2,0),
(57721,57720,30706,3,0),
(57722,57721,30706,4,0),
/* Thunderstorm */
(51490,0,51490,1,0),
(59156,51490,51490,2,0),
(59158,59156,51490,3,0),
(59159,59158,51490,4,0),
-- ------------------
-- (573)Restoration
-- ------------------
/* Gift of the Wild */
(21849,0,21849,1,0),
(21850,21849,21849,2,0),
(26991,21850,21849,3,0),
(48470,26991,21849,4,0),
/* Healing Touch */
(5185,0,5185,1,0),
(5186,5185,5185,2,0),
(5187,5186,5185,3,0),
(5188,5187,5185,4,0),
(5189,5188,5185,5,0),
(6778,5189,5185,6,0),
(8903,6778,5185,7,0),
(9758,8903,5185,8,0),
(9888,9758,5185,9,0),
(9889,9888,5185,10,0),
(25297,9889,5185,11,0),
(26978,25297,5185,12,0),
(26979,26978,5185,13,0),
(48377,26979,5185,14,0),
(48378,48377,5185,15,0),
/* Lifebloom */
(33763,0,33763,1,0),
(48450,33763,33763,2,0),
(48451,48450,33763,3,0),
/* Mark of the Wild */
(1126,0,1126,1,0),
(5232,1126,1126,2,0),
(6756,5232,1126,3,0),
(5234,6756,1126,4,0),
(8907,5234,1126,5,0),
(9884,8907,1126,6,0),
(9885,9884,1126,7,0),
(26990,9885,1126,8,0),
(48469,26990,1126,9,0),
/* Rebirth */
(20484,0,20484,1,0),
(20739,20484,20484,2,0),
(20742,20739,20484,3,0),
(20747,20742,20484,4,0),
(20748,20747,20484,5,0),
(26994,20748,20484,6,0),
(48477,26994,20484,7,0),
/* Regrowth */
(8936,0,8936,1,0),
(8938,8936,8936,2,0),
(8939,8938,8936,3,0),
(8940,8939,8936,4,0),
(8941,8940,8936,5,0),
(9750,8941,8936,6,0),
(9856,9750,8936,7,0),
(9857,9856,8936,8,0),
(9858,9857,8936,9,0),
(26980,9858,8936,10,0),
(48442,26980,8936,11,0),
(48443,48442,8936,12,0),
/* Rejuvenation */
(774,0,774,1,0),
(1058,774,774,2,0),
(1430,1058,774,3,0),
(2090,1430,774,4,0),
(2091,2090,774,5,0),
(3627,2091,774,6,0),
(8910,3627,774,7,0),
(9839,8910,774,8,0),
(9840,9839,774,9,0),
(9841,9840,774,10,0),
(25299,9841,774,11,0),
(26981,25299,774,12,0),
(26982,26981,774,13,0),
(48440,26982,774,14,0),
(48441,48440,774,15,0),
/* Revive */
(50769,0,50769,1,0),
(50768,50769,50769,2,0),
(50767,50768,50769,3,0),
(50766,50767,50769,4,0),
(50765,50766,50769,5,0),
(50764,50765,50769,6,0),
(50763,50764,50769,7,0),
/* Tranquility */
(740,0,740,1,0),
(8918,740,740,2,0),
(9862,8918,740,3,0),
(9863,9862,740,4,0),
(26983,9863,740,5,0),
(48446,26983,740,6,0),
(48447,48446,740,7,0),
/* Tranquility Triggered */
(44203,0,44203,1,0),
(44205,44203,44203,2,0),
(44206,44205,44203,3,0),
(44207,44206,44203,4,0),
(44208,44207,44203,5,0),
(48444,44208,44203,6,0),
(48445,48444,44203,7,0),
/* Wild Growth */
(48438,0,48438,1,0),
(53248,48438,48438,2,0),
(53249,53248,48438,3,0),
(53251,53249,48438,4,0),
-- ------------------
-- (574)Balance
-- ------------------
/* Entangling Roots */
(339,0,339,1,0),
(1062,339,339,2,0),
(5195,1062,339,3,0),
(5196,5195,339,4,0),
(9852,5196,339,5,0),
(9853,9852,339,6,0),
(26989,9853,339,7,0),
(53308,26989,339,8,0),
/* Nature's Grasp */
(16689,0,16689,1,339),
(16810,16689,16689,2,1062),
(16811,16810,16689,3,5195),
(16812,16811,16689,4,5196),
(16813,16812,16689,5,9852),
(17329,16813,16689,6,9853),
(27009,17329,16689,7,26989),
(53312,27009,16689,8,53308),
/* Hibernate */
(2637,0,2637,1,0),
(18657,2637,2637,2,0),
(18658,18657,2637,3,0),
/* Hurricane */
(16914,0,16914,1,0),
(17401,16914,16914,2,0),
(17402,17401,16914,3,0),
(27012,17402,16914,4,0),
(48467,27012,16914,5,0),
/* Hurricane Triggered */
(42231,0,42231,1,0),
(42232,42231,42231,2,0),
(42233,42232,42231,3,0),
(42230,42233,42231,4,0),
(48466,42230,42231,5,0),
/* Insect Swarm */
(5570,0,5570,1,0),
(24974,5570,5570,2,0),
(24975,24974,5570,3,0),
(24976,24975,5570,4,0),
(24977,24976,5570,5,0),
(27013,24977,5570,6,0),
(48468,27013,5570,7,0),
/* Moonfire */
(8921,0,8921,1,0),
(8924,8921,8921,2,0),
(8925,8924,8921,3,0),
(8926,8925,8921,4,0),
(8927,8926,8921,5,0),
(8928,8927,8921,6,0),
(8929,8928,8921,7,0),
(9833,8929,8921,8,0),
(9834,9833,8921,9,0),
(9835,9834,8921,10,0),
(26987,9835,8921,11,0),
(26988,26987,8921,12,0),
(48462,26988,8921,13,0),
(48463,48462,8921,14,0),
/* Soothe Animal */
(2908,0,2908,1,0),
(8955,2908,2908,2,0),
(9901,8955,2908,3,0),
(26995,9901,2908,4,0),
/* Starfall */
(48505,0,48505,1,0),
(53199,48505,48505,2,0),
(53200,53199,48505,3,0),
(53201,53200,48505,4,0),
/* Starfall AOE */
(50294,0,50294,1,0),
(53188,50294,50294,2,0),
(53189,53188,50294,3,0),
(53190,53189,50294,4,0),
/* Starfall Direct */
(50288,0,50288,1,0),
(53191,50288,50288,2,0),
(53194,53191,50288,3,0),
(53195,53194,50288,4,0),
/* Starfire */
(2912,0,2912,1,0),
(8949,2912,2912,2,0),
(8950,8949,2912,3,0),
(8951,8950,2912,4,0),
(9875,8951,2912,5,0),
(9876,9875,2912,6,0),
(25298,9876,2912,7,0),
(26986,25298,2912,8,0),
(48464,26986,2912,9,0),
(48465,48464,2912,10,0),
/* Thorns */
(467,0,467,1,0),
(782,467,467,2,0),
(1075,782,467,3,0),
(8914,1075,467,4,0),
(9756,8914,467,5,0),
(9910,9756,467,6,0),
(26992,9910,467,7,0),
(53307,26992,467,8,0),
/* Typhoon */
(50516,0,50516,1,0),
(53223,50516,50516,2,0),
(53225,53223,50516,3,0),
(53226,53225,50516,4,0),
(61384,53226,50516,5,0),
/* Typhoon Triggered */
(61391,0,61391,1,0),
(61390,61391,61391,2,0),
(61388,61390,61391,3,0),
(61387,61388,61391,4,0),
(53227,61387,61391,5,0),
/* Wrath */
(5176,0,5176,1,0),
(5177,5176,5176,2,0),
(5178,5177,5176,3,0),
(5179,5178,5176,4,0),
(5180,5179,5176,5,0),
(6780,5180,5176,6,0),
(8905,6780,5176,7,0),
(9912,8905,5176,8,0),
(26984,9912,5176,9,0),
(26985,26984,5176,10,0),
(48459,26985,5176,11,0),
(48461,48459,5176,12,0),
-- ------------------
-- (593)Destruction
-- ------------------
/* Chaos Bolt */
(50796,0,50796,1,0),
(59170,50796,50796,2,0),
(59171,59170,50796,3,0),
(59172,59171,50796,4,0),
/* Hellfire */
(1949,0,1949,1,0),
(11683,1949,1949,2,0),
(11684,11683,1949,3,0),
(27213,11684,1949,4,0),
(47823,27213,1949,5,0),
/* Hellfire Effect on Enemy */
(5857,0,5857,1,0),
(11681,5857,5857,2,0),
(11682,11681,5857,3,0),
(27214,11682,5857,4,0),
(47822,27214,5857,5,0),
/* Immolate */
(348,0,348,1,0),
(707,348,348,2,0),
(1094,707,348,3,0),
(2941,1094,348,4,0),
(11665,2941,348,5,0),
(11667,11665,348,6,0),
(11668,11667,348,7,0),
(25309,11668,348,8,0),
(27215,25309,348,9,0),
(47810,27215,348,10,0),
(47811,47810,348,11,0),
/* Incinerate */
(29722,0,29722,1,0),
(32231,29722,29722,2,0),
(47837,32231,29722,3,0),
(47838,47837,29722,4,0),
/* Rain of Fire */
(5740,0,5740,1,0),
(6219,5740,5740,2,0),
(11677,6219,5740,3,0),
(11678,11677,5740,4,0),
(27212,11678,5740,5,0),
(47819,27212,5740,6,0),
(47820,47819,5740,7,0),
/* Rain of Fire Triggered */
(42223,0,42223,1,0),
(42224,42223,42223,2,0),
(42225,42224,42223,3,0),
(42226,42225,42223,4,0),
(42218,42226,42223,5,0),
(47817,42218,42223,6,0),
(47818,47817,42223,7,0),
/* Searing Pain */
(5676,0,5676,1,0),
(17919,5676,5676,2,0),
(17920,17919,5676,3,0),
(17921,17920,5676,4,0),
(17922,17921,5676,5,0),
(17923,17922,5676,6,0),
(27210,17923,5676,7,0),
(30459,27210,5676,8,0),
(47814,30459,5676,9,0),
(47815,47814,5676,10,0),
/* Shadow Bolt */
(686,0,686,1,0),
(695,686,686,2,0),
(705,695,686,3,0),
(1088,705,686,4,0),
(1106,1088,686,5,0),
(7641,1106,686,6,0),
(11659,7641,686,7,0),
(11660,11659,686,8,0),
(11661,11660,686,9,0),
(25307,11661,686,10,0),
(27209,25307,686,11,0),
(47808,27209,686,12,0),
(47809,47808,686,13,0),
/* Shadowburn */
(17877,0,17877,1,0),
(18867,17877,17877,2,0),
(18868,18867,17877,3,0),
(18869,18868,17877,4,0),
(18870,18869,17877,5,0),
(18871,18870,17877,6,0),
(27263,18871,17877,7,0),
(30546,27263,17877,8,0),
(47826,30546,17877,9,0),
(47827,47826,17877,10,0),
/* Shadowflame */
(47897,0,47897,1,0),
(61290,47897,47897,2,0),
/* Shadowfury */
(30283,0,30283,1,0),
(30413,30283,30283,2,0),
(30414,30413,30283,3,0),
(47846,30414,30283,4,0),
(47847,47846,30283,5,0),
/* Soul Fire */
(6353,0,6353,1,0),
(17924,6353,6353,2,0),
(27211,17924,6353,3,0),
(30545,27211,6353,4,0),
(47824,30545,6353,5,0),
(47825,47824,6353,6,0),
-- ------------------
-- (594) Holy (Paladin)
-- ------------------
/* Blessing of Wisdom */
(19742,0,19742,1,0),
(19850,19742,19742,2,0),
(19852,19850,19742,3,0),
(19853,19852,19742,4,0),
(19854,19853,19742,5,0),
(25290,19854,19742,6,0),
(27142,25290,19742,7,0),
(48935,27142,19742,8,0),
(48936,48935,19742,9,0),
/* Consecration */
(26573,0,26573,1,0),
(20116,26573,26573,2,0),
(20922,20116,26573,3,0),
(20923,20922,26573,4,0),
(20924,20923,26573,5,0),
(27173,20924,26573,6,0),
(48818,27173,26573,7,0),
(48819,48818,26573,8,0),
/* Exorcism */
(879,0,879,1,0),
(5614,879,879,2,0),
(5615,5614,879,3,0),
(10312,5615,879,4,0),
(10313,10312,879,5,0),
(10314,10313,879,6,0),
(27138,10314,879,7,0),
(48800,27138,879,8,0),
(48801,48800,879,9,0),
/* Flash of Light */
(19750,0,19750,1,0),
(19939,19750,19750,2,0),
(19940,19939,19750,3,0),
(19941,19940,19750,4,0),
(19942,19941,19750,5,0),
(19943,19942,19750,6,0),
(27137,19943,19750,7,0),
(48784,27137,19750,8,0),
(48785,48784,19750,9,0),
/* Greater Blessing of Wisdom */
(25894,0,25894,1,19854),
(25918,25894,25894,2,25290),
(27143,25918,25894,3,27142),
(48937,27143,25894,4,48935),
(48938,48937,25894,5,48936),
/* Holy Light */
(635,0,635,1,0),
(639,635,635,2,0),
(647,639,635,3,0),
(1026,647,635,4,0),
(1042,1026,635,5,0),
(3472,1042,635,6,0),
(10328,3472,635,7,0),
(10329,10328,635,8,0),
(25292,10329,635,9,0),
(27135,25292,635,10,0),
(27136,27135,635,11,0),
(48781,27136,635,12,0),
(48782,48781,635,13,0),
/* Holy Shock */
(20473,0,20473,1,0),
(20929,20473,20473,2,0),
(20930,20929,20473,3,0),
(27174,20930,20473,4,0),
(33072,27174,20473,5,0),
(48824,33072,20473,6,0),
(48825,48824,20473,7,0),
/* Holy Shock Triggered Hurt */
(25912,0,25912,1,0),
(25911,25912,25912,2,0),
(25902,25911,25912,3,0),
(27176,25902,25912,4,0),
(33073,27176,25912,5,0),
(48822,33073,25912,6,0),
(48823,48822,25912,7,0),
/* Holy Shock Triggered Heal */
(25914,0,25914,1,0),
(25913,25914,25914,2,0),
(25903,25913,25914,3,0),
(27175,25903,25914,4,0),
(33074,27175,25914,5,0),
(48820,33074,25914,6,0),
(48821,48820,25914,7,0),
/* Holy Wrath */
(2812,0,2812,1,0),
(10318,2812,2812,2,0),
(27139,10318,2812,3,0),
(48816,27139,2812,4,0),
(48817,48816,2812,5,0),
/* Redemption */
(7328,0,7328,1,0),
(10322,7328,7328,2,0),
(10324,10322,7328,3,0),
(20772,10324,7328,4,0),
(20773,20772,7328,5,0),
(48949,20773,7328,6,0),
(48950,48949,7328,7,0),
-- ------------------
-- (613)Discipline
-- ------------------
/* Dispel Magic*/
(527,0,527,1,0),
(988,527,527,2,0),
/* Divine Spirit */
(14752,0,14752,1,0),
(14818,14752,14752,2,0),
(14819,14818,14752,3,0),
(27841,14819,14752,4,0),
(25312,27841,14752,5,0),
(48073,25312,14752,6,0),
/* Inner Fire */
(588,0,588,1,0),
(7128,588,588,2,0),
(602,7128,588,3,0),
(1006,602,588,4,0),
(10951,1006,588,5,0),
(10952,10951,588,6,0),
(25431,10952,588,7,0),
(48040,25431,588,8,0),
(48168,48040,588,9,0),
/* Penance */
(47540,0,47540,1,0),
(53005,47540,47540,2,0),
(53006,53005,47540,3,0),
(53007,53006,47540,4,0),
/* Penance (damage) */
(47666,0,47666,1,0),
(52998,47666,47666,2,0),
(52999,52998,47666,3,0),
(53000,52999,47666,4,0),
/* Penance (healing) */
(47750,0,47750,1,0),
(52983,47750,47750,2,0),
(52984,52983,47750,3,0),
(52985,52984,47750,4,0),
/* Power Word: Fortitude */
(1243,0,1243,1,0),
(1244,1243,1243,2,0),
(1245,1244,1243,3,0),
(2791,1245,1243,4,0),
(10937,2791,1243,5,0),
(10938,10937,1243,6,0),
(25389,10938,1243,7,0),
(48161,25389,1243,8,0),
/* Power Word: Shield */
(17,0,17,1,0),
(592,17,17,2,0),
(600,592,17,3,0),
(3747,600,17,4,0),
(6065,3747,17,5,0),
(6066,6065,17,6,0),
(10898,6066,17,7,0),
(10899,10898,17,8,0),
(10900,10899,17,9,0),
(10901,10900,17,10,0),
(25217,10901,17,11,0),
(25218,25217,17,12,0),
(48065,25218,17,13,0),
(48066,48065,17,14,0),
/* Prayer of Fortitude */
(21562,0,21562,1,0),
(21564,21562,21562,2,0),
(25392,21564,21562,3,0),
(48162,25392,21562,4,0),
/* Prayer of Spirit */
(27681,14752,14752,2,0),
(32999,27681,14752,3,0),
(48074,32999,14752,4,0),
/* Shackle Undead */
(9484,0,9484,1,0),
(9485,9484,9484,2,0),
(10955,9485,9484,3,0),
-- ------------------
-- (770)Blood
-- ------------------
/* Death Coil */
(62900,0,62900,1,0),
(62901,62900,62900,2,0),
(62902,62901,62900,3,0),
(62903,62902,62900,4,0),
(62904,62903,62900,5,0),
-- ------------------
-- (771)Frost
-- ------------------
/* Horn of Winter */
(57330,0,57330,1,0),
(57623,57330,57330,2,0),
/* Howling Blast */
(49184,0,49184,1,0),
(51409,49184,49184,2,0),
(51410,51409,49184,3,0),
(51411,51410,49184,4,0),
-- ------------------
-- (777) Mounts
-- ------------------
(13819,0,13819,1,0),
(23214,13819,13819,2,33391),
(34769,0,34769,1,0),
(34767,34769,34769,2,33391);
/*!40000 ALTER TABLE `spell_chain` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_elixir`
--

DROP TABLE IF EXISTS `spell_elixir`;
CREATE TABLE `spell_elixir` (
  `entry` int(11) unsigned NOT NULL default '0' COMMENT 'SpellId of potion',
  `mask` tinyint(1) unsigned NOT NULL default '0' COMMENT 'Mask 0x1 battle 0x2 guardian 0x3 flask 0x7 unstable flasks 0xB shattrath flasks',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Spell System';

--
-- Dumping data for table `spell_elixir`
--

LOCK TABLES `spell_elixir` WRITE;
/*!40000 ALTER TABLE `spell_elixir` DISABLE KEYS */;
INSERT INTO `spell_elixir` VALUES
(  673,0x2),
( 2367,0x1),
( 2374,0x1),
( 2378,0x2),
( 2380,0x2),
( 3160,0x1),
( 3164,0x1),
( 3166,0x2),
( 3219,0x2),
( 3220,0x2),
( 3222,0x2),
( 3223,0x2),
( 3593,0x2),
( 7844,0x1),
( 8212,0x1),
(10667,0x1),
(10668,0x2),
(10669,0x1),
(10692,0x2),
(10693,0x2),
(11319,0x2),
(11328,0x1),
(11334,0x1),
(11348,0x2),
(11349,0x2),
(11364,0x2),
(11371,0x2),
(11390,0x1),
(11396,0x2),
(11405,0x1),
(11406,0x1),
(11474,0x1),
(15231,0x2),
(15233,0x2),
(16321,0x2),
(16322,0x1),
(16323,0x1),
(16325,0x2),
(16326,0x2),
(16327,0x2),
(16329,0x1),
(17038,0x1),
(17535,0x2),
(17537,0x1),
(17538,0x1),
(17539,0x1),
(17626,0x3),
(17627,0x3),
(17629,0x3),
(17628,0x3),
(18191,0x10),
(18192,0x10),
(18193,0x10),
(18194,0x10),
(18222,0x10),
(21920,0x1),
(22730,0x10),
(24361,0x2),
(24363,0x2),
(24382,0x2),
(24383,0x2),
(24417,0x2),
(25661,0x10),
(26276,0x1),
(27652,0x2),
(27653,0x2),
(28486,0x1),
(28488,0x1),
(28490,0x1),
(28491,0x1),
(28493,0x1),
(28497,0x1),
(28501,0x1),
(28502,0x2),
(28503,0x1),
(28509,0x2),
(28514,0x2),
(28518,0x3),
(28519,0x3),
(28520,0x3),
(28521,0x3),
(28540,0x3),
(29348,0x2),
(33720,0x1),
(33721,0x1),
(33726,0x1),
(38954,0x1),
(39625,0x2),
(39626,0x2),
(39627,0x2),
(39628,0x2),
(40567,0x7),
(40568,0x7),
(40572,0x7),
(40573,0x7),
(40575,0x7),
(40576,0x7),
(41608,0xB),
(41609,0xB),
(41610,0xB),
(41611,0xB),
(42735,0x3),
(45373,0x1),
(46837,0xB),
(46839,0xB),
(53747,0x2),
(53748,0x1),
(53746,0x1),
(53749,0x1),
(53751,0x2),
(53752,0x3),
(53755,0x3),
(53758,0x3),
(53760,0x3),
(53763,0x2),
(53764,0x2),
(54212,0x3),
(54452,0x1),
(54494,0x1),
(54497,0x2),
(60340,0x1),
(60341,0x1),
(60343,0x2),
(60344,0x1),
(60345,0x1),
(60346,0x1),
(60347,0x2),
(62380,0x3),
(63729,0x1),
(67016,0x3),
(67017,0x3),
(67018,0x3),
(67019,0x3);


/*!40000 ALTER TABLE `spell_elixir` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_learn_spell`
--

DROP TABLE IF EXISTS `spell_learn_spell`;
CREATE TABLE `spell_learn_spell` (
  `entry` smallint(5) unsigned NOT NULL default '0',
  `SpellID` smallint(5) unsigned NOT NULL default '0',
  `Active` tinyint(3) unsigned NOT NULL default '1',
  PRIMARY KEY  (`entry`,`SpellID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item System';

--
-- Dumping data for table `spell_learn_spell`
--

LOCK TABLES `spell_learn_spell` WRITE;
/*!40000 ALTER TABLE `spell_learn_spell` DISABLE KEYS */;
INSERT INTO `spell_learn_spell` VALUES
(20271,21084,1),
(53407,21084,1),
(53408,21084,1),
(5784,33388,1),
(13819,33388,1),
(17002,24867,0),
(23161,33391,1),
(23214,33391,1),
(24866,24864,0),
(33872,47179,0),
(33873,47180,0),
(33943,34090,1),
(34767,33391,1),
(34769,33388,1),
(53428,53341,1),
(53428,53343,1),
(56815,56816,0),
(58984,21009,1);
/*!40000 ALTER TABLE `spell_learn_spell` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_loot_template`
--

DROP TABLE IF EXISTS `spell_loot_template`;
CREATE TABLE `spell_loot_template` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `item` mediumint(8) unsigned NOT NULL default '0',
  `ChanceOrQuestChance` float NOT NULL default '100',
  `groupid` tinyint(3) unsigned NOT NULL default '0',
  `mincountOrRef` mediumint(9) NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` mediumint(8) unsigned NOT NULL default '0',
  `condition_value2` mediumint(8) unsigned NOT NULL default '0',
  `condition_id` MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `spell_loot_template`
--

LOCK TABLES `spell_loot_template` WRITE;
/*!40000 ALTER TABLE `spell_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `spell_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_pet_auras`
--

DROP TABLE IF EXISTS `spell_pet_auras`;
CREATE TABLE `spell_pet_auras` (
  `spell` mediumint(8) unsigned NOT NULL COMMENT 'dummy spell id',
  `effectId` tinyint(3) unsigned NOT NULL default '0',
  `pet` mediumint(8) unsigned NOT NULL default '0' COMMENT 'pet id; 0 = all',
  `aura` mediumint(8) unsigned NOT NULL COMMENT 'pet aura id',
  PRIMARY KEY  (`spell`,`effectId`,`pet`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `spell_pet_auras`
--

LOCK TABLES `spell_pet_auras` WRITE;
/*!40000 ALTER TABLE `spell_pet_auras` DISABLE KEYS */;
INSERT INTO `spell_pet_auras` VALUES
(19028, 0, 0, 25228),
(19578, 0, 0, 19579),
(20895, 0, 0, 24529),
(28757, 0, 0, 28758),
(35029, 0, 0, 35060),
(35030, 0, 0, 35061),
(35691, 0, 0, 35696),
(35692, 0, 0, 35696),
(35693, 0, 0, 35696),
(56314, 0, 0, 57447),
(56314, 1, 0, 57485),
(56315, 0, 0, 57452),
(56315, 1, 0, 57484),
(56316, 0, 0, 57453),
(56316, 1, 0, 57483),
(56317, 0, 0, 57457),
(56317, 1, 0, 57482),
(56318, 0, 0, 57458),
(56318, 1, 0, 57475),
(23785, 0, 416, 23759),
(23822, 0, 416, 23826),
(23823, 0, 416, 23827),
(23824, 0, 416, 23828),
(23825, 0, 416, 23829),
(23785, 0, 417, 23762),
(23822, 0, 417, 23837),
(23823, 0, 417, 23838),
(23824, 0, 417, 23839),
(23825, 0, 417, 23840),
(23785, 0, 1860, 23760),
(23822, 0, 1860, 23841),
(23823, 0, 1860, 23842),
(23824, 0, 1860, 23843),
(23825, 0, 1860, 23844),
(23785, 0, 1863, 23761),
(23822, 0, 1863, 23833),
(23823, 0, 1863, 23834),
(23824, 0, 1863, 23835),
(23825, 0, 1863, 23836),
(23785, 0, 17252, 35702),
(23822, 0, 17252, 35703),
(23823, 0, 17252, 35704),
(23824, 0, 17252, 35705),
(23825, 0, 17252, 35706),
(58228, 0, 19668, 57989);

/*!40000 ALTER TABLE `spell_pet_auras` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_proc_event`
--

DROP TABLE IF EXISTS `spell_proc_event`;
CREATE TABLE `spell_proc_event` (
  `entry` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `SchoolMask` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `SpellFamilyName` smallint(5) unsigned NOT NULL DEFAULT '0',
  `SpellFamilyMaskA0` int(10) unsigned NOT NULL DEFAULT '0',
  `SpellFamilyMaskA1` int(10) unsigned NOT NULL DEFAULT '0',
  `SpellFamilyMaskA2` int(10) unsigned NOT NULL DEFAULT '0',
  `SpellFamilyMaskB0` int(10) unsigned NOT NULL DEFAULT '0',
  `SpellFamilyMaskB1` int(10) unsigned NOT NULL DEFAULT '0',
  `SpellFamilyMaskB2` int(10) unsigned NOT NULL DEFAULT '0',
  `SpellFamilyMaskC0` int(10) unsigned NOT NULL DEFAULT '0',
  `SpellFamilyMaskC1` int(10) unsigned NOT NULL DEFAULT '0',
  `SpellFamilyMaskC2` int(10) unsigned NOT NULL DEFAULT '0',
  `procFlags` int(10) unsigned NOT NULL DEFAULT '0',
  `procEx` int(10) unsigned NOT NULL DEFAULT '0',
  `ppmRate` float NOT NULL DEFAULT '0',
  `CustomChance` float NOT NULL DEFAULT '0',
  `Cooldown` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `spell_proc_event`
--

LOCK TABLES `spell_proc_event` WRITE;
/*!40000 ALTER TABLE `spell_proc_event` DISABLE KEYS */;
INSERT INTO `spell_proc_event` VALUES
(  324, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(  974, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
( 3232, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
( 3411, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
( 5952, 0x00,  8, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
( 6346, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000100, 0.000000, 0.000000,  0),
( 7383, 0x01,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000100, 0.000000, 0.000000,  0),
( 7434, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
( 8178, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
( 9452, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
( 9782, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
( 9784, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
( 9799, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(11095, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(11119, 0x04,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(11129, 0x04,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(11180, 0x10,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(11185, 0x00,  3, 0x00000080, 0x00000080, 0x00000080, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00050000, 0x00000000, 0.000000, 0.000000,  0),
(11255, 0x00,  3, 0x00004000, 0x00004000, 0x00004000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(12169, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(12281, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  6),
(12289, 0x00,  4, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(12298, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000070, 0.000000, 0.000000,  0),
(12311, 0x00,  4, 0x00000800, 0x00000800, 0x00000800, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(12317, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(12319, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(12322, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 2.000000, 0.000000,  0),
(12834, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(12999, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 4.000000, 0.000000,  0),
(13000, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 6.000000, 0.000000,  0),
(13001, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 8.000000, 0.000000,  0),
(13002, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,10.000000, 0.000000,  0),
(13165, 0x00,  9, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(13754, 0x00,  8, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(13983, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000018, 0.000000, 0.000000,  0),
(14156, 0x00,  8, 0x003E0000, 0x003E0000, 0x003E0000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(14186, 0x00,  8, 0x40800508, 0x40800508, 0x40800508, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(14531, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(14892, 0x00,  6, 0x10001E00, 0x10001E00, 0x10001E00, 0x00010004, 0x00010004, 0x00010004, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(15088, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(15128, 0x04,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(15277, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 6.000000, 0.000000,  0),
(15286, 0x20,  6, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(15337, 0x00,  6, 0x00002000, 0x00002000, 0x00002000, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(15346, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 6.000000, 0.000000,  0),
(15600, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 1.000000, 0.000000,  0),
(16164, 0x1C, 11, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00000002, 0.000000, 0.000000,  0),
(16176, 0x00, 11, 0x000001C0, 0x000001C0, 0x000001C0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(16180, 0x00, 11, 0x000001C0, 0x000001C0, 0x000001C0, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(16246, 0x00, 11, 0x981001C3, 0x981001C3, 0x981001C3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(16256, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(16487, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(16550, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(16620, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 30),
(16624, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(16850, 0x00,  7, 0x00000004, 0x00000004, 0x00000004, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(16864, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 2.000000, 0.000000,  0),
(16880, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(16952, 0x00,  7, 0x00039000, 0x00039000, 0x00039000, 0x00000400, 0x00000400, 0x00000400, 0x00040000, 0x00040000, 0x00040000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(16958, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(17106, 0x00,  7, 0x00080000, 0x00080000, 0x00080000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(17364, 0x08,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(17495, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(17767, 0x00,  5, 0x02000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00080000, 0x00040000, 0.000000, 0.000000,  0),
(17793, 0x00,  5, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(17941, 0x00,  5, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(18094, 0x00,  5, 0x0000000A, 0x0000000A, 0x0000000A, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(18096, 0x00,  5, 0x00000100, 0x00000100, 0x00000100, 0x00800000, 0x00800000, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(18119, 0x00,  5, 0x00000000, 0x00000000, 0x00000000, 0x00800000, 0x00800000, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(18820, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(19184, 0x00,  9, 0x00000010, 0x00000010, 0x00000010, 0x00002000, 0x00002000, 0x00002000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(19572, 0x00,  9, 0x00800000, 0x00800000, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(20049, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(20128, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(20131, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(20132, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(20154, 0x01,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(20164, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 5.000000, 0.000000,  0),
(20165, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,20.000000, 0.000000,  0),
(20166, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,15.000000, 0.000000,  0),
(20210, 0x00, 10, 0xC0000000, 0xC0000000, 0xC0000000, 0x00010000, 0x00010000, 0x00010000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(20234, 0x00, 10, 0x00008000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(20335, 0x00, 10, 0x00800000, 0x00800000, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000008, 0x00000008, 0x00000008, 0x00000100, 0x00000000, 0.000000, 100.000000,0),
(20375, 0x01,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  1),
(20500, 0x00,  4, 0x10000000, 0x10000000, 0x10000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(20705, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(20784, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(20911, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000070, 0.000000, 0.000000,  0),
(20925, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(21185, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(21882, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(21890, 0x00,  4, 0x2A764EEF, 0x2A764EEF, 0x2A764EEF, 0x0000036C, 0x0000036C, 0x0000036C, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(22007, 0x00,  3, 0x00200021, 0x00200021, 0x00200021, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(22008, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(22618, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(22648, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(23547, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000020, 0.000000, 0.000000,  0),
(23548, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(23551, 0x00, 11, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(23552, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(23572, 0x00, 11, 0x000000C0, 0x000000C0, 0x000000C0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(23578, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 2.000000, 0.000000,  0),
(23581, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 2.000000, 0.000000,  0),
(23582, 0x00,  8, 0x00000800, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(23602, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(23686, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 2.000000, 0.000000,  0),
(23688, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(23689, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 4.000000, 0.000000,  0),
(23721, 0x00,  9, 0x00000800, 0x00000800, 0x00000800, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(23920, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000800, 0.000000, 0.000000,  0),
(24353, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(24389, 0x00,  3, 0x00C00017, 0x00C00017, 0x00C00017, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(24658, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00014110, 0x00000000, 0.000000, 0.000000,  0),
(24905, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002,15.000000, 0.000000,  0),
(24932, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  6),
(25050, 0x04,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(25669, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 1.000000, 0.000000,  0),
(26107, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000064, 0.000000, 0.000000,  0),
(26119, 0x00, 10, 0x90100003, 0x90100003, 0x90100003, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(26128, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000008, 0.000000, 0.000000,  0),
(26135, 0x00, 10, 0x00800000, 0x00800000, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(26480, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(26605, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(27419, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(27498, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(27521, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(27656, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(27774, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(27787, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(27811, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(28716, 0x00,  7, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00048000, 0x00000000, 0.000000, 0.000000,  0),
(28719, 0x00,  7, 0x00000020, 0x00000020, 0x00000020, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(28744, 0x00,  7, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00044000, 0x00000000, 0.000000, 0.000000,  0),
(28752, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(28761, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(28789, 0x00, 10, 0xC0000000, 0xC0000000, 0xC0000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(28802, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(28809, 0x00,  6, 0x00001000, 0x00001000, 0x00001000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(28812, 0x00,  8, 0x02000006, 0x02000006, 0x02000006, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(28816, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(28823, 0x00, 11, 0x000000C0, 0x000000C0, 0x000000C0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(28847, 0x00,  7, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(28849, 0x00, 11, 0x00000080, 0x00000080, 0x00000080, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(29074, 0x14,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(29150, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29385, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 7.000000, 0.000000,  0),
(29441, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000008, 0.000000, 0.000000,  1),
(29455, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(29501, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29593, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000070, 0.000000, 0.000000,  0),
(29624, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29625, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29626, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29632, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29633, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29634, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29635, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29636, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29637, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(29834, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(29977, 0x00,  3, 0x00C00017, 0x00C00017, 0x00C00017, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(30003, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000800, 0.000000, 0.000000,  0),
(30160, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(30293, 0x00,  5, 0x00000181, 0x00000181, 0x00000181, 0x008200C0, 0x008200C0, 0x008200C0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(30299, 0x7E,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(30675, 0x00, 11, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(30701, 0x1C,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(30705, 0x1C,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(30823, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 10.500000, 0.000000, 0),
(30881, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 30),
(30937, 0x20,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(31124, 0x00,  8, 0x2000000E, 0x2000000E, 0x2000000E, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(31244, 0x00,  8, 0x003E0000, 0x003E0000, 0x003E0000, 0x00000009, 0x00000009, 0x00000009, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00002034, 0.000000, 0.000000,  0),
(31394, 0x20,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(31569, 0x00,  3, 0x00000000, 0x00010000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(31571, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000008, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(31785, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00040003, 0.000000, 0.000000,  0),
(31794, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(31801, 0x01,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(31833, 0x00, 10, 0x80000000, 0x80000000, 0x80000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(31834, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(31871, 0x00, 10, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(31876, 0x00, 10, 0x00800000, 0x00800000, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000008, 0x00000008, 0x00000008, 0x00004110, 0x00000000, 0.000000, 0.000000,  0),
(31904, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(32385, 0x00,  5, 0x00000001, 0x00000001, 0x00000001, 0x00040000, 0x00040000, 0x00040000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(32587, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(32642, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(32734, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(32748, 0x00,  8, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000140, 0x00000000, 0.000000, 0.000000,  0),
(32776, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(32777, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(32837, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000, 45),
(32844, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 2.000000, 0.000000,  0),
(32885, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(33076, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000A02A8, 0x00000000, 0.000000, 0.000000,  0),
(33089, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(33127, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 7.000000, 0.000000,  0),
(33142, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(33150, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(33151, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(33191, 0x00,  6, 0x00808000, 0x00000000, 0x00000000, 0x00000400, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(33297, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(33299, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(33510, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 5.000000, 0.000000,  0),
(33648, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(33719, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000800, 0.000000, 0.000000,  0),
(33746, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(33757, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(33759, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(33881, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(33953, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000, 45),
(34074, 0x00,  9, 0x0007FA43, 0x0007FA43, 0x0007FA43, 0x00881081, 0x00881081, 0x00881081, 0x00000201, 0x00000201, 0x00000201, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(34080, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000008, 0.000000, 0.000000,  0),
(34138, 0x00, 11, 0x00000080, 0x00000080, 0x00000080, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(34139, 0x00, 10, 0x40000000, 0x40000000, 0x40000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(34258, 0x00, 10, 0x00000400, 0x00000400, 0x00000400, 0x00000008, 0x00000008, 0x00000008, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(34262, 0x00, 10, 0x00800000, 0x00800000, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(34320, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 45),
(34355, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(34497, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(34500, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(34506, 0x00,  9, 0x0007FA01, 0x0007FA01, 0x0007FA01, 0x00801081, 0x00801081, 0x00801081, 0x08000201, 0x08000201, 0x08000201, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(34584, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 30),
(34586, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 1.500000, 0.000000,  0),
(34598, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(34749, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000008, 0.000000, 0.000000,  0),
(34753, 0x00,  6, 0x00001800, 0x00001800, 0x00001800, 0x00000004, 0x00000004, 0x00000004, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(34754, 0x00,  6, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(34774, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 1.500000, 0.000000, 20),
(34783, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000800, 0.000000, 0.000000,  0),
(34784, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(34827, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(34914, 0x00,  6, 0x00002000, 0x00002000, 0x00002000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(34935, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  8),
(34936, 0x00,  5, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(34950, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(35077, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 60),
(35080, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 1.000000, 0.000000, 60),
(35083, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 60),
(35086, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 60),
(35100, 0x00,  9, 0x00001000, 0x00001000, 0x00001000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000001, 0x00000001, 0x00000100, 0x00000000, 0.000000, 0.000000,  0),
(35121, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(36032, 0x40,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(36096, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000800, 0.000000, 0.000000,  0),
(36541, 0x04,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37165, 0x00,  8, 0x00200400, 0x00200400, 0x00200400, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37168, 0x00,  8, 0x003E0000, 0x003E0000, 0x003E0000, 0x00000009, 0x00000009, 0x00000009, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37170, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 1.000000, 0.000000,  0),
(37173, 0x00,  8, 0x2CBC0598, 0x2CBC0598, 0x2CBC0598, 0x00000106, 0x00000106, 0x00000106, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 30),
(37189, 0x00, 10, 0xC0000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 60),
(37193, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(37195, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37197, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000, 45),
(37213, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(37214, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(37227, 0x00, 11, 0x000001C0, 0x000001C0, 0x000001C0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 60),
(37237, 0x00, 11, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(37247, 0x08,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000, 45),
(37377, 0x20,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(37379, 0x20,  5, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37384, 0x00,  5, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37443, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(37514, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000020, 0.000000, 0.000000,  0),
(37516, 0x00,  4, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37519, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000030, 0.000000, 0.000000,  0),
(37523, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(37528, 0x00,  4, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37536, 0x00,  4, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37568, 0x00,  6, 0x00000800, 0x00000800, 0x00000800, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37594, 0x00,  6, 0x00001000, 0x00001000, 0x00001000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37600, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(37601, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(37603, 0x00,  6, 0x00008000, 0x00008000, 0x00008000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(37655, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 60),
(37657, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  3),
(38026, 0x01,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000100, 0.000000, 0.000000,  0),
(38031, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(38290, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 1.600000, 0.000000,  0),
(38299, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 12),
(38326, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(38327, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(38332, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(38334, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 60),
(38347, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 45),
(38350, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(38394, 0x00,  5, 0x00000006, 0x00000006, 0x00000006, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(38857, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(39027, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(39372, 0x30,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(39437, 0x04,  5, 0x00001364, 0x00001364, 0x00001364, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(39442, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0.000000, 0.000000,  0),
(39443, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(39530, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(39958, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.700000, 0.000000, 40),
(40407, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 6.000000, 0.000000,  0),
(40438, 0x00,  6, 0x00008040, 0x00008040, 0x00008040, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(40442, 0x00,  7, 0x00000014, 0x00000014, 0x00000014, 0x00000440, 0x00000440, 0x00000440, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(40444, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(40458, 0x00,  4, 0x02000000, 0x02000000, 0x02000000, 0x00000601, 0x00000601, 0x00000601, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(40463, 0x00, 11, 0x00000081, 0x00000081, 0x00000081, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(40470, 0x00, 10, 0xC0800000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(40475, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 3.000000, 0.000000,  0),
(40478, 0x00,  5, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(40482, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(40485, 0x00,  9, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(40899, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(40971, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(41034, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000400, 0.000000, 0.000000,  0),
(41198, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(41260, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(41262, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(41381, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000100, 0.000000, 0.000000,  0),
(41393, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000020, 0.000000, 0.000000,  0),
(41434, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 2.000000, 0.000000, 45),
(41469, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 7.000000, 0.000000,  0),
(41635, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000A02A8, 0x00000000, 0.000000, 0.000000,  0),
(41989, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.500000, 0.000000,  0),
(42083, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 45),
(42135, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 90),
(42136, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 90),
(42368, 0x00, 10, 0x40000000, 0x40000000, 0x40000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(42370, 0x00, 11, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(42770, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(43338, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(43443, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000800, 0.000000, 0.000000,  0),
(43726, 0x00, 10, 0x40000000, 0x40000000, 0x40000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(43728, 0x00, 11, 0x00000080, 0x00000080, 0x00000080, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(43737, 0x00,  7, 0x00000000, 0x00000000, 0x00000000, 0x00000440, 0x00000440, 0x00000440, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(43739, 0x00,  7, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(43741, 0x00, 10, 0x80000000, 0x80000000, 0x80000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(43745, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000200, 0x00000200, 0x00000200, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(43748, 0x00, 11, 0x90100000, 0x90100000, 0x90100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(43750, 0x00, 11, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(43819, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(44401, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(44404, 0x00,  3, 0x20000021, 0x20000021, 0x20000021, 0x00009000, 0x00009000, 0x00009000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(44442, 0x00,  3, 0x00800000, 0x00800000, 0x00800000, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  1),
(44445, 0x00,  3, 0x00000013, 0x00000013, 0x00000013, 0x00001000, 0x00001000, 0x00001000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(44449, 0x00,  3, 0x20E21277, 0x20E21277, 0x20E21277, 0x00019048, 0x00019048, 0x00019048, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(44546, 0x00,  3, 0x020002A0, 0x020002A0, 0x020002A0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(44835, 0x00,  7, 0x00000000, 0x00000000, 0x00000000, 0x00000080, 0x00000080, 0x00000080, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0x00000000, 0.000000, 0.000000,  0),
(45054, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 15),
(45057, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 30),
(45234, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(45354, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(45355, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(45481, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(45482, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(45483, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(45484, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000, 45),
(46025, 0x20,  6, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(46092, 0x00, 10, 0x40000000, 0x40000000, 0x40000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(46098, 0x00, 11, 0x00000080, 0x00000080, 0x00000080, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(46569, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(46662, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 20),
(46832, 0x00,  7, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(46854, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(46867, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(46913, 0x00,  4, 0x00000040, 0x00000040, 0x00000040, 0x00000404, 0x00000404, 0x00000404, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(46916, 0x00,  4, 0x00000000, 0x00000000, 0x00000000, 0x00000400, 0x00000400, 0x00000400, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(46951, 0x00,  4, 0x00000400, 0x00000400, 0x00000400, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(47195, 0x00,  5, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 30),
(47201, 0x00,  5, 0x00004009, 0x00004009, 0x00004009, 0x00040000, 0x00040000, 0x00040000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(47245, 0x20,  5, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(47258, 0x00,  5, 0x00000000, 0x00000000, 0x00000000, 0x00800000, 0x00800000, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(47263, 0x20,  5, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 20),
(47264, 0x20,  5, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 20),
(47265, 0x20,  5, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 20),
(47230, 0x7F,  5, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(47509, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(47516, 0x00,  6, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(47569, 0x00,  6, 0x00004000, 0x00004000, 0x00004000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(47580, 0x00,  6, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(48108, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(48110, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000A02A8, 0x00000000, 0.000000, 0.000000,  0),
(48111, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000A02A8, 0x00000000, 0.000000, 0.000000,  0),
(48483, 0x00,  7, 0x00008800, 0x00008800, 0x00008800, 0x00000440, 0x00000440, 0x00000440, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(48492, 0x00,  7, 0x00080000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000800, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(48496, 0x00,  7, 0x00000060, 0x00000060, 0x00000060, 0x02000002, 0x02000002, 0x02000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(48506, 0x00,  7, 0x00000005, 0x00000005, 0x00000005, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(48516, 0x00,  7, 0x00000005, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 30),
(48539, 0x00,  7, 0x00000010, 0x00000010, 0x00000010, 0x04000000, 0x04000000, 0x04000000, 0x00000000, 0x00000000, 0x00000000, 0x00040000, 0x00000000, 0.000000, 0.000000,  0),
(48833, 0x00,  7, 0x00000000, 0x00000000, 0x00000000, 0x00000440, 0x00000440, 0x00000440, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(48835, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000008, 0x00000008, 0x00000008, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(48837, 0x00, 11, 0x90100000, 0x90100000, 0x90100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(48988, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(49018, 0x00, 15, 0x01400000, 0x01400000, 0x01400000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(49188, 0x00, 15, 0x00000000, 0x00000000, 0x00000000, 0x00020000, 0x00020000, 0x00020000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(49208, 0x00, 15, 0x00440000, 0x00440000, 0x00440000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(49222, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(49622, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 60),
(50781, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  6),
(50880, 0x10, 15, 0x00000000, 0x00000000, 0x00000000, 0x00000800, 0x00000800, 0x00000800, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00000000, 0.000000, 0.000000,  0),
(51123, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(51124, 0x00, 15, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(51346, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(51349, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(51352, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(51359, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(51414, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(51474, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(51483, 0x01, 11, 0x20000000, 0x20000000, 0x20000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(51521, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  1),
(51528, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000,12.500000, 0.000000,  0),
(51556, 0x00, 11, 0x000000C0, 0x000000C0, 0x000000C0, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(51562, 0x00, 11, 0x00000100, 0x00000100, 0x00000100, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(51625, 0x00,  8, 0x1000A000, 0x1000A000, 0x1000A000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(51627, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000070, 0.000000, 0.000000,  0),
(51634, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(51664, 0x00,  8, 0x00020000, 0x00020000, 0x00020000, 0x00000008, 0x00000008, 0x00000008, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(51672, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0.000000, 0.000000,  1),
(51692, 0x00,  8, 0x00000204, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(51698, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  1),
(51940, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000,20.000000,  0),
(51989, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000,20.000000,  0),
(52004, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000,20.000000,  0),
(52005, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000,20.000000,  0),
(52007, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000,20.000000,  0),
(52008, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000,20.000000,  0),
(52020, 0x00,  7, 0x00008000, 0x00008000, 0x00008000, 0x00100000, 0x00100000, 0x00100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(52127, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(52420, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 30),
(52423, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000020, 0.000000, 0.000000,  0),
(52437, 0x00,  4, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0x00000000, 0.000000, 0.000000,  0),
(53527, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000004, 0x00000004, 0x00000004, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(52795, 0x00,  6, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(52898, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(53215, 0x00,  9, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(53221, 0x00,  9, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(53228, 0x00,  9, 0x00000020, 0x00000020, 0x00000020, 0x01000000, 0x01000000, 0x01000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(53234, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(53256, 0x00,  9, 0x00000800, 0x00000800, 0x00000800, 0x00800001, 0x00800001, 0x00800001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(53290, 0x00,  9, 0x00000800, 0x00000800, 0x00000800, 0x00000001, 0x00000001, 0x00000001, 0x00000200, 0x00000200, 0x00000200, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(53380, 0x00, 10, 0x00800000, 0x00800000, 0x00800000, 0x00028000, 0x00028000, 0x00028000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(53397, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(53476, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(53486, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(53501, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(53551, 0x00, 10, 0x00001000, 0x00001000, 0x00001000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(53569, 0x00, 10, 0x00200000, 0x00200000, 0x00200000, 0x00010000, 0x00010000, 0x00010000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(53601, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000A02A8, 0x00000000, 0.000000, 0.000000,  6),
(53646, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(53671, 0x00, 10, 0x00800000, 0x00800000, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(53672, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000003, 0.000000, 0.000000,  0),
(53695, 0x00, 10, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(53709, 0x00, 10, 0x00004000, 0x00004000, 0x00004000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000100, 0x00000000, 0.000000, 0.000000,  0),
(53817, 0x00, 11, 0x00000000, 0x000001C3, 0x00000000, 0x00000000, 0x00008000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(54061, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(54062, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(54149, 0x00, 10, 0x00200000, 0x00200000, 0x00200000, 0x00010000, 0x00010000, 0x00010000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(54278, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(54646, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(54695, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(54707, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 60),
(54738, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 45),
(54741, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(54747, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(54754, 0x00,  7, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(54808, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 60),
(54821, 0x00,  7, 0x00001000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0x00000000, 0.000000, 0.000000,  0),
(54838, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(54841, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  3),
(54925, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000200, 0x00000200, 0x00000200, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(54937, 0x00, 10, 0x80000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(54939, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(55166, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(55380, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(55440, 0x00, 11, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(55640, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(55666, 0x00, 15, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(55677, 0x00,  6, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(55680, 0x00,  6, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(55689, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(55747, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(55768, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(55776, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(56218, 0x00,  5, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(56342, 0x00,  9, 0x00004000, 0x00004000, 0x00004000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(56355, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000040, 0.000000, 0.000000,  0),
(56364, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x01000000, 0x01000000, 0x01000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(56372, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000080, 0x00000080, 0x00000080, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(56375, 0x00,  3, 0x01000000, 0x01000000, 0x01000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00000000, 0.000000, 0.000000,  0),
(56451, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  3),
(56636, 0x00,  4, 0x00000020, 0x00000020, 0x00000020, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  6),
(56816, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000030, 0.000000, 0.000000,  0),
(56821, 0x00,  8, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(57345, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(57352, 0x00,  0, 0x00000001, 0x00000001, 0x00000001, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00000000, 0x00000000, 0x00010154, 0x00000003, 0.000000, 0.000000, 45),
(57470, 0x00,  6, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(57499, 0x00,  4, 0x40000001, 0x40000001, 0x40000001, 0x00010000, 0x00010000, 0x00010000, 0x00000000, 0x00000000, 0x00000000, 0x00014000, 0x00000000, 0.000000, 0.000000,  0),
(57761, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(57870, 0x00,  9, 0x00800000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00040000, 0x00040000, 0.000000, 0.000000,  0),
(57878, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0.000000, 0.000000,  0),
(57907, 0x00,  7, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(57989, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000, 0.000000, 0.000000,  0),
(58357, 0x00,  4, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(58364, 0x00,  4, 0x00000400, 0x00000400, 0x00000400, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(58372, 0x00,  4, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(58386, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000020, 0.000000, 0.000000,  0),
(58442, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 15),
(58444, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  5),
(58597, 0x00, 10, 0x40000000, 0x40000000, 0x40000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0x00000000, 0.000000, 100.000000,6),
(58616, 0x00, 15, 0x01000000, 0x01000000, 0x01000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(58620, 0x00, 15, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00004000, 0x00004000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(58626, 0x00, 15, 0x00000000, 0x02000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(58644, 0x00, 15, 0x00000000, 0x00000000, 0x00000000, 0x00000004, 0x00000004, 0x00000004, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(58647, 0x00, 15, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(58677, 0x00, 15, 0x00002000, 0x00002000, 0x00002000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(58872, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000043, 0.000000, 0.000000,  0),
(58901, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 45),
(59176, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(59327, 0x00, 15, 0x08000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(59345, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(59630, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 35),
(59725, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000800, 0.000000, 0.000000,  0),
(60061, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60063, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60066, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60132, 0x00, 15, 0x00000000, 0x00000000, 0x00000000, 0x08020000, 0x08020000, 0x08020000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60170, 0x00,  5, 0x00000006, 0x00000006, 0x00000006, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60172, 0x00,  5, 0x00040000, 0x00040000, 0x00040000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0.000000, 0.000000,  0),
(60221, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60301, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60306, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60317, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60436, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60442, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60473, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60482, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60487, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 15),
(60490, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60493, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60503, 0x00,  4, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60517, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60519, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60529, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(60537, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 45),
(60564, 0x00, 11, 0x90100000, 0x90100000, 0x90100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60571, 0x00, 11, 0x90100000, 0x90100000, 0x90100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60572, 0x00, 11, 0x90100000, 0x90100000, 0x90100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60573, 0x00, 11, 0x90100000, 0x90100000, 0x90100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60574, 0x00, 11, 0x90100000, 0x90100000, 0x90100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60575, 0x00, 11, 0x90100000, 0x90100000, 0x90100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60617, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000020, 0.000000, 0.000000,  0),
(60710, 0x00,  7, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60717, 0x00,  7, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60719, 0x00,  7, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60722, 0x00,  7, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60724, 0x00,  7, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60726, 0x00,  7, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60770, 0x00, 11, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60818, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000200, 0x00000200, 0x00000200, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(60826, 0x00, 15, 0x01400000, 0x01400000, 0x01400000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(61062, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00000100, 0x00000100, 0x00000100, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00010000, 0.000000, 0.000000,  0),
(61188, 0x00,  5, 0x00000004, 0x00000004, 0x00000004, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(61257, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000202A8, 0x00010000, 0.000000, 0.000000,  0),
(61324, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00020000, 0x00020000, 0x00020000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(61356, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x000002A8, 0x00000002, 0.000000, 0.000000, 45),
(61618, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(61846, 0x00,  9, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(62147, 0x00, 15, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00000000, 0.000000, 0.000000,  0),
(62600, 0x7F,  7, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(63086, 0x00,  9, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00010000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(63108, 0x00,  5, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(63156, 0x00,  5, 0x00000001, 0x00000001, 0x00000001, 0x000000C0, 0x000000C0, 0x000000C0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(63251, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(63280, 0x00, 11, 0x20000000, 0x20000000, 0x20000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(63320, 0x00,  5, 0x00040000, 0x00040000, 0x00040000, 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0x00008000, 0x00008000, 0x00004000, 0x00000001, 0.000000, 0.000000,  0),
(63335, 0x00, 15, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(63373, 0x00, 11, 0x80000000, 0x80000000, 0x80000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00000000, 0.000000, 0.000000,  0),
(63534, 0x00,  6, 0x00000040, 0x00000040, 0x00000040, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(63611, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00050014, 0x00000000, 0.000000, 0.000000,  0),
(63625, 0x00,  6, 0x02000000, 0x02000000, 0x02000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00000000, 0.000000, 0.000000,  0),
(63730, 0x00,  6, 0x00000800, 0x00000800, 0x00000800, 0x00000004, 0x00000004, 0x00000004, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(64440, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000020, 0.000000, 0.000000,  0),
(64571, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(64823, 0x00,  7, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00080000, 0.000000, 0.000000,  0),
(64824, 0x00,  7, 0x00200000, 0x00200000, 0x00200000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(64860, 0x00,  9, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(64867, 0x00,  3, 0x20000021, 0x20000021, 0x20000021, 0x00001000, 0x00001000, 0x00001000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(64890, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00010000, 0x00010000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(64908, 0x00,  6, 0x00002000, 0x00002000, 0x00002000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(64912, 0x00,  6, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(64952, 0x00,  7, 0x00000000, 0x00000000, 0x00000000, 0x00000440, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(64964, 0x00, 15, 0x00000000, 0x00000000, 0x00000000, 0x20000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(64928, 0x00, 11, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(64976, 0x00,  4, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00000000, 0.000000, 0.000000,  0),
(65661, 0x00, 15, 0x00400011 ,0x00400011, 0x00400011, 0x20020004, 0x20020004, 0x20020004, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0x00000000, 0.000000, 100.000000,0),
(64127, 0x00,  6, 0x00000001, 0x00000001, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(64914, 0x00,  8, 0x00000000, 0x00000000, 0x00000000, 0x00080000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(66808, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000004, 0x00000000, 0.000000, 0.000000,  0),
(67115, 0x00, 15, 0x01400000, 0x01400000, 0x01400000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(67151, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(67209, 0x00,  8, 0x00100000, 0x00100000, 0x00100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(67228, 0x04, 11, 0x00000000, 0x00000000, 0x00000000, 0x00001000, 0x00001000, 0x00001000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(67353, 0x00,  7, 0x00008000, 0x00008000, 0x00008000, 0x00100500, 0x00100500, 0x00100500, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(67356, 0x00,  7, 0x00000010, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00040000, 0.000000, 0.000000,  5),
(67361, 0x40,  7, 0x00000002, 0x00000002, 0x00000002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  6),
(67363, 0x00, 10, 0x80000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(67365, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000800, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  6),
(67379, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00040000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(67381, 0x00, 15, 0x00000000, 0x00000000, 0x00000000, 0x20000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(67384, 0x00, 15, 0x00000010, 0x00000000, 0x00000000, 0x08020000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 10),
(67386, 0x00, 11, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  6),
(67389, 0x00, 11, 0x00000100, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  8),
(67392, 0x00, 11, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000004, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(67667, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(67672, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 50),
(67702, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(67771, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(68160, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000004, 0x00000000, 0.000000, 0.000000,  0),
(69739, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(69755, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(70652, 0x00, 15, 0x00000008, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(70664, 0x00,  7, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(70723, 0x00,  7, 0x00000005, 0x00000005, 0x00000005, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(70727, 0x01,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(70730, 0x00,  9, 0x00004000, 0x00000000, 0x00000000, 0x00000100, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(70748, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00200000, 0x00200000, 0x00200000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(70756, 0x00, 10, 0x00200000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(70761, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000001, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(70770, 0x00,  6, 0x00000800, 0x00000800, 0x00000800, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(70807, 0x00, 11, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(70808, 0x00, 11, 0x00000100, 0x00000100, 0x00000100, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(70830, 0x00, 11, 0x00000000, 0x00000000, 0x00000000, 0x00020000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00004000, 0x00000000, 0.000000, 0.000000,  0),
(70841, 0x00,  5, 0x00000004, 0x00000000, 0x00000000, 0x00000100, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(70854, 0x00,  4, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0x00000010, 0x00000010, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(71174, 0x00,  7, 0x00001000, 0x00000000, 0x00000000, 0x00000100, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(71176, 0x00,  7, 0x00200002, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(71178, 0x00,  7, 0x00000010, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00040000, 0.000000, 0.000000,  0),
(71186, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00008000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(71191, 0x00, 10, 0x00200000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(71194, 0x00, 10, 0x00000000, 0x00000000, 0x00000000, 0x00100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(71198, 0x00, 11, 0x10000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(71217, 0x00, 11, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000010, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(71226, 0x00, 15, 0x00000010, 0x00000000, 0x00000000, 0x08020000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(71228, 0x00, 15, 0x00000000, 0x00000000, 0x00000000, 0x20000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(71402, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(71404, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000, 50),
(71406, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000,45.000000,  0),
(71519, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,105),
(71540, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(71545, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000,45.000000,  0),
(71562, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,105),
(71564, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000002, 0.000000, 0.000000,  0),
(71585, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(71602, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(71606, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,100),
(71611, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(71634, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 30),
(71637, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,100),
(71640, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 30),
(71642, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(71645, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(71761, 0x00,  3, 0x00000000, 0x00000000, 0x00000000, 0x00100000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000100, 0.000000, 0.000000,  0),
(71880, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 1.000000, 0.000000,  0),
(71892, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 1.000000, 0.000000,  0),
(72413, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000,20.000000, 60),
(74396, 0x00,  3, 0x28E212F7, 0x28E212F7, 0x28E212F7, 0x00119048, 0x00119048, 0x00119048, 0x00000000, 0x00000000, 0x00000000, 0x00010000, 0x00000000, 0.000000, 0.000000,  0),
(75455, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(75457, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(75465, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(75474, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(75475, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(75481, 0x00,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000, 45),
(75490, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0),
(75495, 0x7F,  0, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0.000000, 0.000000,  0);

/*!40000 ALTER TABLE `spell_proc_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for spell_proc_item_enchant
--

DROP TABLE IF EXISTS `spell_proc_item_enchant`;
CREATE TABLE `spell_proc_item_enchant` (
  `entry` mediumint unsigned NOT NULL,
  `ppmRate` float NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `spell_proc_item_enchant`
--

LOCK TABLES `spell_proc_item_enchant` WRITE;
/*!40000 ALTER TABLE `spell_proc_item_enchant` DISABLE KEYS */;
INSERT INTO `spell_proc_item_enchant` (`entry`, `ppmRate`) VALUES
(8034, 9),        -- Frostbrand Weapon
(8680, 8.5714),   -- Instant Poison
(13218, 21.4286), -- Wound Poison
(13897, 6.0),     -- Enchant Weapon - Fiery Weapon
(20004, 6.0),     -- Enchant Weapon - Lifestealing
(20005, 1.6),     -- Enchant Weapon - Icy Chill
(44525, 3.4),     -- Enchant Weapon - Icebreaker
(44578, 3.4);     -- Enchant Weapon - Lifeward
/*!40000 ALTER TABLE `spell_proc_item_enchant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_script_target`
--

DROP TABLE IF EXISTS `spell_script_target`;
CREATE TABLE `spell_script_target` (
  `entry` mediumint(8) unsigned NOT NULL,
  `type` tinyint(3) unsigned NOT NULL default '0',
  `targetEntry` mediumint(8) unsigned NOT NULL default '0',
  UNIQUE KEY `entry_type_target` (`entry`,`type`,`targetEntry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Spell System';

--
-- Dumping data for table `spell_script_target`
--

LOCK TABLES `spell_script_target` WRITE;
/*!40000 ALTER TABLE `spell_script_target` DISABLE KEYS */;
/*!40000 ALTER TABLE `spell_script_target` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_scripts`
--

DROP TABLE IF EXISTS `spell_scripts`;
CREATE TABLE `spell_scripts` (
  `id` mediumint(8) unsigned NOT NULL default '0',
  `delay` int(10) unsigned NOT NULL default '0',
  `command` mediumint(8) unsigned NOT NULL default '0',
  `datalong` mediumint(8) unsigned NOT NULL default '0',
  `datalong2` int(10) unsigned NOT NULL default '0',
  `datalong3` int(10) unsigned NOT NULL default '0',
  `datalong4` int(10) unsigned NOT NULL default '0',
  `data_flags` tinyint(3) unsigned NOT NULL default '0',
  `dataint` int(11) NOT NULL default '0',
  `dataint2` int(11) NOT NULL default '0',
  `buddy_entry` int(11) NOT NULL default '0',
  `search_radius` int(11) NOT NULL default '0',
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0',
  `comments` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `spell_scripts`
--

LOCK TABLES `spell_scripts` WRITE;
/*!40000 ALTER TABLE `spell_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `spell_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_target_position`
--

DROP TABLE IF EXISTS `spell_target_position`;
CREATE TABLE `spell_target_position` (
  `id` mediumint(8) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `target_map` smallint(5) unsigned NOT NULL default '0',
  `target_position_x` float NOT NULL default '0',
  `target_position_y` float NOT NULL default '0',
  `target_position_z` float NOT NULL default '0',
  `target_orientation` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Spell System';

--
-- Dumping data for table `spell_target_position`
--

LOCK TABLES `spell_target_position` WRITE;
/*!40000 ALTER TABLE `spell_target_position` DISABLE KEYS */;
/*!40000 ALTER TABLE `spell_target_position` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_template`
--

DROP TABLE IF EXISTS `spell_template`;
CREATE TABLE `spell_template` (
  `id` int(11) unsigned NOT NULL DEFAULT '0',
  `proc_flags` int(11) unsigned NOT NULL DEFAULT '0',
  `proc_chance` int(11) unsigned NOT NULL DEFAULT '0',
  `duration_index` int(11) unsigned NOT NULL DEFAULT '0',
  `effect0` int(11) unsigned NOT NULL DEFAULT '0',
  `effect0_implicit_target_a` int(11) unsigned NOT NULL DEFAULT '0',
  `effect0_radius_idx` int(11) unsigned NOT NULL DEFAULT '0',
  `effect0_apply_aura_name` int(11) unsigned NOT NULL DEFAULT '0',
  `effect0_misc_value` int(11) unsigned NOT NULL DEFAULT '0',
  `effect0_trigger_spell` int(11) unsigned NOT NULL DEFAULT '0',
  `comments` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='MaNGOS server side spells';

--
-- Dumping data for table `spell_template`
--
LOCK TABLES `spell_template` WRITE;
/*!40000 ALTER TABLE `spell_template` DISABLE KEYS */;
INSERT INTO `spell_template` VALUES
-- ID   proc_flags chnce dur  ef0 tarA0 rad  aur  misc    trigger
(21387, 0x00000028,  15,  21,   6,   1,   0,  42, 0,      21388, 'Melt-Weapon trigger aura related used by Ragnaros'),
(23363, 0x00000000, 101,  21,  76,  18,   0,   0, 179804, 0,     'Summon Drakonid Corpse Trigger'),
(25192, 0x00000000, 101,  21,  76,  18,   0,   0, 180619, 0,     'Summon Ossirian Crystal'),
(62388, 0x00000000, 101,  21,   6,   1,   0,   4, 0,      0,     'Aura required for Demonic Circle 48020');
/*!40000 ALTER TABLE `spell_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_threat`
--

DROP TABLE IF EXISTS `spell_threat`;
CREATE TABLE `spell_threat` (
  `entry` mediumint(8) unsigned NOT NULL,
  `Threat` smallint(6) NOT NULL,
  `multiplier` float NOT NULL default '1' COMMENT 'threat multiplier for damage/healing',
  `ap_bonus` float NOT NULL default '0' COMMENT 'additional threat bonus from attack power',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;

--
-- Dumping data for table `spell_threat`
--

LOCK TABLES `spell_threat` WRITE;
/*!40000 ALTER TABLE `spell_threat` DISABLE KEYS */;
INSERT INTO `spell_threat` VALUES
(   72, 293, 1, 0),
(   78,  20, 1, 0),
(   99,  15, 1, 0),
(  284,  39, 1, 0),
(  285,  59, 1, 0),
(  469,  40, 1, 0),
(  676, 104, 1, 0),
(  770, 108, 1, 0),
(  779,   0, 1.50, 0),
(  845,  10, 1, 0),
( 1160,  16, 1, 0),
( 1608,  78, 1, 0),
( 1672, 180, 1, 0),
( 1715,  61, 1, 0),
( 1735,  25, 1, 0),
( 2048,  70, 1, 0),
( 2139, 300, 1, 0),
( 5242,  26, 1, 0),
( 5676,   0, 2, 0),
( 6190,  26, 1, 0),
( 6192,  32, 1, 0),
( 6343,   0, 1.75, 0),
( 6572, 155, 1, 0),
( 6673,  18, 1, 0),
( 6574, 195, 1, 0),
( 6807,  13, 1, 0),
( 6808,  20, 1, 0),
( 6809,  27, 1, 0),
( 7369,  40, 1, 0),
( 7372, 101, 1, 0),
( 7373, 141, 1, 0),
( 7379, 235, 1, 0),
( 7386, 100, 1, 0),
( 8972,  47, 1, 0),
( 9490,  29, 1, 0),
( 9745,  75, 1, 0),
( 9747,  36, 1, 0),
( 9880, 106, 1, 0),
( 9881, 140, 1, 0),
( 9898,  42, 1, 0),
(11549,  40, 1, 0),
(11550,  48, 1, 0),
(11551,  56, 1, 0),
(11554,  30, 1, 0),
(11555,  37, 1, 0),
(11556,  43, 1, 0),
(11564,  98, 1, 0),
(11565, 118, 1, 0),
(11566, 137, 1, 0),
(11567, 145, 1, 0),
(11600, 275, 1, 0),
(11601, 315, 1, 0),
(11608,  60, 1, 0),
(11609,  70, 1, 0),
(16857, 108, 1, 0),
(17735, 200, 1, 0),
(17750, 300, 1, 0),
(17751, 450, 1, 0),
(17752, 600, 1, 0),
(20243,   0, 1, 0.05),
(20569, 100, 1, 0),
(20736, 100, 1, 0),
(20925,  20, 1, 0),
(20927,  30, 1, 0),
(20928,  40, 1, 0),
(23922, 160, 1, 0),
(23923, 190, 1, 0),
(23924, 220, 1, 0),
(23925, 250, 1, 0),
(24394, 580, 1, 0),
(25202,  50, 1, 0),
(25203,  55, 1, 0),
(25231, 130, 1, 0),
(25258, 286, 1, 0),
(25269, 400, 1, 0),
(25286, 175, 1, 0),
(25288, 355, 1, 0),
(25289,  62, 1, 0),
(26996, 212, 1, 0),
(26998,  49, 1, 0),
(27179,  54, 1, 0),
(29704, 230, 1, 0),
(29707, 196, 1, 0),
(30324, 220, 1, 0),
(30356, 323, 1, 0),
(30357, 483, 1, 0),
(33745, 182, 0.5, 0),
(33878, 129, 1, 0),
(33986, 180, 1, 0),
(33987, 232, 1, 0),
(47436,  78, 1, 0),
(47437,  63, 1, 0),
(47439,  60, 1, 0),
(47440,  80, 1, 0),
(47449, 236, 1, 0),
(47450, 259, 1, 0),
(47487, 520, 1, 0),
(47488, 770, 1, 0),
(47519, 180, 1, 0),
(47520, 225, 1, 0),
(48479, 345, 1, 0),
(48480, 422, 1, 0),
(48559,  54, 1, 0),
(48560,  62, 1, 0),
(48567, 409, 0.5, 0),
(48568, 515, 0.5, 0),
(52212,   0, 1.90, 0),
(56815,   0, 1.75, 0),
(57755,   0, 1.50, 0),
(57823, 500, 1, 0);
/*!40000 ALTER TABLE `spell_threat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_encounters`
--

DROP TABLE IF EXISTS `instance_encounters`;
CREATE TABLE `instance_encounters` (
  `entry` int(10) unsigned NOT NULL COMMENT 'Unique entry from DungeonEncounter.dbc',
  `creditType` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `creditEntry` int(10) unsigned NOT NULL DEFAULT '0',
  `lastEncounterDungeon` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If not 0, LfgDungeon.dbc entry for the instance it is last encounter in',
  PRIMARY KEY (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `instance_encounters`
--

LOCK TABLES `instance_encounters` WRITE;
/*!40000 ALTER TABLE `instance_encounters` DISABLE KEYS */;
INSERT INTO `instance_encounters` VALUES
(161,0,644,0),
(162,0,643,0),
(163,0,1763,0),
(164,0,646,0),
(165,0,645,0),
(166,0,647,0),
(167,0,639,6),
(201,0,18371,0),
(202,0,18373,149),
(203,0,18341,0),
(204,0,18343,0),
(205,0,18344,148),
(206,0,18472,0),
(207,0,18473,150),
(208,0,18731,0),
(209,0,18667,0),
(210,0,18732,0),
(211,0,18708,151),
(212,0,29309,0),
(213,0,29308,0),
(214,0,29310,0),
(215,0,29311,218),
(216,0,28684,0),
(217,0,28921,0),
(218,0,29120,204),
(219,0,4887,0),
(220,0,4831,0),
(221,0,6243,0),
(222,0,12902,0),
(224,0,4830,0),
(225,0,4832,0),
(226,0,4829,10),
(227,0,9018,30),
(228,0,9025,0),
(229,0,9319,0),
(230,0,10096,0),
(231,0,9024,0),
(232,0,9017,0),
(233,0,9041,0),
(234,0,9056,0),
(235,0,9016,0),
(236,0,9033,0),
(237,0,8983,0),
(238,0,9537,0),
(239,0,9502,0),
(240,0,9543,0),
(241,0,9499,0),
(242,0,9156,0),
(243,0,9035,0),
(244,0,9938,0),
(245,0,9019,276),
(246,0,18371,0),
(247,0,18373,178),
(248,0,18341,0),
(249,0,18343,0),
(250,0,22930,0),
(251,0,18344,179),
(252,0,18472,0),
(253,0,23035,0),
(254,0,18473,180),
(255,0,18731,0),
(256,0,18667,0),
(257,0,18732,0),
(258,0,18708,181),
(259,0,29309,0),
(260,0,29308,0),
(261,0,29310,0),
(262,0,30258,0),
(263,0,29311,219),
(264,0,28684,0),
(265,0,28921,0),
(266,0,29120,241),
(267,0,9196,0),
(268,0,9236,0),
(269,0,9237,0),
(270,0,10596,0),
(271,0,10584,0),
(272,0,9736,0),
(273,0,10268,0),
(274,0,10220,0),
(275,0,9568,32),
(276,0,9816,0),
(277,0,10264,0),
(278,0,10429,0),
(279,0,10430,0),
(280,0,10363,44),
(281,0,18096,170),
(282,0,18096,183),
(283,0,17862,0),
(284,0,17862,0),
(285,0,17848,0),
(286,0,17848,0),
(287,0,17879,0),
(288,0,17879,0),
(289,0,17880,0),
(290,0,17880,0),
(291,0,17881,171),
(292,0,17881,182),
(293,0,26529,0),
(294,0,26530,0),
(295,0,26532,0),
(296,1,58630,209),
(297,0,26529,0),
(298,0,26530,0),
(299,0,26532,0),
(300,1,58630,210),
(301,0,17941,0),
(302,0,17991,0),
(303,0,17942,140),
(304,0,17941,0),
(305,0,17991,0),
(306,0,17942,184),
(314,0,17797,0),
(315,0,17797,0),
(316,0,17796,0),
(317,0,17796,0),
(318,0,17798,147),
(319,0,17798,185),
(320,0,17770,0),
(321,0,17770,0),
(322,0,18105,0),
(323,0,18105,0),
(329,0,17826,0),
(330,0,17826,0),
(331,0,17882,146),
(332,0,17882,186),
(334,1,68572,0),
(336,1,68572,0),
(338,1,68574,0),
(339,1,68574,0),
(340,1,68663,245),
(341,1,68663,249),
(343,0,11490,0),
(344,0,13280,0),
(345,0,14327,0),
(346,0,11492,34),
(347,0,11488,0),
(348,0,11487,0),
(349,0,11496,0),
(350,0,11489,0),
(361,0,11486,36),
(362,0,14326,0),
(363,0,14322,0),
(364,0,14321,0),
(365,0,14323,0),
(366,0,14325,0),
(367,0,14324,0),
(368,0,11501,38),
(369,0,26630,0),
(370,0,26630,0),
(371,0,26631,0),
(372,0,26631,0),
(373,0,27483,0),
(374,0,27483,0),
(375,1,61863,214),
(376,1,61863,215),
(378,0,7079,0),
(379,0,7361,0),
(380,0,6235,0),
(381,0,6229,0),
(382,0,7800,14),
(383,0,29304,0),
(384,0,29304,0),
(385,0,29573,0),
(386,0,29573,0),
(387,0,29305,0),
(388,0,29305,0),
(389,0,29932,0),
(390,0,29306,216),
(391,0,29306,217),
(392,0,17306,0),
(393,0,17306,0),
(394,0,17308,0),
(395,0,17308,0),
(396,0,17537,136),
(397,0,17537,188),
(401,0,17381,0),
(402,0,17381,0),
(403,0,17380,0),
(404,0,17380,0),
(405,0,17377,137),
(406,0,17377,187),
(407,0,16807,0),
(408,0,16807,0),
(409,0,20923,0),
(410,0,16809,0),
(411,0,16809,0),
(412,0,16808,138),
(413,0,16808,189),
(414,0,24723,0),
(415,0,24723,0),
(416,0,24744,0),
(417,0,24744,0),
(418,0,24560,0),
(419,0,24560,0),
(420,0,24664,198),
(421,0,24664,201),
(422,0,13282,0),
(423,0,12258,26),
(424,0,12236,272),
(425,0,12225,0),
(426,0,12203,0),
(427,0,13601,0),
(428,0,13596,0),
(429,0,12201,273),
(430,0,11517,0),
(431,0,11520,4),
(432,0,11518,0),
(433,0,11519,0),
(434,0,7355,0),
(435,0,7357,0),
(436,0,8567,0),
(437,0,7358,20),
(438,0,6168,0),
(439,0,4424,0),
(440,0,4428,0),
(441,0,4420,0),
(443,0,4421,16),
(444,0,3983,0),
(445,0,4543,18),
(446,0,3974,0),
(447,0,6487,165),
(448,0,3975,163),
(449,0,4542,0),
(450,0,3977,164),
(451,0,10506,0),
(452,0,10503,0),
(453,0,11622,0),
(454,0,10433,0),
(455,0,10432,0),
(456,0,10508,0),
(457,0,10505,0),
(458,0,11261,0),
(459,0,10901,0),
(460,0,10507,0),
(461,0,10504,0),
(462,0,10502,0),
(463,0,1853,2),
(464,0,3914,0),
(465,0,3886,0),
(466,0,3887,0),
(467,0,4278,0),
(468,0,4279,0),
(469,0,4274,0),
(470,0,3927,0),
(471,0,4275,8),
(472,0,10516,0),
(473,0,10558,0),
(474,0,10808,0),
(475,0,10997,0),
(476,0,11032,0),
(477,0,10811,0),
(478,0,10813,40),
(479,0,10436,0),
(480,0,10437,0),
(481,0,10438,0),
(482,0,10435,0),
(483,0,10439,0),
(484,0,10440,274),
(485,0,8580,0),
(486,0,5721,0),
(487,0,5720,0),
(488,0,5710,0),
(490,0,5719,0),
(491,0,5722,0),
(492,0,8443,0),
(493,0,5709,28),
(494,0,20870,0),
(495,0,20870,0),
(496,0,20885,0),
(497,0,20885,0),
(498,0,20886,0),
(499,0,20886,0),
(500,0,20912,174),
(501,0,20912,190),
(502,0,17976,0),
(504,0,17976,0),
(505,0,17975,0),
(506,0,17975,0),
(507,0,17978,0),
(508,0,17978,0),
(509,0,17980,0),
(510,0,17980,0),
(511,0,17977,173),
(512,0,17977,191),
(513,0,19219,0),
(514,0,19219,0),
(515,0,19221,0),
(516,0,19221,0),
(517,0,19220,172),
(518,0,19220,192),
(519,0,26796,0),
(520,0,26731,0),
(521,0,26731,0),
(522,0,26763,0),
(523,0,26763,0),
(524,0,26794,0),
(525,0,26794,0),
(526,0,26723,225),
(527,0,26723,226),
(528,0,27654,0),
(529,0,27654,0),
(530,0,27447,0),
(531,0,27447,0),
(532,0,27655,0),
(533,0,27655,0),
(534,0,27656,206),
(535,0,27656,211),
(536,0,1696,0),
(537,0,1666,0),
(538,0,1717,0),
(539,0,1716,0),
(540,0,1663,12),
(541,0,29315,0),
(542,0,29315,0),
(543,0,29316,0),
(544,0,29316,0),
(545,0,31134,220),
(546,0,31134,221),
(547,0,6910,0),
(548,0,6906,0),
(549,0,7228,0),
(551,0,7206,0),
(552,0,7291,0),
(553,0,4854,0),
(554,0,2748,22),
(555,0,28586,0),
(556,0,28586,0),
(557,0,28587,0),
(558,0,28587,0),
(559,0,28546,0),
(560,0,28546,0),
(561,0,28923,207),
(562,0,28923,212),
(563,0,27977,0),
(564,0,27977,0),
(565,0,27975,0),
(566,0,27975,0),
(567,1,59046,0),
(568,1,59046,0),
(569,0,27978,208),
(570,0,27978,213),
(571,0,23953,0),
(572,0,23953,0),
(573,0,24201,0),
(574,0,24201,0),
(575,0,23954,202),
(576,0,23954,242),
(577,0,26668,0),
(578,0,26668,0),
(579,0,26687,0),
(580,0,26687,0),
(581,0,26693,0),
(582,0,26693,0),
(583,0,26861,203),
(584,0,26861,205),
(585,0,3671,0),
(586,0,3669,0),
(587,0,3653,0),
(588,0,3670,0),
(589,0,3674,0),
(590,0,3673,0),
(591,0,5775,0),
(592,0,3654,1),
(593,0,7795,0),
(594,0,7273,0),
(595,0,8127,0),
(596,0,7272,0),
(597,0,7271,0),
(598,0,7796,0),
(599,0,7275,0),
(600,0,7267,24),
(601,0,22887,0),
(602,0,22898,0),
(603,0,22841,0),
(604,0,22871,0),
(605,0,22948,0),
(606,0,23420,0),
(607,0,22947,0),
(608,0,23426,0),
(609,0,22917,196),
(610,0,12435,0),
(611,0,13020,0),
(612,0,12017,0),
(613,0,11983,0),
(614,0,14601,0),
(615,0,11981,0),
(616,0,14020,0),
(617,0,11583,50),
(618,0,17767,0),
(619,0,17808,0),
(620,0,17888,0),
(621,0,17842,0),
(622,0,17968,195),
(623,0,21216,0),
(624,0,21217,0),
(625,0,21215,0),
(626,0,21214,0),
(627,0,21213,0),
(628,0,21212,194),
(629,0,34797,0),
(630,0,34797,0),
(631,0,34797,0),
(632,0,34797,0),
(633,0,34780,0),
(634,0,34780,0),
(635,0,34780,0),
(636,0,34780,0),
(637,1,68184,0),
(638,1,68184,0),
(639,1,68184,0),
(640,1,68184,0),
(641,0,34496,0),
(642,0,34496,0),
(643,0,34496,0),
(644,0,34496,0),
(645,0,34564,246),
(646,0,34564,248),
(647,0,34564,247),
(648,0,34564,250),
(649,0,18831,0),
(650,0,19044,177),
(651,0,17257,176),
(652,0,15550,0),
(653,0,15687,0),
(654,0,16457,0),
(655,0,16812,0),
(656,0,15691,0),
(657,0,15688,0),
(658,0,16524,0),
(659,0,15689,0),
(660,0,22520,0),
(661,0,15690,175),
(662,0,17225,0),
(663,0,12118,0),
(664,0,11982,0),
(665,0,12259,0),
(666,0,12057,0),
(667,0,12264,0),
(668,0,12056,0),
(669,0,12098,0),
(670,0,11988,0),
(671,0,12018,0),
(672,0,11502,48),
(673,0,15956,0),
(674,0,15956,0),
(677,0,15953,0),
(678,0,15953,0),
(679,0,15952,0),
(680,0,15952,0),
(681,0,15954,0),
(682,0,15954,0),
(683,0,15936,0),
(684,0,15936,0),
(685,0,16011,0),
(686,0,16011,0),
(687,0,16061,0),
(689,0,16061,0),
(690,0,16060,0),
(691,0,16060,0),
(692,1,59450,0),
(693,1,59450,0),
(694,0,16028,0),
(695,0,16028,0),
(696,0,15931,0),
(697,0,15931,0),
(698,0,15932,0),
(699,0,15932,0),
(700,0,15928,0),
(701,0,15928,0),
(702,0,15989,0),
(703,0,15989,0),
(704,0,15990,159),
(706,0,15990,227),
(707,0,10184,46),
(708,0,10184,257),
(709,0,15263,0),
(710,0,15544,0),
(711,0,15516,0),
(712,0,15510,0),
(713,0,15299,0),
(714,0,15509,0),
(715,0,15275,0),
(716,0,15517,0),
(717,0,15727,161),
(718,0,15348,0),
(719,0,15341,0),
(720,0,15340,0),
(721,0,15370,0),
(722,0,15369,0),
(723,0,15339,160),
(724,0,24892,0),
(725,0,24882,0),
(726,0,25038,0),
(727,0,25165,0),
(728,0,25840,0),
(729,0,25315,199),
(730,0,19514,0),
(731,0,19516,0),
(732,0,18805,0),
(733,0,19622,193),
(734,0,28859,223),
(735,0,28859,237),
(736,0,30452,0),
(737,0,30452,0),
(738,0,30451,0),
(739,0,30451,0),
(740,0,30449,0),
(741,0,30449,0),
(742,0,28860,224),
(743,0,28860,238),
(744,0,33113,0),
(745,0,33118,0),
(746,0,33186,0),
(747,0,33293,0),
(748,1,65195,0),
(749,0,32930,0),
(750,0,33515,0),
(751,1,64899,0),
(752,1,64985,0),
(753,1,65074,0),
(754,0,33432,0),
(755,0,33271,0),
(756,0,33288,0),
(757,0,32871,243),
(758,0,33113,0),
(759,0,33118,0),
(760,0,33186,0),
(761,0,33293,0),
(762,1,65195,0),
(763,0,32930,0),
(764,0,33515,0),
(765,1,64899,0),
(766,1,64985,0),
(767,1,65074,0),
(768,0,33432,0),
(769,0,33271,0),
(770,0,33288,0),
(771,0,32871,244),
(772,0,31125,0),
(773,0,31125,0),
(774,0,33993,0),
(775,0,33993,0),
(776,0,35013,0),
(777,0,35013,0),
(778,0,23574,0),
(779,0,23576,0),
(780,0,23578,0),
(781,0,23577,0),
(782,0,24239,0),
(783,0,23863,197),
(784,0,14507,0),
(785,0,14517,0),
(786,0,14510,0),
(787,0,11382,0),
(788,0,15083,0),
(789,0,14509,0),
(790,0,15114,0),
(791,0,14515,0),
(792,0,11380,0),
(793,0,14834,42),
(829,0,36497,0),
(830,0,36497,0),
(831,0,36502,251),
(832,0,36502,252),
(833,0,36494,0),
(834,0,36494,0),
(835,0,36476,0),
(836,0,36476,0),
(837,0,36658,253),
(838,0,36658,254),
(839,0,38113,0),
(840,0,38113,0),
(841,0,38112,0),
(842,0,38112,0),
(843,1,72830,255),
(844,1,72830,256),
(845,0,36612,0),
(846,0,36855,0),
(847,1,72959,0),
(848,0,37813,0),
(849,0,36626,0),
(850,0,36627,0),
(851,0,36678,0),
(852,0,37970,0),
(853,0,37955,0),
(854,1,72706,0),
(855,0,36853,0),
(856,0,36597,279),
(857,0,36612,0),
(858,0,36855,0),
(859,1,72959,0),
(860,0,37813,0),
(861,0,36626,0),
(862,0,36627,0),
(863,0,36678,0),
(864,0,37970,0),
(865,0,37955,0),
(866,1,72706,0),
(867,0,36853,0),
(868,0,36597,280),
(883,0,4422,0),
(885,0,38433,239),
(886,0,38433,240),
(887,0,39863,293),
(888,0,39863,294),
(889,0,39751,0),
(890,0,39751,0),
(891,0,39747,0),
(892,0,39747,0),
(893,0,39746,0),
(894,0,39746,0);
/*!40000 ALTER TABLE `instance_encounters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `transports`
--

DROP TABLE IF EXISTS `transports`;
CREATE TABLE `transports` (
  `entry` mediumint(8) unsigned NOT NULL default '0',
  `name` text,
  `period` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Transports';

--
-- Dumping data for table `transports`
--

LOCK TABLES `transports` WRITE;
/*!40000 ALTER TABLE `transports` DISABLE KEYS */;
/*!40000 ALTER TABLE `transports` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `world_template`
--

DROP TABLE IF EXISTS `world_template`;
CREATE TABLE `world_template` (
  `map` smallint(5) unsigned NOT NULL,
  `ScriptName` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`map`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `world_template`
--

LOCK TABLES `world_template` WRITE;
/*!40000 ALTER TABLE `world_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `world_template` ENABLE KEYS */;
UNLOCK TABLES;

/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2008-03-30 15:34:54
